AncyProf:
/* Ancestry module for State Data Center's Census 2000 SF3 profile project--
   Roy Williams, MISER/MassSDC, UMass/Amherst
   email: rwilliams@miser.umass.edu    URL: http://www.umass.edu/miser */

* do all 3 pages if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='123' ;

IF INDEX(_pages,'1') THEN DO;
/* ----- PAGE 1 of 3 -----*/
%PutTitle(
%STR(Ancestry Profile 1: FIRST AND SECOND ANCESTRIES REPORTED),Ancy-1);       

* setting up page layout parameters for page 1 ;
strtline=6 ;
    col1=3 ;
   dcol1=col1+26 ;
    col2=dcol1+23 ;
   dcol2=col2+24 ;
    col3=dcol2+22 ;
   dcol3=col3+28 ;
%LET f = COMMA11. +1 COMMA10. ;

* Generate table PCT15 ;

ARRAY PCT15[2:7] PCT15i2-PCT15i7 ;
ARRAY PCT15PCT[2:7] ;
Zero = (P1i1=0) ;
DO I = 2 TO 7 ;
 IF Zero THEN PCT15pct[I]=. ; ELSE PCT15pct[I]=100*PCT15[I]/P1i1 ;
* PUT #(strtline+1+I) @(col2+3) PCT15[I] COMMA12. PCT15pct[I] 6.1 ;
END ;

PUT #strtline
    @col1 'PCT15. ANCESTRY SUMMARY'
/   @col1 'Universe: Total population (' P1i1 : COMMA12. +(-1) ')'
/   @(col2+17) 'Pct.'  @(dcol3+18) 'Pct.'
/   @col1 'Total persons reporting a classifiable ancestry:' @(col2+3) PCT15[2] COMMA12. PCT15pct[2] 6.1
/   @col1 '  Reporting a single ancestry                   ' @(col2+3) PCT15[3] COMMA12. PCT15pct[3] 6.1
/   @col1 '  Reporting multiple ancestries                 ' @(col2+3) PCT15[4] COMMA12. PCT15pct[4] 6.1
  #(strtline+3)
    @(dcol2-1) ':  Total persons not reporting a classifiable ancestry:' @(dcol3+4) PCT15[5] COMMA12. PCT15pct[5] 6.1
/   @(dcol2-1) ':    Ancestry not classifiable by the Census Bureau'     @(dcol3+4) PCT15[6] COMMA12. PCT15pct[6] 6.1
/   @(dcol2-1) ':    No ancestry reported by the respondent'             @(dcol3+4) PCT15[7] COMMA12. PCT15pct[7] 6.1
/  @2 147*'_';
;

* Generate table PCT16/17 ;
strtline=7 ; * allowing for horizontal line ;
ARRAY PCT16[2:110] PCT16i2-PCT16i110 ;
ARRAY PCT17[2:110] PCT17i2-PCT17i110 ;
PUT #(strtline+7)
    @col1 'PCT16/PCT17. FIRST AND SECOND ANCESTRIES REPORTED'
/   @col1 'Universe: Total persons reporting at least one classifiable ancestry (' PCT15i2 : COMMA12. +(-1) ')'
//  @dcol1                   '      First     Second'
/   @dcol1                   '   Ancestry   Ancestry'
/   @dcol1                   '   Reported   Reported'
//  @col1 'Total 1st/2nd ancestry:'
/   @col1 '  Acadian/Cajun'
/   @col1 '  Afghan'
/   @col1 '  Albanian'
/   @col1 '  Alsatian'
/   @col1 '  Arab:'
/   @col1 '    Egyptian'
/   @col1 '    Iraqi'
/   @col1 '    Jordanian'
/   @col1 '    Lebanese'
/   @col1 '    Moroccan'
/   @col1 '    Palestinian'
/   @col1 '    Syrian'
/   @col1 '    Arab/Arabic'
/   @col1 '    Other Arab'
/   @col1 '  Armenian'
/   @col1 '  Assyrian/Chaldean/Syriac'
/   @col1 '  Australian'
/   @col1 '  Austrian'
/   @col1 '  Basque'
/   @col1 '  Belgian'
/   @col1 '  Brazilian'
/   @col1 '  British'
/   @col1 '  Bulgarian'
/   @col1 '  Canadian'
/   @col1 '  Carpatho Rusyn'
/   @col1 '  Celtic'
/   @col1 '  Croatian'
/   @col1 '  Cypriot'
/   @col1 '  Czech'
/   @col1 '  Czechoslovakian'
/   @col1 '  Danish'
/   @col1 '  Dutch'
/   @col1 '  Eastern European'
/   @col1 '  English'
/   @col1 '  Estonian'
/   @col1 '  European'
//  @col1 ' * Includes only people reporting "U.S." or "American" as their sole ancestry.  For example, "Irish-American" is tallied only as "Irish".'
/   @col1 '** Includes most reported ancestries which are equivalent to specific race & Hispanic/Latino groups, such as Cree, Thai, Samoan & Cuban.' 
;

DO I = 2 TO 38 ;
 PUT #(strtline+12+I) @dcol1 (PCT16[I] PCT17[I]) (&f) ;
END ;

PUT #(strtline+10)
    @dcol2                   '      First     Second'
/   @dcol2                   '   Ancestry   Ancestry'
/   @dcol2                   '   Reported   Reported'
//  @col2 '  Finnish'
/   @col2 '  French (exc. Basque)'
/   @col2 '  French Canadian'
/   @col2 '  German'
/   @col2 '  German Russian'
/   @col2 '  Greek'
/   @col2 '  Guyanese'
/   @col2 '  Hungarian'
/   @col2 '  Icelander'
/   @col2 '  Iranian'
/   @col2 '  Irish'
/   @col2 '  Israeli'
/   @col2 '  Italian'
/   @col2 '  Latvian'
/   @col2 '  Lithuanian'
/   @col2 '  Luxemburger'
/   @col2 '  Macedonian'
/   @col2 '  Maltese'
/   @col2 '  New Zealander'
/   @col2 '  Northern European'
/   @col2 '  Norwegian'
/   @col2 '  Pennsylvania German'
/   @col2 '  Polish'
/   @col2 '  Portuguese'
/   @col2 '  Romanian'
/   @col2 '  Russian'
/   @col2 '  Scandinavian'
/   @col2 '  Scotch-Irish'
/   @col2 '  Scottish'
/   @col2 '  Serbian'
/   @col2 '  Slavic'
/   @col2 '  Slovak'
/   @col2 '  Slovene'
/   @col2 '  Soviet Union'
/   @col2 '  Subsaharan African:'
/   @col2 '    Cape Verdean'
/   @col2 '    Ethiopian'
;

DO I = 1 TO 37 ;
 PUT #(strtline+13+I) @dcol2 (PCT16[I+38] PCT17[I+38]) (&f) ;
END ;

PUT #(strtline+10)
    @dcol3                   '      First     Second'
/   @dcol3                   '   Ancestry   Ancestry'
/   @dcol3                   '   Reported   Reported'
//  @col3 '    Ghanian'
/   @col3 '    Kenyan'
/   @col3 '    Liberian'
/   @col3 '    Nigerian'
/   @col3 '    Senegalese'
/   @col3 '    Sierra Leonean'
/   @col3 '    Somalian'
/   @col3 '    South African'
/   @col3 '    Sudanese'
/   @col3 '    Ugandan'
/   @col3 '    Zairian'
/   @col3 '    Zimbabwean'
/   @col3 '    African'
/   @col3 '    Other Subsaharan African'
/   @col3 '  Swedish'
/   @col3 '  Swiss'
/   @col3 '  Turkish'
/   @col3 '  Ukrainian'
/   @col3 '  U.S. or American*'
/   @col3 '  Welsh'
/   @col3 '  West Indian (excluding'
/   @col3 '    Hispanic groups):'
/   @col3 '    Bahamian'
/   @col3 '    Barbadian'
/   @col3 '    Belizean'
/   @col3 '    Bermudan'
/   @col3 '    British West Indian'
/   @col3 '    Dutch West Indian'
/   @col3 '    Haitian'
/   @col3 '    Jamaican'
/   @col3 '    Trinidadian & Tobagonian'
/   @col3 '    U.S. Virgin Islander'
/   @col3 '    West Indian'
/   @col3 '    Other West Indian'
/   @col3 '  Yugoslavian'
/   @col3 '  Other groups**'
;

DO I = 2 TO 21 ;
 PUT #(strtline+12+I) @dcol3 (PCT16[I+74] PCT17[I+74]) (&f) ;
END ;
DO I = 22 TO 36 ;
 PUT #(strtline+13+I) @dcol3 (PCT16[I+74] PCT17[I+74]) (&f) ;
END ;

LINK HeadFoot;
END ; * end of Ancestry Page 1 ;

IF INDEX(_pages,'2') THEN DO;

/* ----- PAGE 2 of 3 -----*/

%PutTitle( %STR(Ancestry Profile 2: TOTAL ANCESTRIES TALLIED),Ancy-2);       

* setting up page layout parameters for page 2 ;
strtline=6 ;
    col1=3 ;
   dcol1=col1+26 ;
    col2=dcol1+22 ;
   dcol2=col2+24 ;
    col3=dcol2+22 ;
   dcol3=col3+29 ;

%LET f = +1 COMMA11. 7.2 ;

* Generate table PCT18 ;

ARRAY PCT18 [109] PCT18i1-PCT18i109 ;
ARRAY PCT18pct [109] ;
zero=(P1i1=0) ;
IF zero THEN DO I = 1 TO 109 ; PCT18pct[I]=. ; END ;
        ELSE DO I = 1 TO 109 ; PCT18pct[I]=PCT18[I]/P1i1*100 ; END ;

PUT #strtline
    @col1 'PCT18. ANCESTRY (TOTAL CATEGORIES TALLIED*)'
/   @col1 'Universe: Total ancestry categories tallied* for people with one or more ancestry categories reported'
//  @col1 '[Note: Only ' PCT15[2] : COMMA12. 'people or ' PCT15pct[2] : 6.1+(-1) '% of the total population ('
             P1i1 : COMMA12. +(-1) ') reported a classifiable ancestry.]'
//  @col1 '                             Specified   Pct.                              Specified   Pct.                                   Specified   Pct.'
/   @col1 '                            Ancestries    of                              Ancestries    of                                   Ancestries    of '
/   @col1 '                               Tallied   Pop.                                Tallied   Pop.                                     Tallied   Pop.'
//  @col1 'Total ancestries tallied*: ' @dcol1 (PCT18[1] PCT18pct[1]) (&f)
//  @col1 '  Acadian/Cajun            ' @col2 '   French (except Basque) ' @col3 '     Kenyan                  '
/   @col1 '  Afghan                   ' @col2 '   French Canadian        ' @col3 '     Liberian                '
/   @col1 '  Albanian                 ' @col2 '   German                 ' @col3 '     Nigerian                '
/   @col1 '  Alsatian                 ' @col2 '   German Russian         ' @col3 '     Senegalese              '
/   @col1 '  Arab:                    ' @col2 '   Greek                  ' @col3 '     Sierra Leonean          '
/   @col1 '    Egyptian               ' @col2 '   Guyanese               ' @col3 '     Somalian                '
/   @col1 '    Iraqi                  ' @col2 '   Hungarian              ' @col3 '     South African           '
/   @col1 '    Jordanian              ' @col2 '   Icelander              ' @col3 '     Sudanese                '
/   @col1 '    Lebanese               ' @col2 '   Iranian                ' @col3 '     Ugandan                 '
/   @col1 '    Moroccan               ' @col2 '   Irish                  ' @col3 '     Zairian                 '
/   @col1 '    Palestinian            ' @col2 '   Israeli                ' @col3 '     Zimbabwean              '
/   @col1 '    Syrian                 ' @col2 '   Italian                ' @col3 '     African                 '
/   @col1 '    Arab/Arabic            ' @col2 '   Latvian                ' @col3 '     Other Subsaharan African'
/   @col1 '    Other Arab             ' @col2 '   Lithuanian             ' @col3 '   Swedish                   '
/   @col1 '  Armenian                 ' @col2 '   Luxemburger            ' @col3 '   Swiss                     '
/   @col1 '  Assyrian/Chaldean/Syriac ' @col2 '   Macedonian             ' @col3 '   Turkish                   '
/   @col1 '  Australian               ' @col2 '   Maltese                ' @col3 '   Ukrainian                 '
/   @col1 '  Austrian                 ' @col2 '   New Zealander          ' @col3 '   United States or American**'
/   @col1 '  Basque                   ' @col2 '   Northern European      ' @col3 '   Welsh                     '
/   @col1 '  Belgian                  ' @col2 '   Norwegian              ' @col3 '   West Indian (excluding'	
/   @col1 '  Brazilian                ' @col2 '   Pennsylvania German    ' @col3 '     Hispanic groups):       '
/   @col1 '  British                  ' @col2 '   Polish                 ' @col3 '     Bahamian                '
/   @col1 '  Bulgarian                ' @col2 '   Portuguese             ' @col3 '     Barbadian               '
/   @col1 '  Canadian                 ' @col2 '   Romanian               ' @col3 '     Belizean                '
/   @col1 '  Carpatho Rusyn           ' @col2 '   Russian                ' @col3 '     Bermudan                '
/   @col1 '  Celtic                   ' @col2 '   Scandinavian           ' @col3 '     British West Indian     '
/   @col1 '  Croatian                 ' @col2 '   Scotch-Irish           ' @col3 '     Dutch West Indian       '
/   @col1 '  Cypriot                  ' @col2 '   Scottish               ' @col3 '     Haitian                 '
/   @col1 '  Czech                    ' @col2 '   Serbian                ' @col3 '     Jamaican                '
/   @col1 '  Czechoslovakian          ' @col2 '   Slavic                 ' @col3 '     Trinidadian & Tobagonian'
/   @col1 '  Danish                   ' @col2 '   Slovak                 ' @col3 '     U.S. Virgin Islander    '
/   @col1 '  Dutch                    ' @col2 '   Slovene                ' @col3 '     West Indian             '
/   @col1 '  Eastern European         ' @col2 '   Soviet Union           ' @col3 '     Other West Indian       '
/   @col1 '  English                  ' @col2 '   Subsaharan African:    ' @col3 '   Yugoslavian               '
/   @col1 '  Estonian                 ' @col2 '     Cape Verdean         ' @col3 '   Other groups***           '
/   @col1 '  European                 ' @col2 '     Ethiopian            ' @col3
/   @col1 '  Finnish                  ' @col2 '     Ghanian              ' @col3
//  @col1 145*'-'
/   @col1 '  * Total ancestries tallied is the total number of people reporting each specific ancestry either first or second in their response to'
/   @col1 '    the ancestry question. For example, someone responding "Irish-German-Dutch" is counted in both the Irish and German ancestry groups,'
/   @col1 '    but the third response is not tallied.  Total tallies can be greater than the total population, even though many people left this'
/   @col1 '    question unanswered.  This is the only question for which the Census Bureau did not impute any answers for non-respondents.'
/   @col1 ' ** Includes only people reporting "U.S." or "American" as their sole ancestry.  For example, "Irish-American" is tallied only as "Irish".'
/   @col1 '*** Includes most reported ancestries which are equivalent to specific race & Hispanic/Latino groups, such as Cree, Thai, Samoan & Cuban.'
/;

DO I = 2 TO 20 ;
 PUT #(strtline+9+I) @dcol1 (PCT18[I] PCT18pct[I])    (&f)
                  @dcol2 (PCT18[I+37] PCT18pct[I+37]) (&f)
                  @dcol3 (PCT18[I+74] PCT18pct[I+74]) (&f) ;
END ;
PUT #(strtline+9+21) @dcol1 (PCT18[21] PCT18pct[21])    (&f)
                  @dcol2 (PCT18[21+37] PCT18pct[21+37]) (&f) ;
DO I = 22 TO 36 ;
 PUT #(strtline+9+I) @dcol1 (PCT18[I] PCT18pct[I])    (&f)
                  @dcol2 (PCT18[I+37] PCT18pct[I+37]) (&f)
                  @dcol3 (PCT18[I+73] PCT18pct[I+73]) (&f) ;
END ;
DO I = 37 TO 38 ;
 PUT #(strtline+9+I) @dcol1 (PCT18[I] PCT18pct[I])    (&f)
                  @dcol2 (PCT18[I+37] PCT18pct[I+37]) (&f) ;
END ;

LINK HeadFoot;
END ; * end of Ancestry Page 2 ;


IF INDEX(_pages,'3') THEN DO;

/* ----- PAGE 3 of 3 -----*/

%PutTitle( %STR(Ancestry Profile 3: PLACE OF BIRTH FOR THE FOREIGN-BORN POPULATION),Ancy-3);       

* setting up page layout parameters for page 3 ;
strtline=6 ;
    col1=3 ;
%LET f7 =COMMA7. ;
%LET f9 =COMMA9. ;
%LET f10=COMMA10. ;

IF P1i1=0 THEN ForBornpct=. ; ELSE ForBornpct=PCT19i1/P1i1*100 ;

PUT #strtline
    / @col1 'PCT19. PLACE OF BIRTH FOR THE FOREIGN-BORN POPULATION'
    / @col1 'Universe: Foreign-born population (' PCT19i1 : &f10 'or ' ForBornpct : 4.1 +(-1) '% of Total population: ' P1i1 : &f10 +(-1) ')'
  /// @col1 'Europe:                   ' PCT19i2  &f9 '  Asia:                    ' PCT19i32 &f9 '  Africa:                   ' PCT19i67 &f7 '  Americas:                  ' PCT19i92 &f10
    / @col1 '  Northern Europe:        ' PCT19i3  &f9 '    Eastern Asia:          ' PCT19i33 &f9 '    Eastern Africa:         ' PCT19i68 &f7 '    Latin America            ' PCT19i93 &f10
    / @col1 '   United Kingdom         ' PCT19i4  &f9 '     China:                ' PCT19i34 &f9 '     Ethiopia               ' PCT19i69 &f7 '     Caribbean:              ' PCT19i94 &f10
    / @col1 '   Ireland                ' PCT19i5  &f9 '      China, excluding Hong Kong         Other Eastern Africa   ' PCT19i70 &f7 '      Barbados               ' PCT19i95 &f10
    / @col1 '   Sweden                 ' PCT19i6  &f9 '      & Taiwan             ' PCT19i35 &f9 '    Middle Africa           ' PCT19i71 &f7 '      Cuba                   ' PCT19i96 &f10
    / @col1 '   Other Northern Europe  ' PCT19i7  &f9 '      Hong Kong            ' PCT19i36 &f9 '    Northern Africa:        ' PCT19i72 &f7 '      Dominican Republic     ' PCT19i97 &f10
    / @col1 '  Western Europe:         ' PCT19i8  &f9 '      Taiwan               ' PCT19i37 &f9 '     Egypt                  ' PCT19i73 &f7 '      Haiti                  ' PCT19i98 &f10
    / @col1 '   Austria                ' PCT19i9  &f9 '     Japan                 ' PCT19i38 &f9 '     Other Northern Africa  ' PCT19i74 &f7 '      Jamaica                ' PCT19i99 &f10
    / @col1 '   France                 ' PCT19i10 &f9 '     Korea                 ' PCT19i39 &f9 '    Southern Africa:        ' PCT19i75 &f7 '      Trinidad & Tobago      ' PCT19i100 &f10
    / @col1 '   Germany                ' PCT19i11 &f9 '     Other Eastern Asia    ' PCT19i40 &f9 '     South Africa           ' PCT19i76 &f7 '      Other Caribbean        ' PCT19i101 &f10
    / @col1 '   Netherlands            ' PCT19i12 &f9 '    South Central Asia:    ' PCT19i41 &f9 '     Other Southern Africa  ' PCT19i77 &f7 '     Central America:        ' PCT19i102 &f10
    / @col1 '   Other Western Europe   ' PCT19i13 &f9 '     Afghanistan           ' PCT19i42 &f9 '    Western Africa:         ' PCT19i78 &f7 '      Mexico                 ' PCT19i103 &f10
    / @col1 '  Southern Europe:        ' PCT19i14 &f9 '     Bangladesh            ' PCT19i43 &f9 '     Ghana                  ' PCT19i79 &f7 '      Other Central America: ' PCT19i104 &f10
    / @col1 '   Greece                 ' PCT19i15 &f9 '     India                 ' PCT19i44 &f9 '     Nigeria                ' PCT19i80 &f7 '       Costa Rica            ' PCT19i105 &f10
    / @col1 '   Italy                  ' PCT19i16 &f9 '     Iran                  ' PCT19i45 &f9 '     Sierra Leone           ' PCT19i81 &f7 '       El Salvador           ' PCT19i106 &f10
    / @col1 '   Portugal               ' PCT19i17 &f9 '     Pakistan              ' PCT19i46 &f9 '     Other Western Africa   ' PCT19i82 &f7 '       Guatemala             ' PCT19i107 &f10
    / @col1 '   Spain                  ' PCT19i18 &f9 '     Other S. Central Asia ' PCT19i47 &f9 '    Africa, n.e.c.(1)       ' PCT19i83 &f7 '       Honduras              ' PCT19i108 &f10
    / @col1 '   Other Southern Europe  ' PCT19i19 &f9 '    South Eastern Asia:    ' PCT19i48 &f9 '                                          Nicaragua             ' PCT19i109 &f10
    / @col1 '  Eastern Europe:         ' PCT19i20 &f9 '     Cambodia              ' PCT19i49 &f9 '  Oceania:                  ' PCT19i84 &f7 '       Panama                ' PCT19i110 &f10
    / @col1 '   Czechoslovakia         ' PCT19i21 &f9 '     Indonesia             ' PCT19i50 &f9 '    Australia & New Zealand               Other C. America      ' PCT19i111 &f10
    / @col1 '   Hungary                ' PCT19i22 &f9 '     Laos                  ' PCT19i51 &f9 '    Subregion:              ' PCT19i85 &f7 '     South America:          ' PCT19i112 &f10
    / @col1 '   Poland                 ' PCT19i23 &f9 '     Malaysia              ' PCT19i52 &f9 '     Australia              ' PCT19i86 &f7 '      Argentina              ' PCT19i113 &f10
    / @col1 '   Romania                ' PCT19i24 &f9 '     Philippines           ' PCT19i53 &f9 '     Other Australian                    Bolivia                ' PCT19i114 &f10
    / @col1 '   Belarus                ' PCT19i25 &f9 '     Thailand              ' PCT19i54 &f9 '     & New Zealand Subregion' PCT19i87 &f7 '      Brazil                 ' PCT19i115 &f10
    / @col1 '   Russia                 ' PCT19i26 &f9 '     Vietnam               ' PCT19i55 &f9 '    Melanesia               ' PCT19i88 &f7 '      Chile                  ' PCT19i116 &f10
    / @col1 '   Ukraine                ' PCT19i27 &f9 '     Other S. Eastern Asia ' PCT19i56 &f9 '    Micronesia              ' PCT19i89 &f7 '      Colombia               ' PCT19i117 &f10
    / @col1 '   Bosnia & Herzegovina   ' PCT19i28 &f9 '    Western Asia:          ' PCT19i57 &f9 '    Polynesia               ' PCT19i90 &f7 '      Ecuador                ' PCT19i118 &f10
    / @col1 '   Yugoslavia             ' PCT19i29 &f9 '     Iraq                  ' PCT19i58 &f9 '    Oceania, n.e.c.(1)      ' PCT19i91 &f7 '      Guyana                 ' PCT19i119 &f10
    / @col1 '   Other Eastern Europe   ' PCT19i30 &f9 '     Israel                ' PCT19i59 &f9 '                                         Peru                   ' PCT19i120 &f10
    / @col1 '  Europe, n.e.c.(1)       ' PCT19i31 &f9 '     Jordan                ' PCT19i60 &f9 '                                         Venezuela              ' PCT19i121 &f10
    / @col1 '                                        Lebanon               ' PCT19i61 &f9 '                                         Other South America    ' PCT19i122 &f10
    / @col1 '                                        Syria                 ' PCT19i62 &f9 '                                        Northern America:       ' PCT19i123 &f10
    / @col1 '                                        Turkey                ' PCT19i63 &f9 '                                         Canada                 ' PCT19i124 &f10
    / @col1 '                                        Armenia               ' PCT19i64 &f9 '                                         Other N. America       ' PCT19i125 &f10
    / @col1 '                                        Other Western Asia    ' PCT19i65 &f9
    / @col1 '                                       Asia, n.e.c.(1)        ' PCT19i66 &f9 '                                       Born at sea              ' PCT19i126 &f10
  /// @col1 '1.  Not elsewhere classified'
;

LINK HeadFoot;
END ; * end of Ancestry Page 3 ;

RETURN ;
