Disprof:
/*generate disability profile, six pages of disability characteristics.
    Phyllis Smith, Arkansas.
   8/24/02: split more long lines that were giving truncation warnings (JGB)
   8/29/02: added all division-by-zero checks (REW)
*/

* do all pages if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='123456' ;

IF INDEX(_pages,'1') THEN DO;
%PutTitle(
   %STR(Disability Profile 1: ALL TYPES BY AGE, SEX & EMPLOYMENT STATUS),
   %STR(Dis-1)) ;

**--Draw horizontal lines--**;
PUT #20 @2 147*'-';
PUT #35 @2 147*'-';
PUT #58 @2 147*'-';

*--Calculate total in Disability.--**;
tot1=P41i2+P41i7+P41i14;
sdt=P41i3+P41i8+P41i15;
pdt=P41i4+P41i9+P41i16;
mdt=P41i5+P41i10+P41i17;
sfdt=P41i6+P41i11+P41i18;
ghdt=P41i12+P41i19;
emdt=P41i13;
*--Generate table P41.--**;

PUT #7
@3'P41. TOTAL DISABILITIES TALLIED BY TYPE OF DISABILITY BY AGE FOR THE CIVILIAN NON-INSTITUTIONAL POPULATION 5 YEARS AND OVER WITH DISABILITIES'
/@3'Universe: Total disabilities tallied for the civilian non-institutionalized population 5 years and over with disabilities'
//                                  @51'Total'          @67 '5 to 15 years'     @89 '16 to 64 years'    @111'65 years & over'
//@3'Total disabilities tallied:'    @45 tot1 Comma11.  @69   P41i2 Comma11.    @92  P41i7  Comma11.    @115  P41i14 Comma11.
/@3'    Sensory disability'         @45 sdt  Comma11.   @69   P41i3 Comma11.    @92  P41i8  Comma11.    @115  P41i15 Comma11.
/@3'    Physical disability'        @45 pdt  Comma11.   @69   P41i4 Comma11.    @92  P41i9  Comma11.    @115  P41i16 Comma11.
/@3'    Mental disability'          @45 mdt  Comma11.   @69   P41i5 Comma11.    @92  P41i10 Comma11.    @115  P41i17 Comma11.
/@3'    Self-care disability'       @45 sfdt Comma11.   @69   P41i6 Comma11.    @92  P41i11 Comma11.    @115  P41i18 Comma11.
/@3'    Go-outside-home disability**' @45 ghdt Comma11.                         @92  P41i12 Comma11.    @115  P41i19 Comma11.
/@3'    Employment disability*'      @45 emdt Comma11.                          @92  P41i13 Comma11.;

*--Calculate total in Disability Employed/not-Employed.--**;
wdtot=P42i4+P42i7+P42i14+P42i21+P42i24+P42i28+P42i31+P42i38+P42i45+P42i48;
wdem=P42i8+P42i15+P42i32+P42i39;
wdnem=P42i9+P42i16+P42i33+P42i40;
ndtot=P42i5+P42i10+P42i17+P42i22+P42i25+P42i29+P42i34+P42i41+P42i46+P42i49;
ndem=P42i11+P42i18+P42i35+P42i42;
ndnem=P42i12+P42i19+P42i36+P42i43;

*--Generate table P42.--**;
PUT #21
@3'P42. DISABILITY STATUS BY EMPLOYMENT STATUS BY SEX BY AGE FOR THE CIVILIAN NON-INSTITUTIONAL POPULATION 5 YEARS AND OVER'
/@3'Universe: Civilian non-institutionalized population 5 years and over'

//                                        @36'------------------------- Male --------------------------'                                 @95 '---------------------- Female ------------------------'
/                       @29'Total'        @38 '5 to 15'     @49 '16 to 20'     @61 '21 to 64'     @73 '65 to 74'      @84 '75 & over'    @98 '5 to 15'
@108 '16 to 20'     @119 '21 to 64'     @130'65 to 74'      @140 '75 & over'
//@3'With a disability:'@23 wdtot Comma11.@35 P42i4 Comma10.@47 P42i7  Comma10.@59 P42i14 Comma10.@71  P42i21 Comma10.@83 P42i24 Comma10.@95  P42i28 Comma10.
@106 P42i31 Comma10.@117 P42i38 Comma10.@128 P42i45 Comma10.@139 P42i48 Comma10.
/@3'  Employed*'        @23 wdem  Comma11.                  @47 P42i8  Comma10.@59 P42i15 Comma10.                                                           @106 P42i32 Comma10.@117 P42i39 Comma10.
/@3'  Not employed*'    @23 wdnem Comma11.                  @47 P42i9  Comma10.@59 P42i16 Comma10.                                                           @106 P42i33 Comma10.@117 P42i40 Comma10.

//@3'No disability:'    @23 ndtot Comma11.@35 P42i5 Comma10.@47 P42i10 Comma10.@59 P42i17 Comma10.@71  P42i22 Comma10.@83 P42i25 Comma10.@95  P42i29 Comma10.
@106 P42i34 Comma10.@117 P42i41 Comma10.@128 P42i46 Comma10.@139 P42i49 Comma10.
/@3 '  Employed*'       @23 ndem Comma11.                   @47 P42i11 Comma10.@59 P42i18 Comma10.                                                           @106 P42i35 Comma10.@117 P42i42 Comma10.
/@3 '  Not employed*'   @23 ndnem Comma11.                  @47 P42i12 Comma10.@59 P42i19 Comma10.                                                           @106 P42i36 Comma10.@117 P42i43 Comma10.;

*--Calculate total in Disability of one/two types.--**;
totda=PCT26i4+PCT26i14+PCT26i28+PCT26i42+PCT26i54+PCT26i64+PCT26i78+PCT26i92;
sdt=  PCT26i5+PCT26i15+PCT26i29+PCT26i43+PCT26i55+PCT26i65+PCT26i79+PCT26i93;
pdt=  PCT26i6+PCT26i16+PCT26i30+PCT26i44+PCT26i56+PCT26i66+PCT26i80+PCT26i94;
mdt=  PCT26i7+PCT26i17+PCT26i31+PCT26i45+PCT26i57+PCT26i67+PCT26i81+PCT26i95;
sfdt= PCT26i8+PCT26i18+PCT26i32+PCT26i46+PCT26i58+PCT26i68+PCT26i82+PCT26i96;
ghdt=         PCT26i19+PCT26i33+PCT26i47  +       PCT26i69+PCT26i83+PCT26i97;
emdt=         PCT26i20+PCT26i34 +                 PCT26i70+PCT26i84;

totdb=  PCT26i9+PCT26i21+PCT26i35+PCT26i48+PCT26i59+PCT26i71+PCT26i85+PCT26i98;
isfdt= PCT26i10+PCT26i22+PCT26i36+PCT26i49+PCT26i60+PCT26i72+PCT26i86+PCT26i99;
nisfdt=PCT26i11+PCT26i23+PCT26i37+PCT26i50+PCT26i61+PCT26i73+PCT26i87+PCT26i100;
ghemdt=         PCT26i24+PCT26i38         +         PCT26i74+PCT26i88;
ocomt=          PCT26i25+PCT26i39         +         PCT26i75+PCT26i89;

totdc= PCT26i12+PCT26i26+PCT26i40+PCT26i51+PCT26i62+PCT26i76+PCT26i90+PCT26i101;

*--Generate table PCT26.--**;
PUT #36
@3'PCT26. TYPES OF DISABILITY BY SEX BY AGE FOR THE CIVILIAN NON-INSTITUTIONALIZED POPULATION 5 YEARS AND OVER'
/@3'Universe: Civilian non-institutionalized population 5 years and over'
//                                                            @55'--------------------- Male -------------------'
@105 '------------------ Female ------------------'
/                                           @48'Total'        @58 '5 to 15'          @69 '16 to 20'          @81 '21 to 64'       @92 '65 & over'
@108 '5 to 15'         @118 '16 to 20'   @129 '21 to 64'       @140 '65 & over'
//@3'With one type of disability:'          @42 totda Comma11. @55   PCT26i4 Comma10.@67 PCT26i14 Comma10.@79 PCT26i28 Comma10.@91 PCT26i42 Comma10.@105 PCT26i54 Comma10.
@116 PCT26i64 Comma10.@127 PCT26i78 Comma10.@139 PCT26i92 Comma10.
/@3'  Sensory disability'                   @42 sdt   Comma11. @55   PCT26i5 Comma10.@67 PCT26i15 Comma10.@79 PCT26i29 Comma10.@91 PCT26i43 Comma10.@105 PCT26i55 Comma10.
@116 PCT26i65 Comma10.@127 PCT26i79 Comma10.@139 PCT26i93 Comma10.
/@3'  Physical disability'                  @42 pdt   Comma11. @55   PCT26i6 Comma10.@67 PCT26i16 Comma10.@79 PCT26i30 Comma10.@91 PCT26i44 Comma10.@105 PCT26i56 Comma10.
@116 PCT26i66 Comma10.@127 PCT26i80 Comma10.@139 PCT26i94 Comma10.
/@3'  Mental disability'                    @42 mdt   Comma11. @55   PCT26i7 Comma10.@67 PCT26i17 Comma10.@79 PCT26i31 Comma10.@91 PCT26i45 Comma10.@105 PCT26i57 Comma10.
@116 PCT26i67 Comma10.@127 PCT26i81 Comma10.@139 PCT26i95 Comma10.
/@3'  Self-care disability'                 @42 sfdt  Comma11. @55   PCT26i8 Comma10.@67 PCT26i18 Comma10.@79 PCT26i32 Comma10.@91 PCT26i46 Comma10.@105 PCT26i58 Comma10.
@116 PCT26i68 Comma10.@127 PCT26i82 Comma10.@139 PCT26i96 Comma10.
/@3'  Go-outside-home disability**'         @42 ghdt  Comma11.                       @67 PCT26i19 Comma10.@79 PCT26i33 Comma10.@91 PCT26i47 Comma10.
@116 PCT26i69 Comma10.@127 PCT26i83 Comma10.@139 PCT26i97 Comma10.
/@3'  Employment disability*'               @42 emdt  Comma11.                       @67 PCT26i20 Comma10.@79 PCT26i34 Comma10.
@116 PCT26i70 Comma10.@127 PCT26i84 Comma10.

//@3'With two or more types of disability:' @42 totdb Comma11. @55  PCT26i9  Comma10.@67 PCT26i21 Comma10.@79 PCT26i35 Comma10.@91 PCT26i48 Comma10.@105 PCT26i59 Comma10.
@116 PCT26i71 Comma10.@127 PCT26i85 Comma10.@139 PCT26i98 Comma10.
/@3'  Includes self-care disability'        @42 isfdt Comma11. @55  PCT26i10 Comma10.@67 PCT26i22 Comma10.@79 PCT26i36 Comma10.@91 PCT26i49 Comma10.@105 PCT26i60 Comma10.
@116 PCT26i72 Comma10.@127 PCT26i86 Comma10.@139 PCT26i99 Comma10.
/@3'  Doesn''t include self-care disability:'@42 nisfdt Comma11.@55 PCT26i11 Comma10.@67 PCT26i23 Comma10.@79 PCT26i37 Comma10.@91 PCT26i50 Comma10.@105 PCT26i61 Comma10.
@116 PCT26i73 Comma10.@127 PCT26i87 Comma10.@139 PCT26i100 Comma10.
/@3'   Go-outside-home** & employment only*' @42 ghemdt Comma11.                     @67 PCT26i24 Comma10.@79 PCT26i38 Comma10.
@116 PCT26i74 Comma10.@127 PCT26i88 Comma10.
/@3'   Other combination'                   @42 ocomt Comma11.                       @67 PCT26i25 Comma10.@79 PCT26i39 Comma10.
@116 PCT26i75 Comma10.@127 PCT26i89 Comma10.

//@3'No disability'                         @42 totdc Comma11. @55  PCT26i12 Comma10.@67 PCT26i26 Comma10.@79 PCT26i40 Comma10.@91 PCT26i51 Comma10.@105 PCT26i62 Comma10.
@116 PCT26i76 Comma10.@127 PCT26i90 Comma10.@139 PCT26i101 Comma10.;

PUT # 59
@3' * Employment status by disability status was determined only for the 16 to 64 year old population.'
/@3'** Go-outside-home disability status was determined only for the 16 year old and over population.';

link HeadFoot;
end;  *<-----------of code to generate 1st page----;

IF INDEX(_pages,'2') THEN DO;

%PutTitle(
   %STR(Disability Profile 2: SELECTED TYPES BY EMPLOYMENT STATUS BY DETAILED AGE),
   %STR(Dis-2)) ;

**--Draw horizontal lines--**;
PUT #43 @2 147*'-';
PUT #58 @2 147*'-';

**--Calculate totals--**;
wsend=PCT27i4+PCT27i7+PCT27i14+PCT27i21+PCT27i24+PCT27i28+PCT27i31+PCT27i38+PCT27i45+PCT27i48;
aemp=PCT27i8+PCT27i15+PCT27i32+PCT27i39;
anemp= PCT27i9+PCT27i16+PCT27i33+PCT27i40;
nsend=PCT27i5+PCT27i10+PCT27i17+PCT27i22+PCT27i25+PCT27i29+PCT27i34+PCT27i41+PCT27i46+PCT27i49;
bemp=PCT27i11+PCT27i18+PCT27i35+PCT27i42;
bnemp=PCT27i12+PCT27i19+PCT27i36+PCT27i43;
wpd=PCT28i4+PCT28i7+PCT28i14+PCT28i21+PCT28i24+PCT28i28+PCT28i31+PCT28i38+PCT28i45+PCT28i48;
cemp=PCT28i8+PCT28i15+PCT28i32+PCT28i39;
cnemp=PCT28i9+PCT28i16+PCT28i33+PCT28i40;
npd=PCT28i5+PCT28i10+PCT28i17+PCT28i22+PCT28i25+PCT28i29+PCT28i34+PCT28i41+PCT28i46+PCT28i49;
demp=PCT28i11+PCT28i18+PCT28i35+PCT28i42;
dnemp=PCT28i12+PCT28i19+PCT28i36+PCT28i43;
wmd=PCT29i4+PCT29i7+PCT29i14+PCT29i21+PCT29i24+PCT29i28+PCT29i31+PCT29i38+PCT29i45+PCT29i48;
eemp=PCT29i8+PCT29i15+PCT29i32+PCT29i39;
enemp= PCT29i9+PCT29i16+PCT29i33+PCT29i40;
nmd=PCT29i5+PCT29i10+PCT29i17+PCT29i22+PCT29i25+PCT29i29+PCT29i34+PCT29i41+PCT29i46+PCT29i49;
femp=PCT29i11+PCT29i18+PCT29i35+PCT29i42;
fnemp=PCT29i12+PCT29i19+PCT29i36+PCT29i43;
wsfd=PCT30i4+PCT30i7+PCT30i14+PCT30i21+PCT30i24+PCT30i28+PCT30i31+PCT30i38+PCT30i45+PCT30i48;
gemp=PCT30i8+PCT30i15+PCT30i32+PCT30i39;
gnemp=PCT30i9+PCT30i16+PCT30i33+PCT30i40;
nsfd=PCT30i5+PCT30i10+PCT30i17+PCT30i22+PCT30i25+PCT30i29+PCT30i34+PCT30i41+PCT30i46+PCT30i49;
hemp=PCT30i11+PCT30i18+PCT30i35+PCT30i42;
hnemp=PCT30i12+PCT30i19+PCT30i36+PCT30i43;

*--Generate table PCT27/PCT28/PCT29/PCT30.--**;

PUT # 6
/@3'PCT27/PCT28/PCT29/PCT30. SENSORY DISABILITY, PHYSICAL DISABILITY, MENTAL DISABILITY OR SELF-CARE DISABILITY BY EMPLOYMENT STATUS BY SEX BY AGE '
/@3'                         FOR THE CIVILIAN NON-INSTITUTIONALIZED POPULATION 5 YEARS & OVER'
/@3'Universe: Civilian non-institutionalized population 5 years and over '
//                                                  @43'------------------------- Male ---------------------'
@97'----------------------- Female ----------------------'
/                                 @37'Total'        @46 '5 to 15'       @56 '16 to 20'       @67'21 to 64'        @77'65 to 74'       @86'75 & over'
@99 '5 to 15'        @109 '16 to 20'       @120'21 to 64'        @130 '65 to 74'
@140 '75 & over'
//@3'With a sensory disability:'   @32 wsend    comma10.@43 PCT27i4 comma10.@54 PCT27i7  comma10.@65 PCT27i14 comma10.@76 PCT27i21 comma9.@86 PCT27i24 comma9.
@96 PCT27i28 comma10.@107 PCT27i31 comma10.@118 PCT27i38 comma10.@129 PCT27i45 comma9.
@139 PCT27i48 comma10.
/@3'  Employed*'                   @32 aemp  comma10.                       @54 PCT27i8  comma10.@65 PCT27i15 comma10.
@107 PCT27i32 comma10.@118 PCT27i39 comma10.
/@3'  Not employed*'               @32 anemp comma10.                       @54 PCT27i9  comma10.@65 PCT27i16 comma10.
@107 PCT27i33 comma10.@118 PCT27i40 comma10.
/@3'No sensory disability:'       @32 nsend comma10.@43 PCT27i5 comma10.@54 PCT27i10 comma10.@65 PCT27i17 comma10.@76 PCT27i22 comma9.@86 PCT27i25 comma9.
@96 PCT27i29 comma10.@107 PCT27i34 comma10.@118 PCT27i41 comma10.@129 PCT27i46 comma9.
@139 PCT27i49 comma10.
/@3'  Employed*'                   @32 bemp  comma10.                       @54 PCT27i11 comma10.@65 PCT27i18 comma10.
@107 PCT27i35 comma10.@118 PCT27i42 comma10.
/@3'  Not employed*'               @32 bnemp comma10.                       @54 PCT27i12 comma10.@65 PCT27i19 comma10.
@107 PCT27i36 comma10.@118 PCT27i43 comma10.
//@3'With a physical disability:' @32 wpd   comma10.@43 PCT28i4 comma10.@54 PCT28i7  comma10.@65 PCT28i14 comma10.@76 PCT28i21 comma9.@86 PCT28i24 comma9.
@96 PCT28i28 comma10.@107 PCT28i31 comma10.@118 PCT28i38 comma10.@129 PCT28i45 comma9.
@139 PCT28i48 comma10.
/@3'  Employed*'                   @32 cemp  comma10.                       @54 PCT28i8  comma10.@65 PCT28i15 comma10.
@107 PCT28i32 comma10.@118 PCT28i39 comma10.
/@3'  Not employed*'               @32 cnemp comma10.                       @54 PCT28i9  comma10.@65 PCT28i16 comma10.
@107 PCT28i33 comma10.@118 PCT28i40 comma10.
/@3'No physical disability:'      @32 npd   comma10.@43 PCT28i5 comma10.@54 PCT28i10 comma10.@65 PCT28i17 comma10.@76 PCT28i22 comma9.@86 PCT28i25 comma9.
@96 PCT28i29 comma10.@107 PCT28i34 comma10.@118 PCT28i41 comma10.@129 PCT28i46 comma9.
@139 PCT28i49 comma10.
/@3'  Employed*'                   @32 demp  comma10.                       @54 PCT28i11 comma10.@65 PCT28i18 comma10.
@107 PCT28i35 comma10.@118 PCT28i42 comma10.
/@3'  Not employed*'               @32 dnemp comma10.                       @54 PCT28i12 comma10.@65 PCT28i19 comma10.
@107 PCT28i36 comma10.@118 PCT28i43 comma10.
//@3'With a mental disability:'   @32 wmd   comma10.@43 PCT29i4 comma10.@54 PCT29i7  comma10.@65 PCT29i14 comma10.@76 PCT29i21 comma9.@86 PCT29i24 comma9.
@96 PCT29i28 comma10.@107 PCT29i31 comma10.@118 PCT29i38 comma10.@129 PCT29i45 comma9.
@139 PCT29i48 comma10.
/@3'  Employed*'                   @32 eemp  comma10.                       @54 PCT29i8  comma10.@65 PCT29i15 comma10.
@107 PCT29i32 comma10.@118 PCT29i39 comma10.
/@3'  Not employed*'               @32 enemp comma10.                       @54 PCT29i9  comma10.@65 PCT29i16 comma10.
@107 PCT29i33 comma10.@118 PCT29i40 comma10.
/@3'No mental disability:'        @32 nmd   comma10.@43 PCT29i5 comma10.@54 PCT29i10 comma10.@65 PCT29i17 comma10.@76 PCT29i22 comma9.@86 PCT29i25 comma9.
@96 PCT29i29 comma10.@107 PCT29i34 comma10.@118 PCT29i41 comma10.@129 PCT29i46 comma9.
@139 PCT29i49 comma10.
/@3'  Employed*'                   @32 femp  comma10.                   @54 PCT29i11 comma10.@65 PCT29i18 comma10.
@107 PCT29i35 comma10.@118 PCT29i42 comma10.
/@3'  Not employed*'               @32 fnemp comma10.                       @54 PCT29i12 comma10.@65 PCT29i19 comma10.
@107 PCT29i36 comma10.@118 PCT29i43 comma10.
//@3'With a self-care disability:'@32 wsfd  comma10.@43 PCT30i4 comma10.@54 PCT30i7  comma10.@65 PCT30i14 comma10.@76 PCT30i21 comma9.@86 PCT30i24 comma9.
@96 PCT30i28 comma10.@107 PCT30i31 comma10.@118 PCT30i38 comma10.@129 PCT30i45 comma9.
@139 PCT30i48 comma10.
/@3'  Employed*'                   @32 gemp  comma10.                       @54 PCT30i8  comma10.@65 PCT30i15 comma10.
@107 PCT30i32 comma10.@118 PCT30i39 comma10.
/@3'  Not employed*'               @32 gnemp comma10.                       @54 PCT30i9  comma10.@65 PCT30i16 comma10.
@107 PCT30i33 comma10.@118 PCT30i40 comma10.
/@3'No self-care disability:'     @32 nsfd  comma10.@43 PCT30i5 comma10.@54 PCT30i10 comma10.@65 PCT30i17 comma10.@76 PCT30i22 comma9.@86 PCT30i25 comma9.
@96 PCT30i29 comma10.@107 PCT30i34 comma10.@118 PCT30i41 comma10.@129 PCT30i46 comma9.
@139 PCT30i49 comma10.
/@3'  Employed*'                   @32 hemp  comma10.                       @54 PCT30i11 comma10.@65 PCT30i18 comma10.
@107 PCT30i35 comma10.@118 PCT30i42 comma10.
/@3'  Not employed*'               @32 hnemp comma10.                       @54 PCT30i12 comma10.@65 PCT30i19 comma10.
@107 PCT30i36 comma10.@118 PCT30i43 comma10.;


**--Calculate total for PCT31.--**;
wghd=PCT31i4+PCT31i11+PCT31i18+PCT31i21+PCT31i25+PCT31i32+PCT31i39+PCT31i42;
empa=PCT31i5+PCT31i12+PCT31i26+PCT31i33;
nempa=PCT31i6+PCT31i13+PCT31i27+PCT31i34;
nghd=PCT31i7+PCT31i14+PCT31i19+PCT31i22+PCT31i28+PCT31i35+PCT31i40+PCT31i43;
empb=PCT31i8+PCT31i15+PCT31i29+PCT31i36;
nempb=PCT31i9+PCT31i16+PCT31i30+PCT31i37;


*--Generate table PCT31.--**;
PUT # 44
@3'PCT31. GO-OUTSIDE-HOME DISABILITY BY EMPLOYMENT STATUS BY SEX BY AGE FOR THE CIVILIAN NON-INSTITUTIONALIZED POPULATION 16 YEARS AND OVER'
/@3'Universe: Civilian non-institutionalized population 16 years and over'
//                                                            @56'--------------------- Male ------------------'
@105 '------------------ Female ------------------'
/                                       @47'Total'            @57 '16 to 20'          @69 '21 to 64'          @81 '65 to 74'          @92 '75 & over'
@107 '16 to 20'         @118 '21 to 64'         @129 '65 to 74'         @140 '75 & over'
//@3'With a go-outside-home disability:**' @41 wghd Comma11.  @55   PCT31i4 comma10.  @67  PCT31i11 comma10.  @79  PCT31i18 comma10.  @91  PCT31i21 comma10.
@105  PCT31i25 comma10. @116  PCT31i32 comma10. @127  PCT31i39 comma10. @139  PCT31i42 comma10.
/@3'  Employed*'                        @41 empa Comma11.     @55   PCT31i5 comma10.  @67  PCT31i12 comma10.
@105  PCT31i26 comma10. @116  PCT31i33 comma10.
/@3'  Unemployed*'                      @41 nempa Comma11.    @55   PCT31i6 comma10.  @67  PCT31i13 comma10.
@105  PCT31i27 comma10. @116  PCT31i34 comma10.
//@3'No go-outside-home disability:**'  @41 nghd Comma11.     @55   PCT31i7 comma10.  @67  PCT31i14 comma10.  @79  PCT31i19 comma10.  @91  PCT31i22 comma10.
@105  PCT31i28 comma10. @116  PCT31i35 comma10. @127  PCT31i40 comma10. @139  PCT31i43 comma10.
/@3'  Employed*'                        @41 empb Comma11.     @55   PCT31i8 comma10.  @67  PCT31i15 comma10.
@105  PCT31i29 comma10. @116  PCT31i36 comma10.
/@3'  Unemployed*'                      @41 nempb Comma11.    @55   PCT31i9 comma10.  @67  PCT31i16 comma10.
@105  PCT31i30 comma10. @116  PCT31i37 comma10.;

PUT # 59
@3' * Employment status by disability status was determined only for the 16 to 64 year old population.'
/@3'** Go-outside-home disability status was determined only for the 16 year old and over population.';

link HeadFoot;
end;
*<-----------of code to generate 2nd page----;

IF INDEX(_pages,'3') THEN DO;

%PutTitle(
   %STR(Disability Profile 3: BY EMPLOYMENT, EDUCATION & POVERTY STATUS),
   %STR(Dis-3)) ;

**--Draw horizontal lines--**;
PUT #21 @2 147*'-';
PUT #41 @2 147*'-';
PUT #57 @2 147*'-';

**--Calculate Total for Male & Female population 16 to 64 years--**;
TOTMF1 = PCT32i4 + PCT32i11 + PCT32i19 + PCT32i26;
TOTMF2 = PCT32i5 + PCT32i12 + PCT32i20 + PCT32i27;
TOTMF3 = PCT32i6 + PCT32i13 + PCT32i21 + PCT32i28;
TOTMF4 = PCT32i7 + PCT32i14 + PCT32i22 + PCT32i29;
TOTMF5 = PCT32i8 + PCT32i15 + PCT32i23 + PCT32i30;
TOTMF6 = PCT32i9 + PCT32i16 + PCT32i24 + PCT32i31;

*--Generate table PCT32.--**;

PUT # 7
@3'PCT32. EMPLOYMENT DISABILITY BY EMPLOYMENT STATUS BY SEX BY AGE FOR THE CIVILIAN NON-INSTITUTIONALIZED POPULATION 16 TO 64 YEARS*'
/@3'Universe: Civilian non-institutionalized population 16 to 64 Years'
//                                                        @58 '---------- Male ----------'               @106  '---------- Female ---------'
/                                  @43 'Total'            @60 '16 to 20'          @76 '21 to 64'          @108  '16 to 20'       @125 '21 to 64'
//@3'With an employment disability:'@38  TOTMF1 Comma10.   @58   PCT32i4 Comma10.  @74  PCT32i11 Comma10.  @106   PCT32i19 Comma10. @123  PCT32i26 Comma10.
/@3'  Employed'                    @38  TOTMF2 Comma10.   @58   PCT32i5 Comma10.  @74  PCT32i12 Comma10.  @106   PCT32i20 Comma10. @123  PCT32i27 Comma10.
/@3'  Unemployed'                @38  TOTMF3 Comma10.     @58   PCT32i6 Comma10.  @74  PCT32i13 Comma10.  @106   PCT32i21 Comma10. @123  PCT32i28 Comma10.
//@3'No employment disability:'    @38  TOTMF4 Comma10.   @58   PCT32i7 Comma10.  @74  PCT32i14 Comma10.  @106   PCT32i22 Comma10. @123  PCT32i29 Comma10.
/@3'  Employed'                    @38  TOTMF5 Comma10.   @58   PCT32i8 Comma10.  @74  PCT32i15 Comma10.  @106   PCT32i23 Comma10. @123  PCT32i30 Comma10.
/@3'  Unemployed'                @38  TOTMF6 Comma10.     @58   PCT32i9 Comma10.  @74  PCT32i16 Comma10.  @106   PCT32i24 Comma10. @123  PCT32i31 Comma10.;

*--Calculate totals in table PCT33.--**;
wd=PCT33i3+PCT33i26;
a=PCT33i4+PCT33i27;
b=PCT33i5+PCT33i28;
c=PCT33i6+PCT33i29;
d=PCT33i7+PCT33i30;
e=PCT33i8+PCT33i31;
f=PCT33i9+PCT33i32;
g=PCT33i10+PCT33i33;
h=PCT33i11+PCT33i34;
i=PCT33i12+PCT33i35;
j=PCT33i13+PCT33i36;

*--Calculate totals in table PCT33.--**;
wnd=PCT33i14+PCT33i37;
na=PCT33i15+PCT33i38;
nb=PCT33i16+PCT33i39;
nc=PCT33i17+PCT33i40;
nd=PCT33i18+PCT33i41;
nhs=PCT33i19+PCT33i42;
nf=PCT33i20+PCT33i43;
ng=PCT33i21+PCT33i44;
nh=PCT33i22+PCT33i45;
ni=PCT33i23+PCT33i46;
nj=PCT33i24+PCT33i47;

*--Generate table PCT33.--**;
PUT #22
@3'PCT33. DISABILITY STATUS BY SCHOOL ENROLLMENT BY EDUCATIONAL ATTAINMENT BY SEX FOR THE CIVILIAN NON-INSTITUTIONALIZED POPULATION 18 TO 34 YEARS'
/@3'Universe: Civilian non-institutionalized population 18 to 34 Years'
//                                   @47'Total'      @59 'Male'              @69 'Female'                                                     @121 'Total'      @133 'Male'            @142 'Female'
//@3'With a disability:'              @41 wd comma11.    @53   PCT33i3 Comma10.  @65  PCT33i26 Comma10.  @80 'No disability:'                 @116  wnd comma10.
@127  PCT33i14 Comma10. @138 PCT33i37 Comma10.
/@3'  Enrolled in school:'           @41 a  comma11. @53   PCT33i4 Comma10.  @65  PCT33i27 Comma10.  @80 '   Enrolled in school:'             @116  na  comma10.
@127  PCT33i15 Comma10. @138 PCT33i38 Comma10.
/@3'    Below College'               @41 b  comma11. @53   PCT33i5 Comma10.  @65  PCT33i28 Comma10.  @80 '    Below college'                  @116  nb  comma10.
@127  PCT33i16 Comma10. @138 PCT33i39 Comma10.
/@3'    College or graduate school'  @41 c  comma11. @53   PCT33i6 Comma10.  @65  PCT33i29 Comma10.  @80 '    College or graduate school'     @116  nc  comma10.
@127  PCT33i17 Comma10. @138 PCT33i40 Comma10.
/@3'  Not enrolled in school:'       @41 d  comma11. @53   PCT33i7 Comma10.  @65  PCT33i30 Comma10.  @80 ' Not enrolled in school:'           @116  nd  comma10.
@127  PCT33i18 Comma10. @138 PCT33i41 Comma10.
/@3'    Not high school graduate'    @41 e  comma11. @53   PCT33i8 Comma10.  @65  PCT33i31 Comma10.  @80 '    Not high school graduate'       @116  nhs comma10.
@127  PCT33i19 Comma10. @138 PCT33i42 Comma10.
/@3'    High school graduate'                                                                        @80 '    High school graduate'
/@3'         (includes equivalency)' @41 f  comma11. @53   PCT33i9 Comma10.  @65  PCT33i32 Comma10.  @80 '        (include equivalency)'      @116  nf  comma10.
@127  PCT33i20 Comma10. @138 PCT33i43 Comma10.
/@3'    Some college, no degree'     @41 g  comma11. @53  PCT33i10 Comma10.  @65  PCT33i33 Comma10.  @80 '    Some college, no degree'        @116  ng  comma10.
@127  PCT33i21 Comma10. @138 PCT33i44 Comma10.
/@3'    Associate degree'            @41 h  comma11. @53  PCT33i11 Comma10.  @65  PCT33i34 Comma10.  @80 '    Associate degree'               @116  nh  comma10.
@127  PCT33i22 Comma10. @138 PCT33i45 Comma10.
/@3'    Bachelor''s degree'            @41 i  comma11. @53  PCT33i12 Comma10.  @65  PCT33i35 Comma10.  @80 '    Bachelor''s degree'           @116  ni  comma10.
@127  PCT33i23 Comma10. @138 PCT33i46 Comma10.
/@3'    Graduate or professional degree'@41 j  comma11. @53  PCT33i13 Comma10.  @65  PCT33i36 Comma10.  @80 '    Graduate or professional degree'@116  nj  comma10.
@127  PCT33i24 Comma10. @138 PCT33i47 Comma10.;

*--Calculate totals in table PCT34.--**;
wdt=PCT34i4+PCT34i11+PCT34i18+PCT34i25+PCT34i33+PCT34i40+PCT34i47+PCT34i54;
ibp=PCT34i5+PCT34i12+PCT34i19+PCT34i26+PCT34i34+PCT34i41+PCT34i48+PCT34i55;
iap=PCT34i6+PCT34i13+PCT34i20+PCT34i27+PCT34i35+PCT34i42+PCT34i49+PCT34i56;
ndt=PCT34i7+PCT34i14+PCT34i21+PCT34i28+PCT34i36+PCT34i43+PCT34i50+PCT34i57;
ib=PCT34i8+PCT34i15+PCT34i22+PCT34i29+PCT34i37+PCT34i44+PCT34i51+PCT34i58;
ia=PCT34i9+PCT34i16+PCT34i23+PCT34i30+PCT34i38+PCT34i45+PCT34i52+PCT34i59;

*--Generate table PCT34.--**;
PUT # 42
@3'PCT34. DISABILITY STATUS BY POVERTY STATUS BY SEX BY AGE FOR THE CIVILIAN NON-INSTITUTIONALIZED POPULATION 5 AND OVER IN THE POVERTY UNIVERSE**'
/@3'Universe: Civilian non-institutionalized population 5 years and over for whom poverty status is determined'
//                                                            @55 '------------------- Male ---------------------'                                 @103 '-------------------- Female -----------------'
/                                             @49'Total'      @58 '5 to 15'       @69 '16 to 20'        @81 '21 to 64'       @92 '65 & over'       @106 '5 to 15'
@117 '16 to 20'           @129 '21 to 64'         @139 '65 & over'
//@3'With a disability:'                       @44 wdt comma10.@55 PCT34i4 Comma10.@67 PCT34i11 Comma10. @79 PCT34i18 Comma10.@91 PCT34i25 Comma10. @103  PCT34i33 Comma10.
@115  PCT34i40 Comma10. @127  PCT34i47 Comma10. @138  PCT34i54 Comma10.
/@3' Income in 1999 below poverty level'      @44 ibp comma10.@55 PCT34i5 Comma10.@67 PCT34i12 Comma10. @79 PCT34i19 Comma10.@91 PCT34i26 Comma10. @103  PCT34i34 Comma10.
@115  PCT34i41 Comma10. @127  PCT34i48 Comma10. @138  PCT34i55 Comma10.
/@3' Income in 1999 at/above poverty level'   @44 iap comma10.@55 PCT34i6 Comma10.@67 PCT34i13 Comma10. @79 PCT34i20 Comma10.@91 PCT34i27 Comma10. @103  PCT34i35 Comma10.
@115  PCT34i42 Comma10. @127  PCT34i49 Comma10. @138  PCT34i56 Comma10.
//@3'No disability:'                          @44 ndt comma10.@55 PCT34i7 Comma10.@67 PCT34i14 Comma10. @79 PCT34i21 Comma10.@91 PCT34i28 Comma10. @103  PCT34i36 Comma10.
@115  PCT34i43 Comma10. @127  PCT34i50 Comma10. @138  PCT34i57 Comma10.
/@3' Income in 1999 below poverty level'      @44 ib  comma10.@55 PCT34i8 Comma10.@67 PCT34i15 Comma10. @79 PCT34i22 Comma10.@91 PCT34i29 Comma10. @103  PCT34i37 Comma10.
@115  PCT34i44 Comma10. @127  PCT34i51 Comma10. @138  PCT34i58 Comma10.
/@3' Income in 1999 at/above poverty level'   @44 ia  comma10.@55 PCT34i9 Comma10.@67 PCT34i16 Comma10. @79 PCT34i23 Comma10.@91 PCT34i30 Comma10. @103  PCT34i38 Comma10.
@115  PCT34i45 Comma10. @127  PCT34i52 Comma10. @138  PCT34i59 Comma10.;

PUT # 58
@3' * Employment status by disability status was determined only for the 16 to 64 year old population.'
/@3'** Poverty universe includes everyone EXCEPT (1) persons in institutions, military group quarters, and college dormitories'
/@6'and (2) unrelated individuals under 15 years old (children who are not related family members).';
link HeadFoot;
end;  *<-----------of code to generate 3rd page----;

IF INDEX(_pages,'4') THEN DO;

%PutTitle(
   %STR(Disability Profile 4: TOTAL TALLIES BY TYPE BY AGE BY RACE AND HISPANIC/LATINO),
   %STR(Dis-4)) ;

**--Draw horizontal lines--**;
PUT #40 @2 147*'-';
PUT #55 @2 147*'-';

**--Draw (internal) vertical lines--**;

do _i_=15 to 54;
  PUT #_I_ @122 ':';
  end;

**--Calculate Total Disabilities--**;
TOTDIS1 =PCT67Ai2+PCT67Ai7+PCT67Ai14 ;
TOTDIS2 =PCT67Bi2+PCT67Bi7+PCT67Bi14 ;
TOTDIS3 =PCT67Ci2+PCT67Ci7+PCT67Ci14 ;
TOTDIS4 =PCT67Di2+PCT67Di7+PCT67Di14 ;
TOTDIS5 =PCT67Ei2+PCT67Ei7+PCT67Ei14 ;
TOTDIS6 =PCT67Fi2+PCT67Fi7+PCT67Fi14 ;
TOTDIS7 =PCT67Gi2+PCT67Gi7+PCT67Gi14 ;
TOTDIS8 =PCT67Hi2+PCT67Hi7+PCT67Hi14 ;
TOTDIS9 =PCT67Ii2+PCT67Ii7+PCT67Ii14 ;

**--Calculate Total Sensory Disabilities--**;
SENDIS1 =PCT67Ai3+PCT67Ai8+PCT67Ai15 ;
SENDIS2 =PCT67Bi3+PCT67Bi8+PCT67Bi15 ;
SENDIS3 =PCT67Ci3+PCT67Ci8+PCT67Ci15 ;
SENDIS4 =PCT67Di3+PCT67Di8+PCT67Di15 ;
SENDIS5 =PCT67Ei3+PCT67Ei8+PCT67Ei15 ;
SENDIS6 =PCT67Fi3+PCT67Fi8+PCT67Fi15 ;
SENDIS7 =PCT67Gi3+PCT67Gi8+PCT67Gi15 ;
SENDIS8 =PCT67Hi3+PCT67Hi8+PCT67Hi15 ;
SENDIS9 =PCT67Ii3+PCT67Ii8+PCT67Ii15 ;

**--Calculate Total Physical Disabilities--**;
PHYDIS1 =PCT67Ai4+PCT67Ai9+PCT67Ai16 ;
PHYDIS2 =PCT67Bi4+PCT67Bi9+PCT67Bi16 ;
PHYDIS3 =PCT67Ci4+PCT67Ci9+PCT67Ci16 ;
PHYDIS4 =PCT67Di4+PCT67Di9+PCT67Di16 ;
PHYDIS5 =PCT67Ei4+PCT67Ei9+PCT67Ei16 ;
PHYDIS6 =PCT67Fi4+PCT67Fi9+PCT67Fi16 ;
PHYDIS7 =PCT67Gi4+PCT67Gi9+PCT67Gi16 ;
PHYDIS8 =PCT67Hi4+PCT67Hi9+PCT67Hi16 ;
PHYDIS9 =PCT67Ii4+PCT67Ii9+PCT67Ii16 ;

**--Calculate Total Mental Disabilities--**;
MENDIS1 =PCT67Ai5+PCT67Ai10+PCT67Ai17 ;
MENDIS2 =PCT67Bi5+PCT67Bi10+PCT67Bi17 ;
MENDIS3 =PCT67Ci5+PCT67Ci10+PCT67Ci17 ;
MENDIS4 =PCT67Di5+PCT67Di10+PCT67Di17 ;
MENDIS5 =PCT67Ei5+PCT67Ei10+PCT67Ei17 ;
MENDIS6 =PCT67Fi5+PCT67Fi10+PCT67Fi17 ;
MENDIS7 =PCT67Gi5+PCT67Gi10+PCT67Gi17 ;
MENDIS8 =PCT67Hi5+PCT67Hi10+PCT67Hi17 ;
MENDIS9 =PCT67Ii5+PCT67Ii10+PCT67Ii17 ;

**--Calculate Total Selfcare Disabilities--**;
SECDIS1 =PCT67Ai6+PCT67Ai11+PCT67Ai18 ;
SECDIS2 =PCT67Bi6+PCT67Bi11+PCT67Bi18 ;
SECDIS3 =PCT67Ci6+PCT67Ci11+PCT67Ci18 ;
SECDIS4 =PCT67Di6+PCT67Di11+PCT67Di18 ;
SECDIS5 =PCT67Ei6+PCT67Ei11+PCT67Ei18 ;
SECDIS6 =PCT67Fi6+PCT67Fi11+PCT67Fi18 ;
SECDIS7 =PCT67Gi6+PCT67Gi11+PCT67Gi18 ;
SECDIS8 =PCT67Hi6+PCT67Hi11+PCT67Hi18 ;
SECDIS9 =PCT67Ii6+PCT67Ii11+PCT67Ii18 ;

**--Calculate Percent Total, Sensory, Physical, Mental, Self-Care Disabilities--**;

ARRAY totdisPCT67[9] TOTDIS1-TOTDIS9 ; * avoiding name conflict with TotDis in SecProf ;
ARRAY SENDIS[9] SENDIS1-SENDIS9 ;
ARRAY PHYDIS[9] PHYDIS1-PHYDIS9 ;
ARRAY MENDIS[9] MENDIS1-MENDIS9 ;
ARRAY SECDIS[9] SECDIS1-SECDIS9 ;

ARRAY TOTPCT[9] TOTPCT1-TOTPCT9 ;
ARRAY SENPCT[9] SENPCT1-SENPCT9 ;
ARRAY PHYPCT[9] PHYPCT1-PHYPCT9 ;
ARRAY MENPCT[9] MENPCT1-MENPCT9 ;
ARRAY SECPCT[9] SECPCT1-SECPCT9 ;

DO Race = 1 TO 9 ;
  IF totdisPCT67[Race]=0 THEN DO ;
    TOTPCT[Race]=. ;
    SENPCT[Race]=. ;
    PHYPCT[Race]=. ;
    MENPCT[Race]=. ;
    SECPCT[Race]=. ;
  END ;
  ELSE DO ;
    TOTPCT[Race]=100 ;
    SENPCT[Race]=SENDIS[Race]*100/totdisPCT67[Race] ;
    PHYPCT[Race]=PHYDIS[Race]*100/totdisPCT67[Race] ;
    MENPCT[Race]=MENDIS[Race]*100/totdisPCT67[Race] ;
    SECPCT[Race]=SECDIS[Race]*100/totdisPCT67[Race] ;
  END ;
END ;

*--Generate table PCT67.--**;
PUT # 7
@3'PCT67 A-I. TOTAL DISABILITIES TALLIED BY TYPE OF DISABILITY BY AGE BY RACE (*) AND HISPANIC/LATINO ORIGIN (**)'
/@3'Universe: Total disabilities tallied for the civilian non-institutionalized population 5 years and over with disabilities'
//                                                                                                                              @89'Native'
/                                                                               @63'American'                                   @87'Hawaiian'
/                                                       @51'Black or'           @65'Indian'                                     @88'& Other'
@143 'White'	   
/                                                       @52'African'            @63'& Alaska'                                   @88'Pacific'
@103'Some'              @116 'Two'                                      @138 'Alone, Not'
/                                   @42'White'          @51'American'           @65'Native'             @78 'Asian'             @87'Islander'
@97'Other Race'         @112 'Or More'          @128 'Hispanic'         @140 'Hispanic'
/                                   @42'Alone'          @54'Alone'              @66'Alone'              @78 'Alone'             @90'Alone'
@102'Alone'             @114 'Races'            @127 'or Latino'        @139 'or Latino'

/@3'Age 5 to 15 years --'
/@3' Total disabilities tallied:'   @36  PCT67Ai2 Comma11.@48  PCT67Bi2 Comma11.    @60  PCT67Ci2 Comma11.  @72  PCT67Di2 Comma11.  @84  PCT67Ei2 Comma11.
@96  PCT67Fi2 Comma11.  @108  PCT67Gi2 Comma11. @125  PCT67Hi2 Comma11. @137  PCT67Ii2 Comma11.
/@3'   Sensory disability'          @36  PCT67Ai3 Comma11.@48  PCT67Bi3 Comma11.    @60  PCT67Ci3 Comma11.  @72  PCT67Di3 Comma11.  @84  PCT67Ei3 Comma11.
@96  PCT67Fi3 Comma11.  @108  PCT67Gi3 Comma11. @125  PCT67Hi3 Comma11. @137  PCT67Ii3 Comma11.
/@3'   Physical disability'         @36  PCT67Ai4 Comma11.@48  PCT67Bi4 Comma11.    @60  PCT67Ci4 Comma11.  @72  PCT67Di4 Comma11.  @84  PCT67Ei4 Comma11.
@96  PCT67Fi4 Comma11.  @108  PCT67Gi4 Comma11. @125  PCT67Hi4 Comma11. @137  PCT67Ii4 Comma11.
/@3'   Mental disability'           @36  PCT67Ai5 Comma11.@48  PCT67Bi5 Comma11.    @60  PCT67Ci5 Comma11.  @72  PCT67Di5 Comma11.  @84  PCT67Ei5 Comma11.
@96  PCT67Fi5 Comma11.  @108  PCT67Gi5 Comma11. @125  PCT67Hi5 Comma11. @137  PCT67Ii5 Comma11.
/@3'   Self-care disability'        @36  PCT67Ai6 Comma11.@48  PCT67Bi6 Comma11.    @60  PCT67Ci6 Comma11.  @72  PCT67Di6 Comma11.  @84  PCT67Ei6 Comma11.
@96  PCT67Fi6 Comma11.  @108  PCT67Gi6 Comma11. @125  PCT67Hi6 Comma11. @137  PCT67Ii6 Comma11.

//@3'Age 16 to 64 years --'
/@3' Total disabilities tallied:'   @36  PCT67Ai7 Comma11.@48  PCT67Bi7 Comma11.    @60  PCT67Ci7 Comma11.  @72  PCT67Di7 Comma11.  @84  PCT67Ei7 Comma11.
@96  PCT67Fi7 Comma11.  @108  PCT67Gi7 Comma11. @125  PCT67Hi7 Comma11. @137  PCT67Ii7 Comma11.
/@3'   Sensory disability'          @36  PCT67Ai8 Comma11.@48  PCT67Bi8 Comma11.    @60  PCT67Ci8 Comma11.  @72  PCT67Di8 Comma11.  @84  PCT67Ei8 Comma11.
@96  PCT67Fi8 Comma11.  @108  PCT67Gi8 Comma11. @125  PCT67Hi8 Comma11. @137  PCT67Ii8 Comma11.
/@3'   Physical disability'         @36  PCT67Ai9 Comma11.@48  PCT67Bi9 Comma11.    @60  PCT67Ci9 Comma11.  @72  PCT67Di9 Comma11.  @84  PCT67Ei9 Comma11.
@96  PCT67Fi9 Comma11.  @108  PCT67Gi9 Comma11. @125  PCT67Hi9 Comma11. @137  PCT67Ii9 Comma11.
/@3'   Mental disability'           @36 PCT67Ai10 Comma11.@48 PCT67Bi10 Comma11.    @60 PCT67Ci10 Comma11.  @72 PCT67Di10 Comma11.  @84 PCT67Ei10 Comma11.
@96 PCT67Fi10 Comma11.  @108 PCT67Gi10 Comma11. @125 PCT67Hi10 Comma11. @137 PCT67Ii10 Comma11.
/@3'   Self-care disability'        @36 PCT67Ai11 Comma11.@48 PCT67Bi11 Comma11.    @60 PCT67Ci11 Comma11.  @72 PCT67Di11 Comma11.  @84 PCT67Ei11 Comma11.
@96 PCT67Fi11 Comma11.  @108 PCT67Gi11 Comma11. @125 PCT67Hi11 Comma11. @137 PCT67Ii11 Comma11.
/@3'   Go-outside-home disability***'@36 PCT67Ai12 Comma11.@48 PCT67Bi12 Comma11.   @60 PCT67Ci12 Comma11.  @72 PCT67Di12 Comma11.  @84 PCT67Ei12 Comma11.
@96 PCT67Fi12 Comma11.  @108 PCT67Gi12 Comma11. @125 PCT67Hi12 Comma11. @137 PCT67Ii12 Comma11.
/@3'   Employment disability****'   @36 PCT67Ai13 Comma11.@48 PCT67Bi13 Comma11.   @60 PCT67Ci13 Comma11.  @72 PCT67Di13 Comma11.  @84 PCT67Ei13 Comma11.
@96 PCT67Fi13 Comma11.  @108 PCT67Gi13 Comma11. @125 PCT67Hi13 Comma11. @137 PCT67Ii13 Comma11.

//@3'Age 65 years and over --'
/@3' Total disabilities tallied:'   @36 PCT67Ai14 Comma11.@48 PCT67Bi14 Comma11.    @60 PCT67Ci14 Comma11.  @72 PCT67Di14 Comma11.  @84 PCT67Ei14 Comma11.
@96 PCT67Fi14 Comma11.  @108 PCT67Gi14 Comma11. @125 PCT67Hi14 Comma11. @137 PCT67Ii14 Comma11.
/@3'   Sensory disability'          @36 PCT67Ai15 Comma11.@48 PCT67Bi15 Comma11.    @60 PCT67Ci15 Comma11.  @72 PCT67Di15 Comma11.  @84 PCT67Ei15 Comma11.
@96 PCT67Fi15 Comma11.  @108 PCT67Gi15 Comma11. @125 PCT67Hi15 Comma11. @137 PCT67Ii15 Comma11.
/@3'   Physical disability'         @36 PCT67Ai16 Comma11.@48 PCT67Bi16 Comma11.    @60 PCT67Ci16 Comma11.  @72 PCT67Di16 Comma11.  @84 PCT67Ei16 Comma11.
@96 PCT67Fi16 Comma11.  @108 PCT67Gi16 Comma11. @125 PCT67Hi16 Comma11. @137 PCT67Ii16 Comma11.
/@3'   Mental disability'           @36 PCT67Ai17 Comma11.@48 PCT67Bi17 Comma11.    @60 PCT67Ci17 Comma11.  @72 PCT67Di17 Comma11.  @84 PCT67Ei17 Comma11.
@96 PCT67Fi17 Comma11.  @108 PCT67Gi17 Comma11. @125 PCT67Hi17 Comma11. @137 PCT67Ii17 Comma11.
/@3'   Self-care disability'        @36 PCT67Ai18 Comma11.@48 PCT67Bi18 Comma11.    @60 PCT67Ci18 Comma11.  @72 PCT67Di18 Comma11.  @84 PCT67Ei18 Comma11.
@96 PCT67Fi18 Comma11.  @108 PCT67Gi18 Comma11. @125 PCT67Hi18 Comma11. @137 PCT67Ii18 Comma11.
/@3'   Go-outside-home disability***'@36 PCT67Ai19 Comma11.@48 PCT67Bi19 Comma11.   @60 PCT67Ci19 Comma11.  @72 PCT67Di19 Comma11.  @84 PCT67Ei19 Comma11.
@96 PCT67Fi19 Comma11.  @108 PCT67Gi19 Comma11. @125 PCT67Hi19 Comma11. @137 PCT67Ii19 Comma11.



///@3'Age 5 years and over --'
/@3' Total disabilities tallied:'   @36 TOTDIS1 Comma11.    @48 TOTDIS2 Comma11.@60 TOTDIS3 Comma11.    @72 TOTDIS4 Comma11.    @84 TOTDIS5 Comma11.
@96 TOTDIS6 Comma11.    @108 TOTDIS7 Comma11.   @125 TOTDIS8 Comma11.   @137 TOTDIS9 Comma11.
/@3'   Sensory disability'          @36 SENDIS1 Comma11.    @48 SENDIS2 Comma11.@60 SENDIS3 Comma11.    @72 SENDIS4 Comma11.    @84 SENDIS5 Comma11.
@96 SENDIS6 Comma11.    @108 SENDIS7 Comma11.   @125 SENDIS8 Comma11.   @137 SENDIS9 Comma11.
/@3'   Physical disability'         @36 PHYDIS1 Comma11.    @48 PHYDIS2 Comma11.@60 PHYDIS3 Comma11.    @72 PHYDIS4 Comma11.    @84 PHYDIS5 Comma11.
@96 PHYDIS6 Comma11.    @108 PHYDIS7 Comma11.   @125 PHYDIS8 Comma11.   @137 PHYDIS9 Comma11.
/@3'   Mental disability'           @36 MENDIS1 Comma11.    @48 MENDIS2 Comma11.@60 MENDIS3 Comma11.    @72 MENDIS4 Comma11.    @84 MENDIS5 Comma11.
@96 MENDIS6 Comma11.    @108 MENDIS7 Comma11.   @125 MENDIS8 Comma11.   @137 MENDIS9 Comma11.
/@3'   Self-care disability'        @36 SECDIS1 Comma11.    @48 SECDIS2 Comma11.@60 SECDIS3 Comma11.    @72 SECDIS4 Comma11.    @84 SECDIS5 Comma11.
@96 SECDIS6 Comma11.    @108 SECDIS7 Comma11.   @125 SECDIS8 Comma11.   @137 SECDIS9 Comma11.

//@3'Age 5 years and over --'
/@3' Total disabilities tallied:'   @40 TOTPCT1 6.1'%'  @52 TOTPCT2 6.1'%'      @64 TOTPCT3 6.1'%'          @76 TOTPCT4 6.1'%'          @88 TOTPCT5 6.1'%'
@100 TOTPCT6 6.1'%' @112 TOTPCT7 6.1'%'  @129 TOTPCT8 6.1'%'@141 TOTPCT9 6.1'%'
/@3'   Sensory disability'          @40 SENPCT1 6.1'%'  @52 SENPCT2 6.1'%'      @64 SENPCT3 6.1'%'          @76 SENPCT4 6.1'%'          @88 SENPCT5 6.1'%'
@100 SENPCT6 6.1'%' @112 SENPCT7 6.1'%'  @129 SENPCT8 6.1'%'@141 SENPCT9 6.1'%'
/@3'   Physical disability'         @40 PHYPCT1 6.1'%'  @52 PHYPCT2 6.1'%'      @64 PHYPCT3 6.1'%'          @76 PHYPCT4 6.1'%'          @88 PHYPCT5 6.1'%'
@100 PHYPCT6 6.1'%' @112 PHYPCT7 6.1'%'  @129 PHYPCT8 6.1'%'@141 PHYPCT9 6.1'%'
/@3'   Mental disability'           @40 MENPCT1 6.1'%'  @52 MENPCT2 6.1'%'      @64 MENPCT3 6.1'%'          @76 MENPCT4 6.1'%'          @88 MENPCT5 6.1'%'
@100 MENPCT6 6.1'%' @112 MENPCT7 6.1'%'  @129 MENPCT8 6.1'%'@141 MENPCT9 6.1'%'
/@3'   Self-care disability'        @40 SECPCT1 6.1'%'  @52 SECPCT2 6.1'%'      @64 SECPCT3 6.1'%'          @76 SECPCT4 6.1'%'          @88 SECPCT5 6.1'%'
@100 SECPCT6 6.1'%' @112 SECPCT7 6.1'%'  @129 SECPCT8 6.1'%'@141 SECPCT9 6.1'%'

///
@3  '   * For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
/@3 '  ** Hispanic or Latino origin is NOT considered a race. People who reported themselves as Hispanic or Latino are also counted in the seven racial'
/@8 'categories.'
/@3 ' *** Go-outside-home disability status was determined only for the 16 year old and over population.'
/@3 '**** Employment status by disability status was determined only for the 16 to 64 year old population.';
link HeadFoot;
end;  *<-----------of code to generate 4th page----;

IF INDEX(_pages,'5') THEN DO;

%PutTitle(
   %STR(Disability Profile 5: BY EMPLOYMENT STATUS BY RACE & HISPANIC/LATINO - PART 1: MALES),
   %STR(Dis-5)) ;

**--Draw horizontal lines--**;
PUT #42 @2 147*'-';
PUT #58 @2 147*'-';

**--Draw (internal) vertical lines--**;
do _i_=13 to 56;
  PUT #_I_ @119 ':';
  end;


**--Calculate Total Age 16 to 64 with a Disability--**;
TO16WD1 = PCT68Ai7 + PCT68Ai14;
TO16WD2 = PCT68Bi7 + PCT68Bi14;
TO16WD3 = PCT68Ci7 + PCT68Ci14;
TO16WD4 = PCT68Di7 + PCT68Di14;
TO16WD5 = PCT68Ei7 + PCT68Ei14;
TO16WD6 = PCT68Fi7 + PCT68Fi14;
TO16WD7 = PCT68Gi7 + PCT68Gi14;
TO16WD8 = PCT68Hi7 + PCT68Hi14;
TO16WD9 = PCT68Ii7 + PCT68Ii14;

**--Calculate Total Age 16 to 64 with a Disability Employed--**;
TO16WDE1 = PCT68Ai8 + PCT68Ai15;
TO16WDE2 = PCT68Bi8 + PCT68Bi15;
TO16WDE3 = PCT68Ci8 + PCT68Ci15;
TO16WDE4 = PCT68Di8 + PCT68Di15;
TO16WDE5 = PCT68Ei8 + PCT68Ei15;
TO16WDE6 = PCT68Fi8 + PCT68Fi15;
TO16WDE7 = PCT68Gi8 + PCT68Gi15;
TO16WDE8 = PCT68Hi8 + PCT68Hi15;
TO16WDE9 = PCT68Ii8 + PCT68Ii15;

**--Calculate Total Age 16 to 64 with a Disability Not Employed--**;
TO16WDNE1 = PCT68Ai9 + PCT68Ai16;
TO16WDNE2 = PCT68Bi9 + PCT68Bi16;
TO16WDNE3 = PCT68Ci9 + PCT68Ci16;
TO16WDNE4 = PCT68Di9 + PCT68Di16;
TO16WDNE5 = PCT68Ei9 + PCT68Ei16;
TO16WDNE6 = PCT68Fi9 + PCT68Fi16;
TO16WDNE7 = PCT68Gi9 + PCT68Gi16;
TO16WDNE8 = PCT68Hi9 + PCT68Hi16;
TO16WDNE9 = PCT68Ii9 + PCT68Ii16;

**--Calculate Total Age 16 to 64 No Disability--**;
TO16ND1 = PCT68Ai10 + PCT68Ai17;
TO16ND2 = PCT68Bi10 + PCT68Bi17;
TO16ND3 = PCT68Ci10 + PCT68Ci17;
TO16ND4 = PCT68Di10 + PCT68Di17;
TO16ND5 = PCT68Ei10 + PCT68Ei17;
TO16ND6 = PCT68Fi10 + PCT68Fi17;
TO16ND7 = PCT68Gi10 + PCT68Gi17;
TO16ND8 = PCT68Hi10 + PCT68Hi17;
TO16ND9 = PCT68Ii10 + PCT68Ii17;

**--Calculate Total Age 16 to 64 No Disability Employed--**;
TO16NDE1 = PCT68Ai11 + PCT68Ai18;
TO16NDE2 = PCT68Bi11 + PCT68Bi18;
TO16NDE3 = PCT68Ci11 + PCT68Ci18;
TO16NDE4 = PCT68Di11 + PCT68Di18;
TO16NDE5 = PCT68Ei11 + PCT68Ei18;
TO16NDE6 = PCT68Fi11 + PCT68Fi18;
TO16NDE7 = PCT68Gi11 + PCT68Gi18;
TO16NDE8 = PCT68Hi11 + PCT68Hi18;
TO16NDE9 = PCT68Ii11 + PCT68Ii18;

**--Calculate Total Age 16 to 64 No Disability Not Employed--**;
TO16NDNE1 = PCT68Ai12 + PCT68Ai19;
TO16NDNE2 = PCT68Bi12 + PCT68Bi19;
TO16NDNE3 = PCT68Ci12 + PCT68Ci19;
TO16NDNE4 = PCT68Di12 + PCT68Di19;
TO16NDNE5 = PCT68Ei12 + PCT68Ei19;
TO16NDNE6 = PCT68Fi12 + PCT68Fi19;
TO16NDNE7 = PCT68Gi12 + PCT68Gi19;
TO16NDNE8 = PCT68Hi12 + PCT68Hi19;
TO16NDNE9 = PCT68Ii12 + PCT68Ii19;

**--Calculate Total Age 65 years and over with a Disability--**;
TO65WD1 = PCT68Ai21 + PCT68Ai24;
TO65WD2 = PCT68Bi21 + PCT68Bi24;
TO65WD3 = PCT68Ci21 + PCT68Ci24;
TO65WD4 = PCT68Di21 + PCT68Di24;
TO65WD5 = PCT68Ei21 + PCT68Ei24;
TO65WD6 = PCT68Fi21 + PCT68Fi24;
TO65WD7 = PCT68Gi21 + PCT68Gi24;
TO65WD8 = PCT68Hi21 + PCT68Hi24;
TO65WD9 = PCT68Ii21 + PCT68Ii24;

**--Calculate Total Age 65 years and over No Disability--**;
TO65ND1 = PCT68Ai22 + PCT68Ai25;
TO65ND2 = PCT68Bi22 + PCT68Bi25;
TO65ND3 = PCT68Ci22 + PCT68Ci25;
TO65ND4 = PCT68Di22 + PCT68Di25;
TO65ND5 = PCT68Ei22 + PCT68Ei25;
TO65ND6 = PCT68Fi22 + PCT68Fi25;
TO65ND7 = PCT68Gi22 + PCT68Gi25;
TO65ND8 = PCT68Hi22 + PCT68Hi25;
TO65ND9 = PCT68Ii22 + PCT68Ii25;

**--Calculate Total Age 5 and over with a Disability--**;
TO5WD1 = PCT68Ai4+TO16WD1+TO65WD1;
TO5WD2 = PCT68Bi4+TO16WD2+TO65WD2;
TO5WD3 = PCT68Ci4+TO16WD3+TO65WD3;
TO5WD4 = PCT68Di4+TO16WD4+TO65WD4;
TO5WD5 = PCT68Ei4+TO16WD5+TO65WD5;
TO5WD6 = PCT68Fi4+TO16WD6+TO65WD6;
TO5WD7 = PCT68Gi4+TO16WD7+TO65WD7;
TO5WD8 = PCT68Hi4+TO16WD8+TO65WD8;
TO5WD9 = PCT68Ii4+TO16WD9+TO65WD9;

**--Calculate Total Age 5 and over No Disability--**;
TO5ND1 = PCT68Ai5+TO16ND1+TO65ND1;
TO5ND2 = PCT68Bi5+TO16ND2+TO65ND2;
TO5ND3 = PCT68Ci5+TO16ND3+TO65ND3;
TO5ND4 = PCT68Di5+TO16ND4+TO65ND4;
TO5ND5 = PCT68Ei5+TO16ND5+TO65ND5;
TO5ND6 = PCT68Fi5+TO16ND6+TO65ND6;
TO5ND7 = PCT68Gi5+TO16ND7+TO65ND7;
TO5ND8 = PCT68Hi5+TO16ND8+TO65ND8;
TO5ND9 = PCT68Ii5+TO16ND9+TO65ND9;

*--Generate table PCT68.--**;

PUT # 7
@3'PCT68 A-I. DISABILITY STATUS BY EMPLOYMENT STATUS(*) BY AGE FOR NON-INSTITUTIONALIZED MALES 5 AND OVER BY RACE(**) & HISPANIC ORIGIN(***)'
/@3'Universe: Civilian non-institutionalized population 5 years and over [PART 1 OF 2 - MALES]'
//                                                      @48'Black or'              @60'  American'                               @83 '     Native'
@139 'White'
/                                                       @48' African'              @60'  Indian &'                               @83 '  Hawaiian/'
@102'Some'              @114 'Two'                                      @134 'Alone, Not'
/                             @39'White'                @48'American'              @60'    Alaska'       @76 'Asian'             @83 'Oth Pacific'
@96'Other Race'         @110 'or More'            @124 'Hispanic'          @136 'Hispanic'
/                             @39'Alone'                @48'   Alone'              @60'Nat. Alone'       @76 'Alone'             @83 ' Isl. Alone'
@101'Alone'             @112 'Races'            @123 'or Latino'         @135 'or Latino'
/@3'MALE:'
/@3'  Age 5 to 15 years:'     @34  PCT68Ai3 Comma10.    @46  PCT68Bi3 Comma10.  @60 PCT68Ci3 Comma10.   @71  PCT68Di3 Comma10.  @84  PCT68Ei3 Comma10.
@96  PCT68Fi3 Comma10.  @107  PCT68Gi3 Comma10. @122  PCT68Hi3 Comma10. @134  PCT68Ii3 Comma10.
/@3'      With a disability'  @34  PCT68Ai4 Comma10.    @46  PCT68Bi4 Comma10.  @60 PCT68Ci4 Comma10.   @71  PCT68Di4 Comma10.  @84  PCT68Ei4 Comma10.
@96  PCT68Fi4 Comma10.  @107  PCT68Gi4 Comma10. @122  PCT68Hi4 Comma10. @134  PCT68Ii4 Comma10.
/@3'      No disability'      @34  PCT68Ai5 Comma10.    @46  PCT68Bi5 Comma10.  @60 PCT68Ci5 Comma10.   @71  PCT68Di5 Comma10.  @84  PCT68Ei5 Comma10.
@96  PCT68Fi5 Comma10.  @107  PCT68Gi5 Comma10. @122  PCT68Hi5 Comma10. @134  PCT68Ii5 Comma10.

//@3'  Age 16 to 20 years:'   @34  PCT68Ai6 Comma10.    @46  PCT68Bi6 Comma10.  @60 PCT68Ci6 Comma10.   @71  PCT68Di6 Comma10.  @84  PCT68Ei6 Comma10.
@96  PCT68Fi6 Comma10.  @107  PCT68Gi6 Comma10. @122  PCT68Hi6 Comma10. @134  PCT68Ii6 Comma10.
/@3'      With a disability:' @34  PCT68Ai7 Comma10.    @46  PCT68Bi7 Comma10.  @60 PCT68Ci7 Comma10.   @71  PCT68Di7 Comma10.  @84  PCT68Ei7 Comma10.
@96  PCT68Fi7 Comma10.  @107  PCT68Gi7 Comma10. @122  PCT68Hi7 Comma10. @134  PCT68Ii7 Comma10.
/@3'         Employed '       @34  PCT68Ai8 Comma10.    @46  PCT68Bi8 Comma10.  @60 PCT68Ci8 Comma10.   @71  PCT68Di8 Comma10.  @84  PCT68Ei8 Comma10.
@96  PCT68Fi8 Comma10.  @107  PCT68Gi8 Comma10. @122  PCT68Hi8 Comma10. @134  PCT68Ii8 Comma10.
/@3'         Not employed'    @34  PCT68Ai9 Comma10.    @46  PCT68Bi9 Comma10.  @60 PCT68Ci9 Comma10.   @71  PCT68Di9 Comma10.  @84  PCT68Ei9 Comma10.
@96  PCT68Fi9 Comma10.  @107  PCT68Gi9 Comma10. @122  PCT68Hi9 Comma10. @134  PCT68Ii9 Comma10.
/@3'      No disability:'     @34 PCT68Ai10 Comma10.    @46 PCT68Bi10 Comma10.  @60PCT68Ci10 Comma10.   @71 PCT68Di10 Comma10.  @84 PCT68Ei10 Comma10.
@96 PCT68Fi10 Comma10.  @107 PCT68Gi10 Comma10. @122 PCT68Hi10 Comma10. @134 PCT68Ii10 Comma10.
/@3'         Employed'        @34 PCT68Ai11 Comma10.    @46 PCT68Bi11 Comma10.  @60PCT68Ci11 Comma10.   @71 PCT68Di11 Comma10.  @84 PCT68Ei11 Comma10.
@96 PCT68Fi11 Comma10.  @107 PCT68Gi11 Comma10. @122 PCT68Hi11 Comma10. @134 PCT68Ii11 Comma10.
/@3'         Not employed'    @34 PCT68Ai12 Comma10.    @46 PCT68Bi12 Comma10.  @60PCT68Ci12 Comma10.   @71 PCT68Di12 Comma10.  @84 PCT68Ei12 Comma10.
@96 PCT68Fi12 Comma10.  @107 PCT68Gi12 Comma10. @122 PCT68Hi12 Comma10. @134 PCT68Ii12 Comma10.

//@3'  Age 21 to 64 years:'   @34 PCT68Ai13 Comma10.    @46 PCT68Bi13 Comma10.  @60PCT68Ci13 Comma10.   @71 PCT68Di13 Comma10.  @84 PCT68Ei13 Comma10.
@96 PCT68Fi13 Comma10.  @107 PCT68Gi13 Comma10. @122 PCT68Hi13 Comma10. @134 PCT68Ii13 Comma10.
/@3'      With a disability:' @34 PCT68Ai14 Comma10.    @46 PCT68Bi14 Comma10.  @60PCT68Ci14 Comma10.   @71 PCT68Di14 Comma10.  @84 PCT68Ei14 Comma10.
@96 PCT68Fi14 Comma10.  @107 PCT68Gi14 Comma10. @122 PCT68Hi14 Comma10. @134 PCT68Ii14 Comma10.
/@3'         Employed'        @34 PCT68Ai15 Comma10.    @46 PCT68Bi15 Comma10.  @60PCT68Ci15 Comma10.   @71 PCT68Di15 Comma10.  @84 PCT68Ei15 Comma10.
@96 PCT68Fi15 Comma10.  @107 PCT68Gi15 Comma10. @122 PCT68Hi15 Comma10. @134 PCT68Ii15 Comma10.
/@3'         Not employed'    @34 PCT68Ai16 Comma10.    @46 PCT68Bi16 Comma10.  @60PCT68Ci16 Comma10.   @71 PCT68Di16 Comma10.  @84 PCT68Ei16 Comma10.
@96 PCT68Fi16 Comma10.  @107 PCT68Gi16 Comma10. @122 PCT68Hi16 Comma10. @134 PCT68Ii16 Comma10.
/@3'      No disability:'     @34 PCT68Ai17 Comma10.    @46 PCT68Bi17 Comma10.  @60PCT68Ci17 Comma10.   @71 PCT68Di17 Comma10.  @84 PCT68Ei17 Comma10.
@96 PCT68Fi17 Comma10.  @107 PCT68Gi17 Comma10. @122 PCT68Hi17 Comma10. @134 PCT68Ii17 Comma10.
/@3'         Employed'        @34 PCT68Ai18 Comma10.    @46 PCT68Bi18 Comma10.  @60PCT68Ci18 Comma10.   @71 PCT68Di18 Comma10.  @84 PCT68Ei18 Comma10.
@96 PCT68Fi18 Comma10.  @107 PCT68Gi18 Comma10. @122 PCT68Hi18 Comma10. @134 PCT68Ii18 Comma10.
/@3'         Not employed'    @34 PCT68Ai19 Comma10.    @46 PCT68Bi19 Comma10.  @60PCT68Ci19 Comma10.   @71 PCT68Di19 Comma10.  @84 PCT68Ei19 Comma10.
@96 PCT68Fi19 Comma10.  @107 PCT68Gi19 Comma10. @122 PCT68Hi19 Comma10. @134 PCT68Ii19 Comma10.

//@3'  Age 65 to 74 years:'   @34 PCT68Ai20 Comma10.    @46 PCT68Bi20 Comma10.  @60PCT68Ci20 Comma10.   @71 PCT68Di20 Comma10.  @84 PCT68Ei20 Comma10.
@96 PCT68Fi20 Comma10.  @107 PCT68Gi20 Comma10. @122 PCT68Hi20 Comma10. @134 PCT68Ii20 Comma10.
/@3'      With a disability'  @34 PCT68Ai21 Comma10.    @46 PCT68Bi21 Comma10.  @60PCT68Ci21 Comma10.   @71 PCT68Di21 Comma10.  @84 PCT68Ei21 Comma10.
@96 PCT68Fi21 Comma10.  @107 PCT68Gi21 Comma10. @122 PCT68Hi21 Comma10. @134 PCT68Ii21 Comma10.
/@3'      No disability'      @34 PCT68Ai22 Comma10.    @46 PCT68Bi22 Comma10.  @60PCT68Ci22 Comma10.   @71 PCT68Di22 Comma10.  @84 PCT68Ei22 Comma10.
@96 PCT68Fi22 Comma10.  @107 PCT68Gi22 Comma10. @122 PCT68Hi22 Comma10. @134 PCT68Ii22 Comma10.

//@3'  Age 75 years and over:'@34 PCT68Ai23 Comma10.    @46 PCT68Bi23 Comma10.  @60PCT68Ci23 Comma10.   @71 PCT68Di23 Comma10.  @84 PCT68Ei23 Comma10.
@96 PCT68Fi23 Comma10.  @107 PCT68Gi23 Comma10. @122 PCT68Hi23 Comma10. @134 PCT68Ii23 Comma10.
/@3'      With a disability'  @34 PCT68Ai24 Comma10.    @46 PCT68Bi24 Comma10.  @60PCT68Ci24 Comma10.   @71 PCT68Di24 Comma10.  @84 PCT68Ei24 Comma10.
@96 PCT68Fi24 Comma10.  @107 PCT68Gi24 Comma10. @122 PCT68Hi24 Comma10. @134 PCT68Ii24 Comma10.
/@3'      No disability'      @34 PCT68Ai25 Comma10.    @46 PCT68Bi25 Comma10.  @60PCT68Ci25 Comma10.   @71 PCT68Di25 Comma10.  @84 PCT68Ei25 Comma10.
@96 PCT68Fi25 Comma10.  @107 PCT68Gi25 Comma10. @122 PCT68Hi25 Comma10. @134 PCT68Ii25 Comma10.

//@3'  Age 5 years and over:'
/@3'      With a disability'  @34 TO5WD1    Comma10.    @46 TO5WD2    Comma10. @60 TO5WD3    Comma10. @71 TO5WD4    Comma10. @84 TO5WD5    Comma10. @96 TO5WD6    Comma10.
@107 TO5WD7    Comma10. @122 TO5WD8    Comma10. @134 TO5WD9    Comma10.
/@3'      No disability'      @34 TO5ND1    Comma10.    @46 TO5ND2    Comma10. @60 TO5ND3    Comma10. @71 TO5ND4    Comma10. @84 TO5ND5    Comma10. @96 TO5ND6    Comma10.
@107 TO5ND7    Comma10. @122 TO5ND8    Comma10. @134 TO5ND9    Comma10.
//@3'  Age 16 to 64 years:'
/@3'      With a disability:' @34 TO16WD1   Comma10.    @46 TO16WD2   Comma10. @60 TO16WD3   Comma10. @71 TO16WD4   Comma10. @84 TO16WD5   Comma10. @96 TO16WD6   Comma10.
@107 TO16WD7   Comma10. @122 TO16WD8   Comma10. @134 TO16WD9   Comma10.
/@3'         Employed'        @34 TO16WDE1  Comma10.    @46 TO16WDE2  Comma10. @60 TO16WDE3  Comma10. @71 TO16WDE4  Comma10. @84 TO16WDE5  Comma10. @96 TO16WDE6  Comma10.
@107 TO16WDE7  Comma10. @122 TO16WDE8  Comma10. @134 TO16WDE9  Comma10.
/@3'         Not employed'    @34 TO16WDNE1 Comma10.    @46 TO16WDNE2 Comma10. @60 TO16WDNE3 Comma10. @71 TO16WDNE4 Comma10. @84 TO16WDNE5 Comma10. @96 TO16WDNE6 Comma10.
@107 TO16WDNE7 Comma10. @122 TO16WDNE8 Comma10. @134 TO16WDNE9 Comma10.
/@3'      No disability:'     @34 TO16ND1   Comma10.    @46 TO16ND2   Comma10. @60 TO16ND3   Comma10. @71 TO16ND4   Comma10. @84 TO16ND5   Comma10. @96 TO16ND6   Comma10.
@107 TO16ND7   Comma10. @122 TO16ND8   Comma10. @134 TO16ND9   Comma10.
/@3'         Employed'        @34 TO16NDE1  Comma10.    @46 TO16NDE2  Comma10. @60 TO16NDE3  Comma10. @71 TO16NDE4  Comma10. @84 TO16NDE5  Comma10. @96 TO16NDE6  Comma10.
@107 TO16NDE7  Comma10. @122 TO16NDE8  Comma10. @134 TO16NDE9  Comma10.
/@3'         Not employed'    @34 TO16NDNE1 Comma10.    @46 TO16NDNE2 Comma10. @60 TO16NDNE3 Comma10. @71 TO16NDNE4 Comma10. @84 TO16NDNE5 Comma10. @96 TO16NDNE6 Comma10.
@107 TO16NDNE7 Comma10. @122 TO16NDNE8 Comma10. @134 TO16NDNE9 Comma10.
//@3'  Age 65 years and over:'
/@3'      With a disability'  @34 TO65WD1   Comma10.    @46 TO65WD2   Comma10. @60 TO65WD3   Comma10. @71 TO65WD4   Comma10. @84 TO65WD5   Comma10. @96 TO65WD6   Comma10.
@107 TO65WD7   Comma10. @122 TO65WD8   Comma10. @134 TO65WD9   Comma10.
/@3'      No disability'      @34 TO65ND1   Comma10.    @46 TO65ND2   Comma10. @60 TO65ND3   Comma10. @71 TO65ND4   Comma10. @84 TO65ND5   Comma10. @96 TO65ND6   Comma10.
@107 TO65ND7   Comma10. @122 TO65ND8   Comma10. @134 TO65ND9   Comma10.
//@2'  * Employment status by disability status was determined only for the 16 to 64 year old population.'
/@2 ' ** For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
/@2 '*** Hispanic/Latino origin is NOT considered a race. People who reported as Hispanic/Latino are also counted in the seven racial categories.';
link HeadFoot;
end;  *<-----------of code to generate 5th page----;

IF INDEX(_pages,'6') THEN DO;

%PutTitle(
   %STR(Disability Profile 6: BY EMPLOYMENT STATUS BY RACE & HISPANIC/LATINO - PART 2: FEMALES),
   %STR(Dis-6)) ;

**--Draw horizontal lines--**;
PUT #42 @2 147*'-';
PUT #58 @2 147*'-';

**--Draw (internal) vertical lines--**;
do _i_=13 to 56;
  PUT #_I_ @119 ':';
  end;



**--Calculate Total Age 16 to 64 with a Disability--**;
TO16WD1 = PCT68Ai31 + PCT68Ai38;
TO16WD2 = PCT68Bi31 + PCT68Bi38;
TO16WD3 = PCT68Ci31 + PCT68Ci38;
TO16WD4 = PCT68Di31 + PCT68Di38;
TO16WD5 = PCT68Ei31 + PCT68Ei38;
TO16WD6 = PCT68Fi31 + PCT68Fi38;
TO16WD7 = PCT68Gi31 + PCT68Gi38;
TO16WD8 = PCT68Hi31 + PCT68Hi38;
TO16WD9 = PCT68Ii31 + PCT68Ii38;

**--Calculate Total Age 16 to 64 with a Disability Employed--**;
TO16WDE1 = PCT68Ai32 + PCT68Ai39;
TO16WDE2 = PCT68Bi32 + PCT68Bi39;
TO16WDE3 = PCT68Ci32 + PCT68Ci39;
TO16WDE4 = PCT68Di32 + PCT68Di39;
TO16WDE5 = PCT68Ei32 + PCT68Ei39;
TO16WDE6 = PCT68Fi32 + PCT68Fi39;
TO16WDE7 = PCT68Gi32 + PCT68Gi39;
TO16WDE8 = PCT68Hi32 + PCT68Hi39;
TO16WDE9 = PCT68Ii32 + PCT68Ii39;

**--Calculate Total Age 16 to 64 with a Disability Not Employed--**;
TO16WDNE1 = PCT68Ai33 + PCT68Ai40;
TO16WDNE2 = PCT68Bi33 + PCT68Bi40;
TO16WDNE3 = PCT68Ci33 + PCT68Ci40;
TO16WDNE4 = PCT68Di33 + PCT68Di40;
TO16WDNE5 = PCT68Ei33 + PCT68Ei40;
TO16WDNE6 = PCT68Fi33 + PCT68Fi40;
TO16WDNE7 = PCT68Gi33 + PCT68Gi40;
TO16WDNE8 = PCT68Hi33 + PCT68Hi40;
TO16WDNE9 = PCT68Ii33 + PCT68Ii40;

**--Calculate Total Age 16 to 64 No Disability--**;
TO16ND1 = PCT68Ai34 + PCT68Ai41;
TO16ND2 = PCT68Bi34 + PCT68Bi41;
TO16ND3 = PCT68Ci34 + PCT68Ci41;
TO16ND4 = PCT68Di34 + PCT68Di41;
TO16ND5 = PCT68Ei34 + PCT68Ei41;
TO16ND6 = PCT68Fi34 + PCT68Fi41;
TO16ND7 = PCT68Gi34 + PCT68Gi41;
TO16ND8 = PCT68Hi34 + PCT68Hi41;
TO16ND9 = PCT68Ii34 + PCT68Ii41;

**--Calculate Total Age 16 to 64 No Disability Employed--**;
TO16NDE1 = PCT68Ai35 + PCT68Ai42;
TO16NDE2 = PCT68Bi35 + PCT68Bi42;
TO16NDE3 = PCT68Ci35 + PCT68Ci42;
TO16NDE4 = PCT68Di35 + PCT68Di42;
TO16NDE5 = PCT68Ei35 + PCT68Ei42;
TO16NDE6 = PCT68Fi35 + PCT68Fi42;
TO16NDE7 = PCT68Gi35 + PCT68Gi42;
TO16NDE8 = PCT68Hi35 + PCT68Hi42;
TO16NDE9 = PCT68Ii35 + PCT68Ii42;

**--Calculate Total Age 16 to 64 No Disability Not Employed--**;
TO16NDNE1 = PCT68Ai36 + PCT68Ai43;
TO16NDNE2 = PCT68Bi36 + PCT68Bi43;
TO16NDNE3 = PCT68Ci36 + PCT68Ci43;
TO16NDNE4 = PCT68Di36 + PCT68Di43;
TO16NDNE5 = PCT68Ei36 + PCT68Ei43;
TO16NDNE6 = PCT68Fi36 + PCT68Fi43;
TO16NDNE7 = PCT68Gi36 + PCT68Gi43;
TO16NDNE8 = PCT68Hi36 + PCT68Hi43;
TO16NDNE9 = PCT68Ii36 + PCT68Ii43;

**--Calculate Total Age 65 years and over with a Disability--**;
TO65WD1 = PCT68Ai45 + PCT68Ai48;
TO65WD2 = PCT68Bi45 + PCT68Bi48;
TO65WD3 = PCT68Ci45 + PCT68Ci48;
TO65WD4 = PCT68Di45 + PCT68Di48;
TO65WD5 = PCT68Ei45 + PCT68Ei48;
TO65WD6 = PCT68Fi45 + PCT68Fi48;
TO65WD7 = PCT68Gi45 + PCT68Gi48;
TO65WD8 = PCT68Hi45 + PCT68Hi48;
TO65WD9 = PCT68Ii45 + PCT68Ii48;

**--Calculate Total Age 65 years and over No Disability--**;
TO65ND1 = PCT68Ai46 + PCT68Ai49;
TO65ND2 = PCT68Bi46 + PCT68Bi49;
TO65ND3 = PCT68Ci46 + PCT68Ci49;
TO65ND4 = PCT68Di46 + PCT68Di49;
TO65ND5 = PCT68Ei46 + PCT68Ei49;
TO65ND6 = PCT68Fi46 + PCT68Fi49;
TO65ND7 = PCT68Gi46 + PCT68Gi49;
TO65ND8 = PCT68Hi46 + PCT68Hi49;
TO65ND9 = PCT68Ii46 + PCT68Ii49;

**--Calculate Total Age 5 and over with a Disability--**;
TO5WD1 = PCT68Ai28+TO16WD1+TO65WD1;
TO5WD2 = PCT68Bi28+TO16WD2+TO65WD2;
TO5WD3 = PCT68Ci28+TO16WD3+TO65WD3;
TO5WD4 = PCT68Di28+TO16WD4+TO65WD4;
TO5WD5 = PCT68Ei28+TO16WD5+TO65WD5;
TO5WD6 = PCT68Fi28+TO16WD6+TO65WD6;
TO5WD7 = PCT68Gi28+TO16WD7+TO65WD7;
TO5WD8 = PCT68Hi28+TO16WD8+TO65WD8;
TO5WD9 = PCT68Ii28+TO16WD9+TO65WD9;

**--Calculate Total Age 5 and over No Disability--**;
TO5ND1 = PCT68Ai29+TO16ND1+TO65ND1;
TO5ND2 = PCT68Bi29+TO16ND2+TO65ND2;
TO5ND3 = PCT68Ci29+TO16ND3+TO65ND3;
TO5ND4 = PCT68Di29+TO16ND4+TO65ND4;
TO5ND5 = PCT68Ei29+TO16ND5+TO65ND5;
TO5ND6 = PCT68Fi29+TO16ND6+TO65ND6;
TO5ND7 = PCT68Gi29+TO16ND7+TO65ND7;
TO5ND8 = PCT68Hi29+TO16ND8+TO65ND8;
TO5ND9 = PCT68Ii29+TO16ND9+TO65ND9;

*--Generate table PCT68.--**;

PUT # 7
@3'PCT68 A-I. DISABILITY STATUS BY EMPLOYMENT STATUS(*) BY AGE FOR NON-INSTITUTIONALIZED FEMALES 5 AND OVER BY RACE (**) & HISPANIC ORIGIN(***)'
/@3'Universe: Civilian non-institutionalized population 5 years and over [PART 2 OF 2 - FEMALES] '
//                                                      @48'Black or'              @60'  American'                               @83 '     Native'
@139 'White'
/                                                       @48' African'              @60'  Indian &'                               @83 '  Hawaiian/'
@102'Some'              @114 'Two'                                      @134 'Alone, Not'
/                             @39'White'                @48'American'              @60'    Alaska'       @76 'Asian'             @83 'Oth Pacific'
@96'Other Race'         @110 'or More'            @124 'Hispanic'          @136 'Hispanic'
/                             @39'Alone'                @48'   Alone'              @60'Nat. Alone'       @76 'Alone'             @83 ' Isl. Alone'
@101'Alone'             @112 'Races'            @123 'or Latino'         @135 'or Latino'
/@3'FEMALE:'
/@3'  Age 5 to 15 years:'      @34 PCT68Ai27 comma10.@46 PCT68Bi27 comma10.@60 PCT68Ci27 comma10.@71 PCT68Di27 comma10.@84 PCT68Ei27 comma10.@95 PCT68Fi27 comma10.
@107 PCT68Gi27 comma10.@122 PCT68Hi27 comma10.@134 PCT68Ii27 comma10.
/@3'      With a disability'   @34 PCT68Ai28 comma10.@46 PCT68Bi28 comma10.@60 PCT68Ci28 comma10.@71 PCT68Di28 comma10.@84 PCT68Ei28 comma10.@95 PCT68Fi28 comma10.
@107 PCT68Gi28 comma10.@122 PCT68Hi28 comma10.@134 PCT68Ii28 comma10.
/@3'      No disability'       @34 PCT68Ai29 comma10.@46 PCT68Bi29 comma10.@60 PCT68Ci29 comma10.@71 PCT68Di29 comma10.@84 PCT68Ei29 comma10.@95 PCT68Fi29 comma10.
@107 PCT68Gi29 comma10.@122 PCT68Hi29 comma10.@134 PCT68Ii29 comma10.

//@3'  Age 16 to 20 years:'    @34 PCT68Ai30 comma10.@46 PCT68Bi30 comma10.@60 PCT68Ci30 comma10.@71 PCT68Di30 comma10.@84 PCT68Ei30 comma10.@95 PCT68Fi30 comma10.
@107 PCT68Gi30 comma10.@122 PCT68Hi30 comma10.@134 PCT68Ii30 comma10.
/@3'      With a disability:'  @34 PCT68Ai31 comma10.@46 PCT68Bi31 comma10.@60 PCT68Ci31 comma10.@71 PCT68Di31 comma10.@84 PCT68Ei31 comma10.@95 PCT68Fi31 comma10.
@107 PCT68Gi31 comma10.@122 PCT68Hi31 comma10.@134 PCT68Ii31 comma10.
/@3'         Employed '        @34 PCT68Ai32 comma10.@46 PCT68Bi32 comma10.@60 PCT68Ci32 comma10.@71 PCT68Di32 comma10.@84 PCT68Ei32 comma10.@95 PCT68Fi32 comma10.
@107 PCT68Gi32 comma10.@122 PCT68Hi32 comma10.@134 PCT68Ii32 comma10.
/@3'         Not employed'     @34 PCT68Ai33 comma10.@46 PCT68Bi33 comma10.@60 PCT68Ci33 comma10.@71 PCT68Di33 comma10.@84 PCT68Ei33 comma10.@95 PCT68Fi33 comma10.
@107 PCT68Gi33 comma10.@122 PCT68Hi33 comma10.@134 PCT68Ii33 comma10.
/@3'      No disability:'      @34 PCT68Ai34 comma10.@46 PCT68Bi34 comma10.@60 PCT68Ci34 comma10.@71 PCT68Di34 comma10.@84 PCT68Ei34 comma10.@95 PCT68Fi34 comma10.
@107 PCT68Gi34 comma10.@122 PCT68Hi34 comma10.@134 PCT68Ii34 comma10.
/@3'         Employed'         @34 PCT68Ai35 comma10.@46 PCT68Bi35 comma10.@60 PCT68Ci35 comma10.@71 PCT68Di35 comma10.@84 PCT68Ei35 comma10.@95 PCT68Fi35 comma10.
@107 PCT68Gi35 comma10.@122 PCT68Hi35 comma10.@134 PCT68Ii35 comma10.
/@3'         Not employed'     @34 PCT68Ai36 comma10.@46 PCT68Bi36 comma10.@60 PCT68Ci36 comma10.@71 PCT68Di36 comma10.@84 PCT68Ei36 comma10.@95 PCT68Fi36 comma10.
@107 PCT68Gi36 comma10.@122 PCT68Hi36 comma10.@134 PCT68Ii36 comma10.

//@3'  Age 21 to 64 years:'    @34 PCT68Ai37 comma10.@46 PCT68Bi37 comma10.@60 PCT68Ci37 comma10.@71 PCT68Di37 comma10.@84 PCT68Ei37 comma10.@95 PCT68Fi37 comma10.
@107 PCT68Gi37 comma10.@122 PCT68Hi37 comma10.@134 PCT68Ii37 comma10.
/@3'      With a disability:'  @34 PCT68Ai38 comma10.@46 PCT68Bi38 comma10.@60 PCT68Ci38 comma10.@71 PCT68Di38 comma10.@84 PCT68Ei38 comma10.@95 PCT68Fi38 comma10.
@107 PCT68Gi38 comma10.@122 PCT68Hi38 comma10.@134 PCT68Ii38 comma10.
/@3'         Employed'         @34 PCT68Ai39 comma10.@46 PCT68Bi39 comma10.@60 PCT68Ci39 comma10.@71 PCT68Di39 comma10.@84 PCT68Ei39 comma10.@95 PCT68Fi39 comma10.
@107 PCT68Gi39 comma10.@122 PCT68Hi39 comma10.@134 PCT68Ii39 comma10.
/@3'         Not employed'     @34 PCT68Ai40 comma10.@46 PCT68Bi40 comma10.@60 PCT68Ci40 comma10.@71 PCT68Di40 comma10.@84 PCT68Ei40 comma10.@95 PCT68Fi40 comma10.
@107 PCT68Gi40 comma10.@122 PCT68Hi40 comma10.@134 PCT68Ii40 comma10.
/@3'      No disability:'      @34 PCT68Ai41 comma10.@46 PCT68Bi41 comma10.@60 PCT68Ci41 comma10.@71 PCT68Di41 comma10.@84 PCT68Ei41 comma10.@95 PCT68Fi41 comma10.
@107 PCT68Gi41 comma10.@122 PCT68Hi41 comma10.@134 PCT68Ii41 comma10.
/@3'         Employed'         @34 PCT68Ai42 comma10.@46 PCT68Bi42 comma10.@60 PCT68Ci42 comma10.@71 PCT68Di42 comma10.@84 PCT68Ei42 comma10.@95 PCT68Fi42 comma10.
@107 PCT68Gi42 comma10.@122 PCT68Hi42 comma10.@134 PCT68Ii42 comma10.
/@3'         Not employed'     @34 PCT68Ai43 comma10.@46 PCT68Bi43 comma10.@60 PCT68Ci43 comma10.@71 PCT68Di43 comma10.@84 PCT68Ei43 comma10.@95 PCT68Fi43 comma10.
@107 PCT68Gi43 comma10.@122 PCT68Hi43 comma10.@134 PCT68Ii43 comma10.

//@3'  Age 65 to 74 years:'    @34 PCT68Ai44 comma10.@46 PCT68Bi44 comma10.@60 PCT68Ci44 comma10.@71 PCT68Di44 comma10.@84 PCT68Ei44 comma10.@95 PCT68Fi44 comma10.
@107 PCT68Gi44 comma10.@122 PCT68Hi44 comma10.@134 PCT68Ii44 comma10.
/@3'      With a disability'   @34 PCT68Ai45 comma10.@46 PCT68Bi45 comma10.@60 PCT68Ci45 comma10.@71 PCT68Di45 comma10.@84 PCT68Ei45 comma10.@95 PCT68Fi45 comma10.
@107 PCT68Gi45 comma10.@122 PCT68Hi45 comma10.@134 PCT68Ii45 comma10.
/@3'      No disability'       @34 PCT68Ai46 comma10.@46 PCT68Bi46 comma10.@60 PCT68Ci46 comma10.@71 PCT68Di46 comma10.@84 PCT68Ei46 comma10.@95 PCT68Fi46 comma10.
@107 PCT68Gi46 comma10.@122 PCT68Hi46 comma10.@134 PCT68Ii46 comma10.

//@3'  Age 75 years and over:' @34 PCT68Ai47 comma10.@46 PCT68Bi47 comma10.@60 PCT68Ci47 comma10.@71 PCT68Di47 comma10.@84 PCT68Ei47 comma10.@95 PCT68Fi47 comma10.
@107 PCT68Gi47 comma10.@122 PCT68Hi47 comma10.@134 PCT68Ii47 comma10.
/@3'      With a disability'   @34 PCT68Ai48 comma10.@46 PCT68Bi48 comma10.@60 PCT68Ci48 comma10.@71 PCT68Di48 comma10.@84 PCT68Ei48 comma10.@95 PCT68Fi48 comma10.
@107 PCT68Gi48 comma10.@122 PCT68Hi48 comma10.@134 PCT68Ii48 comma10.
/@3'      No disability'       @34 PCT68Ai49 comma10.@46 PCT68Bi49 comma10.@60 PCT68Ci49 comma10.@71 PCT68Di49 comma10.@84 PCT68Ei49 comma10.@95 PCT68Fi49 comma10.
@107 PCT68Gi49 comma10.@122 PCT68Hi49 comma10.@134 PCT68Ii49 comma10.

//@3'  Age 5 years and over:'
/@3'      With a disability'  @34 TO5WD1    Comma10.@46 TO5WD2    Comma10. @60 TO5WD3    Comma10. @71 TO5WD4    Comma10. @84 TO5WD5    Comma10. @95 TO5WD6    Comma10.
@107 TO5WD7    Comma10. @122 TO5WD8    Comma10. @134 TO5WD9 Comma10.
/@3'      No disability'      @34 TO5ND1    Comma10.@46 TO5ND2    Comma10. @60 TO5ND3    Comma10. @71 TO5ND4    Comma10. @84 TO5ND5    Comma10. @95 TO5ND6    Comma10.
@107 TO5ND7    Comma10. @122 TO5ND8    Comma10. @134 TO5ND9 Comma10.
//@3'  Age 16 to 64 years:'
/@3'      With a disability:' @34 TO16WD1   Comma10.@46 TO16WD2   Comma10. @60 TO16WD3   Comma10. @71 TO16WD4   Comma10. @84 TO16WD5   Comma10. @95 TO16WD6   Comma10.
@107 TO16WD7   Comma10. @122 TO16WD8   Comma10. @134 TO16WD9 Comma10.
/@3'         Employed'        @34 TO16WDE1  Comma10.@46 TO16WDE2  Comma10. @60 TO16WDE3  Comma10. @71 TO16WDE4  Comma10. @84 TO16WDE5  Comma10. @95 TO16WDE6  Comma10.
@107 TO16WDE7  Comma10. @122 TO16WDE8  Comma10. @134 TO16WDE9 Comma10.
/@3'         Not employed'    @34 TO16WDNE1 Comma10.@46 TO16WDNE2 Comma10. @60 TO16WDNE3 Comma10. @71 TO16WDNE4 Comma10. @84 TO16WDNE5 Comma10. @95 TO16WDNE6 Comma10.
@107 TO16WDNE7 Comma10. @122 TO16WDNE8 Comma10. @134 TO16WDNE9 Comma10.
/@3'      No disability:'     @34 TO16ND1   Comma10.@46 TO16ND2   Comma10. @60 TO16ND3   Comma10. @71 TO16ND4   Comma10. @84 TO16ND5   Comma10. @95 TO16ND6   Comma10.
@107 TO16ND7   Comma10. @122 TO16ND8   Comma10. @134 TO16ND9  Comma10.
/@3'         Employed'        @34 TO16NDE1  Comma10.@46 TO16NDE2  Comma10. @60 TO16NDE3  Comma10. @71 TO16NDE4  Comma10. @84 TO16NDE5  Comma10. @95 TO16NDE6  Comma10.
@107 TO16NDE7  Comma10. @122 TO16NDE8  Comma10. @134 TO16NDE9 Comma10.
/@3'         Not employed'    @34 TO16NDNE1 Comma10.@46 TO16NDNE2 Comma10. @60 TO16NDNE3 Comma10. @71 TO16NDNE4 Comma10. @84 TO16NDNE5 Comma10. @95 TO16NDNE6 Comma10.
@107 TO16NDNE7 Comma10. @122 TO16NDNE8 Comma10. @134 TO16NDNE9 Comma10.
//@3'  Age 65 years and over:'
/@3'      With a disability'  @34 TO65WD1   Comma10.@46 TO65WD2   Comma10. @60 TO65WD3   Comma10. @71 TO65WD4   Comma10. @84 TO65WD5   Comma10. @95 TO65WD6   Comma10.
@107 TO65WD7   Comma10. @122 TO65WD8   Comma10. @134 TO65WD9  Comma10.
/@3'      No disability'      @34 TO65ND1   Comma10.@46 TO65ND2   Comma10. @60 TO65ND3   Comma10. @71 TO65ND4   Comma10. @84 TO65ND5   Comma10. @95 TO65ND6   Comma10.
@107 TO65ND7   Comma10. @122 TO65ND8   Comma10. @134 TO65ND9  Comma10.
/
/@2 '  * Employment status by disability status was determined only for the 16 to 64 year old population.'
/@2 ' ** For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
/@2 '*** Hispanic/Latino origin is NOT considered a race. People who reported as Hispanic/Latino are also counted in the seven racial categories.';

link HeadFoot;
end;  *<-----------of code to generate 6th page----;
RETURN;
