************************
Census 2000 SF3 -- Education Profile
***********************;
EducProf:
* do both pages if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='12' ;

IF INDEX(_pages,'1') THEN DO;
/* ----- PAGE 1 of 2 -----*/

%PutTitle(
   %STR(Education Profile 1: DETAILED ATTAINMENT & ENROLLMENT; EDUCATION & EMPLOYMENT FOR AGE 16-19),
   %STR(Educ-1) ) ;

**--Draw horizontal lines--**;

PUT #33 @2 147*'_';
PUT #49 @2 147*'_';

**--Draw (internal) vertical lines--**;

do _i_=6 to 33;
  PUT #_I_ @95 '|';
  end;

%LET f=comma11. 7.1 ;
%LET g= +2 comma11. ;

**--Generate table P37.--**;

  array mp37i{17}  p37i2-p37i18; 
  array fp37i{17}  p37i19-p37i35; 
  array tp37{17};        
  array mpct37{17};      
  array fpct37{17};
  array tpct37{17};

do i=1 to 17;
  tp37{i}=mp37i{i}+fp37i{i};
end;

Zero=(p37i2=0);
do i=1 to 17;
  if Zero then mpct37{i}=.; else mpct37{i}=mp37i{i}/p37i2*100;
end;

Zero=(p37i19=0);
do i=1 to 17;
  if Zero then fpct37{i}=.; else fpct37{i}=fp37i{i}/p37i19*100;
end;

Zero=(tp371=0);
do i=1 to 17;
  if Zero then tpct37{i}=.; else tpct37{i}=tp37{i}/tp371*100;
end;

PUT #6
    @3 'P37. EDUCATIONAL ATTAINMENT BY SEX'
  / @3 'Universe: Population 25 years and over'
 // @39 'Total' @47 'Pct.' @60 'Males' @68 'Pct.' @79 'Females' @89 'Pct.'
 // @3 'Total population 25 and over:' @33 (tp371 tpct371) (&f) @54 (p37i2 mpct371) (&f) @75 (p37i19 fpct371) (&f)
  / @3 ' No Schooling completed' @33 (tp372 tpct372) (&f) @54 (p37i3 mpct372) (&f) @75 (p37i20 fpct372) (&f)
  / @3 ' Nursery to 4th grade' @33 (tp373 tpct373) (&f) @54 (p37i4 mpct373) (&f) @75 (p37i21 fpct373) (&f)
  / @3 ' 5th and 6th grade' @33 (tp374 tpct374) (&f) @54 (p37i5 mpct374) (&f) @75 (p37i22 fpct374) (&f)
  / @3 ' 7th and 8th grade' @33 (tp375 tpct375) (&f) @54 (p37i6 mpct375) (&f) @75 (p37i23 fpct375) (&f)
  / @3 ' 9th grade' @33 (tp376 tpct376) (&f) @54 (p37i7 mpct377) (&f) @75 (p37i24 fpct376) (&f)
  / @3 ' 10th grade' @33 (tp377 tpct377) (&f) @54 (p37i8 mpct377) (&f) @75 (p37i25 fpct377) (&f)
  / @3 ' 11th grade' @33 (tp378 tpct378) (&f) @54 (p37i9 mpct378) (&f) @75 (p37i26 fpct378) (&f)
  / @3 ' 12th grade, no diploma' @33 (tp379 tpct379) (&f) @54 (p37i10 mpct379) (&f) @75 (p37i27 fpct379) (&f)
  / @3 ' High school graduate'
  / @3 '   (includes equivalency)' @33 (tp3710 tpct3710) (&f) @54 (p37i11 mpct3710) (&f) @75 (p37i28 fpct3710) (&f)
  / @3 ' Some college,'
  / @3 '   less than 1 year' @33 (tp3711 tpct3711) (&f) @54 (p37i12 mpct3711) (&f) @75 (p37i29 fpct3711) (&f)
  / @3 ' Some college, 1 or more'
  / @3 '   years, no degree' @33 (tp3712 tpct3712) (&f) @54 (p37i13 mpct3712) (&f) @75 (p37i30 fpct3712) (&f)
  / @3 ' Associate degree' @33 (tp3713 tpct3713) (&f) @54 (p37i14 mpct3713) (&f) @75 (p37i31 fpct3713) (&f)
  / @3 " Bachelor's degree" @33 (tp3714 tpct3714) (&f) @54 (p37i15 mpct3714) (&f) @75 (p37i32 fpct3714) (&f)
  / @3 " Master's degree" @33 (tp3715 tpct3715) (&f) @54 (p37i16 mpct3715) (&f) @75 (p37i33 fpct3715) (&f)
  / @3 ' Professional school degree' @33 (tp3716 tpct3716) (&f) @54 (p37i17 mpct3716) (&f) @75 (p37i34 fpct3716) (&f)
  / @3 ' Doctorate degree' @33 (tp3717 tpct3717) (&f) @54 (p37i18 mpct3717) (&f) @75 (p37i35 fpct3717) (&f);
  
**--Generate table P38.--**;

  array p38j{22}  p38i1-p38i22;
  array pct38{22};

Zero=(p38i1=0);
do i=1 to 22;
  if Zero then pct38{i}=.; else pct38{i}=p38j{i}/p38i1*100;
end;

PUT #6
    @97 'P38. ARMED FORCES STATUS BY SCHOOL ENROLLMENT'
  / @97 'BY EDUCATIONAL ATTAINMENT BY EMPLOYMENT STATUS'
  / @97 'Universe: Population 16 TO 19 years'
 // @135 'Total' @143 'Pct.'
  / @97 'Total population 16 to 19 years:' @129 (p38i1 pct381) (&f)
  / @97 '  In Armed Forces:' @129 (p38i2 pct382) (&f)
  / @97 '    Enrolled in school:' @129 (p38i3 pct383) (&f)
  / @97 '      High school graduate' @129 (p38i4 pct384) (&f)
  / @97 '      Not high school graduate' @129 (p38i5 pct385) (&f)
  / @97 '    Not enrolled in school:' @129 (p38i6 pct386) (&f)
  / @97 '      High school graduate' @129 (p38i7 pct387) (&f)
  / @97 '      Not high school graduate' @129 (p38i8 pct388) (&f)
  / @97 '  Civilian:' @129 (p38i9 pct389) (&f)
  / @97 '    Enrolled in school:' @129 (p38i10 pct3810) (&f)
  / @97 '      Employed' @129 (p38i11 pct3811) (&f)
  / @97 '      Unemployed' @129 (p38i12 pct3812) (&f)
  / @97 '      Not in labor force' @129 (p38i13 pct3813) (&f)
  / @97 '    Not enrolled in school:' @129 (p38i14 pct3814) (&f)
  / @97 '      High school graduate:' @129 (p38i15 pct3815) (&f)
  / @97 '        Employed' @129 (p38i16 pct3816) (&f)
  / @97 '        Unemployed' @129 (p38i17 pct3817) (&f)
  / @97 '        Not in labor force' @129 (p38i18 pct3818) (&f)
  / @97 '      Not high school graduate:' @129 (p38i19 pct3819) (&f)
  / @97 '        Employed' @129 (p38i20 pct3820) (&f)
  / @97 '        Unemployed' @129 (p38i21 pct3821) (&f)
  / @97 '        Not in labor force' @129 (p38i22 pct3822) (&f);
  
**--Generate table PCT23.--**;
 
  array me{9}  pct23i3-pct23i11;
  array mne{9} pct23i12-pct23i20; 
  array fe{9}  pct23i22-pct23i30;
  array fne{9} pct23i31-pct23i39;  
  array mt{9};
  array ft{9};      
  array tt{9};      
  array te{9};
  array tne{9};

  do i=1 to 9;
    mt{i}=me{i}+mne{i};
    ft{i}=fe{i}+fne{i};
    te{i}=me{i}+fe{i};
    tne{i}=mne{i}+fne{i};
    tt{i}=te{i}+tne{i};
end;

PUT #34
    @3 'PCT23. SCHOOL ENROLLMENT BY SEX BY AGE'
  / @3 'Universe: Population 3 years old and over'
 // @26 '----------------Total----------------'
    @68 '----------------Males----------------'
    @110 '---------------Females---------------'
  / @60 'Not' @102 'Not' @144 'Not'
  / @32 'Total' @42 'Enrolled' @55 'Enrolled'
    @74 'Total' @84 'Enrolled' @97 'Enrolled'
    @116 'Total' @126 'Enrolled' @139 'Enrolled'
  / @3 'Total pop. 3 and over:' @24 (tt1 te1 tne1) (&g) @66 (mt1 pct23i3 pct23i12) (&g) @108  (ft1 pct23i22 pct23i31) (&g)
  / @3 '  3 and 4 years' @24 (tt2 te2 tne2) (&g) @66 (mt2 pct23i4 pct23i13) (&g) @108  (ft2 pct23i23 pct23i32) (&g)
  / @3 '  5 to 9 years' @24 (tt3 te3 tne3) (&g) @66 (mt3 pct23i5 pct23i14) (&g) @108  (ft3 pct23i24 pct23i33) (&g)
  / @3 '  10 to 14 years' @24 (tt4 te4 tne4) (&g) @66 (mt4 pct23i6 pct23i15) (&g) @108  (ft4 pct23i25 pct23i34) (&g)
  / @3 '  15 to 17 years' @24 (tt5 te5 tne5) (&g) @66 (mt5 pct23i7 pct23i16) (&g) @108  (ft5 pct23i26 pct23i35) (&g)
  / @3 '  18 and 19 years' @24 (tt6 te6 tne6) (&g) @66 (mt6 pct23i8 pct23i17) (&g) @108  (ft6 pct23i27 pct23i36) (&g)
  / @3 '  20 to 24 years' @24 (tt7 te7 tne7) (&g) @66 (mt7 pct23i9 pct23i18) (&g) @108  (ft7 pct23i28 pct23i37) (&g)
  / @3 '  25 to 34 years' @24 (tt8 te8 tne8) (&g) @66 (mt8 pct23i10 pct23i19) (&g) @108  (ft8 pct23i29 pct23i38) (&g)
  / @3 '  35 years and over' @24 (tt9 te9 tne9) (&g) @66 (mt9 pct23i11 pct23i20) (&g) @108  (ft9 pct23i30 pct23i39) (&g);
 
**--Generate table PCT24.--**;
 
  array me24{5}  pct24i3-pct24i7;
  array mne24{5} pct24i8-pct24i12; 
  array fe24{5}  pct24i14-pct24i18;
  array fne24{5} pct24i19-pct24i23;  
  array mt24{5};
  array ft24{5};      
  array tt24{5};      
  array te24{5};
  array tne24{5};

  do i=1 to 5;
    mt24{i}=me24{i}+mne24{i};
    ft24{i}=fe24{i}+fne24{i};
    te24{i}=me24{i}+fe24{i};
    tne24{i}=mne24{i}+fne24{i};
    tt24{i}=te24{i}+tne24{i};
end;
 
PUT #50
    @3 'PCT24. COLLEGE OR GRADUATE SCHOOL ENROLLMENT BY SEX BY AGE'
  / @3 'Universe: Population 15 years old and over'
 // @26 '----------------Total----------------'
    @68 '----------------Males----------------'
    @110 '---------------Females---------------'
  / @60 'Not' @102 'Not' @144 'Not'
  / @32 'Total' @42 'Enrolled' @55 'Enrolled'
    @74 'Total' @84 'Enrolled' @97 'Enrolled'
    @116 'Total' @126 'Enrolled' @139 'Enrolled'
  / @3 'Total pop. 15 and over:' @24 (tt241 te241 tne241) (&g) @66 (mt241 pct24i3 pct24i8) (&g) @108  (ft241 pct24i14 pct24i19) (&g)
  / @3 '  15 and 17 years' @24 (tt242 te242 tne242) (&g) @66 (mt242 pct24i4 pct24i9) (&g) @108  (ft242 pct24i15 pct24i20) (&g)
  / @3 '  18 to 24 years' @24 (tt243 te243 tne243) (&g) @66 (mt243 pct24i5 pct24i10) (&g) @108  (ft243 pct24i16 pct24i21) (&g)
  / @3 '  25 to 34 years' @24 (tt244 te244 tne244) (&g) @66 (mt244 pct24i6 pct24i11) (&g) @108  (ft244 pct24i17 pct24i22) (&g)
  / @3 '  35 years and over' @24 (tt245 te245 tne245) (&g) @66 (mt245 pct24i7 pct24i12) (&g) @108  (ft245 pct24i18 pct24i23) (&g);
 
LINK HeadFoot;
END; * end of Educ Page 1 ;

IF INDEX(_pages,'2') THEN DO;

/* ----- PAGE 2 of 2 -----*/
%PutTitle( %STR(Education Profile 2: EDUCATIONAL ATTAINMENT BY SEX BY AGE),Educ-2);

%LET f= +4 comma12. ;

**--Generate table PCT25.--**;

  array mpct25i{41}  pct25i2-pct25i42; 
  array fpct25i{41}  pct25i43-pct25i83; 
  array tot25i{41};        

  do i=1 to 41;
    tot25i{i}=mpct25i{i}+fpct25i{i};
  end;

 t25i9=pct25i3+pct25i11+pct25i19+pct25i27+pct25i35;
 t25i10=pct25i4+pct25i12+pct25i20+pct25i28+pct25i36;
 t25i11=pct25i5+pct25i13+pct25i21+pct25i29+pct25i37; 
 t25i12=pct25i6+pct25i14+pct25i22+pct25i30+pct25i38;
 t25i13=pct25i7+pct25i15+pct25i23+pct25i31+pct25i39;
 t25i14=pct25i8+pct25i16+pct25i24+pct25i32+pct25i40; 
 t25i15=pct25i9+pct25i17+pct25i25+pct25i33+pct25i41;
 t25i16=pct25i10+pct25i18+pct25i26+pct25i34+pct25i42;

 t25i17=pct25i44+pct25i52+pct25i60+pct25i68+pct25i76;
 t25i18=pct25i45+pct25i53+pct25i61+pct25i69+pct25i77;
 t25i19=pct25i46+pct25i54+pct25i62+pct25i70+pct25i78;
 t25i20=pct25i47+pct25i55+pct25i63+pct25i71+pct25i79;
 t25i21=pct25i48+pct25i56+pct25i64+pct25i72+pct25i80;
 t25i22=pct25i49+pct25i57+pct25i65+pct25i73+pct25i81;
 t25i23=pct25i50+pct25i58+pct25i66+pct25i74+pct25i82;
 t25i24=pct25i51+pct25i59+pct25i67+pct25i75+pct25i83;

 t25i1=t25i9+t25i17;
 t25i2=t25i10+t25i18;
 t25i3=t25i11+t25i19;
 t25i4=t25i12+t25i20;
 t25i5=t25i13+t25i21;
 t25i6=t25i14+t25i22;
 t25i7=t25i15+t25i23;
 t25i8=t25i16+t25i24;

PUT #8
    @3 'PCT25. EDUCATIONAL ATTAINMENT BY SEX BY AGE'
  / @3 'Universe: Population 18 years and over'
 /// @44 '-------------------------------------------Both Sexes-------------------------------------------'
  / @52 'Total' @65 '18 to 24' @81 '25 to 34' @97 '35 to 44' @113 '45 to 64' @126 '65 and Over'
 // @3 'Total population 18 and over:' @41 (t25i1 tot25i2 tot25i10 tot25i18 tot25i26 tot25i34) (&f)
  / @3 '  Less than 9th grade' @41 (t25i2 tot25i3 tot25i11 tot25i19 tot25i27 tot25i35) (&f)
  / @3 '  9th to 12th grade, no diploma' @41 (t25i3 tot25i4 tot25i12 tot25i20 tot25i28 tot25i36) (&f)
  / @3 '  High school grad. (incl. equivalency)' @41 (t25i4 tot25i5 tot25i13 tot25i21 tot25i29 tot25i37) (&f)
  / @3 '  Some college, no degree' @41 (t25i5 tot25i6 tot25i14 tot25i22 tot25i30 tot25i38) (&f) 
  / @3 '  Associate degree' @41 (t25i6 tot25i7 tot25i15 tot25i23 tot25i31 tot25i39) (&f)
  / @3 "  Bachelor's degree" @41 (t25i7 tot25i8 tot25i16 tot25i24 tot25i32 tot25i40) (&f)
  / @3 '  Graduate or professional degree' @41 (t25i8 tot25i9 tot25i17 tot25i25 tot25i33 tot25i41) (&f)
 /// @44 '----------------------------------------------Males---------------------------------------------'
  / @52 'Total' @65 '18 to 24' @81 '25 to 34' @97 '35 to 44' @113 '45 to 64' @126 '65 and Over'
 // @3 'Total males 18 and over:' @41 (t25i9 pct25i3 pct25i11 pct25i19 pct25i27 pct25i35) (&f)
  / @3 '  Less than 9th grade' @41 (t25i10 pct25i4 pct25i12 pct25i20 pct25i28 pct25i36) (&f)
  / @3 '  9th to 12th grade, no diploma' @41 (t25i11 pct25i5 pct25i13 pct25i21 pct25i29 pct25i37) (&f)
  / @3 '  High school grad. (incl. equivalency)' @41 (t25i12 pct25i6 pct25i14 pct25i22 pct25i30 pct25i38) (&f)
  / @3 '  Some college, no degree' @41 (t25i13 pct25i7 pct25i15 pct25i23 pct25i31 pct25i39) (&f) 
  / @3 '  Associate degree' @41 (t25i14 pct25i8 pct25i16 pct25i24 pct25i32 pct25i40) (&f)
  / @3 "  Bachelor's degree" @41 (t25i15 pct25i9 pct25i17 pct25i25 pct25i33 pct25i41) (&f)
  / @3 '  Graduate or professional degree' @41 (t25i16 pct25i10 pct25i18 pct25i26 pct25i34 pct25i42) (&f)
 /// @44 '---------------------------------------------Females--------------------------------------------'
  / @52 'Total' @65 '18 to 24' @81 '25 to 34' @97 '35 to 44' @113 '45 to 64' @126 '65 and Over'
 // @3 'Total females 18 and over:'              @41 (t25i17 pct25i44 pct25i52 pct25i60 pct25i68 pct25i76) (&f)
  / @3 '  Less than 9th grade'                   @41 (t25i18 pct25i45 pct25i53 pct25i61 pct25i69 pct25i77) (&f)
  / @3 '  9th to 12th grade, no diploma'         @41 (t25i19 pct25i46 pct25i54 pct25i62 pct25i70 pct25i78) (&f)
  / @3 '  High school grad. (incl. equivalency)' @41 (t25i20 pct25i47 pct25i55 pct25i63 pct25i71 pct25i79) (&f)
  / @3 '  Some college, no degree'               @41 (t25i21 pct25i48 pct25i56 pct25i64 pct25i72 pct25i80) (&f) 
  / @3 '  Associate degree'                      @41 (t25i22 pct25i49 pct25i57 pct25i65 pct25i73 pct25i81) (&f)
  / @3 "  Bachelor's degree"                     @41 (t25i23 pct25i50 pct25i58 pct25i66 pct25i74 pct25i82) (&f)
  / @3 '  Graduate or professional degree'       @41 (t25i24 pct25i51 pct25i59 pct25i67 pct25i75 pct25i83) (&f);
       

LINK HeadFoot;
END ; * end of Educ Page 2 ;
 
RETURN;
