IncProf:
 *---Income Profile, 8 pages.
     Annette Boyer, Colorado SDC. 6/10/02
     several means & medians added 7/8/02 (rw)
     more corrections by PSU around 7/30/02
  ---*;

* do all 8 if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='12345678' ;

if index(_pages,'1') then do;

%* Macro which PUTs centered title on line 1 ;
%PutTitle(
   %STR(Income Profile 1: HOUSEHOLD INCOME BY AGE OF HOUSEHOLDER AND TYPE OF INCOME),
   %STR(Inc-1) ) ;

**--Draw internal horizontal line--**;

PUT #29 @2 147*'_';

**--Draw (internal) vertical line--**;
do _x_=30 to 61;
  PUT #_X_ @58 '|';
  end;

STLINE=7;
COL=4;  **--Variable for column of names.--**;
COLD=30;  **--Variable for column of data.--**;
**--Generate table P55.--**;
array hha{16} p55i3-p55i18;
array hhb{16} p55i20-p55i35;
array hhc{16} p55i37-p55i52;
array hhd{16} p55i54-p55i69;
array hhe{16} p55i71-p55i86;
array hhf{16} p55i88-p55i103;
array hhg{16} p55i105-p55i120;
array tothh{16};

do i=1 to 16;
  tothh{i}=hha{i}+hhb{i}+hhc{i}+hhd{i}+hhe{i}+hhf{i}+hhg{i};
  PUT #(STLINE+4+i) @30 tothh{i} comma11. +3 hha{i} comma11. +3 hhb{i} comma11. +3
hhc{i} comma11. +3 hhd{i} comma11. +3 hhe{i} comma11. +3 hhf{i} comma11. +3 hhg{i} comma11.; 
end;


PUT #STLINE
    @COL 'P55. HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER'
  / @COL 'Universe: Households'
  / @COLD '   All Ages      Under 25'+6'25 to 34'+6'35 to 44'+6'45 to 54'+6'55 to 64'+6'65 to 74     75 & over'
  //@COL 'Total households:'       @COLD  p55i1 comma11. +3 p55i2 comma11. +3 p55i19 comma11. +3 p55i36 comma11. +3 p55i53 comma11. +3 p55i70 comma11. +3 p55i87 comma11. +3 p55i104 comma11.
  / @COL '  Less than $10,000'   
  / @COL '  $10,000 to $14,999'  
  / @COL '  $15,000 to $19,999'  
  / @COL '  $20,000 to $24,999'  
  / @COL '  $25,000 to $29,999'  
  / @COL '  $30,000 to $34,999'  
  / @COL '  $35,000 to $39,999'  
  / @COL '  $40,000 to $44,999'  
  / @COL '  $45,000 to $49,999'  
  / @COL '  $50,000 to $59,999'  
  / @COL '  $60,000 to $74,999'  
  / @COL '  $75,000 to $99,999' 
  / @COL '  $100,000 to $124,999' 
  / @COL '  $125,000 to $149,999' 
  / @COL '  $150,000 to $199,999' 
  / @COL '  $200,000 and more'   
;

**--Generate table P56/57.--**;
hht1=p13i3+p13i12; *hher 15 to 24;
hht2=p13i4+p13i13; *hher 25 to 34;
hht3=p13i5+p13i14;*hher 35 to 44;
hht4=p13i6+p13i15;*hher 45 to 54;
hht5=p13i7+p13i16;*hher 55 to 64;
hht6=p13i8+p13i17;*hher 65 to 74;
hht7=p13i9+p13i10+p13i18+p13i19;*hher 75 and over;
array hhage{8} p13i1 hht1-hht7; 
array hhinc{8} p57i1-p57i8;
array mninc{8};

**check for zeros before calculating mean income**;
do i=1 to 8;
if hhage{i}< 1 | hhinc{i}< 1 then mninc{i} = .;
else mninc{i}=hhinc{i}/hhage{i};

end;
STLINE=32;
COL=4;  **--Variable for column of names.--**;
COLD=32;  **--Variable for column of data.--**;

PUT #STLINE
    @COL 'P56/P57. MEDIAN AND MEAN HOUSEHOLD INCOME IN 1999'
    /@COL+9 'BY AGE OF HOUSEHOLDER'
  //@COL 'Universe: Households'
  //@COLD+5 'Median' +9 'Mean'
  / @COL 'All households:'                    @COLD p56i1 dollar11. +2 mninc1 dollar11.
  / @COL '  Householder under 25 years'       @COLD p56i2 dollar11. +2 mninc2 dollar11.
  / @COL '  Householder 25 to 34 years'       @COLD p56i3 dollar11. +2 mninc3 dollar11.
  / @COL '  Householder 35 to 44 years'       @COLD p56i4 dollar11. +2 mninc4 dollar11.
  / @COL '  Householder 45 to 54 years'       @COLD p56i5 dollar11. +2 mninc5 dollar11.
  / @COL '  Householder 55 to 64 years'       @COLD p56i6 dollar11. +2 mninc6 dollar11.
  / @COL '  Householder 65 to 74 years'       @COLD p56i7 dollar11. +2 mninc7 dollar11.
  / @COL '  Householder 75 and over'          @COLD p56i8 dollar11. +2 mninc8 dollar11.
  
;

**--Generate tables P58 to P75.--**;

STLINE=31;
COL=60;  **--Variable for column of names.--**;
COLD=137;  **--Variable for column of data.--**;

tom = p58i2; *hh with earnings;
kim = p59i2; *hh with wage or salary income;
beth = p60i2; *hh with self-employment income;
tim = p61i2; *hh with interest, dividend or net rental income;
dad = p62i2; *hh with social security income;
mom = p63i2; *hh with SSI income;
nefret=p64i2; * hh with public assistance income;
quig = p65i2; *hh with retirement income;
boyer = p66i2; *hh with other types of income;

array minnie{9} tom kim beth tim dad mom nefret quig boyer ;
array fix{9}p67i1 p68i1 p69i1 p70i1 p71i1 p72i1 p73i1 p74i1 P75i1 ;
array answ{9};
do i=1 to 9;
 if fix{i}>0 then answ{i}=fix{i}/minnie{i};
 else answ{i}=.;
end;
PUT #STLINE
    @COL 'P58 THROUGH P75. HOUSEHOLD INCOME BY INCOME TYPE FOR HOUSEHOLDS'
   /@COL '                  WITH INCOME OF A SPECIFIED TYPE'
  //@COL 'P58/P67. MEAN HOUSEHOLD EARNINGS IN 1999'
   /@COL 'Universe:  Households with earnings: (' tom : COMMA11. +(-1) ')'@COLD answ1 dollar11.
  //@COL 'P59/P68. MEAN HOUSEHOLD WAGE OR SALARY INCOME IN 1999'
  / @COL 'Universe:  Households with wage or salary income: (' kim : COMMA11. +(-1) ')'@COLD answ2 dollar11.
  //@COL 'P60/P69. MEAN HOUSEHOLD SELF-EMPLOYMENT INCOME IN 1999'
  / @COL 'Universe:  Households with self-employment income: (' beth : COMMA11. +(-1) ')'@COLD answ3 dollar11.
  //@COL 'P61/P70. MEAN HOUSEHOLD INTEREST, DIVIDENDS & NET RENTAL INCOME IN 1999'
  / @COL 'Universe:  Households with interest, dividend or rental income: (' tim : COMMA11. +(-1) ')'@COLD answ4 dollar11.
  //@COL 'P62/P71. MEAN HOUSEHOLD SOCIAL SECURITY INCOME IN 1999'
  / @COL 'Universe:  Households with Soc. Security income: (' dad : COMMA11. +(-1) ')'@COLD answ5 dollar11.
  //@COL 'P63/P72. MEAN HOUSEHOLD SUPPLEMENTAL SECURITY INCOME IN 1999'
  / @COL 'Universe:  Households with SSI income: (' mom : COMMA11. +(-1) ')'@COLD answ6 dollar11.
  //@COL 'P64/P73. MEAN HOUSEHOLD PUBLIC ASSISTANCE INCOME IN 1999'
  / @COL 'Universe:  Households with pub. assist. income: (' nefret : COMMA11. +(-1) ')'@COLD answ7 dollar11.
  //@COL 'P65/P74. MEAN HOUSEHOLD RETIREMENT INCOME IN 1999'
  / @COL 'Universe:  Households with retirement income: (' quig : COMMA11. +(-1) ')'@COLD answ8 dollar11. 
  //@COL 'P66/P75. MEAN HOUSEHOLD INCOME OF OTHER TYPES IN 1999'
  / @COL 'Universe:  Households with other types of income: (' boyer : COMMA11. +(-1) ')'@COLD answ9 dollar11. 
;

link HeadFoot;
end;  *<-----------Code to generate 1st page----;

*******************************************************************************************************;

if index(_pages,'2') then do;

%PutTitle(
   %STR(Income Profile 2: INDIVIDUAL EARNINGS; INCOME OF NON-FAMILY HOUSEHOLDS; PER CAPITA INCOME),
   %STR(Inc-2) ) ;

**--Draw horizontal lines.--**;
PUT #38 @4 147*'_';

**--Draw vertical lines.--**;
do _y_=6 to 39;
  PUT #_Y_ @75 '|';
  end;
**--Generate table P84/85/86.--**;

STLINE=7;
COL=4;  **--Variable for column of names.--**;
COLD=32;  **--Variable for column of data.--**;
*WRONG VARIABLES FOR MEDIAN - CHANGE;
mnt=0; *mean for total;
 if p84i1 = 0 then mnt = .;
 else mnt = p86i1/p84i1;

mnm=0; * mean for male;
 if p84i2=0 then mnm = .;
 else mnm = p86i2/p84i2;

mnf = 0; *mean for female;
 if p84i23=0 then mnf = .;
 else mnf = p86i3/p84i23;

  array maleea{20} p84i3-p84i22;
  array femea{20} p84i24-p84i43;
  array totea{20} ;
  

do i=1 to 20;
  totea{i}=femea{i}+maleea{i};
 PUT #(STLINE+5+i)@32  totea{i} comma11. +4 maleea{i} comma11. +4 femea{i} comma11. @62 ; 
end;



PUT #STLINE
     @COL 'P84/P85/P86. EARNINGS IN 1999 FOR THE POPULATION 16 YEARS AND'
    /@COL '             OVER WITH EARNINGS BY SEX'
    /@COL 'Universe: Population 16 years and over with earnings'
   //@COLD+5'Total'+11'Male'+9'Female'
    /@COL 'Total:' @COLD p84i1 comma11.  +4 p84i2 comma11.  +4 p84i23 comma11.
    /@COL '   $1 to $2,499 or loss' 
    /@COL '   $2,500 to  $4,999'
    /@COL '   $5,000 to  $7,499'
    /@COL '   $7,500 to  $9,999'
    /@COL '  $10,000 to $12,499'
    /@COL '  $12,500 to $14,999'
    /@COL '  $15,000 to $17,499'
    /@COL '  $17,500 to $19,999'
    /@COL '  $20,000 to $22,499'
    /@COL '  $22,500 to $24,999'
    /@COL '  $25,000 to $29,999'
    /@COL '  $30,000 to $34,999'
    /@COL '  $35,000 to $39,999'
    /@COL '  $40,000 to $44,999'
    /@COL '  $45,000 to $49,999'
    /@COL '  $50,000 to $54,999'
    /@COL '  $55,000 to $64,999'
    /@COL '  $65,000 to $74,999'
    /@COL '  $75,000 to $99,999'
    /@COL '  $100,000 and more'
   //@COL 'Median'@COLD p85i1 DOLLAR11. +4 p85i2 DOLLAR11. +4 p85i3 DOLLAR11.
    /@COL 'Mean'  @COLD mnt   DOLLAR11. +4 mnm   DOLLAR11. +4 mnf   DOLLAR11.

    ;

    **--Generate tables P82 and P83.--**;

STLINE=17;
COL=80;  **--Variable for column of names.--**;
COLD=129;  **--Variable for column of data.--**;

an83 = 0;
if p18i1 >0 then an83 = p83i1/p18i1;
 else an83 = .;

PUT #STLINE
   @COL 'P82. PER CAPITA INCOME IN 1999 '
  /@COL 'Universe:  Total population'@COLD p82i1 dollar11.
 //@COL 'P83. MEAN INCOME IN 1999 FOR THE'
  /@COL 'POPULATION 15 YEARS AND OVER'
  /@COL 'Universe:  Population 15 years and over'@COLD an83 dollar11.
  ;

  **--Generate tables PCT42 and P43.--**;
*calculate householder 15 to 64*;
mlatot = p9i19; *male living alone total;
mla65 = p11i13; *male living alone 65 older;
mla15 = mlatot-mla65; *this isn't exactly right, but I can't find the right var;
mnlatot = p9i20;*male not living alone;
mnla65 = p11i14;*male not living alone, 65 over;
mnla15 = mnlatot-mnla65;

flatot = p9i22;
fla65 = p11i16;
fla15 = flatot-fla65;
fnlatot = p9i23;
fnla65 = p11i17;
fnla15 = fnlatot-fnla65;

*calculate mean and check for zeros*--zeroth element is total males/females (rw, 7/8/02) ;
array malnf{0:6} P9i18 mlatot mla15 mla65 mnlatot mnla15 mnla65;
array femnf{0:6} P9i21 flatot fla15 fla65 fnlatot fnla15 fnla65;
array malagg{0:6} pct43i2-pct43i8;
array femagg{0:6} pct43i9-pct43i15;
array malmean{0:6} malmean0-malmean6 ;
array femmean{0:6} femmean0-femmean6 ;

if P9i18+P9i21=0 then totmean=. ; else totmean=pct43i1/(P9i18+P9i21) ; * overall mean (rw, 7/8/02) ;

do i=0 to 6;
if malnf{i} <1 | malagg{i} < 1 then malmean{i} = .;
 else malmean{i} = malagg{i}/malnf{i};
if femnf{i} <1 | femagg{i} < 1 then femmean{i} = .;
 else femmean{i} = femagg{i}/femnf{i};
end;
  *Note: template specifies some variable filled in after "Living alone" and "Not living alone"
  not sure what this should be, so left blank. ab*;

  

STLINE=42;
COL=4;  **--Variable for column of names.--**;
COLD=53;  **--Variable for column of data.--**;
PUT #STLINE
   @COL 'PCT42/PCT43. MEDIAN AND MEAN NONFAMILY HOUSEHOLD INCOME IN 1999 BY SEX OF HOUSEHOLDER BY LIVING ALONE BY AGE OF HOUSEHOLDER'
  /@COL 'Universe:  Nonfamily households'
 //@COL+36 '---------------------Median---------------------        ----------------------Mean----------------------'
  /@COL+36 ' Both       Male householder  Female householder          Both     Male householder   Female householder'
  /@COL 'All nonfamily households:'+7 pct42i1 dollar11. @COLD pct42i2 dollar11. +8 pct42i9  dollar11. +9 totmean dollar11. +6 malmean0 dollar11. +10 femmean0 dollar11.
  /
  /@COL '    Living alone total:'                       @COLD pct42i3 dollar11. +8 pct42i10 dollar11.                     +26 malmean1 dollar11. +10 femmean1 dollar11.
  /@COL '      Householder 15 to 64 years'              @COLD pct42i4 dollar11. +8 pct42i11 dollar11.                     +26 malmean2 dollar11. +10 femmean2 dollar11.
  /@COL '      Householder 65 years and over'           @COLD pct42i5 dollar11. +8 pct42i12 dollar11.                     +26 malmean3 dollar11. +10 femmean3 dollar11.
  /
  /@COL '     Not living alone total:'                  @COLD pct42i6 dollar11. +8 pct42i13 dollar11.                     +26 malmean4 dollar11. +10 femmean4 dollar11.
  /@COL '      Householder 15 to 64 years'              @COLD pct42i7 dollar11. +8 pct42i14 dollar11.                     +26 malmean5 dollar11. +10 femmean5 dollar11.
  /@COL '      Householder 65 years and over'           @COLD pct42i8 dollar11. +8 pct42i15 dollar11.                     +26 malmean6 dollar11. +10 femmean6 dollar11.
  ;
  link HeadFoot;
end;  *<-----------Code to generate 2nd page----;

*******************************************************************************************************;

if index(_pages,'3') then do;


%PutTitle(
   %STR(Income Profile 3: FAMILY INCOME BY FAMILY TYPE, AGE OF HOUSEHOLDER, NO. OF WORKERS),
   %STR(Inc-3) ) ;

**--Draw horizontal lines.--**;
PUT #21 @2 147*'_';
PUT #47 @2 147*'_';

**--Draw vertical line.--**;
do _m_=6 to 21;
  PUT #_M_ @61 '|';
  end;

**--Generate table PCT36.--**;
*calculate variables for workers in family from table p48.  Included all
families, not just married couple families. ab*;

STLINE=7;
COL=4;  **--Variable for column of names.--**;
COLD=46;  **--Variable for column of data.--**;


nowork = p48i3+p48i13+p48i18; *families with no workers;
onework = p48i4+p48i14+p48i19; *families with one worker;
twohw = p48i6; *family with two workers, husband and wife;
twooth = p48i7+p48i15+p48i20; *other family with two workers;
thrhw = p48i9; *families with three workers, husband and wife work;
threeot = p48i10+p48i16+p48i21; *other families with three workers;

*calculate mean and check for zeros*;
array workers{6} nowork onework twohw twooth thrhw threeot;
array aggwork{6} pct36i2-pct36i7; *aggregate income;
array mnwork{6};

do i = 1 to 6;
 if workers{i}=0 then mnwork{i}=.;
 else mnwork{i} = aggwork{i}/workers{i};
end;


PUT #STLINE
     @COL 'PCT36/P48. MEAN FAMILY INCOME IN 1999 BY NUMBER'
    /@COL '       OF WORKERS IN FAMILY'
    /@COL 'Universe: Families (' p48i1 : COMMA11. +(-1) ')'
    /@COL '                                 Families        Mean'
   //@COL 'No workers'                 @34 nowork comma11.  +1 mnwork1 dollar11.                             
    /@COL '1 worker'                   @34 onework comma11. +1 mnwork2 dollar11.                               
    /@COL '2 workers, husband' 
    /@COL '  and wife worked'          @34 twohw comma11.   +1 mnwork3 dollar11.     
    /@COL '2 workers, other'           @34 twooth comma11.  +1 mnwork4 dollar11.                     
    /@COL '3 or more workers,'
    /@COL '  husband and wife worked'  @34 thrhw comma11.   +1 mnwork5 dollar11.
    /@COL '3 or more workers, others'  @34 threeot comma11. +1 mnwork6 dollar11.              
    ;

    **--Generate table PCT37.--**;
STLINE=7;
COL=63;  **--Variable for column of names.--**;
COLD=93;  **--Variable for column of data.--**;
*check for 0 and calculate means*;
    array marfam{8} pct3i3-pct3i10; *married families;
    array malfam{8} pct3i13-pct3i20; *male headed families;
    array femfam{8} pct3i22-pct3i29; *female headed families;
    array maragg{8} pct37i3-pct37i10; *aggregate married income;
    array malag{8} pct37i13-pct37i20; *aggregate male family income;
    array femag{8} pct37i22-pct37i29; *aggregate female family income;
    array marmn{8};
    array malmn{8};
    array femmn{8};
do i=1 to 8;
if marfam{i} < 1 then marmn{i} = .;
  else marmn{i} = maragg{i}/marfam{i};
if malfam{i} < 1 then malmn{i} = .;
  else malmn{i} = malag{i}/malfam{i};
if femfam{i} < 1 then femmn{i} = .;
  else femmn{i} = femag{i}/femfam{i};
PUT #(STLINE+5+i)@COLD+3 marmn{i} dollar11. +6 malmn{i} dollar11. +11 femmn{i} dollar11. ;
end;


PUT #STLINE
     @COL 'PCT37/PCT3. MEAN FAMILY INCOME IN 1999 BY FAMILY TYPE BY AGE OF HOUSEHOLDER'
    /@COL 'Universe:  Families'
    /@COLD  '                 ------------Other families------------'
    /@COLD  'Married-couple   Male householder,   Female householder'
    /@COLD  '      families    no wife present    no husband present'
   //@COL 'Householder 15 to 24 years' 
    /@COL 'Householder 25 to 34 years' 
    /@COL 'Householder 35 to 44 years' 
    /@COL 'Householder 45 to 54 years' 
    /@COL 'Householder 55 to 59 years' 
    /@COL 'Householder 60 to 64 years' 
    /@COL 'Householder 65 to 74 years' 
    /@COL 'Householder 75 and over'    
    ;

    **--Generate table PCT38.--**;

STLINE=23;
COL=4;  **--Variable for column of names.--**;
COLD=30;  **--Variable for column of data.--**;

PUT #STLINE
     @COL 'PCT38. FAMILY INCOME IN 1999 BY FAMILY TYPE BY PRESENCE OF OWN CHILDREN UNDER 18 YEARS'
    /@COL 'Universe:  Families'
    /@COL+20 '------Married-couple families-------       ----------------------------------Other family-----------------------------------'
    /@COL+20 'With own children    No own children       --Male householder, No wife present-    -Female householder, No husband present--'
    /@COL+20 '   under 18 years     under 18 years         With own children  No own children     With own children    No own children'
    /@COL+20 '                                                under 18 years   under 18 years        under 18 years     under 18 years'
   //@COL 'Total families:'       @COLD pct38i3 comma11.+8 pct38i20 comma11. +15 pct38i39 comma11.+6 pct38i56 comma11. +11 pct38i74 comma11.+8 pct38i91 comma11.
    /@COL '  Less than $10,000'   @COLD pct38i4 comma11.+8 pct38i21 comma11. +15 pct38i40 comma11.+6 pct38i57 comma11. +11 pct38i75 comma11.+8 pct38i92 comma11.
    /@COL '  $10,000 to $14,999'  @COLD pct38i5 comma11.+8 pct38i22 comma11. +15 pct38i41 comma11.+6 pct38i58 comma11.+11 pct38i76 comma11.+8 pct38i93 comma11.
    /@COL '  $15,000 to $19,999'  @COLD pct38i6 comma11.+8 pct38i23 comma11. +15 pct38i42 comma11.+6 pct38i59 comma11.+11 pct38i77 comma11.+8 pct38i94 comma11.
    /@COL '  $20,000 to $24,999'  @COLD pct38i7 comma11.+8 pct38i24 comma11. +15 pct38i43 comma11.+6 pct38i60 comma11.+11 pct38i78 comma11.+8 pct38i95 comma11.
    /@COL '  $25,000 to $29,999'  @COLD pct38i8 comma11.+8 pct38i25 comma11. +15 pct38i44 comma11.+6 pct38i61 comma11.+11 pct38i79 comma11.+8 pct38i96 comma11.
    /@COL '  $30,000 to $34,999'  @COLD pct38i9 comma11.+8 pct38i26 comma11. +15 pct38i45 comma11.+6 pct38i62 comma11.+11 pct38i80 comma11.+8 pct38i97 comma11.
    /@COL '  $35,000 to $39,999'  @COLD pct38i10 comma11.+8 pct38i27 comma11.+15 pct38i46 comma11.+6 pct38i63 comma11.+11 pct38i81 comma11.+8 pct38i98 comma11.
    /@COL '  $40,000 to $44,999'  @COLD pct38i11 comma11.+8 pct38i28 comma11.+15 pct38i47 comma11.+6 pct38i64 comma11.+11 pct38i82 comma11.+8 pct38i99 comma11.
    /@COL '  $45,000 to $49,999'  @COLD pct38i12 comma11.+8 pct38i29 comma11.+15 pct38i48 comma11.+6 pct38i65 comma11.+11 pct38i83 comma11.+8 pct38i100 comma11.
    /@COL '  $50,000 to $59,999'  @COLD pct38i13 comma11.+8 pct38i30 comma11.+15 pct38i49 comma11.+6 pct38i66 comma11.+11 pct38i84 comma11.+8 pct38i101 comma11.
    /@COL '  $60,000 to $74,999'  @COLD pct38i14 comma11.+8 pct38i31 comma11.+15 pct38i50 comma11.+6 pct38i67 comma11.+11 pct38i85 comma11.+8 pct38i102 comma11.
    /@COL '  $75,000 to $99,999'  @COLD pct38i15 comma11.+8 pct38i32 comma11.+15 pct38i51 comma11.+6 pct38i68 comma11.+11 pct38i86 comma11.+8 pct38i103 comma11.
    /@COL '  $100,000 to $124,999'@COLD pct38i16 comma11.+8 pct38i33 comma11.+15 pct38i52 comma11.+6 pct38i69 comma11.+11 pct38i87 comma11.+8 pct38i104 comma11.
    /@COL '  $125,000 to $149,999'@COLD pct38i17 comma11.+8 pct38i34 comma11.+15 pct38i53 comma11.+6 pct38i70 comma11.+11 pct38i88 comma11.+8 pct38i105 comma11.
    /@COL '  $150,000 to $199,999'@COLD pct38i18 comma11.+8 pct38i35 comma11.+15 pct38i54 comma11.+6 pct38i71 comma11.+11 pct38i89 comma11.+8 pct38i106 comma11.
    /@COL '  $200,000 and more'   @COLD pct38i19 comma11.+8 pct38i36 comma11.+15 pct38i55 comma11.+6 pct38i72 comma11.+11 pct38i90 comma11.+8 pct38i107 comma11.

    ;
    **--Generate table PCT39/PCT40/P41.--**;
*check for 0 and calculate means*;
owncht = pct41i3+pct41i7+pct41i10;*agg income for families with own children*;
nocht = pct41i4+pct41i8+pct41i11;*agg income for families without children*;

famall = p12i3+p12i18;*family - total*;
famch = p12i5+p12i9+p12i12+p12i20+p12i24+p12i27;*all families with children under 18*;
famnch = famall-famch; *all families without children*;
marf = p12i4+p12i19;*married couple families*;
march = p12i5+p12i20;*married couple families with children*;
marnch = marf-march;*married couple families with no children*;
malf = p12i8+p12i23;*male HH total*;
malch = p12i9+p12i24;*male HH with children*;
malnch = malf-malch;*male HH no children*;
femf = p12i11+p12i26;*femal HH total*;
femch = p12i12+p12i27;*female HH with children*;
femnch = femf-femch;*female HH no children*;

array family{12} famall famch famnch marf march marnch malf malch malnch
      femf femch femnch;
array pct41t{12} pct41i1 owncht nocht pct41i2-pct41i4 pct41i6-pct41i11;
array pct41m{12};

do i=1 to 12;
if family{i} = 0 then pct41m{i} = .;
  else pct41m{i} = pct41t{i}/family{i};
end;

 
STLINE=49;
COL=2;  **--Variable for column of names.--**;
COLD=9;  **--Variable for column of data.--**;
%LET d10p = dollar10. +1 ; 
PUT #STLINE
     @COL 'PCT39/PCT40/PCT41. MEDIAN AND MEAN FAMILY INCOME IN 1999 BY PRESENCE OF OWN CHILDREN UNDER 18 YEARS'
    /@COL 'Universe:  Families'
   //@COL+10 '-------All family types------    ---Married-couple families---      --------------------------Other families--------------------------'
    /@COL+10 '                                                                    Male hholder, no wife present   Female hholder, no husband present'
    /@COL+10 '          With own     No own              With own     No own                With own     No own                  With own     No own'
    /@COL+10 '          children   children              children   children                children   children                  children   children'
    /@COL+10 '  Total   under 18   under 18      Total   under 18   under 18        Total   under 18   under 18          Total   under 18   under 18'
   //@COL 'Median'@COLD pct39i1 &d10p pct39i2  &d10p pct39i3  &d10p pct40i2  &d10p pct40i3 &d10p pct40i4 dollar10. +3 pct40i6 &d10p pct40i7 &d10p
                 pct40i8 dollar10. +5 pct40i9  &d10p pct40i10 &d10p pct40i11 dollar10.
    /@COL 'Mean'  @COLD pct41m1 &d10p pct41m2  &d10p pct41m3  &d10p pct41m4  &d10p pct41m5 &d10p pct41m6 dollar10. +3 pct41m7 &d10p pct41m8 &d10p
                 pct41m9 dollar10. +5 pct41m10 &d10p pct41m11 &d10p pct41m12 dollar10.    
    ;
    link HeadFoot;
end;  *<-----------Code to generate 3rd page----;

*******************************************************************************************************;

**PAGE 4 OF INCOME PROFILE;
IF INDEX(_pages,'4') THEN DO;

%PutTitle(
   %STR(Income Profile 4: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: WHITE & BLACK/AF AMER),
   %STR(Inc-4) ) ;


*create table PCT72A;
strtline=7;
col1=4 ;
coldat=30;

array kida{16} pct72Ai3-pct72Ai18;
array twena{16} pct72Ai20-pct72Ai35;
array thira{16} pct72Ai37-pct72Ai52;
array forta{16} pct72Ai54-pct72Ai69;
array fifta{16} pct72Ai71-pct72Ai86;
array sixta{16} pct72Ai88-pct72Ai103;
array olda{16}  pct72Ai105-pct72Ai120;
*array tota{16};

do i=1 to 16;
bbc=kida{i}+twena{i}+thira{i}+forta{i}+fifta{i}+sixta{i}+olda{i};

PUT #(strtline+6+i)@coldat bbc comma11. +3 kida{i} comma11. +3 twena{i} comma11. +3 thira{i} comma11. +3
                   forta{i} comma11.+3 fifta{i}comma11. +3 sixta{i} comma11.+3 olda{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72A.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (WHITE ALONE HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is White alone'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72Ai1 comma11. +3 pct72Ai2 comma11. +3 pct72Ai19 comma11. +3 pct72Ai36 comma11. +3 pct72Ai53 comma11.
                 +3 pct72Ai70 comma11. +3 pct72Ai87 comma11. +3 pct72Ai104 comma11.
//   @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
 ;

 *horizontal line;
 PUT #31 @2 149*'_';
*create table PCT72B;
strtline=34;
col1=4 ;
coldat=30;

array kidb{16} pct72bi3-pct72bi18;
array twenb{16} pct72bi20-pct72bi35;
array thirb{16} pct72bi37-pct72bi52;
array fortb{16} pct72bi54-pct72bi69;
array fiftb{16} pct72bi71-pct72bi86;
array sixtb{16} pct72bi88-pct72bi103;
array oldb{16}  pct72bi105-pct72bi120;
array totb{16};

do i=1 to 16;
totb{i}=kidb{i}+twenb{i}+thirb{i}+fortb{i}+fiftb{i}+sixtb{i}+oldb{i};

PUT #(strtline+6+i)@coldat totb{i} comma11. +3 kidb{i} comma11. +3 twenb{i} comma11. +3 thirb{i} comma11. +3
                   fortb{i} comma11.+3 fiftb{i}comma11. +3 sixtb{i} comma11.+3 oldb{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72B.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (BLACK OR AFRICAN AMERICAN ALONE HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is Black or African American alone'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72Bi1 comma11. +3 pct72Bi2 comma11. +3 pct72Bi19 comma11. +3 pct72Bi36 comma11. +3 pct72Bi53 comma11.
                 +3 pct72Bi70 comma11. +3 pct72Bi87 comma11. +3 pct72Bi104 comma11.
//    @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

link HeadFoot; 
end;  *<-----------of code to generate 4th page----;

IF INDEX(_pages,'5') THEN DO;

%PutTitle(
   %STR(Income Profile 5: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: NATIVE AMERICAN & ASIAN),
   %STR(Inc-5) ) ;


*create table PCT72C;
strtline=7;
col1=4 ;
coldat=30;

array kidc{16} pct72ci3-pct72ci18;
array twenc{16} pct72ci20-pct72ci35;
array thirc{16} pct72ci37-pct72ci52;
array fortc{16} pct72ci54-pct72ci69;
array fiftc{16} pct72ci71-pct72ci86;
array sixtc{16} pct72ci88-pct72ci103;
array oldc{16}  pct72ci105-pct72ci120;
*array totc{16};

do i=1 to 16;
heeler=kidc{i}+twenc{i}+thirc{i}+fortc{i}+fiftc{i}+sixtc{i}+oldc{i};

PUT #(strtline+6+i)@coldat heeler comma11. +3 kidc{i} comma11. +3 twenc{i} comma11. +3 thirc{i} comma11. +3
                   fortc{i} comma11.+3 fiftc{i}comma11. +3 sixtc{i} comma11.+3 oldc{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72C.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (AMERICAN INDIAN AND ALASKA NATIVE HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is American Indian or Alaska Native alone'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72ci1 comma11. +3 pct72ci2 comma11. +3 pct72ci19 comma11. +3 pct72ci36 comma11. +3 pct72ci53 comma11.
                 +3 pct72ci70 comma11. +3 pct72ci87 comma11. +3 pct72ci104 comma11.
 
//    @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

 *horizontal line;
 PUT #31 @2 149*'_';
*create table PCT72D;
strtline=34;
col1=4 ;
coldat=30;

array kidd{16} pct72di3-pct72di18;
array twend{16} pct72di20-pct72di35;
array third{16} pct72di37-pct72di52;
array fortd{16} pct72di54-pct72di69;
array fiftd{16} pct72di71-pct72di86;
array sixtd{16} pct72di88-pct72di103;
array oldd{16}  pct72di105-pct72di120;
array totd{16};

do i=1 to 16;
totd{i}=kidd{i}+twend{i}+third{i}+fortd{i}+fiftd{i}+sixtd{i}+oldd{i};

PUT #(strtline+6+i)@coldat totd{i} comma11. +3 kidd{i} comma11. +3 twend{i} comma11. +3 third{i} comma11. +3
                   fortd{i} comma11.+3 fiftd{i}comma11. +3 sixtd{i} comma11.+3 oldd{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72D.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (ASIAN ALONE HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is Asian alone'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72di1 comma11. +3 pct72di2 comma11. +3 pct72di19 comma11. +3 pct72di36 comma11. +3 pct72di53 comma11.
                 +3 pct72di70 comma11. +3 pct72di87 comma11. +3 pct72di104 comma11.
 
//    @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

link HeadFoot; 
end;  *<-----------of code to generate 5th page----;

IF INDEX(_pages,'6') THEN DO;

%PutTitle(
   %STR(Income Profile 6: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: HAWAIIAN/PAC IS & OTHER),
   %STR(Inc-6) ) ;


*create table PCT72E;
strtline=7;
col1=4 ;
coldat=30;

array kide{16} pct72ei3-pct72ei18;
array twene{16} pct72ei20-pct72ei35;
array thire{16} pct72ei37-pct72ei52;
array forte{16} pct72ei54-pct72ei69;
array fifte{16} pct72ei71-pct72ei86;
array sixte{16} pct72ei88-pct72ei103;
array olde{16}  pct72ei105-pct72ei120;
array tote{16};

do i=1 to 16;
tote{i}=kide{i}+twene{i}+thire{i}+forte{i}+fifte{i}+sixte{i}+olde{i};

PUT #(strtline+6+i)@coldat tote{i} comma11. +3 kide{i} comma11. +3 twene{i} comma11. +3 thire{i} comma11. +3
                   forte{i} comma11.+3 fifte{i}comma11. +3 sixte{i} comma11.+3 olde{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72E.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (NATIVE HAWAIIAN AND OTHER PACIFIC ISLANDER)'
/   @col1 'Universe: Households with a householder who is Native Hawaiian or Other Pacific Islander alone'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72ei1 comma11. +3 pct72ei2 comma11. +3 pct72ei19 comma11. +3 pct72ei36 comma11. +3 pct72ei53 comma11.
                 +3 pct72ei70 comma11. +3 pct72ei87 comma11. +3 pct72ei104 comma11.
 
//   @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

 *horizontal line;
 PUT #31 @2 149*'_';

*create table PCT72F;
strtline=34;
col1=4 ;
coldat=30;

array kidf{16} pct72fi3-pct72fi18;
array twenf{16} pct72fi20-pct72fi35;
array thirf{16} pct72fi37-pct72fi52;
array fortf{16} pct72fi54-pct72fi69;
array fiftf{16} pct72fi71-pct72fi86;
array sixtf{16} pct72fi88-pct72fi103;
array oldf{16}  pct72fi105-pct72fi120;
array totf{16};

do i=1 to 16;
totf{i}=kidf{i}+twenf{i}+thirf{i}+fortf{i}+fiftf{i}+sixtf{i}+oldf{i};

PUT #(strtline+6+i)@coldat totf{i} comma11. +3 kidf{i} comma11. +3 twenf{i} comma11. +3 thirf{i} comma11. +3
                   fortf{i} comma11.+3 fiftf{i}comma11. +3 sixtf{i} comma11.+3 oldf{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72F.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (SOME OTHER RACE ALONE HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is Some Other Race alone'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72fi1 comma11. +3 pct72fi2 comma11. +3 pct72fi19 comma11. +3 pct72fi36 comma11. +3 pct72fi53 comma11.
                 +3 pct72fi70 comma11. +3 pct72fi87 comma11. +3 pct72fi104 comma11.
 
//   @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

link HeadFoot; 
end;  *<-----------of code to generate 6th page----;

IF INDEX(_pages,'7') THEN DO;

%PutTitle(
   %STR(Income Profile 7: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: 2 OR MORE RACE & HISPANIC),
   %STR(Inc-7) ) ;


*create table PCT72G;
strtline=7;
col1=4 ;
coldat=30;

array kidg{16} pct72gi3-pct72gi18;
array tweng{16} pct72gi20-pct72gi35;
array thirg{16} pct72gi37-pct72gi52;
array fortg{16} pct72gi54-pct72gi69;
array fiftg{16} pct72gi71-pct72gi86;
array sixtg{16} pct72gi88-pct72gi103;
array oldg{16}  pct72gi105-pct72gi120;
array totg{16};

do i=1 to 16;
totg{i}=kidg{i}+tweng{i}+thirg{i}+fortg{i}+fiftg{i}+sixtg{i}+oldg{i};

PUT #(strtline+6+i)@coldat totg{i} comma11. +3 kidg{i} comma11. +3 tweng{i} comma11. +3 thirg{i} comma11. +3
                   fortg{i} comma11.+3 fiftg{i}comma11. +3 sixtg{i} comma11.+3 oldg{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72G.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (TWO OR MORE RACES HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is Two or more races'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72gi1 comma11. +3 pct72gi2 comma11. +3 pct72gi19 comma11. +3 pct72gi36 comma11. +3 pct72gi53 comma11.
                 +3 pct72gi70 comma11. +3 pct72gi87 comma11. +3 pct72gi104 comma11.
 
//   @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

 *horizontal line;
 PUT #31 @2 149*'_';

*create table PCT72H;
strtline=34;
col1=4 ;
coldat=30;

array kidh{16} pct72hi3-pct72hi18;
array twenh{16} pct72hi20-pct72hi35;
array thirh{16} pct72hi37-pct72hi52;
array horth{16} pct72hi54-pct72hi69;
array hihth{16} pct72hi71-pct72hi86;
array sixth{16} pct72hi88-pct72hi103;
array oldh{16}  pct72hi105-pct72hi120;
array toth{16};

do i=1 to 16;
toth{i}=kidh{i}+twenh{i}+thirh{i}+horth{i}+hihth{i}+sixth{i}+oldh{i};

PUT #(strtline+6+i)@coldat toth{i} comma11. +3 kidh{i} comma11. +3 twenh{i} comma11. +3 thirh{i} comma11. +3
                   horth{i} comma11.+3 hihth{i}comma11. +3 sixth{i} comma11.+3 oldh{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72H.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (HISPANIC OR LATINO HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is Hispanic or Latino'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72hi1 comma11. +3 pct72hi2 comma11. +3 pct72hi19 comma11. +3 pct72hi36 comma11. +3 pct72hi53 comma11.
                 +3 pct72hi70 comma11. +3 pct72hi87 comma11. +3 pct72hi104 comma11.
 
//   @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

link HeadFoot; 
end;  *<-----------of code to generate 7th page----;


IF INDEX(_pages,'8') THEN DO;

%PutTitle(
   %STR(Income Profile 8: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: WHITE ALONE, NOT HISPANIC),
   %STR(Inc-8) ) ;

PUT #31 @2 149*'_';
*create table PCT72I;
strtline=7;
col1=4 ;
coldat=30;

array kidI{16} pct72Ii3-pct72Ii18;
array twenI{16} pct72Ii20-pct72Ii35;
array thirI{16} pct72Ii37-pct72Ii52;
array fortI{16} pct72Ii54-pct72Ii69;
array fiftI{16} pct72Ii71-pct72Ii86;
array sixtI{16} pct72Ii88-pct72Ii103;
array oldI{16}  pct72Ii105-pct72Ii120;
array totI{16};

do i=1 to 16;
totI{i}=kidI{i}+twenI{i}+thirI{i}+fortI{i}+fiftI{i}+sixtI{i}+oldI{i};

PUT #(strtline+6+i)@coldat totI{i} comma11. +3 kidI{i} comma11. +3 twenI{i} comma11. +3 thirI{i} comma11. +3
                   fortI{i} comma11.+3 fiftI{i}comma11. +3 sixtI{i} comma11.+3 oldI{i} comma11.;
end;



PUT #strtline
    @col1 'PCT72I.  HOUSEHOLD INCOME IN 1999 BY AGE OF HOUSEHOLDER (WHITE ALONE, NOT HISPANIC OR LATINO HOUSEHOLDER)'
/   @col1 'Universe: Households with a householder who is White alone, not Hispanic or Latino'
//  @coldat+3 'All Ages'+6 'Under 25'+6 '25 to 34'+6 '35 to 44'+6 '45 to 54'+6 '55 to 64'+6 '65 to 74'+5 '75 & over'
//    @col1'Total:' @coldat pct72Ii1 comma11. +3 pct72Ii2 comma11. +3 pct72Ii19 comma11. +3 pct72Ii36 comma11. +3 pct72Ii53 comma11.
                 +3 pct72Ii70 comma11. +3 pct72Ii87 comma11. +3 pct72Ii104 comma11.
 
//   @col1'  Less than $10,000'    
/    @col1'  $10,000 to $14,999'    
/    @col1'  $15,000 to $19,999'     
/    @col1'  $20,000 to $24,999'     
/    @col1'  $25,000 to $29,999'     
/    @col1'  $30,000 to $34,999'     
/    @col1'  $35,000 to $39,999'     
/    @col1'  $40,000 to $44,999'     
/    @col1'  $45,000 to $49,999'     
/    @col1'  $50,000 to $59,999'     
/    @col1'  $60,000 to $74,999'     
/    @col1'  $75,000 to $99,999'     
/    @col1'  $100,000 to $124,999'    
/    @col1'  $125,000 to $149,999'    
/    @col1'  $150,000 to $199,999'     
/    @col1'  $200,000 and more'     
;

link HeadFoot; 
end;  *<-----------of code to generate 8th page----;

RETURN ;
*******************************************************************************************************;