LangProf: /*** Generates 2000 SF3 language profile
   --Annette Boyer, Colorado     (303) 866-3095     annette.boyer@state.co.us
 8/27/02: removed unclosed comment (string of asterisks) at end--rw ;
       *******/

* do all pages if _pages is null, blank or ALL ;

IF _pages IN ('',' ','all','ALL') THEN _pages='123' ;
IF INDEX(_pages,'1') THEN DO;


%PutTitle(
   %STR( Language Profile 1: PLACE OF BIRTH, YR OF ENTRY, CITIZENSHIP; HOME LANGUAGE, ENGLISH ABILITY),
   %STR(Lang-1) ) ;

**PAGE ONE OF LANGUAGE PROFILE;


**--Draw horizontal lines. --**;

PUT #29 @2 147*'_';
PUT #49 @85 65*'_';

**--Draw (internal) vertical lines --**;

do _i_=30 to 62;
  PUT #_I_ @85 '|';
  end;

**Create PCT20 **;
*********FIRST COLUMN;
strtline=7;
col1=4;  **column for var names**;
coldat=33; **column for start of data**;
*calculate percents and totals;

array carib{10}pct20i44-pct20i53;*carribean;
array mex{10} pct20i55-pct20i64; *mexican;
array cena{10} pct20i65-pct20i74; *other central american;
array soua{10} pct20i75-pct20i84; *south american;
array nota{10} pct20i85-pct20i94; *northern american;

array centr{10}; *central american total;
array latin{10}; *latin american total;
array amer{10};  *americas total;

*sum for Central America (across 10 categories re citizenship/yr of entry--display columns) ;
do i=1 to 10;
centr{i}=mex{i}+cena{i};
end;

do i=1 to 10;*sum for Latin America;
latin{i}=centr{i}+soua{i}+carib{i};
end;

do i=1 to 10;*sum for Americas;
amer{i}=latin{i}+nota{i};
end;

*figure percentages for those arriving in the Clinton years;
array tclin{0:13} p23i2 pct20i3 pct20i13 pct20i23 pct20i33 amer2 latin2 pct20i45
                centr2 pct20i56 pct20i66 pct20i76 pct20i86 pct20i96;
array nclin{0:13} p23i4 pct20i5 pct20i15 pct20i25 pct20i35 amer4 latin4 pct20i47
                centr4 pct20i58 pct20i68 pct20i78 pct20i88 pct20i98;
array pclin{0:13};

 * across 14 birthplaces (rows) including three internal subtotals (grandtotal is row 0) ;
do i=0 to 13;
if nclin{i} = 0 then pclin{i} = .;
 else pclin{i} = (nclin{i}/tclin{i}) * 100;
PUT #(13 +i) @72 pclin{i} 5.1;
end;

*figure percentages for those arriving in the Reagan years;
array treag{0:13} p23i5 pct20i6 pct20i16 pct20i26 pct20i36 amer5 latin5 pct20i48
                centr5 pct20i59 pct20i69 pct20i79 pct20i89 pct20i99;*total;
array nreag{0:13} p23i7 pct20i8 pct20i18 pct20i28 pct20i38 amer7 latin7 pct20i50
                centr7 pct20i61 pct20i71 pct20i81 pct20i91 pct20i101;*not a citizen;
array preag{0:13};

do i=0 to 13;
if nreag{i} = 0 then preag{i} = .;
 else preag{i} = (nreag{i}/treag{i}) * 100;
PUT #(13 +i) @105 preag{i} 5.1;
end;

*figure percentages for those arriving in the Carter years and before;
array tcart{0:13} p23i8 pct20i9 pct20i19 pct20i29 pct20i39 amer8 latin8 pct20i51
                centr8 pct20i62 pct20i72 pct20i82 pct20i92 pct20i102;
array ncart{0:13} p23i10 pct20i11 pct20i21 pct20i31 pct20i41 amer10 latin10 pct20i53
                centr10 pct20i64 pct20i74 pct20i84 pct20i94 pct20i104;
array pcart{0:13};

do i=0 to 13;
if ncart{i} = 0 then pcart{i} = .;
 else pcart{i} = ncart{i}/tcart{i} * 100;
PUT #(13 +i) @142 pcart{i} 5.1;
end;

ARRAY PCT20SUMM [2,0:13] ;
DO i=0 TO 13 ;
  PCT20SUMM[2,i] = nclin[i] + nreag[i] + ncart[i] ;
  PCT20SUMM[1,i] = tclin[i] + treag[i] + tcart[i] - PCT20SUMM[2,i] ;
END ;
PUT #strtline
    @col1 'P23/PCT20.  PLACE OF BIRTH BY YEAR OF ENTRY BY CITIZENSHIP STATUS'
/   @col1 'Universe: Foreign-born population (' PCT20i1 : COMMA11. +(-1) ')'
/   @coldat '            Year of Entry 1990 to March 2000  ---Year of Entry 1980 to 1989--    ----Year of Entry before 1980----'
/   @coldat '             Naturalized     -Not a citizen-  Naturalized     -Not a citizen-    Naturalized     --Not a citizen--'
/   @coldat '      Total      citizen     Number    Pct.*      citizen     Number    Pct.*        citizen     Number      Pct.*'

//  @col1 'Total foreign-born pop.:'    @coldat p23i1    comma11. +4 p23i3    comma9. +2 p23i4    comma9. +13 p23i6    comma9. +2 p23i7    comma9. +15 p23i9    comma9. +2 p23i10   comma9.
/   @col1 '  Europe'                    @coldat pct20i2  comma11. +4 pct20i4  comma9. +2 pct20i5  comma9. +13 pct20i7  comma9. +2 pct20i8  comma9. +15 pct20i10 comma9. +2 pct20i11 comma9.
/   @col1 '  Asia'                      @coldat pct20i12 comma11. +4 pct20i14 comma9. +2 pct20i15 comma9. +13 pct20i17 comma9. +2 pct20i18 comma9. +15 pct20i20 comma9. +2 pct20i21 comma9.
/   @col1 '  Africa'                    @coldat pct20i22 comma11. +4 pct20i24 comma9. +2 pct20i25 comma9. +13 pct20i27 comma9. +2 pct20i28 comma9. +15 pct20i30 comma9. +2 pct20i31 comma9.
/   @col1 '  Oceania'                   @coldat pct20i32 comma11. +4 pct20i34 comma9. +2 pct20i35 comma9. +13 pct20i37 comma9. +2 pct20i38 comma9. +15 pct20i40 comma9. +2 pct20i41 comma9.
/   @col1 '  Americas:'                 @coldat pct20i42 comma11. +4 amer3    comma9. +2 amer4    comma9. +13 amer6    comma9. +2 amer7    comma9. +15 amer9    comma9. +2 amer10   comma9.
/   @col1 '    Latin America:'          @coldat pct20i43 comma11. +4 latin3   comma9. +2 latin4   comma9. +13 latin6   comma9. +2 latin7   comma9. +15 latin9   comma9. +2 latin10  comma9.
/   @col1 '      Caribbean'             @coldat pct20i44 comma11. +4 pct20i46 comma9. +2 pct20i47 comma9. +13 pct20i49 comma9. +2 pct20i50 comma9. +15 pct20i52 comma9. +2 pct20i53 comma9.
/   @col1 '      Central America:'      @coldat pct20i54 comma11. +4 centr3   comma9. +2 centr4   comma9. +13 centr6   comma9. +2 centr7   comma9. +15 centr9   comma9. +2 centr10  comma9.
/   @col1 '       Mexico'               @coldat pct20i55 comma11. +4 pct20i57 comma9. +2 pct20i58 comma9. +13 pct20i60 comma9. +2 pct20i61 comma9. +15 pct20i63 comma9. +2 pct20i64 comma9.
/   @col1 '       Other Central America'@coldat pct20i65 comma11. +4 pct20i67 comma9. +2 pct20i68 comma9. +13 pct20i70 comma9. +2 pct20i71 comma9. +15 pct20i73 comma9. +2 pct20i74 comma9.
/   @col1 '      South America'         @coldat pct20i75 comma11. +4 pct20i77 comma9. +2 pct20i78 comma9. +13 pct20i80 comma9. +2 pct20i81 comma9. +15 pct20i83 comma9. +2 pct20i84 comma9.
/   @col1 '    Northern America'        @coldat pct20i85 comma11. +4 pct20i87 comma9. +2 pct20i88 comma9. +13 pct20i90 comma9. +2 pct20i91 comma9. +15 pct20i93 comma9. +2 pct20i94 comma9.
/   @col1 '  Born at sea'               @coldat pct20i95 comma11. +4 pct20i97 comma9. +2 pct20i98 comma9. +13 pct20i100 comma9.+2 pct20i101 comma9.+15 pct20i103 comma9.+2 pct20i104 comma9.
//  @col1 '*Percent of people born in a given area entering the US to become residents during the specified time period who are not US citizens'
;


** Create table PCT 12**;
strtline=31;
col1=4;  **column for var names**;
coldat=43; **column for start of data**;

array native{21} pct12i3-pct12i23; *native born speakers*;
array forgn{21} pct12i25-pct12i45; *foreign born*;
array nattot{21}; *to hold total*;

do i=1 to 21;
 nattot{i}=native{i}+forgn{i};
 PUT #(strtline+7+i)@coldat nattot{i} comma11. +3 native{i} comma11. +3 forgn{i} comma11.;
end;



PUT #strtline
/   @col1 'PCT12.  LANGUAGE SPOKEN AT HOME BY ABILITY TO SPEAK ENGLISH AND NATIVITY'
/   @col1 'Universe: Population 5 years and over'
//  @coldat+5                                ' Total        Native  Foreign born'
//  @col1'Total population 5 and over:' @coldat pct12i1 comma11. +3 pct12i2 comma11. +3 pct12i24 comma11.
//  @col1' Speak only English'
/   @col1' Speak Spanish:'
/   @col1'   Speak English "very well"'
/   @col1'   Speak English "well"'
/   @col1'   Speak English "not well"'
/   @col1'   Speak English "not at all"'
/   @col1' Speak other Indo-European langs.:'
/   @col1'   Speak English "very well"'
/   @col1'   Speak English "well"'
/   @col1'   Speak English "not well"'
/   @col1'   Speak English "not at all"'
/   @col1' Speak Asian or Pac. Island langs.:'
/   @col1'   Speak English "very well"'
/   @col1'   Speak English "well"'
/   @col1'   Speak English "not well"'
/   @col1'   Speak English "not at all"'
/   @col1' Speak other languages:'
/   @col1'   Speak English "very well"'
/   @col1'   Speak English "well"'
/   @col1'   Speak English "not well"'
/   @col1'   Speak English "not at all"'
;


*create table P20[SUMMARY].;
strtline=31;
col1=88;  **column for var names**;
coldat=125; **column for start of data**;

DO i=0 TO 13 ; PUT #(strtline+4+i) @coldat (PCT20SUMM[1,i] PCT20SUMM[2,i]) (comma11.) ; END ;
PUT #strtline
    @col1 'PCT20[SUMMARY]. PLACE OF BIRTH'
/   @col1 '         BY CITIZENSHIP STATUS'    @(coldat-1) ' Naturalized    -Not a-'
/   @col1 'Universe: Foreign-born population'   @coldat    '    citizen    citizen' 
//  @col1 'Total foreign-born pop.:'    
/   @col1 '  Europe'                    
/   @col1 '  Asia'                      
/   @col1 '  Africa'                    
/   @col1 '  Oceania'                   
/   @col1 '  Americas:'                 
/   @col1 '    Latin America:'          
/   @col1 '      Caribbean'             
/   @col1 '      Central America:'      
/   @col1 '       Mexico'               
/   @col1 '       Other Central America'
/   @col1 '      South America'         
/   @col1 '    Northern America'        
/   @col1 '  Born at sea'               
;

**Create table PCT11**;

strtline=51;
col1=88;  **column for var names**;
coldat=125; **column for start of data**;
colper=138; *column for percents;

array forper{7} pct11i2-pct11i8;
do i=1 to 7;
if pct11i1 >0 then addon = forper{i}/pct11i1 *100;
else addon = .;
PUT #(54+i) @colper addon 5.1;
end;

PUT #strtline
    @col1 'PCT11.  LANGUAGE SPOKEN AT HOME BY ABILITY TO SPEAK ENGLISH'
/   @col1 'Universe: Hispanic or Latino population 5 years and over'
/   @colper ' Pct.'
/   @col1'Total Hisp/Latino pop. 5 and over:'@coldat pct11i1 comma11. '  100.0'
/   @col1'  Speak only English'              @coldat pct11i2 comma11.
/   @col1'  Speak Spanish:'                  @coldat pct11i3 comma11.
/   @col1'    Speak English "very well"'     @coldat pct11i4 comma11.
/   @col1'    Speak English "well"'          @coldat pct11i5 comma11.
/   @col1'    Speak English "not well"'      @coldat pct11i6 comma11.
/   @col1'    Speak English "not at all"'    @coldat pct11i7 comma11.
/   @col1'  Speak other language'            @coldat pct11i8 comma11.

;
link HeadFoot;
end;  *<-----------Code to generate 1st page----;
*********************************************************************;

if index(_pages,'2') then do;

%PutTitle(
   %STR(Language Profile 2: LANGUAGE SPOKEN AT HOME BY AGE; LINGUISTIC ISOLATION),
   %STR(Lang-2) ) ;


**--Draw (internal) lines --**;

PUT #33 @69 80*'_';

do _j_=6 to 61;
  PUT #_J_ @68 '|';
  end;

do _z_=6 to 33;
    PUT #_Z_ @110 '|';
    end;

**generate table pct10**;
strtline=7;
col1=2;  **column for var names**;
coldat=28; **column for start of data**;

array kid{40} pct10i3-pct10i42; *population 5 to 17*;
array old{40} pct10i44-pct10i83; *population 8 and over*;
array ltot{40}; *total*;

do i=1 to 40;
ltot{i}=kid{i}+old{i};

PUT #(strtline+8+i)@coldat ltot{i} comma11. +3 kid{i} comma11.+3 old{i} comma11.;
end;



PUT #strtline
/@col1 'PCT10.  LANGUAGE SPOKEN AT HOME BY AGE'
/@col1 'Universe: Population 5 years and over'
//@coldat+14 '--------- Age -----------'
/@coldat+5 'Total' +8 '5 to 17'+11'18+'
//@col1'Total population 5 & over:'  @coldat pct10i1 comma11. +3 pct10i2 comma11. +3 pct10i43 comma11.
//@col1'Speak only English'
/@col1'Spanish or Spanish Creole'
/@col1'French*'
/@col1'French Creole'
/@col1'Italian'
/@col1'Portuguese or Port. Creole'
/@col1'German'
/@col1'Yiddish'
/@col1'Other West Germanic langs.'
/@col1'Scandinavian languages'
/@col1'Greek'
/@col1'Russian'
/@col1'Polish'
/@col1'Serbo-Croatian'
/@col1'Other Slavic languages'
/@col1'Armenian'
/@col1'Persian'
/@col1'Gujarathi'
/@col1'Hindi'
/@col1'Urdu'
/@col1'Other Indic languages'
/@col1'Other Indo-European langs.'
/@col1'Chinese'
/@col1'Japanese'
/@col1'Korean'
/@col1'Mon-Khmer, Cambodian'
/@col1'Miao, Hmong'
/@col1'Thai'
/@col1'Laotian'
/@col1'Vietnamese'
/@col1'Other Asian languages'
/@col1'Tagalog'
/@col1'Other Pac. Island languages'
/@col1'Navajo'
/@col1'Other Native No. Amer. langs.'
/@col1'Hungarian'
/@col1'Arabic'
/@col1'Hebrew'
/@col1'African languages'
/@col1'Other and unspecified langs.'
//@col1 '* Includes Patois and Cajun'
;


**generate table pct13**;

*calculate variables for totals*;

strtline=7;
col1=69;  **column for var names**;
coldat=100; **column for start of data**;

PUT #strtline
   @col1 'PCT13. LANGUAGE SPOKEN AT HOME IN'
/  @col1 'LINGUISTICALLY ISOLATED HOUSEHOLDS BY AGE'
/   @col1 'Universe: Population 5 years and over'
/   @col1+9 ' in linguistically isolated'
/   @col1+9 ' households'
//  @col1 'Total in universe:'@coldat pct13i1 comma9.
//  @col1 '5 to 17 years:'@coldat pct13i2 comma9.
/   @col1 '  Speak only English'@coldat pct13i3 comma9.
/   @col1 '  Speak Spanish'@coldat pct13i4 comma9.
/   @col1 '  Spk other Indo-European lang.'@coldat pct13i5 comma9.
/   @col1 '  Spk Asian & Pac. Island lang.'@coldat pct13i6 comma9.
/   @col1 '  Speak other languages'@coldat pct13i7 comma9.
//  @col1 '18 to 64 years:'@coldat pct13i8 comma9.
/   @col1 '  Speak Spanish'@coldat pct13i9 comma9.
/   @col1 '  Spk other Indo-European lang.'@coldat pct13i10 comma9.
/   @col1 '  Spk Asian & Pac. Island lang.'@coldat pct13i11 comma9.
/   @col1 '  Speak other languages'@coldat pct13i12 comma9.
//  @col1 '65 years and over:'@coldat pct13i13 comma9.
/   @col1 '  Speak Spanish'@coldat pct13i14 comma9.
/   @col1 '  Spk other Indo-European lang.'@coldat pct13i15 comma9.
/   @col1 '  Spk Asian & Pac. Island lang.'@coldat pct13i16 comma9.
/   @col1 '  Speak other languages'@coldat pct13i17 comma9.
;

**Create table P20**;

strtline=7;
col1=111;  **column for var names**;
coldat=139; **column for start of data**;

PUT #strtline
   @col1 'P20.  HOUSEHOLD LANGUAGE BY'
/  @col1 '      LINGUISTIC ISOLATION'
//   @col1 'Universe: Households'
//  @col1'Total households:'                @137 p20i1 comma11.
//   @col1'  English'                       @137 p20i2 comma11.
//   @col1'  Spanish:'                   @coldat p20i3 comma9.
/   @col1'   Linguistically isolated'    @coldat p20i4 comma9.
/   @col1'   Not ling. isolated'         @coldat p20i5 comma9.
//   @col1'  Other Indo-European langs.:'@coldat p20i6 comma9.
/   @col1'   Linguistically isolated'    @coldat p20i7 comma9.
/   @col1'   Not ling. isolated'         @coldat p20i8 comma9.
//   @col1'  Asian/Pac. Island langs.:'  @coldat p20i9 comma9.
/   @col1'   Linguistically isolated'    @coldat p20i10 comma9.
/   @col1'   Not ling. isolated'         @coldat p20i11 comma9.
//   @col1'  Other languages:'           @coldat p20i12 comma9.
/   @col1'   Linguistically isolated'    @coldat p20i13 comma9.
/   @col1'   Not ling. isolated'         @coldat p20i14 comma9.

;
**generate table pct14**;
*create variables for totals*;
snef = pct14i9+pct14i14; *some members speak non-english, 5-17*;
anef = pct14i20+pct14i25; *all members speak non-english, 5-17*;
totfLang= snef+anef+pct14i3; *total, 5-17*;

snee = pct14i10+pct14i15; *some members speak non-english, 18-44*;
anee = pct14i21+pct14i26; *all members speak non-english, 18-44*;
toteLang = snee + anee + pct14i4; *total, 18-44*;

snefo = pct14i11+pct14i16; *some members speak non-english, 45-64*;
anefo = pct14i22+pct14i27; *all members speak non-english, 45-64*;
totfo = snefo+anefo + pct14i5; *total, 45-64*;

snes = pct14i12+pct14i17;*some members speak non-english, 65+*;
anes = pct14i23+pct14i28;*all members speak non-english, 65+*;
tots = snes + anes + pct14i6;*total 65 and over*;

strtline=35;
col1=70;  **column for var names**;
coldat=101; **column for start of data**;

PUT #strtline
   @col1 'PCT14.  LANGUAGE DENSITY BY LINGUISTIC ISOLATION BY AGE'
/   @col1 'Universe: Population 5 years and over in households (' Pct14i1 : COMMA11. +(-1) ')'
//  @coldat '    -------------------- Age ------------------'
/   @coldat+3  ' 5 to 17    18 to 44    45 to 64         65+'
//  @col1 'In all households:'                          @coldat totfLang comma11. +1 toteLang comma11. +1 totfo comma11. +1 tots comma11.
//  @col1 'In households where all members'
/   @col1 ' speak English only'             @coldat pct14i3 comma11. +1 pct14i4 comma11. +1 pct14i5 comma11. +1 pct14i6 comma11.
/   @col1 'In households where some members'
/   @col1 'speak a non-English language:'   @coldat snef comma11. +1 snee comma11. +1 snefo comma11. +1 snes comma11.
/   @col1 '  Not linguistically isolated'   @coldat pct14i9 comma11. +1 pct14i10 comma11. +1 pct14i11 comma11. +1 pct14i12 comma11.
/   @col1 '  Linguistically isolated'       @coldat pct14i14 comma11. +1 pct14i15 comma11. +1 pct14i16 comma11. +1 pct14i17 comma11.
/   @col1 'In households where all members'
/   @col1 ' speak a non-English language:'  @coldat anef comma11. +1 anee comma11. +1 anefo comma11. +1 anes comma11.
/   @col1 '  Not linguistically isolated'   @coldat pct14i20 comma11. +1 pct14i21 comma11. +1 pct14i22 comma11. +1 pct14i23 comma11.
/   @col1 '  Linguistically isolated'       @coldat pct14i25 comma11. +1 pct14i26 comma11. +1 pct14i27 comma11. +1 pct14i28 comma11.

;

link HeadFoot;
end;    *--profile (page) 2---;
********************************;


if index(_pages,'3') then do;


%PutTitle(
   %STR(Language Profile 3: LANGUAGE SPOKEN AT HOME BY AGE BY RACE AND HISPANIC/LATINO),
   %STR(Lang-3) ) ;
**--Generate SF3 Language Profile #3.--**;

**--Draw (internal) vertical lines after PUTting data-- (moved below) **;
 
**generate table pct14**;
strtline=7;
col1=3;  **column for var names**;
coldat=34; **column for start of data**;


*calculate total;
so18  = p19i4+p19i9+p19i14+p19i19;*speak other langs, under18;
sew18 = p19i5+p19i10+p19i15+p19i20;*speak english very well, under18;
seok18 = p19i6+p19i11+p19i16+p19i21;*speak english well, under 18;
senw18 = p19i7+p19i12+p19i17+p19i22;*speak english not well, under 18;
sena18 = p19i8+p19i13+p19i18+p19i23;*speak english not at all, under 18;

so64  = p19i26+p19i31+p19i36+p19i41;*speak other langs, 18-64;
sew64 = p19i27+p19i32+p19i37+p19i42;*speak english very well, 18-64;
seok64 = p19i28+p19i33+p19i38+p19i43;*speak english well, 18-64;
senw64 = p19i29+p19i34+p19i39+p19i44;*speak english not well, 18-64;
sena64 = p19i30+p19i35+p19i40+p19i45;*speak english not at all, 18-64;

soold  =   p19i48+p19i53+p19i58+p19i63; *speak other langs, over 65;
sewold =  p19i49+p19i54+p19i59+p19i64; *speak english very well, over 65;
seokold = p19i50+p19i55+p19i60+p19i65; *speak english well, over 65;
senwold = p19i51+p19i56+p19i61+p19i66; *speak english not well, over 65;
senaold = p19i52+p19i57+p19i62+p19i67; *speak english not well, over 65;

sEOnly = p19i3 + p19i25 + p19i47 ;
soALL =   so18  +  so64  +  soold  ; 
sewALL =  sew18 +  sew64 +  sewold ; 
seokALL = seok18 + seok64 + seokold ;
senwALL = senw18 + senw64 + senwold ;
senaALL = sena18 + sena64 + senaold ;


array white[22] pct62Ai1-pct62Ai22 ;
array black[22] pct62Bi1-pct62Bi22 ;
array ameri[22] pct62Ci1-pct62Ci22 ;
array asian[22] pct62Di1-pct62Di22 ;
array hawai[22] pct62Ei1-pct62Ei22 ;
array other[22] pct62Fi1-pct62Fi22 ;
array twomo[22] pct62Gi1-pct62Gi22 ;
array hisp [22] pct62Hi1-pct62Hi22 ;
array whinh[22] pct62Ii1-pct62Ii22 ;

put #(18)@47 white[1] comma11. +1 black[1] comma9. + 2 ameri[1] comma9. +2
      asian[1] comma9. +2 hawai[1] comma9. +2 other[1] comma9. +2 twomo[1] comma9. +3
      hisp[1] comma9. +2 whinh[1] comma11.;

array whitetot[6] pct62Atot1-pct62Atot6 ;
array blacktot[6] pct62Btot1-pct62Btot6 ;
array ameritot[6] pct62Ctot1-pct62Ctot6 ;
array asiantot[6] pct62Dtot1-pct62Dtot6 ;
array hawaitot[6] pct62Etot1-pct62Etot6 ;
array othertot[6] pct62Ftot1-pct62Ftot6 ;
array twomotot[6] pct62Gtot1-pct62Gtot6 ;
array hisptot [6] pct62Htot1-pct62Htot6 ;
array whinhtot[6] pct62Itot1-pct62Itot6 ;

DO i = 1 TO 6 ;
  whitetot[i] = white[i+2] + white[i+9] + white[i+16] ;
  blacktot[i] = black[i+2] + black[i+9] + black[i+16] ;
  ameritot[i] = ameri[i+2] + ameri[i+9] + ameri[i+16] ;
  asiantot[i] = asian[i+2] + asian[i+9] + asian[i+16] ;
  hawaitot[i] = hawai[i+2] + hawai[i+9] + hawai[i+16] ;
  othertot[i] = other[i+2] + other[i+9] + other[i+16] ;
  twomotot[i] = twomo[i+2] + twomo[i+9] + twomo[i+16] ;
  hisptot [i] = hisp [i+2] + hisp [i+9] + hisp [i+16] ;
  whinhtot[i] = whinh[i+2] + whinh[i+9] + whinh[i+16] ;
  put #(18+i)@47 whitetot[i] comma11. +1 blacktot[i] comma9. + 2 ameritot[i] comma9. +2
      asiantot[i] comma9. +2 hawaitot[i] comma9. +2 othertot[i] comma9. +2 twomotot[i] comma9. +3
      hisptot[i] comma9. +2 whinhtot[i] comma11.;
end;

do i=2 to 8;
  put #(24+i)@47 white{i} comma11. +1 black{i} comma9. + 2 ameri{i} comma9. +2
      asian{i} comma9. +2 hawai{i} comma9. +2 other{i} comma9. +2 twomo{i} comma9. +3
      hisp{i} comma9. +2 whinh{i} comma11.;
end;

do i=9 to 15;
  put #(25+i)@47 white{i} comma11. +1 black{i} comma9. + 2 ameri{i} comma9. +2
      asian{i} comma9. +2 hawai{i} comma9. +2 other{i} comma9. +2 twomo{i} comma9. +3
      hisp{i} comma9. +2 whinh{i} comma11.;
end;

do i=16 to 22;
  put #(26+i)@47 white{i} comma11. +1 black{i} comma9. + 2 ameri{i} comma9. +2
      asian{i} comma9. +2 hawai{i} comma9. +2 other{i} comma9. +2 twomo{i} comma9. +3
      hisp{i} comma9. +2 whinh{i} comma11.;
end;

PUT #strtline
   @col1 'P19/PCT62A-I.  AGE BY LANGUAGE SPOKEN AT HOME BY ABILITY TO SPEAK ENGLISH BY RACE* AND HISPANIC/LATINO**'
/   @col1 'Universe: Population 5 years and over'
//  @col1 '                                            ---------------------------------- Race* ------------------------------------- ---Hispanic/Latino**--'
/   @col1 '                                                                                            Native'
/   @col1 '                                                                    American              Hawaiian'
/   @col1 '                                                         Black or     Indian               & Other       Some               Hispanic        White'
/   @col1 '                                                          African   & Alaska               Pacific      Other        Two   or Latino   Alone, Not'
/   @col1 '                                                  White  American     Native      Asian   Islander       Race    or More        (All     Hispanic'
/   @col1 '                                 All Races        Alone     Alone      Alone      Alone      Alone      Alone      Races      Races)    or Latino'
//  @col1 'Total population 5 and over:'  @coldat p19i1 comma11.
/   @col1 '  Speak only English'          @coldat sEOnly comma11.
/   @col1 '  Speak other languages:'      @coldat soALL comma11.
/   @col1 '    Speak English "very well"' @coldat sewALL comma11.
/   @col1 '    Speak English "well"'      @coldat seokALL comma11.
/   @col1 '    Speak English "not well"'  @coldat senwALL comma11.
/   @col1 '    Speak English "not at all"'@coldat senaALL comma11.
//  @col1 '5 to 17 years:'@coldat p19i2 comma11.
/   @col1 '  Speak only English'@coldat p19i3 comma11.
/   @col1 '  Speak other languages:'@coldat so18 comma11.
/   @col1 '    Speak English "very well"'@coldat sew18 comma11.
/   @col1 '    Speak English "well"'@coldat seok18 comma11.
/   @col1 '    Speak English "not well"'@coldat senw18 comma11.
/   @col1 '    Speak English "not at all"'@coldat sena18 comma11.
//  @col1 '18 to 64 years:'@coldat p19i24 comma11.
/   @col1 '  Speak only English'@coldat p19i25 comma11.
/   @col1 '  Speak other languages:'@coldat so64 comma11.
/   @col1 '    Speak English "very well"'@coldat sew64 comma11.
/   @col1 '    Speak English "well"'@coldat seok64 comma11.
/   @col1 '    Speak English "not well"'@coldat senw64 comma11.
/   @col1 '    Speak English "not at all"'@coldat sena64 comma11.
//  @col1 '65 years & over:'@coldat p19i46 comma11.
/   @col1 '  Speak only English'@coldat p19i47 comma11.
/   @col1 '  Speak other languages:'@coldat soold comma11.
/   @col1 '    Speak English "very well"'@coldat sewold comma11.
/   @col1 '    Speak English "well"'@coldat seokold comma11.
/   @col1 '    Speak English "not well"'@coldat senwold comma11.
/   @col1 '    Speak English "not at all"'@coldat senaold comma11.
/   @col1 '_________'
//  @col1 ' * For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
/   @col1 '** Hispanic origin is NOT considered a Race.  People who reported themselves as Hispanic or Latino are also counted in the seven racial'
/   @col1 '   categories.'
;

**--Draw (internal) vertical lines **;
do _k_=11 to 48;
  PUT #_K_ @46 ':' @125 ':';
  end;

link HeadFoot;
end;    *--profile (page) 3---;
RETURN;