PageTOC:   /****** Table of Contents Page for Census 2000 SF3 profiles
         Roy Williams/MISER  (413) 545-3460   rwilliams@miser.umass.edu
    9/13/02 initial release
******/
%MACRO ToC (Letter,FullStrng,LineNo) ;
%* testing the actual variable "profiles", not the macro variable ;
IF INDEX(PROFILES,"&Letter") THEN DO ; %* (otherwise do nothing on this one) ;
  IF "&&pages&Letter" IN ('',' ','all','ALL')
    THEN ThisStrng="&FullStrng" ;
    ELSE ThisStrng="&&pages&Letter" ;
  %DO I=1 %TO %LENGTH(&FullStrng) ;
    IF INDEX(ThisStrng,"&I") THEN DO ;
      PUT #(&LineNo+&I) @col2 PageNo 4. @col3 'Y' ;
      PageNo+1 ;
    END ; %* (of inner IF) ;
  %END ; %* (of %DO loop) ;
END ; %* (of outer IF) ;
%MEND ;
%MACRO ToC1 ;
%* slightly different for the Primary profile ;
IF INDEX(PROFILES,'1') THEN DO ; %* (otherwise do nothing on this one) ;
  IF "&pages1" IN ('',' ','all','ALL')
    THEN ThisStrng="123456789AB" ;
    ELSE ThisStrng="&pages1" ;
  %DO I=1 %TO 11 ;
    IF (INDEX(ThisStrng,"&I") OR 
       (INDEXC(ThisStrng,'aA') & &I=10) OR 
       (INDEXC(ThisStrng,'bB') & &I=11)) THEN DO ;
      PUT #(16+&I) @col2 PageNo 4. @col3 'Y' ;
      PageNo+1 ;
    END ; %* (of inner IF) ;
  %END ; %* (of %DO loop) ;
END ; %* (of outer IF) ;
%MEND ;

col1=7 ; col2=20 ; col3=31 ; col4=43 ; col5=47 ;
PUT #1 @70 'TABLE OF CONTENTS' @145 'TOC-1' ;
PUT #8 @12 'PAGE IDENTIFICATION'               @col3+40 'PAGE TITLE' ;
PUT #10 @7 'Mnemonic    Page#   Selected?' ;

ToCPageNo1=RunPage+1 ;
ToCPageNo2=RunPage+2 ;
PageNo=RunPage+3 ;

%ToC1 ;
%ToC ( 2 , 1234   , 29 ) ;
%ToC ( A , 123    , 35 ) ;
%ToC ( D , 123456 , 40 ) ;
%ToC ( E , 12     , 48 ) ;
%ToC ( F , 1      , 52 ) ;

PUT #12
            @col4 'Table of Contents (2 pages):'
/ @col1 'TOC-1' @col2 ToCPageNo1 4. @col3 'Y' @col5 '1: (This page)'
/ @col1 'TOC-2' @col2 ToCPageNo2 4. @col3 'Y' @col5 '2: (Continuation page)'
//          @col4 'Primary Profile (11 pages available):'
/   @col1 'Prime-1'     @col5 '1: AGE, SEX, RACE, MARITAL STATUS, HOUSEHOLD TYPE & RELATIONSHIP'
/   @col1 'Prime-2'     @col5 '2: GRANDPARENTS; FAMILY TYPE; CITIZENSHIP, BIRTHPLACE, ENTRY YEAR; LANGUAGE'
/   @col1 'Prime-3'     @col5 '3: FIRST ANCESTRY AND TOTAL ANCESTRIES REPORTED; RESIDENCE IN 1995'
/   @col1 'Prime-4'     @col5 '4: SCHOOL ENROLLMENT AND EDUCATIONAL ATTAINMENT BY RACE & HISP./LATINO'
/   @col1 'Prime-5'     @col5 '5: SCHOOL ENROLLMENT; EDUC. ATTAINMENT; EMPLOYMENT, FAMILY TYPE & CHILDREN'
/   @col1 'Prime-6'     @col5 '6: LABOR FORCE STATUS; WORK & FAMILY; HOURS/WEEKS WORKED; DISABILITY STATUS'
/   @col1 'Prime-7'     @col5 '7: EMPLOYMENT BY INDUSTRY, OCCUPATION, AND CLASS OF WORKER'
/   @col1 'Prime-8'     @col5 '8: PLACE OF WORK; TRAVEL TO WORK; VETERAN STATUS AND MILITARY SERVICE'
/   @col1 'Prime-9'     @col5 '9: HOUSEHOLD, FAMILY AND PER CAPITA INCOME IN 1999 BY RACE & HISP/LATINO'
/   @col1 'Prime-10' @(col5-1) '10: SOURCE OF INCOME, EARNINGS; POVERTY STATUS OF PERSONS BY RACE/HISPANIC'
/   @col1 'Prime-11' @(col5-1) '11: POVERTY STATUS OF FAMILIES IN 1999 BY RACE & HISPANIC OR LATINO'
//          @col4 'Secondary Profile (4 pages available):'
/   @col1 '2ndry-1'     @col5 '1: HOUSEHOLD TYPE BY CHILDREN AND HOUSEHOLD SIZE; VETERAN STATUS BY SEX'
/   @col1 '2ndry-2'     @col5 '2: LANGUAGE SPOKEN BY AGE; HOUSEHOLD LANGUAGE; FOREIGN-BORN POPULATION'
/   @col1 '2ndry-3'     @col5 '3: COMMUTE TIME; TIME LEAVING HOME; VEHICLE OCCUPANCY; RESIDENCE IN 1995'
/   @col1 '2ndry-4'     @col5 '4: DISABILITY STATUS AND TYPES OF DISABILITY; PERIOD OF MILITARY SERVICE'
//          @col4 'Ancestry Profile (3 pages available):'
/   @col1 'Ancy-1'      @col5 '1: FIRST AND SECOND ANCESTRIES REPORTED'
/   @col1 'Ancy-2'      @col5 '2: TOTAL ANCESTRIES TALLIED'
/   @col1 'Ancy-3'      @col5 '3: PLACE OF BIRTH FOR THE FOREIGN-BORN POPULATION'
//          @col4 'Disability Profile (6 pages available):'
/   @col1 'Dis-1'       @col5 '1: ALL TYPES BY AGE, SEX & EMPLOYMENT STATUS'
/   @col1 'Dis-2'       @col5 '2: SELECTED TYPES BY EMPLOYMENT STATUS BY DETAILED AGE'
/   @col1 'Dis-3'       @col5 '3: BY EMPLOYMENT, EDUCATION & POVERTY STATUS'
/   @col1 'Dis-4'       @col5 '4: TOTAL TALLIES BY TYPE BY AGE BY RACE AND HISPANIC/LATINO'
/   @col1 'Dis-5'       @col5 '5: BY EMPLOYMENT STATUS BY SEX, RACE & HISPANIC/LATINO (Part 1 of 2: MALES)'  
/   @col1 'Dis-6'       @col5 '6: BY EMPLOYMENT STATUS BY SEX, RACE & HISPANIC/LATINO (Part 2 of 2: FEMALES)'
//          @col4 'Education Profile (2 pages available):'
/   @col1 'Educ-1'      @col5 '1: DETAILED ATTAINMENT & ENROLLMENT; EDUCATION & EMPLOYMENT FOR AGE 16-19'
/   @col1 'Educ-2'      @col5 '2: EDUCATIONAL ATTAINMENT BY SEX BY AGE'
//          @col4 'Household and Family Profile (1 page available):'
/   @col1 'Family-1'    @col5 '1: MARITAL STATUS; HOUSEHOLDS, FAMILIES & SUBFAMILIES BY TYPE'
/                                                     @120 '(continued on next page)'
////@3 'Profiles designed and programmed as part of a collaborative project of State Data Centers nationwide, in cooperation with the U.S. Census Bureau.'
/   @3 'The full set includes most of the Population tables and selected Housing tables from Census 2000 Summary File 3 (SF3).  Some tables are abridged.'
;
LINK HeadFoot ;

/* second TOC page */
PUT #1 @65 'TABLE OF CONTENTS (Continued)' @145 'TOC-2' ;
PUT #8 @12 'PAGE IDENTIFICATION'               @col3+40 'PAGE TITLE' ;
PUT #10 @7 'Mnemonic    Page#   Selected?' ;

%ToC ( H , 1234     , 12 ) ;
%ToC ( I , 12345678 , 18 ) ;
%ToC ( J , 123      , 28 ) ;
%ToC ( L , 123      , 33 ) ;
%ToC ( M , 123      , 38 ) ;
%ToC ( P , 12345678 , 43 ) ;
%ToC ( T , 12       , 53 ) ;

PUT #12
            @col4 'Housing Profile (4 pages available):'
/   @col1 'Housing-1'   @col5 '1: SUMMARY; HH SIZE; UNITS IN STRUCTURE; HEATING FUEL; VEHICLES; YEAR BUILT'
/   @col1 'Housing-2'   @col5 '2: ROOMS; BEDROOMS; YEAR MOVED; OWNER COSTS; PLUMBING; KITCHENS; TELEPHONE'
/   @col1 'Housing-3'   @col5 '3: VALUE AND TENURE BY RACE & HISPANIC/LATINO, HOUSEHOLD INCOME BY TENURE'
/   @col1 'Housing-4'   @col5 '4: UTILITY PAYMENT; MEALS IN RENT; BEDROOMS; RENT BY RACE & HISP/LATINO'
//          @col4 'Income Profile (8 pages available):'
/   @col1 'Income-1'    @col5 '1: HOUSEHOLD INCOME BY AGE OF HOUSEHOLDER AND TYPE OF INCOME'
/   @col1 'Income-2'    @col5 '2: INDIVIDUAL EARNINGS; INCOME OF NON-FAMILY HOUSEHOLDS; PER CAPITA INCOME'
/   @col1 'Income-3'    @col5 '3: FAMILY INCOME BY FAMILY TYPE, AGE OF HOUSEHOLDER, NO. OF WORKERS'
/   @col1 'Income-4'    @col5 '4: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: WHITE & BLACK/AFRICAN AMERICAN'
/   @col1 'Income-5'    @col5 '5: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: NATIVE AMERICAN & ASIAN'
/   @col1 'Income-6'    @col5 '6: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: HAWAIIAN/PACIF ISLDR & "SOME OTHER"'
/   @col1 'Income-7'    @col5 '7: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: "TWO OR MORE RACE" & HISP/LATINO'
/   @col1 'Income-8'    @col5 '8: HOUSEHOLD INCOME BY AGE & RACE OF HOUSEHOLDER: WHITE ALONE, NOT HISP/LATINO'
//          @col4 'Employment Profile (3 pages available):'
/   @col1 'Jobs-1'      @col5 '1: EMPLOYMENT STATUS BY RACE AND HISPANIC/LATINO BY SEX'
/   @col1 'Jobs-2'      @col5 '2: DETAILED OCCUPATION & INDUSTRY BY SEX (Part 1 of 2: MALES)'  
/   @col1 'Jobs-3'      @col5 '3: DETAILED OCCUPATION & INDUSTRY BY SEX (Part 2 of 2: FEMALES)'
//          @col4 'Language Profile (3 pages available):'
/   @col1 'Lang-1'      @col5 '1: PLACE OF BIRTH, YR OF ENTRY, CITIZENSHIP; HOME LANGUAGE, ENGLISH ABILITY'
/   @col1 'Lang-2'      @col5 '2: LANGUAGE SPOKEN AT HOME BY AGE; LINGUISTIC ISOLATION'
/   @col1 'Lang-3'      @col5 '3: LANGUAGE SPOKEN AT HOME BY AGE BY RACE AND HISPANIC/LATINO'
//          @col4 'Migration Profile (3 pages available):'
/   @col1 'Migr-1'      @col5 '1: RESIDENCE IN 1995, PLACE OF BIRTH, YEAR OF ENTRY, CITIZENSHIP'
/   @col1 'Migr-2'      @col5 '2: PLACE OF BIRTH BY CITIZENSHIP STATUS BY RACE AND HISPANIC/LATINO'
/   @col1 'Migr-3'      @col5 '3: RESIDENCE IN 1995 BY RACE AND HISPANIC OR LATINO'
//          @col4 'Poverty Profile (8 pages available):'
/   @col1 'Pov-1'       @col5 '1: PERSONS AND HOUSEHOLDS BY HOUSEHOLD TYPE AND HOUSEHOLDER AGE'
/   @col1 'Pov-2'       @col5 '2: FAMILIES BY FAMILY TYPE (Part 1 of 2: BELOW POVERTY)'
/   @col1 'Pov-3'       @col5 '3: FAMILIES BY FAMILY TYPE (Part 2 of 2: ABOVE POVERTY)'
/   @col1 'Pov-4'       @col5 '4: PERSONS BY SEX, AGE, RACE & HISPANIC/LATINO (Part 1 of 2: BELOW POVERTY)'
/   @col1 'Pov-5'       @col5 '5: PERSONS BY SEX, AGE, RACE & HISPANIC/LATINO (Part 2 of 2: ABOVE POVERTY)'
/   @col1 'Pov-6'       @col5 '6: RELATED CHILDREN UNDER 18 YEARS BY RACE AND HISPANIC/LATINO'
/   @col1 'Pov-7'       @col5 '7: PERSONS BY AGE & ALTERNATIVE POVERTY LEVELS; FAMILIES BY INCOME SOURCES'
/   @col1 'Pov-8'       @col5 '8: FAMILIES BY WORK EXPERIENCE AND BY ALTERNATE POVERTY LEVELS'
//          @col4 'Transportation Profile (2 pages available):'
/   @col1 'Trans-1'     @col5 '1: TRAVEL TIME TO WORK AND PLACE OF WORK'
/   @col1 'Trans-2'     @col5 '2: MEANS OF TRANSPORTATION TO WORK BY RACE AND HISPANIC/LATINO'
/// @3 'Profiles designed and programmed as part of a collaborative project of State Data Centers nationwide, in cooperation with the U.S. Census Bureau.'
/   @3 'The full set includes most of the Population tables and selected Housing tables from Census 2000 Summary File 3 (SF3).  Some tables are abridged.'
;
LINK HeadFoot ;
RETURN ;