PrimeProf:
/*--generate 2000 SF3 Primary profile, 11 pages of primary characteristics.
    Julie Hoang, California SDC -   pages 1-5
    Xanthippe Stevens, Kansas SDC - pages 6-7
    Jeff Wallace, Oklahoma SDC -    pages 8-11

-----*/

* do all 11 pages if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='123456789AB' ;

*--generate primary profile, page 1.
    Julie Hoang, California SDC.--*;

IF INDEX(_pages,'1') THEN DO;

%PutTitle(
   %STR(Primary Profile 1: AGE, SEX, RACE, MARITAL STATUS, HOUSEHOLD TYPE & RELATIONSHIP),
   %STR(Prime-1) ) ;

**--Draw horizontal lines--**;
PUT #21 @2 69*'_';
PUT #35 @2 69*'_';
PUT #38 @103 46*'_';
PUT #50 @2 69*'_';

**--Draw (internal) vertical lines--**;
_I_=6;
L1P1I:
PUT #_I_ @39'|';
_I_+1;
IF _I_<=20 THEN GOTO L1P1I;

do _i_=6 to 61;
  PUT #_I_ @71 '|' @102 '|' ;
  end;

**--Generate table P1/P2/P3/P4/P5.--**;
PUT #6
    @2 'P1/P2/P3/P4/P5. PERSONS'
  / @2 'Universe: Total Population'
  /
  / @2 'Total Population' @27 p1i1 comma11.
  / @2 'Unweighted Sample Count' @27 p2i1 comma11.
  / @2 '100-Percent Count' @27 p3i1 comma11.
  / @2 'Percent of Persons'
  / @2 'in Sample' @27 p4i1 10.1 '%'
  /
  / @2 'Urban:' @27 p5i2 comma11.
  / @3 'Inside Urbanized Areas' @27 p5i3 comma11.
  / @3 'Inside Urban Clusters' @27 p5i4 comma11.
  / @2 'Rural:' @27 p5i5 comma11.
  / @3 'Farm' @27 p5i6 comma11.
  / @3 'Non Farm' @27 p5i7 comma11.
    ;

**--Generate table P13.--**;
PUT #6
    @40 'P13. HOUSEHOLD TYPE BY AGE'
  / @40 '     OF HOUSEHOLDER'
  / @40 'Universe: Households'
  /
  / @40 'Age--' @52 'Family   Nonfamily'
  /
  / @40 'Total:' @47 p13i2 comma11. @59 p13i11 comma11.
  / @41 '15-24' @47 p13i3 comma11. @59 p13i12 comma11.
  / @41 '25-34' @47 p13i4 comma11. @59 p13i13 comma11.
  / @41 '35-44' @47 p13i5 comma11. @59 p13i14 comma11.
  / @41 '45-54' @47 p13i6 comma11. @59 p13i15 comma11.
  / @41 '55-64' @47 p13i7 comma11. @59 p13i16 comma11.
  / @41 '65-74' @47 p13i8 comma11. @59 p13i17 comma11.
  / @41 '75-84' @47 p13i9 comma11. @59 p13i18 comma11.
  / @41 '85+  ' @47 p13i10 comma11. @59 p13i19 comma11.
    ;

**--Generate table P6/P7.--**;

PUT #22
    @2 'P6/P7. POPULATION BY RACE AND HISPANIC OR LATINO ORIGIN'
  / @2 'Universe: Total Population'
  / @62 'Hispanic'
  / @53 'Total   or Latino'
  /
  / @2 'Total Population:' @47 p6i1 comma11. @59 p7i10 comma11.
  / @2 ' White Alone' @47 p6i2 comma11. @59 p7i11 comma11.
  / @2 ' Black/African American Alone' @47 p6i3 comma11. @59 p7i12 comma11.
  / @2 ' American Indian/Alaska Native Alone' @47 p6i4 comma11. @59 p7i13 comma11.
  / @2 ' Asian Alone' @47 p6i5 comma11. @59 p7i14 comma11.
  / @2 ' Native Hawaiian/Other Pacific Islander Alone' @47 p6i6 comma11. @59 p7i15 comma11.
  / @2 ' Some Other Race Alone' @47 p6i7 comma11. @59 p7i16 comma11.
  / @2 ' Two or More Races' @47 p6i8 comma11. @59 p7i17 comma11.
;

**--Generate table P18.--**;
array p18t{9};
array p18m{9} p18i2-p18i10;
array p18fe{9} p18i11-p18i19;

do i=1 to 9;
p18t{i}=p18m{i}+p18fe{i};
end;

Put #36
    @2 'P18. SEX BY MARITAL STATUS'
  / @2 'Universe: Population 15 Years and Over'
  /
  / @38 'Total' @53 'Male' @64 'Female'
  /
  / @2 'Total Population 15 and Over:' @32 p18t1 comma11. @46 p18i2 comma11. @59 p18i11 comma11.
  / @4 'Never Married' @32 p18t2 comma11. @46 p18i3 comma11. @59 p18i12 comma11.
  / @4 'Now Married:' @32 p18t3 comma11. @46 p18i4 comma11. @59 p18i13 comma11.
  / @5 'Spouse Present' @32 p18t4 comma11. @46 p18i5 comma11. @59 p18i14 comma11.
  / @5 'Spouse Absent:' @32 p18t5 comma11. @46 p18i6 comma11. @59 p18i15 comma11.
  / @6 'Separated' @32 p18t6 comma11. @46 p18i7 comma11. @59 p18i16 comma11.
  / @6 'Other' @32 p18t7 comma11. @46 p18i8 comma11. @59 p18i17 comma11.
  / @4 'Widowed' @32 p18t8 comma11. @46 p18i9 comma11. @59 p18i18 comma11.
  / @4 'Divorced' @32 p18t9 comma11. @46 p18i10 comma11. @59 p18i19 comma11.
;

**--Generate table PCT1.--**;

Put #51
    @2 'PCT1. UNMARRIED-PARTNER HOUSEHOLDS BY SEX OF PARTNERS'
  / @2 'Universe: Households'
  /
  / @2 'Total Households:' @59 pct1i1 comma11.
  / @4 'Unmarried-partner Households:' @59 pct1i2 comma11.
  / @6 'Male Householder and Male Partner' @59 pct1i3 comma11.
  / @6 'Male Householder and Female Partner' @59 pct1i4 comma11.
  / @6 'Female Householder and Female Partner' @59 pct1i5 comma11.
  / @6 'Female Householder and Male Partner' @59 pct1i6 comma11.
  / @4 'All Other Households' @59 pct1i7 comma11.
;

**--generate table P8--**;

Put #6
    @72  'P8. AGE BY SEX'
  / @72  'Universe: Total Population'
 // @85  'Male      Female'
 // @72  'Total:' @78 p8i2 comma11. @90 p8i41 comma11.
 // @72  '   <1' @78 p8i3 comma11. @90 p8i42 comma11.
  / @72  '    1' @78 p8i4 comma11. @90 p8i43 comma11.
  / @72  '    2' @78 p8i5 comma11. @90 p8i44 comma11.
  / @72  '    3' @78 p8i6 comma11. @90 p8i45 comma11.
  / @72  '    4' @78 p8i7 comma11. @90 p8i46 comma11.
  / @72  '    5' @78 p8i8 comma11. @90 p8i47 comma11.
 // @72  '    6' @78 p8i9 comma11. @90 p8i48 comma11.
  / @72  '    7' @78 p8i10 comma11. @90 p8i49 comma11.
  / @72  '    8' @78 p8i11 comma11. @90 p8i50 comma11.
  / @72  '    9' @78 p8i12 comma11. @90 p8i51 comma11.
  / @72  '   10' @78 p8i13 comma11. @90 p8i52 comma11.
 // @72  '   11' @78 p8i14 comma11. @90 p8i53 comma11.
  / @72  '   12' @78 p8i15 comma11. @90 p8i54 comma11.
  / @72  '   13' @78 p8i16 comma11. @90 p8i55 comma11.
  / @72  '   14' @78 p8i17 comma11. @90 p8i56 comma11.
  / @72  '   15' @78 p8i18 comma11. @90 p8i57 comma11.
 // @72  '   16' @78 p8i19 comma11. @90 p8i58 comma11.
  / @72  '   17' @78 p8i20 comma11. @90 p8i59 comma11.
  / @72  '   18' @78 p8i21 comma11. @90 p8i60 comma11.
  / @72  '   19' @78 p8i22 comma11. @90 p8i61 comma11.
  / @72  '   20' @78 p8i23 comma11. @90 p8i62 comma11.
 // @72  '   21' @78 p8i24 comma11. @90 p8i63 comma11.
  / @72  '22-24' @78 p8i25 comma11. @90 p8i64 comma11.
  / @72  '25-29' @78 p8i26 comma11. @90 p8i65 comma11.
  / @72  '30-34' @78 p8i27 comma11. @90 p8i66 comma11.
  / @72  '35-39' @78 p8i28 comma11. @90 p8i67 comma11.
 // @72  '40-44' @78 p8i29 comma11. @90 p8i68 comma11.
  / @72  '45-49' @78 p8i30 comma11. @90 p8i69 comma11.
  / @72  '50-54' @78 p8i31 comma11. @90 p8i70 comma11.
  / @72  '55-59' @78 p8i32 comma11. @90 p8i71 comma11.
 // @72  '60-61' @78 p8i33 comma11. @90 p8i72 comma11.
  / @72  '62-64' @78 p8i34 comma11. @90 p8i73 comma11.
  / @72  '65-66' @78 p8i35 comma11. @90 p8i74 comma11.
  / @72  '67-69' @78 p8i36 comma11. @90 p8i75 comma11.
 // @72  '70-74' @78 p8i37 comma11. @90 p8i76 comma11.
  / @72  '75-79' @78 p8i38 comma11. @90 p8i77 comma11.
  / @72  '80-84' @78 p8i39 comma11. @90 p8i78 comma11.
  / @72  '85+  ' @78 p8i40 comma11. @90 p8i79 comma11.
;

**--Generate table P9/P11.--**;

PUT #6
    @103 'P9/P11. HOUSEHOLD TYPE BY RELATIONSHIP'
  / @103 'Universe: Total Population w/Pop 65 and Over'
 // @130 'All Ages' @140 '65 & Over'
 // @103 'In Households:' @127 p9i2 comma11. @139 p11i2 comma10.
  / @105 'Family Households:' @127 p9i3 comma11. @139 p11i3 comma10.
  / @106 'Householder:' @127 p9i4 comma11. @139 p11i4 comma10.
  / @107 'Male' @127 p9i5 comma11. @139 p11i5 comma10.
  / @107 'Female' @127 p9i6 comma11. @139 p11i6 comma10.
  / @106 'Spouse' @127 p9i7 comma11. @139 p11i7 comma10.
  / @106 'Parent' @127 p9i14 comma11. @139 p11i8 comma10.
  / @106 'Child:' @127 p9i8 comma11.
  / @107 'Natural-born' @127 p9i9 comma11.
  / @107 'Adopted' @127 p9i10 comma11.
  / @107 'Step' @127 p9i11 comma11.
  / @106 'Grandchild' @127 p9i12 comma11.
  / @106 'Brother or Sister' @127 p9i13 comma11.
  / @106 'Other Relatives' @127 p9i15 comma11. @139 p11i9 comma10.
  / @106 'Nonrelatives' @127 p9i16 comma11. @139 p11i10 comma10.
  / @105 'Nonfamily Households:' @127 p9i17 comma11. @139 p11i11 comma10.
  / @106 'Male Householder:' @127 p9i18 comma11. @139 p11i12 comma10.
  / @107 'Living Alone' @127 p9i19 comma11. @139 p11i13 comma10.
  / @107 'Not Living Alone' @127 p9i20 comma11. @139 p11i14 comma10.
  / @106 'Female Householder:' @127 p9i21 comma11. @139 p11i15 comma10.
  / @107 'Living Alone' @127 p9i22 comma11. @139 p11i16 comma10.
  / @107 'Not Living Alone' @127 p9i23 comma11. @139 p11i17 comma10.
  / @106 'Nonrelatives' @127 p9i24 comma11. @139 p11i18 comma10.
 // @103 'In Group Quarters:' @127 p9i25 comma11. @139 p11i19 comma10.
  / @105 'Institutionalized' @127 p9i26 comma11. @139 p11i20 comma10.
  / @105 'Noninstitutionalized' @127 p9i27 comma11. @139 p11i21 comma10.
;

 **--Generate table P10.--**;

PUT #39
    @103 'P10. HOUSEHOLD SIZE BY TYPE BY PRESENCE OF OWN'
  / @103 '     CHILDREN UNDER 18 YEARS'
  / @103 'Universe: Households (' P10i1 : comma11. +(-1) ')'
 // @103 '1-Person Households:' @138 p10i2 comma11.
  / @105 'Male Householder' @138 p10i3 comma11.
  / @105 'Female Householder' @138 p10i4 comma11.
 // @103 '2-or-More-Person Households:' @138 p10i5 comma11.
  / @105 'Family Households:' @138 p10i6 comma11.
  / @106 'Married Couple Family Hseholds:' @138 p10i7 comma11.
  / @107 'With Own Children Under 18' @138 p10i8 comma11.
  / @107 'No Own Children Under 18' @138 p10i9 comma11.
  / @106 'Other Family Households:' @138 p10i10 comma11.
  / @107 'Male Householder, no Wife:' @138 p10i11 comma11.
  / @108 'With Own Children Under 18' @138 p10i12 comma11.
  / @108 'No Own Children Under 18' @138 p10i13 comma11.
  / @107 'Female Householder, no Husband:' @138 p10i14 comma11.
  / @108 'With Own Children Under 18' @138 p10i15 comma11.
  / @108 'No Own Children Under 18' @138 p10i16 comma11.
  / @105 'Nonfamily Households:' @138 p10i17 comma11.
  / @106 'Male Householder' @138 p10i18 comma11.
  / @106 'Female Householder' @138 p10i19 comma11.
    ;

link HeadFoot;
end;  *<-----------of code to generate 1st page----;

*--generate primary profile, page 2.
    Julie Hoang, California SDC.--*;

if index(_pages,'2') then do;

%PutTitle(
   %STR(Primary Profile 2: GRANDPARENTS; FAMILY TYPE; CITIZENSHIP, BIRTHPLACE, ENTRY YEAR; LANGUAGE),
   %STR(Prime-2) ) ;

**--Draw horizontal lines.--**;
PUT #29 @2 52*'_' @102 46*'_';
PUT #35 @55 46*'_';
PUT #46 @55 46*'_';

**--Draw (internal) vertical lines--**;
do _I_=6 to 61;
  PUT #_I_ @54 '|' @101 '|' ;
  end;

  **--Generate table PCT8.--**;
PUT #6
    @2  'PCT8. GRANDPARENTS BY LENGTH OF TIME RESPONSIBLE'
  / @2  '      FOR GRANDCHILDREN UNDER 18 YEARS'
  / @2  'Universe: Population 30 Years and Over in Households'
 // @2  'Total Pop. 30+ in Households:' @42 pct8i1 comma11.
 // @4  'Living with Own Grandchildren'
  / @4  'Under 18 Years:' @42 pct8i2 comma11.
  / @5  'Grandparents Responsible for'
  / @5  'Own Grandchildren Under 18 Years:' @42 pct8i3 comma11.
  / @6  'Length of Time --'
  / @7  'Less Than 6 Months' @42 pct8i4 comma11.
  / @7  '6 to 11 Months' @42 pct8i5 comma11.
  / @7  '1 to 2 Years' @42 pct8i6 comma11.
  / @7  '3 to 4 Years' @42 pct8i7 comma11.
  / @7  '5 Years or More' @42 pct8i8 comma11.
 // @5  'Grandparents Not Responsible for'
  / @5  'Own Grandchildren Under 18 Years' @42 pct8i9 comma11.
 // @4  'Not Living with Own Grandchildren'
  / @4  'Under 18 Years: '@42 pct8i10 comma11.
;

**--Generate table PCT9.--**;
PUT #30
    @2  'PCT9. HOUSEHOLD RELATIONSHIP BY GRANDPARENTS LIVING'
  / @2  '      WITH OWN GRANDCHILDREN UNDER 18 YEARS BY'
  / @2  '      RESPONSIBILITY FOR OWN GRANDCHILDREN'
  / @2  'Universe: Population 30 Years and Over in'
  / @2  '          Households'
 // @2  'Total Pop. 30+ in Households:' @42 pct9i1 comma11.
 // @4  'Householder or Spouse:' @42 pct9i2 comma11.
  / @5  'Living w/Own Grandchild Under 18:' @42 pct9i3 comma11.
  / @6  'Responsible for Own Grandchild' @42 pct9i4 comma11.
  / @6  'Not Responsible for Own Grandchild' @42 pct9i5 comma11.
  / @5  'Not Living w/Own Grandchild Under 18' @42 pct9i6 comma11.
 // @4  'Parent or Parent-in-Law of'
  / @4  'Householder:' @42 pct9i7 comma11.
  / @5  'Living w/Own Grandchild Under 18:' @42 pct9i8 comma11.
  / @6  'Responsible for Own Grandchild' @42 pct9i9 comma11.
  / @6  'Not Responsible for Own Grandchild' @42 pct9i10 comma11.
  / @5  'Not Living w/Own Grandchild Under 18' @42 pct9i11 comma11.
 // @4  'Other Relatives or Nonrelatives of'
  / @4  'Householder:' @42 pct9i12 comma11.
  / @5  'Living w/Own Grandchild Under 18:' @42 pct9i13 comma11.
  / @6  'Responsible for Own Grandchild' @42 pct9i14 comma11.
  / @6  'Not Responsible for Own Grandchild' @42 pct9i15 comma11.
  / @5  'Not Living w/Own Grandchild Under 18' @42 pct9i16 comma11.
 ;

**--Generate table P15.--**;
PUT #6
    @56 'P15. FAMILY TYPE BY PRESENCE OF OWN CHILDREN'
  / @56 '     UNDER 18 YEARS BY AGE OF OWN CHILDREN'
  / @56 'Universe: Families'
  /
  / @56 'Total Families:' @89 p15i1 comma11.
 // @58 'Married Couple Families:' @89 p15i2 comma11.
  / @59 'With Own Children Under 18:' @89 p15i3 comma11.
  / @60 'Under 6 Years Only' @89 p15i4 comma11.
  / @60 'Under 6 and 6 to 17 Years' @89 p15i5 comma11.
  / @60 '6 to 17 Years Only' @89 p15i6 comma11.
  / @59 'No Own Children Under 18' @89 p15i7 comma11.
 // @58 'Other Families:' @89 p15i8 comma11.
  / @59 'Male Householder,'
  / @59 'No Wife Present:' @89 p15i9 comma11.
  / @60 'With Own Children Under 18:' @89 p15i10 comma11.
  / @61 'Under 6 Years Only' @89 p15i11 comma11.
  / @61 'Under 6 and 6 to 17 Years' @89 p15i12 comma11.
  / @61 '6 to 17 Years Only' @89 p15i13 comma11.
  / @60 'No Own Children Under 18' @89 p15i14 comma11.
 // @59 'Female Householder,'
  / @59 'No Husband Present:' @89 p15i15 comma11.
  / @60 'With Own Children Under 18:' @89 p15i16 comma11.
  / @61 'Under 6 Years Only' @89 p15i17 comma11.
  / @61 'Under 6 and 6 to 17 Years' @89 p15i18 comma11.
  / @61 '6 to 17 Years Only' @89 p15i19 comma11.
  / @60 'No Own Children Under 18' @89 p15i20 comma11.
;

**--Generate table P23.--**;
natcit = p23i3 + p23i6 + p23i9;
notcit = p23i4 + p23i7 + p23i10;

PUT #36
    @56 'P23. YEAR OF ENTRY BY CITIZENSHIP STATUS'
  / @56 'Universe: Foreign-born Population'
  /
  / @77 'Naturalized' @95 'Not a'
  / @56 'Year of Entry--' @81 'Citizen' @93 'Citizen'
 // @56 'Total Foreign-born:' @77 natcit comma11. @89 notcit comma11.
  / @58 '1990 to March 2000' @77 p23i3 comma11. @89 p23i4 comma11.
  / @58 '1980 to 1989' @77 p23i6 comma11. @89 p23i7 comma11.
  / @58 'Before 1980' @77 p23i9 comma11. @89 p23i10 comma11.
;

**--Generate table P22.--**;
PUT #47
    @56 'P22. YEAR OF ENTRY'
  / @56 'Universe: Foreign-born Population'
  /
  / @56 'Total Foreign-born Population:' @89 p22i1 comma11.
 // @58 '1995 to March 2000' @89 p22i2 comma11.
  / @58 '1990 to 1994' @89 p22i3 comma11.
  / @58 '1985 to 1989' @89 p22i4 comma11.
  / @58 '1980 to 1984' @89 p22i5 comma11.
  / @58 '1975 to 1979' @89 p22i6 comma11.
  / @58 '1970 to 1974' @89 p22i7 comma11.
  / @58 '1965 to 1969' @89 p22i8 comma11.
  / @58 'Before 1965' @89 p22i9 comma11.
;

**--Generate table P21.--**;
PUT #6
    @102 'P21. PLACE OF BIRTH BY CITIZENSHIP STATUS'
  / @102 'Universe: Total Population'
  /
  / @102 'Total Population:' @137 p21i1 comma11.
 // @104 'Native:' @137 p21i2 comma11.
  / @105 'Born in State of Residence' @137 p21i3 comma11.
  / @105 'Born in Other State in the'
  / @105 'United States:' @137 p21i4 comma11.
  / @106 'Northeast' @137 p21i5 comma11.
  / @106 'Midwest' @137 p21i6 comma11.
  / @106 'South' @137 p21i7 comma11.
  / @106 'West' @137 p21i8 comma11.
  / @105 'Born Outside the United States:' @137 p21i9 comma11.
  / @106 'Puerto Rico' @137 p21i10 comma11.
  / @106 'U.S. Island Areas' @137 p21i11 comma11.
  / @106 'Born Abroad of American'
  / @106 'Parent(s)' @137 p21i12 comma11.
 // @104 'Foreign Born:' @137 p21i13 comma11.
  / @105 'Naturalized Citizen' @137 p21i14 comma11.
  / @105 'Not a Citizen' @137 p21i15 comma11.
;

**--Generate table P19.--**;
array p19t{21};
array p19p1{21} p19i3-p19i23;
array p19p2{21} p19i25-p19i45;
array p19p3{21} p19i47-p19i67;

do i=1 to 21;
p19t{i}=p19p1{i}+p19p2{i}+p19p3{i};
end;


PUT #30
    @102 'P19. LANGUAGE SPOKEN AT HOME BY ABILITY'
  / @102 '     TO SPEAK ENGLISH'
  / @102 'Universe: Population 5 Years and Over'
 // @102 'Total Population 5 and Over:' @137 p19i1 comma11.
 // @103 'Speak Only English' @137 p19t1 comma11.
 // @103 'Speak Spanish:' @137 p19t2 comma11.
  / @104 'Speak English "Very Well"' @137 p19t3 comma11.
  / @104 'Speak English "Well"' @137 p19t4 comma11.
  / @104 'Speak English "Not Well"' @137 p19t5 comma11.
  / @104 'Speak English "Not at All"' @137 p19t6 comma11.
 // @103 'Speak Other Indo-European Lang.:' @137 p19t7 comma11.
  / @104 'Speak English "Very Well"' @137 p19t8 comma11.
  / @104 'Speak English "Well"' @137 p19t9 comma11.
  / @104 'Speak English "Not Well"' @137 p19t10 comma11.
  / @104 'Speak English "Not at All"' @137 p19t11 comma11.
 // @103 'Speak Asian/Pacific Island Lang.:' @137 p19t12 comma11.
  / @104 'Speak English "Very Well"' @137 p19t13 comma11.
  / @104 'Speak English "Well"' @137 p19t14 comma11.
  / @104 'Speak English "Not Well"' @137 p19t15 comma11.
  / @104 'Speak English "Not at All"' @137 p19t16 comma11.
 // @103 'Speak Other Languages:' @137 p19t17 comma11.
  / @104 'Speak English "Very Well"' @137 p19t18 comma11.
  / @104 'Speak English "Well"' @137 p19t19 comma11.
  / @104 'Speak English "Not Well"' @137 p19t20 comma11.
  / @104 'Speak English "Not at All"' @137 p19t21 comma11.
;

link HeadFoot;
end;  *<-----------of code to generate 2nd page----;

*--generate primary profile, page 3.
    Julie Hoang, California SDC.--*;

if index(_pages,'3') then do;

%PutTitle(
   %STR(Primary Profile 3: FIRST ANCESTRY AND TOTAL ANCESTRIES REPORTED; RESIDENCE IN 1995),
   %STR(Prime-3) ) ;

   **--Draw (internal) vertical line--**;
  do _I_=31 to 61;
   PUT #_I_ @100 '|'  ;
  end;

  **--Draw horizontal line--**;

 PUT #30 @100 '+' 48*'-';
 PUT #59 @100 '+' 48*'-';

**--Generate table PCT16/PCT18.--**;

array pct16p1{47} pct16i3-pct16i49;
array pct16p2{46} pct16i50-pct16i95;
array pct16p3{15} pct16i96-pct16i110;
array pct18p1{47} pct18i2-pct18i48;
array pct18p2{46} pct18i49-pct18i94;
array pct18p3{15} pct18i95-pct18i109;

PUT #6
    @2 'PCT16/PCT18 ANCESTRY'
  / @2 'Two Universes: PCT16-Persons; PCT18-Total Ancestry Categories Reported'
  /
  / @34 'First' @46 'Total' @82 'First' @93 'Total' @133 'First' @144'Total'
  / @2 'First Ancestry' @28 pct16i2 comma11. @48 'N/A' @79 'Reported   Reported' @130 'Reported   Reported'
  / @2 'Total Specified Ancestries' @35 'N/A' @40 pct18i1 comma11.
  /
  / @3 'Acadian/Cajun' @54 'Israeli' @102 'West Indian (Exc Hisp Gp):'
  / @3 'Afghan'  @54 'Italian'  @103 'Bahamian'
  / @3 'Albanian'  @54 'Latvian'  @103 'Barbadian'
  / @3 'Alsatian' @54 'Lithuanian' @103 'Belizean'
  / @3 'Arab:' @54 'Luxemburger' @103 'Bermudan'
  / @4 'Egyptian' @54 'Macedonian' @103 'British West Indian'
  / @4 'Iraqi' @54 'Maltese' @103 'Dutch West Indian'
  / @4 'Jordanian' @54 'New Zealander' @103 'Haitian'
  / @4 'Lebanese' @54 'Northern European' @103 'Jamaican'
  / @4 'Moroccan' @54 'Norwegian' @103 'Trinidadian & Tobagonian'
  / @4 'Palestinian' @54 'Pennsylvania German' @103 'U.S. Virgin Islander'
  / @4 'Syrian' @54 'Polish' @103 'West Indian'
  / @4 'Arab/Arabic' @54 'Portuguese' @103 'Other West Indian'
  / @4 'Other Arab' @54 'Romanian' @102 'Yugoslavian'
  / @3 'Armenian' @54 'Russian' @102 'Other Groups**'
  / @3 'Assyrian/Chaldean/Syriac' @54 'Scandinavian' @101 'Unclassified or'
  / @3 'Australian' @54 'Scotch-Irish' @101 'Not Reported' @128 pct16i111 comma10. @146 'N/A'
  / @3 'Austrian' @54 'Scottish'
  / @3 'Basque' @54 'Serbian'
  / @3 'Belgian' @54 'Slavic'
  / @3 'Brazilian' @54 'Slovak'
  / @3 'British' @54 'Slovene'
  / @3 'Bulgarian' @54 'Soviet Union'
  / @3 'Canadian' @54 'Subsaharan African:'
  / @3 'Carpatho Rusyn' @55 'Cape Verdean'
  / @3 'Celtic'  @55 'Ethiopian'
  / @3 'Croatian' @55 'Ghanian'
  / @3 'Cypriot' @55 'Kenyan'
  / @3 'Czech' @55 'Liberian'
  / @3 'Czechoslovakian' @55 'Nigerian'
  / @3 'Danish' @55 'Senegalese'
  / @3 'Dutch' @55 'Sierra Leonean'
  / @3 'Eastern European' @55 'Somalian'
  / @3 'English' @55 'South African'
  / @3 'Estonian' @55 'Sudanese'
  / @3 'European' @55 'Ugandan'
  / @3 'Finnish' @55 'Zairian'
  / @3 'French (Except Basque)' @55 'Zimbabwean'
  / @3 'French Canadian' @55 'African'
  / @3 'German' @55 'Other Subsaharan Af'
  / @3 'German Russian' @54 'Swedish'
  / @3 'Greek' @54 'Swiss'
  / @3 'Guyanese' @54 'Turkish'
  / @3 'Hungarian' @54 'Ukranian '
  / @3 'Icelander' @54 'United States/American*'
  / @3 'Iranian' @54 'Welsh'
  / @3 'Irish'
  / @3 ' * Includes only people reporting "U.S." or "American" as their sole ancestry.  For example, "Irish-American" is tallied only as "Irish".'
  / @3 '** Includes most reported ancestries which are equivalent to specific race & Hispanic/Latino groups, such as Cree, Thai, Samoan & Cuban.' 
;
do A=1 to 47;
PUT #(12+A) @28 pct16p1(A) comma11. @40 pct18p1(A) comma11.;
end;
do B=1 to 46;
PUT #(12+B) @77 pct16p2(B) comma10. @88 pct18p2(B) comma10.;
end;
do C=1 to 15;
PUT #(12+C) @128 pct16p3(C) comma10. @139 pct18p3(C) comma10.;
end;

**--Generate table PCT21.--**;

PUT #31
    @101 'PCT21. RESIDENCE IN 1995'
  / @101 'Universe: Population 5 Years and Over'
  /
  / @101 'Total Population 5 and Over:' @138 pct21i1 comma11.
 // @103 'Same House in 1995' @138 pct21i2 comma11.
  / @103 'Different House in 1995:' @138 pct21i3 comma11.
  / @104 'In United States in 1995:' @138 pct21i4 comma11.
  / @105 'Same City or Town:' @138 pct21i5 comma11.
  / @106 'Same County' @138 pct21i6 comma11.
  / @106 'Different County (Same State)' @138 pct21i7 comma11.
  / @105 'Not Same City or Town:' @138 pct21i8 comma11.
  / @106 'Same County' @138 pct21i9 comma11.
  / @106 'Different County:' @138 pct21i10 comma11.
  / @107 'Same State' @138 pct21i11 comma11.
  / @107 'Different State:' @138 pct21i12 comma11.
  / @108 'Northeast' @138 pct21i13 comma11.
  / @108 'Midwest' @138 pct21i14 comma11.
  / @108 'South' @138 pct21i15 comma11.
  / @108 'West' @138 pct21i16 comma11.
  / @104 'In Puerto Rico in 1995:' @138 pct21i17 comma11.
  / @105 'Same City or Town' @138 pct21i18 comma11.
  / @105 'Not Same City or Town' @138 pct21i19 comma11.
  / @106 'Same Municipio' @138 pct21i20 comma11.
  / @106 'Different Municipio' @138 pct21i21 comma11.
  / @104 'Elsewhere in 1995:' @138 pct21i22 comma11.
  / @105 'U.S. Island Areas' @138 pct21i23 comma11.
  / @105 'Foreign Country or at Sea' @138 pct21i24 comma11.
;

link HeadFoot;
end;*<---------- of code to generate 3rd page----;

*--generate primary profile, page 4.
    Julie Hoang, California SDC.--*;

IF INDEX(_pages,'4') THEN DO;

%PutTitle(
   %STR(Primary Profile 4: SCHOOL ENROLLMENT AND EDUCATIONAL ATTAINMENT BY RACE & HISP./LATINO),
   %STR(Prime-4) ) ;

   **--Draw (internal) vertical lines--**;
   do _I_=9 to 30;
    PUT #_I_ @123 '*'  ;
   end;

   do _J_=36 to 58;
    PUT #_J_ @123 '*'  ;
   end;

   **--Draw horizontal lineS.--**;
  PUT #31 @2 147*'_' ;
  PUT #59 @2 147*'-' ;

  **--Generate table P147A-I.--**;
array sra{16} p147Ai2-p147Ai17;
array srb{16} p147Bi2-p147Bi17;
array src{16} p147Ci2-p147Ci17;
array srd{16} p147Di2-p147Di17;
array sre{16} p147Ei2-p147Ei17;
array srf{16} p147Fi2-p147Fi17;
array srg{16} p147Gi2-p147Gi17;
array srh{16} p147Hi2-p147Hi17;
array sri{16} p147Ii2-p147Ii17;

do i=1 to 16;
 PUT #(14+i) @33 sra(i) comma11. @46 srb(i) comma11. @59 src(i) comma11. @72 srd(i) comma11.
 @85 sre(i) comma11. @98 srf(i) comma11. @111 srg(i) comma11. @124 srh(i) comma11. @137 sri(i) comma11.;
end;

PUT #6
    @2  'P147A-I. SCHOOL ENROLLMENT BY LEVEL AND SCHOOL TYPE BY RACE (*) AND HISPANIC OR LATINO (**)'
  / @2  'Universe: Population 3 Years and Over'
  /                          @84 '      Native'
  / @52 'Black  Amer Indian' @84 '    Hawaiian' @104 'Other' @116 'Two or' @137 'White Alone'
  / @39 'White' @49 '/Af Amer  /Alaska Nat' @78 'Asian' @88 '/Pac Isl' @105 'Race' @118 'More' @127'Hispanic    not Hisp.'
  / @39 'Alone' @52 'Alone' @65 'Alone' @78 'Alone' @91 'Alone' @104 'Alone' @117 'Races' @126 'or Latino    or Latino'
  /
  / @2  'Total Population 3 and Over:' @33 p147Ai1 comma11. @46 p147Bi1 comma11. @59 p147Ci1 comma11. @72 p147Di1 comma11. @85 p147Ei1 comma11.
        @98 p147Fi1 comma11. @111 p147Gi1 comma11. @124 p147Hi1 comma11. @137 p147Ii1 comma11.
 // @3  'In Nursery School/Preschool:'
  / @4  'Public School'
  / @4  'Private School'
  / @3  'Enrolled in Kindergarten:'
  / @4  'Public School'
  / @4  'Private School'
  / @3  'Enrolled in Grade 1 - Grade 8:'
  / @4  'Public School'
  / @4  'Private School'
  / @3  'Enrolled in Grade 9 - Grade12:'
  / @4  'Public School'
  / @4  'Private School'
  / @3  'Enrolled in College:'
  / @4  'Public School'
  / @4  'Private School'
  / @3  'Not Enrolled in School'
;

  **--Generate table P148A-I.--**;
array eaa{16} p148Ai2-p148Ai17;
array eab{16} p148Bi2-p148Bi17;
array eac{16} p148Ci2-p148Ci17;
array ead{16} p148Di2-p148Di17;
array eae{16} p148Ei2-p148Ei17;
array eaf{16} p148Fi2-p148Fi17;
array eag{16} p148Gi2-p148Gi17;
array eah{16} p148Hi2-p148Hi17;
array eai{16} p148Ii2-p148Ii17;

PUT #33
    @2  'P148A-I. EDUCATIONAL ATTAINMENT BY SEX BY RACE (*) AND HISPANIC OR LATINO (**)'
  / @2  'Universe: Population 25 Years and Over'
  /                          @84 '      Native'
  / @52 'Black  Amer Indian' @84 '    Hawaiian' @104 'Other' @116 'Two or' @137 'White Alone'
  / @39 'White' @49 '/Af Amer  /Alaska Nat' @78 'Asian' @88 '/Pac Isl' @105 'Race' @118 'More' @127'Hispanic    not Hisp.'
  / @39 'Alone' @52 'Alone' @65 'Alone' @78 'Alone' @91 'Alone' @104 'Alone' @117 'Races' @126 'or Latino    or Latino'
  /
  / @2  'Total Population 25 and Over:' @33 p148Ai1 comma11. @46 p148Bi1 comma11. @59 p148Ci1 comma11. @72 p148Di1 comma11. @85 p148Ei1 comma11.
        @98 p148Fi1 comma11. @111 p148Gi1 comma11. @124 p148Hi1 comma11. @137 p148Ii1 comma11.
 // @3  'Male:'
  / @4  'Less than 9th Grade'
  / @4  '9th-12th Grade, No Diploma'
  / @4  'High School Graduate/GED'
  / @4  'Some College, No Degree'
  / @4  'Associate Degree'
  / @4  'Bachelor''s Degree'
  / @4  'Graduate/Professional Degree'
 // @3  'Female:'
  / @4  'Less than 9th Grade'
  / @4  '9th-12th Grade, No Diploma'
  / @4  'High School Graduate/GED'
  / @4  'Some College, No Degree'
  / @4  'Associate Degree'
  / @4  'Bachelor''s Degree'
  / @4  'Graduate/Professional Degree'
 // @3' * For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
  / @3'** Hispanic or Latino is NOT considered a race. People who reported themselves as Hispanic are also counted in the seven racial categories.';

do i=1 to 16;
 if i<9 then _stline=(41+i); else _stline=(42+i);
 PUT #(_stline) @33 eaa(i) comma11. @46 eab(i) comma11. @59 eac(i) comma11. @72 ead(i) comma11.
 @85 eae(i) comma11. @98 eaf(i) comma11. @111 eag(i) comma11. @124 eah(i) comma11. @137 eai(i) comma11.;
end;

link HeadFoot;
end;*<---------- of code to generate 4th page----;

*--generate primary profile, page 5.
    Julie Hoang, California SDC.--*;

if index(_pages,'5') then do;

%PutTitle(
   %STR(Primary Profile 5: SCHOOL ENROLLMENT; EDUC. ATTAINMENT; EMPLOYMENT, FAMILY TYPE & CHILDREN),
   %STR(Prime-5) ) ;

**--Draw horizontal lines.--**;
PUT #32 @51 61*'_' ;
PUT #35 @2 48*'_';

**--Draw (internal) vertical lines--**;
do _I_=6 to 61;
  PUT #_I_ @50 '|' @112 '|' ;
  end;

  **--Generate table P36.--**;
PUT #6
    @2  'P36. SCHOOL ENROLLMENT BY LEVEL AND SCHOOL TYPE'
  / @2  'Universe: Population 3 Years and Over'
 // @33 'Male      Female'
 // @2  'Total Pop. 3 and Over:' @26 p36i2 comma11. @38 p36i25 comma11.
 // @3  'In Nursery/Preschool:' @26 p36i3 comma11. @38 p36i26 comma11.
  / @5  'Public School' @26 p36i4 comma11. @38 p36i27 comma11.
  / @5  'Private School' @26 p36i5 comma11. @38 p36i28 comma11.
  / @3  'In Kindergarten:' @26 p36i6 comma11. @38 p36i29 comma11.
  / @5  'Public School' @26 p36i7 comma11. @38 p36i30 comma11.
  / @5  'Private School' @26 p36i8 comma11. @38 p36i31 comma11.
  / @3  'In Grade 1 - Grade 4:' @26 p36i9 comma11. @38 p36i32 comma11.
  / @5  'Public School' @26 p36i10 comma11. @38 p36i33 comma11.
  / @5  'Private School' @26 p36i11 comma11. @38 p36i34 comma11.
  / @3  'In Grade 5 - Grade 8:' @26 p36i12 comma11. @38 p36i35 comma11.
  / @5  'Public School' @26 p36i13 comma11. @38 p36i36 comma11.
  / @5  'Private School' @26 p36i14 comma11. @38 p36i37 comma11.
  / @3  'In Grade 9 - Grade 12:' @26 p36i15 comma11. @38 p36i38 comma11.
  / @5  'Public School' @26 p36i16 comma11. @38 p36i39 comma11.
  / @5  'Private School' @26 p36i17 comma11. @38 p36i40 comma11.
  / @3  'College: Undergraduate:' @26 p36i18 comma11. @38 p36i41 comma11.
  / @5  'Public School' @26 p36i19 comma11. @38 p36i42 comma11.
  / @5  'Private School' @26 p36i20 comma11. @38 p36i43 comma11.
  / @3  'Graduate/Professional:' @26 p36i21 comma11. @38 p36i44 comma11.
  / @5  'Public School' @26 p36i22 comma11. @38 p36i45 comma11.
  / @5  'Private School' @26 p36i23 comma11. @38 p36i46 comma11.
  / @3  'Not Enrolled in School' @26 p36i24 comma11. @38 p36i47 comma11.
 ;

**--Generate table P38.--**;

PUT #36
    @2  'P38. EMPLOYMENT STATUS BY SCHOOL ENROLLMENT'
  / @2  'Universe: Population 16 To 19 Years'
  /
  / @2  'Total Population 16 to 19:' @38 p38i1 comma11.
 // @4  'In Armed Forces:' @38 p38i2 comma11.
  / @5  'Enrolled in School:' @38 p38i3 comma11.
  / @6  'High School Graduate' @38 p38i4 comma11.
  / @6  'Not High School Graduate' @38 p38i5 comma11.
  / @5  'Not Enrolled in School:' @38 p38i6 comma11.
  / @6  'High School Graduate' @38 p38i7 comma11.
  / @6  'Not High School Graduate' @38 p38i8 comma11.
  / @4  'Civilian:' @38 p38i9 comma11.
  / @5  'Enrolled in School:' @38 p38i10 comma11.
  / @6  'Employed' @38 p38i11 comma11.
  / @6  'Unemployed' @38 p38i12 comma11.
  / @6  'Not in Labor Force' @38 p38i13 comma11.
  / @5  'Not Enrolled in School:' @38 p38i14 comma11.
  / @6  'High School Graduate:' @38 p38i15 comma11.
  / @7  'Employed' @38 p38i16 comma11.
  / @7  'Unemployed' @38 p38i17 comma11.
  / @7  'Not in Labor Force' @38 p38i18 comma11.
  / @6  'Not High School Graduate:' @38 p38i19 comma11.
  / @7  'Employed' @38 p38i20 comma11.
  / @7  'Unemployed' @38 p38i21 comma11.
  / @7  'Not in Labor Force' @38 p38i22 comma11.
 ;

 **--Generate table P37.--**;
array p37t{16};
array p37m{16} p37i3-p37i18;
array p37f{16} p37i20-p37i35;

do i=1 to 16;
p37t{i}=p37m{i}+p37f{i};
end;


PUT #6
    @51 'P37. EDUCATIONAL ATTAINMENT BY SEX'
  / @51 'Universe: Population 25 Years and Over'
  /
  / @82  'Total' @95 'Male' @105 'Female'
 // @51  'Total Pop. 25 and Over:' @76 p37i1 comma11. @88 p37i2 comma11. @100 p37i19 comma11.
 // @52  'No School Completed' @76 p37t1 comma11. @88 p37i3 comma11. @100 p37i20 comma11.
  / @52  'Nursery to 4th Grade' @76 p37t2 comma11. @88 p37i4 comma11. @100 p37i21 comma11.
  / @52  '5th and 6th Grade' @76 p37t3 comma11. @88 p37i5 comma11. @100 p37i22 comma11.
  / @52  '7th and 8th Grade' @76 p37t4 comma11. @88 p37i6 comma11. @100 p37i23 comma11.
  / @52  '9th Grade' @76 p37t5 comma11. @88 p37i7 comma11. @100 p37i24 comma11.
  / @52  '10th Grade' @76 p37t6 comma11. @88 p37i8 comma11. @100 p37i25 comma11.
  / @52  '11th Grade' @76 p37t7 comma11. @88 p37i9 comma11. @100 p37i26 comma11.
  / @52  '12th Grade, No Diploma' @76 p37t8 comma11. @88 p37i10 comma11. @100 p37i27 comma11.
  / @52  'High School Graduate'
  / @52  '(Includes Equivalency)' @76 p37t9 comma11. @88 p37i11 comma11. @100 p37i28 comma11.
  / @52  'Some College: < 1 year' @76 p37t10 comma11. @88 p37i12 comma11. @100 p37i29 comma11.
  / @52  'Some College: 1 Year'
  / @52  'or More, No Degree' @76 p37t11 comma11. @88 p37i13 comma11. @100 p37i30 comma11.
  / @52  'Associate Degree' @76 p37t12 comma11. @88 p37i14 comma11. @100 p37i31 comma11.
  / @52  'Bachelor''s Degree' @76 p37t13 comma11. @88 p37i15 comma11. @100 p37i32 comma11.
  / @52  'Masters Degree' @76 p37t14 comma11. @88 p37i16 comma11. @100 p37i33 comma11.
  / @52  'Professional Degree' @76 p37t15 comma11. @88 p37i17 comma11. @100 p37i34 comma11.
  / @52  'Doctorate Degree' @76 p37t16 comma11. @88 p37i18 comma11. @100 p37i35 comma11.
;

 **--Generate table P45.--**;

PUT #33
    @51 'P45. EMPLOYMENT STATUS OF WOMEN BY PRESENCE OF OWN CHILDREN'
  / @51 '     UNDER 18 YEARS BY AGE OF OWN CHILDREN'
  / @51 'Universe: Females 16 Years and Over'
  /
  / @51  'Total Females 16 and Over:' @100 p45i1 comma11.
 // @53  'With Own Children Under 18 Years:' @100 p45i2 comma11.
  / @55  'Under 6 Years Only:' @100 p45i3 comma11.
  / @56  'In Labor Force:' @100 p45i4 comma11.
  / @57  'Employed or in Armed Forces' @100 p45i5 comma11.
  / @57  'Unemployed' @100 p45i6 comma11.
  / @56  'Not in Labor Force' @100 p45i7 comma11.
  / @55  'Under 6 and 6 to 17 Years:' @100 p45i8 comma11.
  / @56  'In Labor Force:' @100 p45i9 comma11.
  / @57  'Employed or in Armed Forces' @100 p45i10 comma11.
  / @57  'Unemployed' @100 p45i11 comma11.
  / @56  'Not in Labor Force' @100 p45i12 comma11.
  / @55  '6 to 17 Years Only:' @100 p45i13 comma11.
  / @56  'In Labor Force:' @100 p45i14 comma11.
  / @57  'Employed or in Armed Forces' @100 p45i15 comma11.
  / @57  'Unemployed' @100 p45i16 comma11.
  / @56  'Not in Labor Force' @100 p45i17 comma11.
 // @53  'No Own Children Under 18 Years: ' @100 p45i18 comma11.
  / @55  'In Labor Force:' @100 p45i19 comma11.
  / @56  'Employed or in Armed Forces' @100 p45i20 comma11.
  / @56  'Unemployed' @100 p45i21 comma11.
  / @55  'Not in Labor Force' @100 p45i22 comma11.
 ;

  **--Generate table P44.--**;

PUT #6
    @113 'P44. FAMILY TYPE BY EMPLOYMENT'
  / @113 '     STATUS'
  / @113 'Universe: Families'
 // @113 'Total Families:' @138 p44i1 comma11.
 // @114 'Married Couple Families:' @138 p44i2 comma11.
  / @115 'Husband in Labor Force:' @138 p44i3 comma11.
  / @116 'Husband Employed or'
  / @116 'in Armed Forces:' @138 p44i4 comma11.
  / @117 'Wife in Labor Force:' @138 p44i5 comma11.
  / @118 'Wife Employed or in'
  / @118 'Armed Forces' @138 p44i6 comma11.
  / @118 'Wife Unemployed' @138 p44i7 comma11.
  / @117 'Wife Not in Labor'
  / @117 'Force' @138 p44i8 comma11.
 // @116 'Husband Unemployed:' @138 p44i9 comma11.
  / @117 'Wife in Labor Force:' @138 p44i10 comma11.
  / @118 'Wife Employed or in'
  / @118 'Armed Forces' @138 p44i11 comma11.
  / @118 'Wife Unemployed' @138 p44i12 comma11.
  / @117 'Wife Not in Labor'
  / @117 'Force' @138 p44i13 comma11.
 // @116 'Husband Not in'
  / @116 'Labor Force:' @138 p44i14 comma11.
  / @117 'Wife in Labor Force:' @138 p44i15 comma11.
  / @118 'Wife Employed or in'
  / @118 'Armed Forces' @138 p44i16 comma11.
  / @118 'Wife Unemployed' @138 p44i17 comma11.
  / @117 'Wife Not in Labor'
  / @117 'Force' @138 p44i18 comma11.
 // @114 'Other Families:' @138 p44i19 comma11.
  / @115 'Male Householder,'
  / @115 'no Wife Present:' @138 p44i20 comma11.
  / @116 'In Labor Force:' @138 p44i21 comma11.
  / @117 'Employed or in'
  / @117 'Armed Forces' @138 p44i22 comma11.
  / @117 'Unemployed' @138 p44i23 comma11.
  / @116 'Not in Labor Force' @138 p44i24 comma11.
 // @115 'Female Householder,'
  / @115 'no Husband Present:' @138 p44i25 comma11.
  / @116 'In Labor Force:' @138 p44i26 comma11.
  / @117 'Employed or in'
  / @117 'Armed Forces' @138 p44i27 comma11.
  / @117 'Unemployed' @138 p44i28 comma11.
  / @116 'Not in Labor Force' @138 p44i29 comma11.
 ;
link HeadFoot;
end;*<---------- of code to generate 5th page----;

*--generate primary profile, page 6 .
   Xanthippe Stevens, KS SDC.--*;

IF INDEX(_pages,'6') THEN DO;

%PutTitle(
   %STR(Primary Profile 6: LABOR FORCE STATUS; WORK & FAMILY; HOURS/WEEKS WORKED; DISABILITY STATUS),
   %STR(Prime-6) ) ;

    * Draw horizontal lines;
    PUT #28 @2 147*'_';
    PUT #48 @2 77*'_';

    * Draw (internal) vertical lines;
    do _i_=8 to 27;
        PUT #_i_ @124 '*';
        end;

    do _j_=49 to 61;
        PUT #_j_ @42 '|';
        end;

    do _k_=29 to 61;
        PUT #_k_ @79 '|';
        end;

    do _l_=29 to 61;
        PUT #_l_ @109 '|';
        end;

    /* start table P43/P150A-I */

    PUT #6
          @2 'P43/P150A-I. EMPLOYMENT STATUS BY SEX BY RACE AND HISPANIC OR LATINO ORIGIN'
        / @2 '             Universe: Population 16 Years and Over'                  @87 '      Native'
        /                           @56 'Black'     @62 'Amer Indian'               @87 '    Hawaiian'  @106 'Other'    @117 'Two or'                   @138 'White Alone'
        / @32 'All'     @43 'White' @53 '/Af Amer'  @62 '/Alaska Nat'   @81 'Asian' @91 '/Pac Isl'      @107 'Race'     @119 'More'     @128 'Hispanic' @140 'not Hisp.'
        / @30 'Races'   @43 'Alone' @56 'Alone'     @68 'Alone'         @81 'Alone' @94 'Alone'         @106 'Alone'    @118 'Races'    @127 'or Latino'@140 'or Latino'
        /
        / @2 'Total 16 and Over:' @24 p43i1 comma11.  @37 p150Ai1 comma11.  @50 p150Bi1 comma11. @62 p150Ci1 comma11.  @75 p150Di1 comma11.  @88 p150Ei1 comma11.  @100 p150Fi1 comma11.  @112 p150Gi1  comma11. @125 p150Hi1 comma11. @138 p150Ii1 comma11.
        / @4 'Male:'              @24 p43i2 comma11.  @37 p150Ai2 comma11.  @50 p150Bi2 comma11. @62 p150Ci2 comma11.  @75 p150Di2  comma11.  @88 p150Ei2 comma11.  @100 p150Fi2 comma11.  @112 p150Gi2 comma11. @125 p150Hi2 comma11. @138 p150Ii2 comma11.
        / @5 'In Labor Force:'    @24 p43i3 comma11.  @37 p150Ai3 comma11.  @50 p150Bi3 comma11. @62 p150Ci3 comma11.  @75 p150Di3  comma11.  @88 p150Ei3 comma11.  @100 p150Fi3 comma11.  @112 p150Gi3 comma11. @125 p150Hi3 comma11. @138 p150Ii3 comma11.
        / @6 'In Armed Forces'    @24 p43i4 comma11.  @37 p150Ai4 comma11.  @50 p150Bi4 comma11. @62 p150Ci4 comma11.  @75 p150Di4  comma11.  @88 p150Ei4 comma11.  @100 p150Fi4 comma11.  @112 p150Gi4 comma11. @125 p150Hi4 comma11. @138 p150Ii4 comma11.
        / @6 'Civilian:'          @24 p43i5 comma11.  @37 p150Ai5 comma11.  @50 p150Bi5 comma11. @62 p150Ci5 comma11.  @75 p150Di5  comma11.  @88 p150Ei5 comma11.  @100 p150Fi5 comma11.  @112 p150Gi5 comma11. @125 p150Hi5 comma11. @138 p150Ii5 comma11.
        / @7 'Employed'           @24 p43i6 comma11.  @37 p150Ai6 comma11.  @50 p150Bi6 comma11. @62 p150Ci6 comma11.  @75 p150Di6  comma11.  @88 p150Ei6 comma11.  @100 p150Fi6 comma11.  @112 p150Gi6 comma11. @125 p150Hi6 comma11. @138 p150Ii6 comma11.
        / @7 'Unemployed'         @24 p43i7 comma11.  @37 p150Ai7 comma11.  @50 p150Bi7 comma11. @62 p150Ci7 comma11.  @75 p150Di7  comma11.  @88 p150Ei7 comma11.  @100 p150Fi7 comma11.  @112 p150Gi7 comma11. @125 p150Hi7 comma11. @138 p150Ii7 comma11.
        / @5 'Not in Labor Force' @24 p43i8 comma11.  @37 p150Ai8 comma11.  @50 p150Bi8 comma11. @62 p150Ci8 comma11.  @75 p150Di8  comma11.  @88 p150Ei8 comma11.  @100 p150Fi8 comma11.  @112 p150Gi8 comma11. @125 p150Hi8 comma11. @138 p150Ii8 comma11.
        /
        / @4 'Female:'            @24 p43i9 comma11.  @37 p150Ai9 comma11.  @50 p150Bi9 comma11.  @62 p150Ci9 comma11.  @75 p150Di9 comma11.  @88 p150Ei9 comma11.  @100 p150Fi9 comma11.  @112 p150Gi9 comma11. @125 p150Hi9 comma11. @138 p150Ii9 comma11.
        / @5 'In Labor Force:'    @24 p43i10 comma11. @37 p150Ai10 comma11. @50 p150Bi10 comma11. @62 p150Ci10 comma11. @75 p150Di10 comma11. @88 p150Ei10 comma11. @100 p150Fi10 comma11. @112 p150Gi10 comma11. @125 p150Hi10 comma11. @138 p150Ii10 comma11.
        / @6 'In Armed Forces'    @24 p43i11 comma11. @37 p150Ai11 comma11. @50 p150Bi11 comma11. @62 p150Ci11 comma11. @75 p150Di11 comma11. @88 p150Ei11 comma11. @100 p150Fi11 comma11. @112 p150Gi11 comma11. @125 p150Hi11 comma11. @138 p150Ii11 comma11.
        / @7 'Civilian:'          @24 p43i12 comma11. @37 p150Ai12 comma11. @50 p150Bi12 comma11. @62 p150Ci12 comma11. @75 p150Di12 comma11. @88 p150Ei12 comma11. @100 p150Fi12 comma11. @112 p150Gi12 comma11. @125 p150Hi12 comma11. @138 p150Ii12 comma11.
        / @7 'Employed'           @24 p43i13 comma11. @37 p150Ai13 comma11. @50 p150Bi13 comma11. @62 p150Ci13 comma11. @75 p150Di13 comma11. @88 p150Ei13 comma11. @100 p150Fi13 comma11. @112 p150Gi13 comma11. @125 p150Hi13 comma11. @138 p150Ii13 comma11.
        / @7 'Unemployed'         @24 p43i14 comma11. @37 p150Ai14 comma11. @50 p150Bi14 comma11. @62 p150Ci14 comma11. @75 p150Di14 comma11. @88 p150Ei14 comma11. @100 p150Fi14 comma11. @112 p150Gi14 comma11. @125 p150Hi14 comma11. @138 p150Ii14 comma11.
        / @5 'Not in Labor Force' @24 p43i15 comma11. @37 p150Ai15 comma11. @50 p150Bi15 comma11. @62 p150Ci15 comma11. @75 p150Di15 comma11. @88 p150Ei15 comma11. @100 p150Fi15 comma11. @112 p150Gi15 comma11. @125 p150Hi15 comma11. @138 p150Ii15 comma11.
        ;

    /* end table P43/P150A-I */

    /* start table P46 */

    PUT #29
          @2 'P46. LIVING ARRANGEMENTS OF OWN CHILDREN UNDER 18 YEARS IN FAMILIES AND'
        / @2 '     SUBFAMILIES BY EMPLOYMENT STATUS OF PARENTS'
        / @2 'Universe: Own Children Under 18 Years in Families and Subfamilies'
        /
        / @54 'Under 6' @68 '6 to 17'
       // @2 'Total Children in Universe:'     @50 p46i2 comma11.      @64 p46i15 comma11.
        / @4 'Living with Two Parents:'         @50 p46i3 comma11.      @64 p46i16 comma11.
        / @6 'Both Parents in Labor Force'      @50 p46i4 comma11.      @64 p46i17 comma11.
        / @6 'Father Only in Labor Force'       @50 p46i5 comma11.      @64 p46i18 comma11.
        / @6 'Mother Only in Labor Force'       @50 p46i6 comma11.      @64 p46i19 comma11.
        / @6 'Neither Parent in Labor Force'    @50 p46i7 comma11.      @64 p46i20 comma11.
        / @4 'Living with One Parent:'          @50 p46i8 comma11.      @64 p46i21 comma11.
        / @6 'Living with Father:'              @50 p46i9 comma11.      @64 p46i22 comma11.
        / @8 'In Labor Force'                   @50 p46i10 comma11.     @64 p46i23 comma11.
        / @8 'Not in Labor Force'               @50 p46i11 comma11.     @64 p46i24 comma11.
        / @6 'Living with Mother:'              @50 p46i12 comma11.     @64 p46i25 comma11.
        / @8 'In Labor Force'                   @50 p46i13 comma11.     @64 p46i26 comma11.
        / @8 'Not in Labor Force'               @50 p46i14 comma11.     @64 p46i27 comma11.
        ;
    /*end table P46 */

    /* start table P41 */

    sd = (p41i3 + p41i8 + p41i15);
    pd = (p41i4 + p41i9 + p41i16);
    md = (p41i5 + p41i10 + p41i17);
    scd =(p41i6 + p41i11 + p41i18);
    gd = (p41i12 + p41i19);

    PUT #49
          @2 'P41. TYPES OF DISABILITY'
        / @2 'Universe: Total Disabilities Tallied'
        / @2 'for the Civilian Noninstitutionalized'
        / @2 'Population 5 Years+ with Disabilities'
        /
        / @2 'Total Disabilities Tallied:'  @30 p41i1 comma11.
        / @3 'Sensory Disability'           @30 sd comma11.
        / @3 'Physical Disability'          @30 pd comma11.
        / @3 'Mental Disability'            @30 md comma11.
        / @3 'Self-care Disability'         @30 scd comma11.
        / @3 'Go-outside-home Disability'   @30 gd comma11.
        / @3 'Employment Disability'        @30 p41i13 comma11.
        ;

        /* end table P41*/

    /* start table P42 */
    Disab = p42i4 + p42i7 + p42i14 + p42i21 + p42i24 + p42i28 + p42i31 + p42i38 + p42i45 + p42i48;
    Nodisab = p42i5 + p42i10 + p42i17 + p42i22 + p42i25 + p42i29 + p42i34 + p42i41 + p42i46 + p42i49;
    dis1 = p42i4 + p42i28;
    ndis1 = p42i5 + p42i29;
    dis2 = p42i7 + p42i31;
    ndis2 = p42i10 + p42i34;
    dis3 = p42i14 + p42i38;
    ndis3 = p42i17 + p42i41;
    dis4 = p42i21 + p42i45;
    ndis4 = p42i22 + p42i46;
    dis5 = p42i24 + p42i48;
    ndis5 = p42i25 + p42i49;

    PUT #49
          @43 'P42. DISABILITY STATUS BY AGE'
        / @43 'Univ.: Civilian Noninstitutionalized'
        / @43 '       Population 5 Years and Over'
        /
        / @61 'With a'  @77 'No'
        / @57 'Disability'  @69 'Disability'
       // @43 'Total:' @56 Disab comma11. @68 Nodisab comma11.
        / @44 '5-15 Years'  @56 dis1 comma11.   @68 ndis1 comma11.
        / @44 '16-20 Years' @56 dis2 comma11.   @68 ndis2 comma11.
        / @44 '21-64 Years' @56 dis3 comma11.   @68 ndis3 comma11.
        / @44 '65-74 Years' @56 dis4 comma11.   @68 ndis4 comma11.
        / @44 '75+ Years'   @56 dis5 comma11.   @68 ndis5 comma11.
        ;
        /*end table P42*/

    /* start table P48*/

    PUT #29
          @80 'P48. FAMILY TYPE BY NUMBER OF'
        / @80 '    WORKERS IN FAMILY IN 1999'
        / @80 'Universe: Families'
        /
        /
        / @80 'Total Families:' @97 p48i1 comma11.
        / @81 'Married Cpl Fam:' @97 p48i2 comma11.
        / @82 'No Workers'      @97 p48i3 comma11.
        / @82 '1 Worker'        @97 p48i4 comma11.
        / @82 '2 Workers:'      @97 p48i5 comma11.
        / @83 'Husband and'
        / @83 'Wife Worked'     @97 p48i6 comma11.
        / @83 'Other'           @97 p48i7 comma11.
        / @82 '3+ Workers:'     @97 p48i8 comma11.
        / @83 'Husband and'
        / @83 'Wife Worked'     @97 p48i9 comma11.
        / @83 'Other'           @97 p48i10 comma11.
        /
        / @81 'Other Families:' @97 p48i11 comma11.
        / @82 'Male Householder,'
        / @82 'no Wife:'        @97 p48i12 comma11.
        / @83'No Workers'       @97 p48i13 comma11.
        / @83 '1 Worker'        @97 p48i14 comma11.
        / @83 '2 Workers'       @97 p48i15 comma11.
        / @83 '3+ Workers'      @97 p48i16 comma11.
        / @82 'Female Householder,'
        / @82 'no Husband:'     @97 p48i17 comma11.
        / @83 'No Workers'      @97 p48i18 comma11.
        / @83 '1 Worker'        @97 p48i19 comma11.
        / @83 '2 Workers'       @97 p48i20 comma11.
        / @83 '3+ Workers'      @97 p48i21 comma11.
        ;

        /* end table P48*/

    /* start table P47 */

    PUT #29
          @110 'P47. WORK STATUS IN 1999 BY USUAL HOURS'
        / @110 '     WORKED PER WEEK BY WEEKS WORKED'
        / @110 'Universe: Population 16 Years and Over'
        /
        / @133 'Male'   @143 'Female'
       // @110 'Total Pop. 16+:'         @126 p47i2 comma11.     @138 p47i26 comma11.
        / @110 'Worked in 1999:'@126 p47i3 comma11.     @138 p47i27 comma11.
        / @111 '35+ Hours/Week' @126 p47i4 comma11.     @138 p47i28 comma11.
        / @112 '50-52 Weeks'    @126 p47i5 comma11.     @138 p47i29 comma11.
        / @112 '48-49 Weeks'    @126 p47i6 comma11.     @138 p47i30 comma11.
        / @112 '40-47 Weeks'    @126 p47i7 comma11.     @138 p47i31 comma11.
        / @112 '27-39 Weeks'    @126 p47i8 comma11.     @138 p47i32 comma11.
        / @112 '14-26 Weeks'    @126 p47i9 comma11.     @138 p47i33 comma11.
        / @112 ' 1-13 Weeks'    @126 p47i10 comma11.    @138 p47i34 comma11.
        /
        / @111 '15-34 Hours/Wk' @126 p47i11 comma11.    @138 p47i35 comma11.
        / @112 '50-52 Weeks'    @126 p47i12 comma11.    @138 p47i36 comma11.
        / @112 '48-49 Weeks'    @126 p47i13 comma11.    @138 p47i37 comma11.
        / @112 '40-47 Weeks'    @126 p47i14 comma11.    @138 p47i38 comma11.
        / @112 '27-39 Weeks'    @126 p47i15 comma11.    @138 p47i39 comma11.
        / @112 '14-26 Weeks'    @126 p47i16 comma11.    @138 p47i40 comma11.
        / @112 ' 1-13 Weeks'    @126 p47i17 comma11.    @138 p47i41 comma11.
        /
        / @111 '1-14 Hours/Wk'  @126 p47i18 comma11.    @138 p47i42 comma11.
        / @112 '50-52 Weeks'    @126 p47i19 comma11.    @138 p47i43 comma11.
        / @112 '48-49 Weeks'    @126 p47i20 comma11.    @138 p47i44 comma11.
        / @112 '40-47 Weeks'    @126 p47i21 comma11.    @138 p47i45 comma11.
        / @112 '27-39 Weeks'    @126 p47i22 comma11.    @138 p47i46 comma11.
        / @112 '14-26 Weeks'    @126 p47i23 comma11.    @138 p47i47 comma11.
        / @112 ' 1-13 Weeks'    @126 p47i24 comma11.    @138 p47i48 comma11.
        / @110 'Did not work'
        / @110 'in 1999'        @126 p47i25 comma11.    @138 p47i49 comma11.

 ;
        /* end table P47*/
link HeadFoot;
end;*<---------- of code to generate 6th page----;

*--generate primary profile, page 7.
   Xanthippe Stevens, KS SDC.--*;

if index(_pages,'7') then do;

%PutTitle(
   %STR(Primary Profile 7: EMPLOYMENT BY INDUSTRY, OCCUPATION, AND CLASS OF WORKER),
   %STR(Prime-7) ) ;

    * Draw horizontal line;
    PUT #17 @58 '+' 51*'-';

    * Draw (internal) vertical lines;
    do _i_=18 to 61;
        PUT #_i_ @58 '|';
        end;

    do _i_=6 to 61;
        PUT #_i_ @110 '|';
        end;

    /*start table P50*/
    TOT3 = p50i3 + p50i50;
    TOT4 = p50i4 + p50i51;
    TOT5 = p50i5 + p50i52;
    TOT6 = p50i6 + p50i53;
    TOT7 = p50i7 + p50i54;
    TOT8 = p50i8 + p50i55;
    TOT9 = p50i9 + p50i56;
    TOT10 = p50i10 + p50i57;
    TOT11 = p50i11 + p50i58;
    TOT12 = p50i12 + p50i59;
    TOT13 = p50i13 + p50i60;
    TOT14 = p50i14 + p50i61;
    TOT15 = p50i15 + p50i62;
    TOT16 = p50i16 + p50i63;
    TOT17 = p50i17 + p50i64;
    TOT18 = p50i18 + p50i65;
    TOT19 = p50i19 + p50i66;
    TOT20 = p50i20 + p50i67;
    TOT21 = p50i21 + p50i68;
    TOT22 = p50i22 + p50i69;
    TOT23 = p50i23 + p50i70;
    TOT24 = p50i24 + p50i71;
    TOT25 = p50i25 + p50i72;
    TOT26 = p50i26 + p50i73;
    TOT27 = p50i27 + p50i74;
    TOT28 = p50i28 + p50i75;
    TOT29 = p50i29 + p50i76;
    TOT30 = p50i30 + p50i77;
    TOT31 = p50i31 + p50i78;
    TOT32 = p50i32 + p50i79;
    TOT33 = p50i33 + p50i80;
    TOT34 = p50i34 + p50i81;
    TOT35 = p50i35 + p50i82;
    TOT36 = p50i36 + p50i83;
    TOT37 = p50i37 + p50i84;
    TOT38 = p50i38 + p50i85;
    TOT39 = p50i39 + p50i86;
    TOT40 = p50i40 + p50i87;
    TOT41 = p50i41 + p50i88;
    TOT42 = p50i42 + p50i89;
    TOT43 = p50i43 + p50i90;
    TOT44 = p50i44 + p50i91;
    TOT45 = p50i45 + p50i92;
    TOT46 = p50i46 + p50i93;
    TOT47 = p50i47 + p50i94;
    TOT48 = p50i48 + p50i95;

    PUT #6
          @2 'P50. OCCUPATION'
        / @2 'Universe: Employed Civilians 16 and Over'
        /
        / @2 'Total Employed Civilians 16 and Over:'        @47 p50i1 comma11.
        / @3 'Management, Profess. & Related Occupations:'  @47 TOT3 comma11.
        / @4 'Management, Business, Financial Operations:'  @47 TOT4 comma11.
        / @5 'Management (except Farmers/Farm Managers)'    @47 TOT5 comma11.
        / @5 'Farmers and Farm Managers'                    @47 TOT6 comma11.
        / @5 'Business & Financial Operations:'             @47 TOT7 comma11.
        / @6 'Business Operations Specialists'              @47 TOT8 comma11.
        / @6 'Financial Specialists'                        @47 TOT9 comma11.
       // @4 'Professional & Related Occupations:'          @47 TOT10 comma11.
        / @5 'Computer & Mathematical Occupations'          @47 TOT11 comma11.
        / @5 'Architecture & Engineering Occupations:'      @47 TOT12 comma11.
        / @6 'Architects, Surveyors, Cartographers,'
        / @6 '& Engineers'                                  @47 TOT13 comma11.
        / @6 'Drafters, Engineering & Map Technicians'      @47 TOT14 comma11.
        / @5 'Life, Physical & Social Science Occupatns'    @47 TOT15 comma11.
        / @5 'Community & Social Services'                  @47 TOT16 comma11.
        / @5 'Legal Occupations'                            @47 TOT17 comma11.
        / @5 'Education, Training & Library Occupations'    @47 TOT18 comma11.
        / @5 'Arts, Design, Entertainment, Sports,'
        / @5 '& Media Occupations'                          @47 TOT19 comma11.
        / @5 'Healthcare Practitioners & Technical Occ:'    @47 TOT20 comma11.
        / @6 'Health Diagnosing, Treating Practitioners'
        / @6 '& Technical Occupations'                      @47 TOT21 comma11.
        / @6 'Health Technologists & Technicians'           @47 TOT22 comma11.
        /
        / @3 'Service Occupations:'                         @47 TOT23 comma11.
        / @4 'Healthcare Support Occupations'               @47 TOT24 comma11.
        / @4 'Protective Service Occupations:'              @47 TOT25 comma11.
        / @5 'Fire Fighting, Prevention, & Law'
        / @5 'Enforcement Workers, inc Supervisors'         @47 TOT26 comma11.
        / @5 'Other Protective Services inc Supervisors'    @47 TOT27 comma11.
        / @4 'Food Preparation & Serving'                   @47 TOT28 comma11.
        / @4 'Building & Grounds Cleaning & Maintenance'    @47 TOT29 comma11.
        / @4 'Personal Care & Service'                      @47 TOT30 comma11.
        /
        / @3 'Sales & Office Occupations:'                  @47 TOT31 comma11.
        / @4 'Sales & Related Occupations'                  @47 TOT32 comma11.
        / @4 'Office & Administrative Support'              @47 TOT33 comma11.
        /
        / @3 'Farming, Fishing & Forestry'                  @47 TOT34 comma11.
        /
        / @3 'Construction, Extraction & Maintenance Occ:'  @47 TOT35 comma11.
        / @4 'Construction & Extraction Occupations:'       @47 TOT36 comma11.
        / @5 'Supervisors, Construction &'
        / @5 'Extraction Workers'                           @47 TOT37 comma11.
        / @5 'Construction Trade Workers'                   @47 TOT38 comma11.
        / @5 'Extraction Workers'                           @47 TOT39 comma11.
        / @4 'Installation, Maintenance & Repair Occupat'   @47 TOT40 comma11.
        /
        / @3 'Production, Transportation & Material'
        / @3 'Moving Occupations:'                          @47 TOT41 comma11.
        / @4 'Production Occupations'                       @47 TOT42 comma11.
        ;
    *start column two of table P50;
    PUT #10
          @59 'Transportation & Material Moving:'           @99 TOT43 comma11.
        / @60 'Supervisors, Transportation & Material'
        / @60 'Moving Workers'                              @99 TOT44 comma11.
        / @60 'Aircraft & Traffic Control'                  @99 TOT45 comma11.
        / @60 'Motor Vehicle Operators'                     @99 TOT46 comma11.
        / @60 'Rail, Water & Other Transportation'          @99 TOT47 comma11.
        / @60 'Material Moving Workers'                     @99 TOT48 comma11.
        ;
    /*end table P50*/

    /* start table P49 */
    TOTI3 = p49i3 + p49i30;
    TOTI4 = p49i4 + p49i31;
    TOTI5 = p49i5 + p49i32;
    TOTI6 = p49i6 + p49i33;
    TOTI7 = p49i7 + p49i34;
    TOTI8 = p49i8 + p49i35;
    TOTI9 = p49i9 + p49i36;
    TOTI10 = p49i10 + p49i37;
    TOTI11 = p49i11 + p49i38;
    TOTI12 = p49i12 + p49i39;
    TOTI13 = p49i13 + p49i40;
    TOTI14 = p49i14 + p49i41;
    TOTI15 = p49i15 + p49i42;
    TOTI16 = p49i16 + p49i43;
    TOTI17 = p49i17 + p49i44;
    TOTI18 = p49i18 + p49i45;
    TOTI19 = p49i19 + p49i46;
    TOTI20 = p49i20 + p49i47;
    TOTI21 = p49i21 + p49i48;
    TOTI22 = p49i22 + p49i49;
    TOTI23 = p49i23 + p49i50;
    TOTI24 = p49i24 + p49i51;
    TOTI25 = p49i25 + p49i52;
    TOTI26 = p49i26 + p49i53;
    TOTI27 = p49i27 + p49i54;
    TOTI28 = p49i28 + p49i55;

    PUT #18
          @59 'P49. INDUSTRY'
        / @59 'Universe: Employed Civilians 16 and Over'
        /
        / @59 'Total Empl. Civilians 16 and Over:'      @99 p49i1 comma11.
        / @60 'Agriculture, Forestry, Fishing,'
        / @60 'Hunting & Mining:'                       @99 TOTI3 comma11.
        / @61 'Agric, Forestry, Fishing, & Hunting'     @99 TOTI4 comma11.
        / @61 'Mining'                                  @99 TOTI5 comma11.
        /
        / @60 'Construction'                            @99 TOTI6 comma11.
        / @60 'Manufacturing'                           @99 TOTI7 comma11.
       // @60 'Wholesale Trade'                         @99 TOTI8 comma11.
        / @60 'Retail Trade'                            @99 TOTI9 comma11.
        /
        / @60 'Transportation, Warehousing'
        / @60 '& Utilities:'                            @99 TOTI10 comma11.
        / @61 'Transportation & Warehousing'            @99 TOTI11 comma11.
        / @61 'Utilities'                               @99 TOTI12 comma11.
        /
        / @60 'Information'                             @99 TOTI13 comma11.
        /
        / @60 'Finance, Insurance, Real Estate,'
        / @60 'Rental & Leasing:'                       @99 TOTI14 comma11.
        / @61 'Finance & Insurance'                     @99 TOTI15 comma11.
        / @61 'Real Estate & Rental & Leasing'          @99 TOTI16 comma11.
        /
        / @60 'Professional, Scientific, Management,'
        / @60 'Administrative & Waste Management:'      @99 TOTI17 comma11.
        / @61 'Professional, Scientific & Tech Serv'    @99 TOTI18 comma11.
        / @61 'Management of Companies & Enterprises'   @99 TOTI19 comma11.
        / @61 'Admin, Support, Waste Management Serv'   @99 TOTI20 comma11.
        /
        / @60 'Educational, Health & Social Services:'  @99 TOTI21 comma11.
        / @61 'Educational Services'                    @99 TOTI22 comma11.
        / @61 'Health Care & Social Assistance'         @99 TOTI23 comma11.
        /
        / @60 'Arts, Entertainment, Recreation,'
        / @60 'Accommodation & Food Services:'          @99 TOTI24 comma11.
        / @61 'Arts, Entertainment & Recreation'        @99 TOTI25 comma11.
        / @61 'Accommodation & Food Services'           @99 TOTI26 comma11.
        /
        / @60 'Other Services (except Public Admin.)'   @99 TOTI27 comma11.
        / @60 'Public Administration'                   @99 TOTI28 comma11.
        ;
        /* end of table P49*/

    /* start table P51 */
    TOTC3 = p51i3 + p51i35;
    TOTC4 = p51i4 + p51i36;
    TOTC5 = p51i5 + p51i37;
    TOTC6 = p51i6 + p51i38;
    TOTC7 = p51i7 + p51i39;
    TOTC8 = p51i8 + p51i40;
    TOTC9 = p51i9 + p51i41;
    TOTC10 = p51i10 + p51i42;
    TOTC11 = p51i11 + p51i43;
    TOTC12 = p51i12 + p51i44;
    TOTC13 = p51i13 + p51i45;
    TOTC14 = p51i14 + p51i46;
    TOTC15 = p51i15 + p51i47;
    TOTC16 = p51i16 + p51i48;
    TOTC17 = p51i17 + p51i49;
    TOTC18 = p51i18 + p51i50;
    TOTC19 = p51i19 + p51i51;
    TOTC20 = p51i20 + p51i52;
    TOTC21 = p51i21 + p51i53;
    TOTC22 = p51i22 + p51i54;
    TOTC23 = p51i23 + p51i55;
    TOTC24 = p51i24 + p51i56;
    TOTC25 = p51i25 + p51i57;
    TOTC26 = p51i26 + p51i58;
    TOTC27 = p51i27 + p51i59;
    TOTC28 = p51i28 + p51i60;
    TOTC29 = p51i29 + p51i61;
    TOTC30 = p51i30 + p51i62;
    TOTC31 = p51i31 + p51i63;
    TOTC32 = p51i32 + p51i64;
    TOTC33 = p51i33 + p51i65;

    PUT #6
          @111 'P51. CLASS OF WORKER BY INDUSTRY'
        / @111 'Universe: Employed Civilians 16 & Over'
        /
        / @111 'Total Empl. Civilians 16+:'             @138 p51i1 comma11.
        / @112 'All Industries except'
        / @112 'Agriculture, Forestry,'
        / @112 'Fishing, Hunting, Mining:'              @138 TOTC3 comma11.
        / @113 'Private For-profit Wage'
        / @113 '& Salary workers:'                      @138 TOTC4 comma11.
        / @114 'Employee of Private'
        / @114 'Company'                                @138 TOTC5 comma11.
        / @114 'Self-employed in Own'
        / @114 'Incorporated Business'                  @138 TOTC6 comma11.
        / @113 'Private Not-for-profit'
        / @113 'Wage & Salary workers'                  @138 TOTC7 comma11.
        / @113 'Local Government Workers'               @138 TOTC8 comma11.
        / @113 'State Government Workers'               @138 TOTC9 comma11.
        / @113 'Federal Govt Workers'                   @138 TOTC10 comma11.
        / @113 'Self-Employed in Own'
        / @113 'Not Incorp. Business'                   @138 TOTC11 comma11.
        / @113 'Unpaid Family Workers'                  @138 TOTC12 comma11.
        /
        / @112 'Agriculture, Forestry,'
        / @112 'Fishing, Hunting, Mining:'              @138 TOTC13 comma11.
       // @113 'Agriculture, Forestry,'
        / @113 'Fishing & Hunting:'                     @138 TOTC14 comma11.
        / @114 'Private For-profit Wage'
        / @114 '& Salary workers:'                      @138 TOTC15 comma11.
        / @115 'Employee of Private'
        / @115 'Company'                                @138 TOTC16 comma11.
        / @115 'Self-employed in Own'
        / @115 'Incorporated Business'                  @138 TOTC17 comma11.
        / @114 'Private Not-for-profit'
        / @114 'Wage & Salary workers'                  @138 TOTC18 comma11.
        / @114 'Local Govt Workers'                     @138 TOTC19 comma11.
        / @114 'State Govt Workers'                     @138 TOTC20 comma11.
        / @114 'Federal Govt Workers'                   @138 TOTC21 comma11.
        / @114 'Self-Employed in Own'
        / @114 'Not Incorp. Business'                   @138 TOTC22 comma11.
        / @114 'Unpaid Family Workers'                  @138 TOTC23 comma11.
        /
        / @113 'Mining:'                                @138 TOTC24 comma11.
        / @114 'Private For-profit Wage'
        / @114 '& Salary workers:'                      @138 TOTC25 comma11.
        / @115 'Employee-Private Comp'                  @138 TOTC26 comma11.
        / @115 'Self-employed in Own'
        / @115 'Incorporated Business'                  @138 TOTC27 comma11.
        / @114 'Private Not-for-profit'
        / @114 'Wage & Salary workers'                  @138 TOTC28 comma11.
        / @114 'Local Govt Workers'                     @138 TOTC29 comma11.
        / @114 'State Govt Workers'                     @138 TOTC30 comma11.
        / @114 'Federal Govt Workers'                   @138 TOTC31 comma11.
        / @114 'Self-Employed in Own'
        / @114 'Not Incorp. Business'                   @138 TOTC32 comma11.
        / @114 'Unpaid Family Workers'                  @138 TOTC33 comma11.
        ;
    /*end table P51*/

link HeadFoot;
end;*<---------- of code to generate 7th page----;

*--generate primary profile, page 8.
   Jeff Wallace, Oklahoma SDC.--*;

IF INDEX(_pages,'8') THEN DO;

%PutTitle(
   %STR(Primary Profile 8: PLACE OF WORK; TRAVEL TO WORK; VETERAN STATUS AND MILITARY SERVICE),
   %STR(Prime-8) ) ;

**--Draw horizontal lines--**;

PUT #18 @98 51*'_';
PUT #31 @57 40*'_';

**--Draw (internal) vertical lines--**;

do _i_=6 to 61;
  PUT #_I_ @56 '|';
  end;

do _j_=6 to 61;
  PUT #_J_ @97 '|';
  end;

%LET f=comma11.;

**--Generate table P26/P27/P28/P29.--**;

PUT #6
    @2 'P26/P27/P28/P29. PLACE OF WORK'
  / @2 'Universe: Workers 16 years and over'
 // @2 'Total Workers 16 and over:'       @44 p26i1 &f
 // @2 ' Worked in State of Residence:' @44 p26i2 &f
  / @2 '  Worked in County of Residence' @44 p26i3 &f
  / @2 '  Worked Outside County of Residence' @44 p26i4 &f
  / @2 ' Worked Outside State of Residence' @44 p26i5 &f
 // @2 ' Living in an MSA/PMSA:' @44 p28i2 &f
 // @2 '  Living in a Central City:' @44 p28i3 &f
  / @2 '   Worked in MSA/PMSA of Residence:' @44 p28i4 &f
  / @2 '    Central City' @44 p28i5 &f
  / @2 '    Remainder of this MSA/PMSA' @44 p28i6 &f
  / @2 '   Worked Outside MSA/PMSA of Residence:' @44 p28i7 &f
  / @2 '    Worked in a Different MSA/PMSA:' @44 p28i8 &f
  / @2 '     Central City' @44 p28i9 &f
  / @2 '     Remainder of Different MSA/PMSA' @44 p28i10 &f
  / @2 '    Worked Outside any MSA/PMSA' @44 p28i11 &f
 // @2 '  Living in Remainder of an MSA/PMSA:' @44 p28i12 &f
  / @2 '   Worked in MSA/PMSA of Residence:' @44 p28i13 &f
  / @2 '    Central City' @44 p28i14 &f
  / @2 '    Remainder of this MSA/PMSA' @44 p28i15 &f
  / @2 '   Worked Outside MSA/PMSA of Residence:' @44 p28i16 &f
  / @2 '    Worked in a Different MSA/PMSA:' @44 p28i17 &f
  / @2 '     Central City' @44 p28i18 &f
  / @2 '     Remainder of Different MSA/PMSA' @44 p28i19 &f
  / @2 '    Worked Outside any MSA/PMSA' @44 p28i20 &f
 // @2 ' Not Living in an MSA/PMSA:' @44 p28i21 &f
  / @2 '  Worked in an MSA/PMSA:' @44 p28i22 &f
  / @2 '   Central City' @44 p28i23 &f
  / @2 '   Remainder of MSA/PMSA' @44 p28i24 &f
  / @2 '  Worked Outside any MSA/PMSA' @44 p28i25 &f
 // @2 ' Living in a Place:' @44 p27i2 &f
  / @2 '  Worked in Place of Residence' @44 p27i3 &f
  / @2 '  Worked Outside Place of Residence' @44 p27i4 &f
  / @2 ' Not Living in a Place' @44 p27i5 &f
 // @2 ' Living in 12 Selected States:'
  / @2 ' CT/ME/MA/MI/MN/NH/NJ/NY/PA/RI/VT/WI'   @44 p29i2 &f
  / @2 '  Worked in MCD of Residence' @44 p29i3 &f
  / @2 '  Worked Outside MCD of Residence' @44 p29i4 &f
  / @2 ' Not Living in the 12 Selected States' @44 p29i5 &f;

**--Generate table P30.--**;

PUT #6
    @58 'P30. MEANS OF TRANSPORTATION TO WORK'
  / @58 'Universe: Workers 16 Years and Over'
 // @58 'Total Workers 16 and over:' @85 p30i1 &f
 // @58 ' Car, Truck, or Van:' @85 p30i2 &f
  / @58 '  Drove Alone' @85 p30i3 &f
  / @58 '  Carpooled' @85 p30i4 &f
 // @58 ' Public Transportation:' @85 p30i5 &f
  / @58 '  Bus or Trolley Bus' @85 p30i6 &f
  / @58 '  Streetcar or Trolley Car'
  / @58 '  (Pblico in Puerto Rico)' @85 p30i7 &f
  / @58 '  Subway or Elevated' @85 p30i8 &f
  / @58 '  Railroad' @85 p30i9 &f
  / @58 '  Ferryboat' @85 p30i10 &f
  / @58 '  Taxicab' @85 p30i11 &f
 // @58 ' Motorcycle' @85 p30i12 &f
  / @58 ' Bicycle' @85 p30i13 &f
  / @58 ' Walked' @85 p30i14 &f
  / @58 ' Other means' @85 p30i15 &f
 // @58 ' Worked at Home' @85 p30i16 &f;

**--Generate table P31.--**;
if p32i1 > 0 then travmean = p33i1/p32i1; else travmean=.;

Put #32
    @58 'P31. TRAVEL TIME TO WORK'
  / @58 'Universe: Workers 16 Years and Over'
 // @58 'Total Workers 16 and over:' @85 p31i1 &f
 // @58 ' Did not Work at Home:' @85 p31i2 &f
 // @58 '  Less than 5 Minutes' @85 p31i3 &f
  / @58 '  5 to 9 Minutes' @85 p31i4 &f
  / @58 '  10 to 14 Minutes' @85 p31i5 &f
  / @58 '  15 to 19 Minutes' @85 p31i6 &f
  / @58 '  20 to 24 Minutes' @85 p31i7 &f
  / @58 '  25 to 29 Minutes' @85 p31i8 &f
 // @58 '  30 to 34 Minutes' @85 p31i9 &f
  / @58 '  35 to 39 Minutes' @85 p31i10 &f
  / @58 '  40 to 44 Minutes' @85 p31i11 &f
  / @58 '  45 to 59 Minutes' @85 p31i12 &f
  / @58 '  60 to 89 Minutes' @85 p31i13 &f
  / @58 '  90 Minutes or More' @85 p31i14 &f
 // @58 '  Mean Travel Time: ' travmean 5.1 ' minutes'
 // @58 ' Worked at Home' @85 p31i15 &f
 ;
 **--Generate table P39.--**;

  vet18i1=p39i4+p39i15;  vet65i1=p39i9+p39i20;
  vet18i2=p39i5+p39i16;  vet65i2=p39i10+p39i21;
  vet18i3=p39i6+p39i17;  vet65i3=p39i11+p39i22;
  vet18i4=p39i7+p39i18;  vet65i4=p39i12+p39i23;
  tot18=p39i3+p39i14;
  tot65=p39i8+p39i19;

Put #6
    @99 'P39. ARMED FORCES STATUS/VETERAN STATUS BY AGE'
  / @99 'Universe: Population 18 Years and Over'
 // @125 '18 to 64' @137 '65 and Over'
 // @99 'Total 18 and Over:' @122 tot18 &f @137 tot65 &f
 // @99 '  In Armed Forces' @122 vet18i1 &f @137 vet65i1 &f
  / @99 '  Civilian:' @122 vet18i2 &f @137 vet65i2 &f
  / @99 '    Veteran' @122 vet18i3 &f @137 vet65i3 &f
  / @99 '    Nonveteran' @122 vet18i4 &f @137 vet65i4 &f;

 **--Generate table P40.--**;

 Put #19
    @99 'P40. PERIOD OF MILITARY SERVICE'
  / @99 'Universe: Civilian Veterans 18 Years and Over'
 // @99 'Total Civilian Veterans 18 & Over:' @137 p40i1 &f
 // @99 '  August 1990 or Later'
  / @99 '  (including Persian Gulf War):' @137 p40i2 &f
  / @99 '   Served in Vietnam Era' @137 p40i3 &f
  / @99 '   No Vietnam Era Service:' @137 p40i4 &f
  / @99 '    Served September 1980 or Later:' @137 p40i5 &f
  / @99 '     Served Under 2 Years' @137 p40i6 &f
  / @99 '     Served 2 or More Years' @137 p40i7 &f
  / @99 '    Served Prior to September 1980' @137 p40i8 &f
 // @99 '  May 1975-July 1990 Only:' @137 p40i9 &f
  / @99 '   September 1980-July 1990 Only:' @137 p40i10 &f
  / @99 '    Served Under 2 Years' @137 p40i11 &f
  / @99 '    Served 2 or More Years' @137 p40i12 &f
  / @99 '   Other May 1975-July 1990 Service' @137 p40i13 &f
 // @99 '  Vietnam Era, no Korean War,'
  / @99 '   no World War II,'
  / @99 '   no August 1990 or Later' @137 p40i14 &f
  / @99 '  Vietnam Era and Korean War,'
  / @99 '   no World War II,'
  / @99 '   no August 1990 or Later' @137 p40i15 &f
  / @99 '  Vietnam Era, Korean War,'
  / @99 '   and World War II,'
  / @99 '   no August 1990 or Later' @137 p40i16 &f
 // @99 '  February 1955-July 1964 Only' @137 p40i17 &f
 // @99 '  Korean War, no Vietnam Era,'
  / @99 '   no World War II' @137 p40i18 &f
  / @99 '  Korean War and World War II,'
  / @99 '   no Vietnam Era' @137 p40i19 &f
 // @99 '  World War II, no Korean War,'
  / @99 '   no Vietnam Era' @137 p40i20 &f
 // @99 '  Other Service Only' @137 p40i21 &f;

link HeadFoot;
end;  *<-----------of code to generate 8th page----;

*--generate primary profile, page 9.
   Jeff Wallace, Oklahoma SDC.--*;

IF INDEX(_pages,'9') THEN DO;

%PutTitle(
   %STR(Primary Profile 9: HOUSEHOLD, FAMILY AND PER CAPITA INCOME IN 1999 BY RACE & HISP/LATINO),
   %STR(Prime-9) ) ;

**--Draw horizontal line--**;

PUT #31 @2 147*'_';

**--Draw (internal) vertical lines--**;
do _i_=8 to 30;
  PUT #_i_ @124 '*';
  end;

do _j_=34 to 61;
  PUT #_j_ @113 '*' @137 '|';
  end;

%LET f=comma11. comma13. comma13. comma12. comma13. comma12. comma13.
       comma13. ;
%LET g=dollar11. dollar13. dollar13. dollar12. dollar13. dollar12. dollar13.
       dollar13. ;
%LET h=comma11. comma12. comma11. comma11. comma11. comma11. comma11.
       comma11. ;
%LET k=dollar11. dollar12. dollar11. dollar11. dollar11. dollar11. dollar11.
       dollar11. ;
%LET l=dollar11. dollar11. dollar11. dollar11. dollar11. dollar11. dollar11.
        ;
%LET m=comma11. comma13.;
%LET n=dollar11. dollar13.;
%LET o=comma10. comma12.;
%LET p=dollar10. dollar12.;

**--Generate table P52/P53/P54/P151A-I/P152A-I/P153A-I.--**;
  if p52i1>0 then mhtot=p54i1/p52i1; else mhtot = .;
  if p151ai1>0 then mhwh=p153ai1/p151ai1; else mhwh = .;
  if p151bi1>0 then mhbl=p153bi1/p151bi1; else mhbl = .;
  if p151ci1>0 then mhin=p153ci1/p151ci1; else mhin = .;
  if p151di1>0 then mhas=p153di1/p151di1; else mhas = .;
  if p151ei1>0 then mhnh=p153ei1/p151ei1; else mhnh = .;
  if p151fi1>0 then mhot=p153fi1/p151fi1; else mhot = .;
  if p151gi1>0 then mhto=p153gi1/p151gi1; else mhto = .;
  if p151hi1>0 then mhhi=p153hi1/p151hi1; else mhhi = .;
  if p151ii1>0 then mhwn=p153ii1/p151ii1; else mhwn = .;

 PUT #6
    @2 'P52/P53/P54/P151A-I/P152A-I/P153A-I. HOUSEHOLD INCOME IN 1999 BY RACE AND HISPANIC/LATINO ORIGIN OF HOUSEHOLDER'
  / @2 'Universe: Households'
  / @55 'Black' @61 'Amer Indian' @85 'Nat Hawaiian'
    @105 'Other' @117 'Two or' @138 'White Alone'
  / @31 'All' @42 'White' @52 '/Af Amer' @61 '/Alaska Nat' @80 'Asian' @89 '/Pac Isl'
    @106 'Race' @119 'More' @128 'Hispanic' @140 'not Hisp.'
  / @29 'Races' @42 'Alone' @55 'Alone' @67 'Alone' @80 'Alone' @92 'Alone'
    @105 'Alone' @118 'Races' @127 'or Latino' @140 'or Latino'
  / @2 'Total Households:' @23 (p52i1 p151ai1 p151bi1 p151ci1 p151di1
                             p151ei1 p151fi1 p151gi1 ) (&f) @125 (p151hi1 p151ii1) (&m)
  / @2 '  Less than $10,000' @23 (p52i2 p151ai2 p151bi2 p151ci2 p151di2
                                  p151ei2 p151fi2 p151gi2 ) (&f) @125 (p151hi2 p151ii2) (&m)
  / @2 '  $10,000 - $14,999' @23 (p52i3 p151ai3 p151bi3 p151ci3 p151di3
                                  p151ei3 p151fi3 p151gi3 ) (&f)    @125 (p151hi3 p151ii3) (&m)
  / @2 '  $15,000 - $19,999' @23 (p52i4 p151ai4 p151bi4 p151ci4 p151di4
                                  p151ei4 p151fi4 p151gi4 ) (&f) @125 (p151hi4 p151ii4) (&m)
  / @2 '  $20,000 - $24,999' @23 (p52i5 p151ai5 p151bi5 p151ci5 p151di5
                                  p151ei5 p151fi5 p151gi5 ) (&f)  @125 (p151hi5 p151ii5) (&m)
  / @2 '  $25,000 - $29,999' @23 (p52i6 p151ai6 p151bi6 p151ci6 p151di6
                                  p151ei6 p151fi6 p151gi6 ) (&f) @125 (p151hi6 p151ii6) (&m)
  / @2 '  $30,000 - $34,999' @23 (p52i7 p151ai7 p151bi7 p151ci7 p151di7
                                  p151ei7 p151fi7 p151gi7 ) (&f) @125 (p151hi7 p151ii7) (&m)
  / @2 '  $35,000 - $39,999' @23 (p52i8 p151ai8 p151bi8 p151ci8 p151di8
                                  p151ei8 p151fi8 p151gi8 ) (&f)  @125 (p151hi8 p151ii8) (&m)
  / @2 '  $40,000 - $44,999' @23 (p52i9 p151ai9 p151bi9 p151ci9 p151di9
                                  p151ei9 p151fi9 p151gi9 ) (&f)  @125 (p151hi9 p151ii9) (&m)
  / @2 '  $45,000 - $49,999' @23 (p52i10 p151ai10 p151bi10 p151ci10 p151di10
                                  p151ei10 p151fi10 p151gi10 ) (&f) @125 (p151hi10 p151ii10) (&m)
  / @2 '  $50,000 - $59,999' @23 (p52i11 p151ai11 p151bi11 p151ci11 p151di11
                                  p151ei11 p151fi11 p151gi11 ) (&f) @125 (p151hi11 p151ii11) (&m)
  / @2 '  $60,000 - $74,999' @23 (p52i12 p151ai12 p151bi12 p151ci12 p151di12
                                  p151ei12 p151fi12 p151gi12 ) (&f) @125 (p151hi12 p151ii12) (&m)
  / @2 '  $75,000 - $99,999' @23 (p52i13 p151ai13 p151bi13 p151ci13 p151di13
                                  p151ei13 p151fi13 p151gi13 ) (&f) @125 (p151hi13 p151ii13) (&m)
  / @2 ' $100,000 - $124,999' @23 (p52i14 p151ai14 p151bi14 p151ci14 p151di14
                                   p151ei14 p151fi14 p151gi14 ) (&f) @125 (p151hi14 p151ii14) (&m)
  / @2 ' $125,000 - $149,999' @23 (p52i15 p151ai15 p151bi15 p151ci15 p151di15
                                   p151ei15 p151fi15 p151gi15 ) (&f) @125 (p151hi15 p151ii15) (&m)
  / @2 ' $150,000 - $199,999' @23 (p52i16 p151ai16 p151bi16 p151ci16 p151di16
                                   p151ei16 p151fi16 p151gi16 ) (&f) @125 (p151hi16 p151ii16) (&m)
  / @2 ' $200,000 or more' @23 (p52i17 p151ai17 p151bi17 p151ci17 p151di17
                                p151ei17 p151fi17 p151gi17 ) (&f) @125 (p151hi17 p151ii17) (&m)
 // @2 ' Median' @23 (p53i1 p152ai1 p152bi1 p152ci1 p152di1
                      p152ei1 p152fi1 p152gi1 ) (&g) @125 (p152hi1 p152ii1)(&n)
  / @2 ' Mean' @23 (mhtot mhwh mhbl mhin mhas mhnh mhot mhto ) (&g) @125 (mhhi mhwn) (&n) ;

**--Generate table P76-P82/P154A-I/P155A-I/P156A-I/P157A-I.--**;
  if p76i1>0 then mftot=p78i1/p76i1; else mftot = .;
  if p79i1>0 then mnftot=p81i1/p79i1; else mnftot = .;

PUT #32
    @2  'P76-82/P154A-I/P155A-I/P156A-I/P157A-I. FAMILY AND NONFAMILY INCOME IN 1999 BY RACE OF HOUSEHOLDER; PER CAPITA INCOME IN 1999 BY INDIVIDUAL RACE'
  / @2  'Three Universes: Families, Nonfamily Households, All Persons'
  / @52 'Black' @58 'Amer Indian' @79 'Nat Hawaiian'
    @96 'Other' @106 'Two or' @125 'White Alone' @137 '+-----------'
  / @31 'All' @41 'White' @49 '/Af Amer' @58 '/Alaska Nat' @74 'Asian' @82 '/Pac Isl'
    @97 'Race' @108 'More' @116 'Hispanic' @128 'not Hisp.' @140 'Nonfamily'
  / @29 'Races' @41 'Alone' @52 'Alone' @63 'Alone' @74 'Alone' @85 'Alone'
    @96 'Alone' @107 'Races' @115 'or Latino' @127 'or Latino' @139 'Households'
  / @2 'Total Families:' @23 (p76i1 p154ai1 p154bi1 p154ci1 p154di1 p154ei1 p154fi1
                             p154gi1 ) (&h) @114 (p154hi1 p154ii1) (&o) @139 p79i1 comma10.
  / @2 '  Less than $10,000' @23 (p76i2 p154ai2 p154bi2 p154ci2 p154di2 p154ei2 p154fi2
                                  p154gi2 ) (&h) @114 (p154hi2 p154ii2) (&o) @139 p79i2 comma10.
  / @2 '  $10,000 - $14,999' @23 (p76i3 p154ai3 p154bi3 p154ci3 p154di3 p154ei3 p154fi3
                                  p154gi3 ) (&h) @114 (p154hi3 p154ii3) (&o) @139 p79i3 comma10.
  / @2 '  $15,000 - $19,999' @23 (p76i4 p154ai4 p154bi4 p154ci4 p154di4 p154ei4 p154fi4
                                  p154gi4 ) (&h) @114 (p154hi4 p154ii4) (&o) @139 p79i4 comma10.
  / @2 '  $20,000 - $24,999' @23 (p76i5 p154ai5 p154bi5 p154ci5 p154di5 p154ei5 p154fi5
                                  p154gi5 ) (&h) @114 (p154hi5 p154ii5) (&o) @139 p79i5 comma10.
  / @2 '  $25,000 - $29,999' @23 (p76i6 p154ai6 p154bi6 p154ci6 p154di6 p154ei6 p154fi6
                                  p154gi6 ) (&h) @114 (p154hi6 p154ii6) (&o) @139 p79i6 comma10.
  / @2 '  $30,000 - $34,999' @23 (p76i7 p154ai7 p154bi7 p154ci7 p154di7 p154ei7 p154fi7
                                  p154gi7 ) (&h) @114 (p154hi7 p154ii7) (&o) @139 p79i7 comma10.
  / @2 '  $35,000 - $39,999' @23 (p76i8 p154ai8 p154bi8 p154ci8 p154di8 p154ei8 p154fi8
                                  p154gi8 ) (&h) @114 (p154hi8 p154ii8) (&o) @139 p79i8 comma10.
  / @2 '  $40,000 - $44,999' @23 (p76i9 p154ai9 p154bi9 p154ci9 p154di9 p154ei9 p154fi9
                                  p154gi9 ) (&h) @114 (p154hi9 p154ii9) (&o) @139 p79i9 comma10.
  / @2 '  $45,000 - $49,999' @23 (p76i10 p154ai10 p154bi10 p154ci10 p154di10 p154ei10 p154fi10
                                  p154gi10 ) (&h) @114 (p154hi10 p154ii10) (&o) @139 p79i10 comma10.
  / @2 '  $50,000 - $59,999' @23 (p76i11 p154ai11 p154bi11 p154ci11 p154di11 p154ei11 p154fi11
                                  p154gi11 ) (&h) @114 (p154hi11 p154ii11) (&o) @139 p79i11 comma10.
  / @2 '  $60,000 - $74,999' @23 (p76i12 p154ai12 p154bi12 p154ci12 p154di12 p154ei12 p154fi12
                                  p154gi12 ) (&h) @114 (p154hi12 p154ii12) (&o) @139 p79i12 comma10.
  / @2 '  $75,000 - $99,999' @23 (p76i13 p154ai13 p154bi13 p154ci13 p154di13 p154ei13 p154fi13
                                  p154gi13 ) (&h) @114 (p154hi13 p154ii13) (&o) @139 p79i13 comma10.
  / @2 ' $100,000 - $124,999' @23 (p76i14 p154ai14 p154bi14 p154ci14 p154di14 p154ei14 p154fi14
                                   p154gi14 ) (&h) @114 (p154hi14 p154ii14) (&o) @139 p79i14 comma10.
  / @2 ' $125,000 - $149,999' @23 (p76i15 p154ai15 p154bi15 p154ci15 p154di15 p154ei15 p154fi15
                                   p154gi15 ) (&h)  @114 (p154hi15 p154ii15) (&o) @139 p79i15 comma10.
  / @2 ' $150,000 - $199,999' @23 (p76i16 p154ai16 p154bi16 p154ci16 p154di16 p154ei16 p154fi16
                                   p154gi16 ) (&h) @114 (p154hi16 p154ii16) (&o) @139 p79i16 comma10.
  / @2 ' $200,000 or more' @23 (p76i17 p154ai17 p154bi17 p154ci17 p154di17 p154ei17 p154fi17
                                p154gi17 ) (&h) @114 (p154hi17 p154ii17) (&o) @139 p79i17 comma10.
 // @2 ' Family Median' @23 (p77i1 p155ai1 p155bi1 p155ci1 p155di1 p155ei1 p155fi1
                      p155gi1 ) (&k) @114 (p155hi1 p155ii1) (&p) @146 'N/A'
  / @2 ' Family Mean' @23 mftot dollar11. @43 'N/A' @54 'N/A' @65 'N/A' @76 'N/A' @87 'N/A'
                         @98 'N/A' @109 'N/A' @121 'N/A' @133 'N/A' @146 'N/A'
 // @2 ' NonFamily Median' @31 'N/A' @35 (p156ai1 p156bi1 p156ci1 p156di1 p156ei1 p156fi1
                          p156gi1 ) (&l) @114 (p156hi1 p156ii1) (&p) @139 p80i1 dollar10.
  / @2 ' NonFamily Mean' @31 'N/A' @43 'N/A' @54 'N/A' @65 'N/A' @76 'N/A' @87 'N/A'
                         @98 'N/A' @109 'N/A' @121 'N/A' @133 'N/A' @139 mnftot dollar10.
 // @2 ' Per Capita-All Pers' @23 (p82i1 p157ai1 p157bi1 p157ci1 p157di1 p157ei1 p157fi1
                      p157gi1 ) (&k) @114 (p157hi1 p157ii1) (&p) @146 'N/A';

link HeadFoot;
end;  *<-----------of code to generate 9th page----;

*--generate primary profile, page 10.
   Jeff Wallace, Oklahoma SDC.--*;

IF INDEXC(_pages,'Aa') THEN DO;

%PutTitle(
   %STR(Primary Profile 10: SOURCE OF INCOME, EARNINGS; POVERTY STATUS OF PERSONS BY RACE/HISPANIC),
   %STR(Prime-10) ) ;

**--Draw horizontal lines--**;

PUT #16 @47 46*'_';
PUT #34 @2 147*'_';

**--Draw (internal) vertical lines--**;

do _i_=6 to 34;
  PUT #_i_ @46 '|';
  end;

do _j_=6 to 34;
  PUT #_j_ @93 '|';
  end;

do _k_=50 to 61;
  PUT #_k_ @98 '*';
  end;

%LET f=comma11.;
%LET g=dollar10.;
%LET h=+1 comma12.;
%LET k=comma12.;
%LET l=comma11. comma12.;

**--Generate table P58-P75.--**;

 if p58i2>0 then mearn=p67i1/p58i2; else mearn=.;
 if p59i2>0 then mwage=p68i1/p59i2; else mwage = .;
 if p60i2>0 then mself=p69i1/p60i2; else mself = .;
 if p61i2>0 then mint=p70i1/p61i2; else mint = .;
 if p62i2>0 then msoc=p71i1/p62i2; else msoc = .;
 if p63i2>0 then msupp=p72i1/p63i2; else msupp = .;
 if p64i2>0 then mpub=p73i1/p64i2; else mpub = .;
 if p65i2>0 then mret=p74i1/p65i2; else mret = .;
 if p66i2>0 then moth=p75i1/p66i2; else moth = .;

PUT #6
    @2 'P58-P75. SOURCE OF HOUSEHOLD INCOME IN 1999'
  / @2 'Nine Universes: Households with Income from'
  / @2 '                Each Specified Source'
 // @24 'Households' @39 '  Mean'
  / @24 '      with' @39 '  from'
  / @24 '    Source' @39 'Source'
 // @2 'Earnings' @23 p58i2 &f @35 mearn &g
 // @2 'Wages or Salary' @23 p59i2 &f @35 mwage &g
 // @2 'Self Employment' @23 p60i2 &f @35 mself &g
 // @2 'Interest, Dividends,'
  / @2 'or Net Rental' @23 p61i2 &f @35 mint &g
 // @2 'Social Security' @23 p62i2 &f @35 msoc &g
 // @2 'Supplemental'
  / @2 'Security (SSI)' @23 p63i2 &f @35 msupp &g
 // @2 'Public Assistance' @23 p64i2 &f @35 mpub &g
 // @2 'Retirement' @23 p65i2 &f @35 mret &g
 // @2 'Other Types' @23 p66i2 &f @35 moth &g;

**--Generate table P85/PCT47.--**;

PUT #6
    @48 'P85/PCT47. MEDIAN EARNINGS IN 1999'
  / @48 'Univ.: Population 16 and Over with Earnings'
 // @62 '   -Median Earnings in 1999-'
  / @62 'Worked Full-time'
  / @65 'Year-round' @85 'Total'
 // @48 'Both Sexes:'  @65 pct47i1 &g @80 p85i1 &g
  / @48 '  Male' @65 pct47i2 &g @80 p85i2 &g
  / @48 '  Female' @65 pct47i3 &g @80 p85i3 &g;

**--Generate table P88.--**;
  if p88i1>0 then do;
   pct50=p88i2/p88i1*100;
   pct74=sum(of p88i2-p88i3)/p88i1*100;
   pct99=sum(of p88i2-p88i4)/p88i1*100;
   pct124=sum(of p88i2-p88i5)/p88i1*100;
   pct149=sum(of p88i2-p88i6)/p88i1*100;
   pct174=sum(of p88i2-p88i7)/p88i1*100;
   pct184=sum(of p88i2-p88i8)/p88i1*100;
   pct199=sum(of p88i2-p88i9)/p88i1*100;
   pct200=sum(of p88i2-p88i10)/p88i1*100;
  end;
   Else do;
    pct50 = .; pct74 = .; pct99 = .; pct124 = .; pct149 = .; pct174 = .; pct184 = .;
    pct199 = .; pct200 = .;
   end;

Put #17
    @48 'P88. RATIO OF INCOME IN 1999 TO POVERTY LEVEL'
  / @48 'Universe: Population for Whom Poverty '
  / @48 '          Status is Determined'
  / @81 'Cumulative'
  / @72 'Persons' @84 'Percent'
 // @48 'Total Universe:' @68 p88i1 &f @85 '100.0%'
  / @48 '  Under 0.50' @68 p88i2 &f @85 pct50 5.1 '%'
  / @48 '  0.50 - 0.74' @68 p88i3 &f @85 pct74 5.1 '%'
  / @48 '  0.75 - 0.99' @68 p88i4 &f @85 pct99 5.1 '%'
  / @48 '  1.00 - 1.24' @68 p88i5 &f @85 pct124 5.1 '%'
  / @48 '  1.25 - 1.49' @68 p88i6 &f @85 pct149 5.1 '%'
  / @48 '  1.50 - 1.74' @68 p88i7 &f @85 pct174 5.1 '%'
  / @48 '  1.75 - 1.84' @68 p88i8 &f @85 pct184 5.1 '%'
  / @48 '  1.85 - 1.99' @68 p88i9 &f @85 pct199 5.1 '%'
  / @48 '  2.00 & over' @68 p88i10 &f @85 pct200 5.1 '%';

 **--Generate table PCT50.--**;

  sum50i1=pct50i7+pct50i8;
  pov2j1=pct50i14+pct50i25;
  pov2j2=pct50i15+pct50i26;
  pov2j3=pct50i16+pct50i27;
  pov2j4=pct50i17+pct50i28;
  pov2j5=pct50i18+pct50i29;
  pov2j6=pct50i19+pct50i30;
  pov2j7=pct50i20+pct50i31;
  pov2j8=pct50i21+pct50i32;
  pov2j9=pct50i22+pct50i33;
  pov2j10=pct50i23+pct50i34;
  sum50i2=pov2j5+pov2j6;
  pov3j1=pct50i36+pct50i47+pct50i58;
  pov3j2=pct50i37+pct50i48+pct50i59;
  pov3j3=pct50i38+pct50i49+pct50i60;
  pov3j4=pct50i39+pct50i50+pct50i61;
  pov3j5=pct50i40+pct50i51+pct50i62;
  pov3j6=pct50i41+pct50i52+pct50i63;
  pov3j7=pct50i42+pct50i53+pct50i64;
  pov3j8=pct50i43+pct50i54+pct50i65;
  pov3j9=pct50i44+pct50i55+pct50i66;
  pov3j10=pct50i45+pct50i56+pct50i67;
  sum50i3=pov3j5+pov3j6;
  pov4j1=pct50i69+pct50i80+pct50i91;
  pov4j2=pct50i70+pct50i81+pct50i92;
  pov4j3=pct50i71+pct50i82+pct50i93;
  pov4j4=pct50i72+pct50i83+pct50i94;
  pov4j5=pct50i73+pct50i84+pct50i95;
  pov4j6=pct50i74+pct50i85+pct50i96;
  pov4j7=pct50i75+pct50i86+pct50i97;
  pov4j8=pct50i76+pct50i87+pct50i98;
  pov4j9=pct50i77+pct50i88+pct50i99;
  pov4j10=pct50i78+pct50i89+pct50i100;
  sum50i4=pov4j5+pov4j6;
  pov5j1=pct50i102+pct50i113;
  pov5j2=pct50i103+pct50i114;
  pov5j3=pct50i104+pct50i115;
  pov5j4=pct50i105+pct50i116;
  pov5j5=pct50i106+pct50i117;
  pov5j6=pct50i107+pct50i118;
  pov5j7=pct50i108+pct50i119;
  pov5j8=pct50i109+pct50i120;
  pov5j9=pct50i110+pct50i121;
  pov5j10=pct50i111+pct50i122;
  sum50i5=pov5j5+pov5j6;
  pov6j1=pct50i124+pct50i135;
  pov6j2=pct50i125+pct50i136;
  pov6j3=pct50i126+pct50i137;
  pov6j4=pct50i127+pct50i138;
  pov6j5=pct50i128+pct50i139;
  pov6j6=pct50i129+pct50i140;
  pov6j7=pct50i130+pct50i141;
  pov6j8=pct50i131+pct50i142;
  pov6j9=pct50i132+pct50i143;
  pov6j10=pct50i133+pct50i144;
  sum50i6=pov6j5+pov6j6;
  age11 = pct50i13+pct50i24;
  age17 = pct50i35+pct50i46+pct50i57;
  age44 = pct50i68+pct50i79+pct50i90;
  age64 = pct50i101+pct50i112;
  age65 = pct50i123+pct50i134;

Put #6
    @95 'PCT50. RATIO OF INCOME IN 1999 TO POVERTY LEVEL BY AGE'
  / @95 'Univ: Population for Whom Poverty Status is Determined'
 // @115 'Under 5' @128 '5 to 11' @140 '12 to 17'
 // @95 'Total Universe:' @109 (pct50i2 age11 age17) (&h)
  / @96 'Under 0.50' @109 (pct50i3 pov2j1 pov3j1) (&h)
  / @96 '0.50 - 0.74' @109 (pct50i4 pov2j2 pov3j2) (&h)
  / @96 '0.75 - 0.99' @109 (pct50i5 pov2j3 pov3j3) (&h)
  / @96 '1.00 - 1.24' @109 (pct50i6 pov2j4 pov3j4) (&h)
  / @96 '1.25 - 1.49' @109 (sum50i1 sum50i2 sum50i3) (&h)
  / @96 '1.50 - 1.74' @109 (pct50i9 pov2j7 pov3j7) (&h)
  / @96 '1.75 - 1.84' @109 (pct50i10 pov2j8 pov3j8) (&h)
  / @96 '1.85 - 1.99' @109 (pct50i11 pov2j9 pov3j9) (&h)
  / @96 '2.00 & over' @109 (pct50i12 pov2j10 pov3j10) (&h)
 // @114 '18 to 44' @127 '45 to 64' @137 '65 and Over'
 // @95 'Total Universe:' @109 (age44 age64 age65)(&h)
  / @96 'Under 0.50' @109 (pov4j1 pov5j1 pov6j1) (&h)
  / @96 '0.50 - 0.74' @109 (pov4j2 pov5j2 pov6j2) (&h)
  / @96 '0.75 - 0.99' @109 (pov4j3 pov5j3 pov6j3) (&h)
  / @96 '1.00 - 1.24' @109 (pov4j4 pov5j4 pov6j4) (&h)
  / @96 '1.25 - 1.49' @109 (sum50i4 sum50i5 sum50i6) (&h)
  / @96 '1.50 - 1.74' @109 (pov4j7 pov5j7 pov6j7) (&h)
  / @96 '1.75 - 1.84' @109 (pov4j8 pov5j8 pov6j8) (&h)
  / @96 '1.85 - 1.99' @109 (pov4j9 pov5j9 pov6j9) (&h)
  / @96 '2.00 & over' @109 (pov4j10 pov5j10 pov6j10) (&h);

 **--Generate table P87/P159.--**;

 Put #35
    @2 'P87/P159A-I. POVERTY STATUS IN 1999 BY AGE BY RACE AND HISPANIC OR LATINO ORIGIN'
  / @2 'Universe: Population for Whom Poverty Status is Determined'
  / @73 '---- Black/African ----' @99 '-- American Indian/--'
  / @21 '------ All Races ------'  @47 '----- White Alone -----'
    @72 '     American Alone    ' @98 '  Alaska Native Alone  '
    @125 '----- Asian Alone -----'
  / @27 'Below       Above' @53 'Below       Above' @79 'Below       Above'
    @105 'Below       Above' @131 'Below       Above'
 // @2 'Total Universe:' @20 (p87i2 p87i10) (&k)     @46 (p159ai2 p159ai10) (&k)
                @72 (p159bi2 p159bi10) (&k) @98 (p159ci2 p159ci10) (&k)
                @124 (p159di2 p159di10) (&k)
  / @4 'Under 5 Years' @20 (p87i3 p87i11) (&k)     @46 (p159ai3 p159ai11) (&k)
                       @72 (p159bi3 p159bi11) (&k) @98 (p159ci3 p159ci11) (&k)
                       @124 (p159di3 p159di11) (&k)
  / @4 '5 Years' @20 (p87i4 p87i12) (&k)     @46 (p159ai4 p159ai12) (&k)
                 @72 (p159bi4 p159bi12) (&k) @98 (p159ci4 p159ci12) (&k)
                 @124 (p159di4 p159di12) (&k)
  / @4 '6 to 11 Years' @20 (p87i5 p87i13) (&k)     @46 (p159ai5 p159ai13) (&k)
                       @72 (p159bi5 p159bi13) (&k) @98 (p159ci5 p159ci13) (&k)
                       @124 (p159di5 p159di13) (&k)
  / @4 '12 to 17 Years' @20 (p87i6 p87i14) (&k)     @46 (p159ai6 p159ai14) (&k)
                        @72 (p159bi6 p159bi14) (&k) @98 (p159ci6 p159ci14) (&k)
                        @124 (p159di6 p159di14) (&k)
  / @4 '18 to 64 Years' @20 (p87i7 p87i15) (&k)     @46 (p159ai7 p159ai15) (&k)
                        @72 (p159bi7 p159bi15) (&k) @98 (p159ci7 p159ci15) (&k)
                        @124 (p159di7 p159di15) (&k)
  / @4 '65 to 74 Years' @20 (p87i8 p87i16) (&k)     @46 (p159ai8 p159ai16) (&k)
                        @72 (p159bi8 p159bi16) (&k) @98 (p159ci8 p159ci16) (&k)
                        @124 (p159di8 p159di16) (&k)
  / @4 '75 Years & Over' @20 (p87i9 p87i17) (&k)     @46 (p159ai9 p159ai17) (&k)
                         @72 (p159bi9 p159bi17) (&k) @98 (p159ci9 p159ci17) (&k)
                         @124 (p159di9 p159di17) (&k)
 // @21 'Native Hawaiian & Other' @125 '----- White Alone -----'
  / @22 'Pacific Islander Alone'  @48 '-- Other Race Alone --'
    @73 '-- Two or More Races --' @100 '- Hispanic or Latino -'
    @126 'not Hispanic or Latino'
  / @27 'Below       Above' @53 'Below       Above' @79 'Below       Above'
    @105 'Below       Above' @131 'Below       Above'
 // @2 'Total Universe:' @20 (p159ei2 p159ei10) (&k)     @46 (p159fi2 p159fi10) (&k)
                @72 (p159gi2 p159gi10) (&k) @99 (p159hi2 p159hi10) (&l)
                @124 (p159ii2 p159ii10) (&k)
  / @4 'Under 5 Years' @20 (p159ei3 p159ei11) (&k)     @46 (p159fi3 p159fi11) (&k)
                       @72 (p159gi3 p159gi11) (&k) @99 (p159hi3 p159hi11) (&l)
                       @124 (p159ii3 p159ii11) (&k)
  / @4 '5 Years' @20 (p159ei4 p159ei12) (&k)     @46 (p159fi4 p159fi12) (&k)
                 @72 (p159gi4 p159gi12) (&k) @99 (p159hi4 p159hi12) (&l)
                 @124 (p159ii4 p159ii12) (&k)
  / @4 '6 to 11 Years' @20 (p159ei5 p159ei13) (&k)     @46 (p159fi5 p159fi13) (&k)
                       @72 (p159gi5 p159gi13) (&k) @99 (p159hi5 p159hi13) (&l)
                       @124 (p159ii5 p159ii13) (&k)
  / @4 '12 to 17 Years' @20 (p159ei6 p159ei14) (&k)     @46 (p159fi6 p159fi14) (&k)
                        @72 (p159gi6 p159gi14) (&k) @99 (p159hi6 p159hi14) (&l)
                        @124 (p159ii6 p159ii14) (&k)
  / @4 '18 to 64 Years' @20 (p159ei7 p159ei15) (&k)     @46 (p159fi7 p159fi15) (&k)
                        @72 (p159gi7 p159gi15) (&k) @99 (p159hi7 p159hi15) (&l)
                        @124 (p159ii7 p159ii15) (&k)
  / @4 '65 to 74 Years' @20 (p159ei8 p159ei16) (&k)     @46 (p159fi8 p159fi16) (&k)
                        @72 (p159gi8 p159gi16) (&k) @99 (p159hi8 p159hi16) (&l)
                        @124 (p159ii8 p159ii16) (&k)
  / @4 '75 Years & Over' @20 (p159ei9 p159ei17) (&k)     @46 (p159fi9 p159fi17) (&k)
                         @72 (p159gi9 p159gi17) (&k) @99 (p159hi9 p159hi17) (&l)
                         @124 (p159ii9 p159ii17) (&k);

link HeadFoot;
end;  *<-----------of code to generate 10th page----;


*--generate primary profile, page 11.
   Jeff Wallace, Oklahoma SDC.--*;

IF INDEXC(_pages,'Bb') THEN DO;

%PutTitle(
   %STR(Primary Profile 11: POVERTY STATUS OF FAMILIES IN 1999 BY RACE & HISPANIC OR LATINO) ,
   %STR(Prime-11) ) ;

   **--Draw (internal) vertical line--**;

  do _i_=8 to 58;
   PUT #_i_ @124 '*';
  end;

%LET f=comma11. comma13. comma12. comma12. comma12. comma12. comma12.
       comma12. ;
%LET g=comma11. comma13.;

**--Generate table P90/P160A-I.--**;

PUT #6
    @2 'P90/P160A-I. POVERTY STATUS IN 1999 OF FAMILIES BY PRESENCE AND AGE OF RELATED CHILDREN UNDER 18 YEARS BY HOUSEHOLDER''S RACE & HISP/LATINO ORIGIN'
  / @2 'Universe: Families'
  / @58 'Black' @64 'Amer Indian' @87 'Nat Hawaiian'
    @106 'Other' @117 'Two or' @138 'White Alone'
  / @35 'All' @46 'White' @55 '/Af Amer' @64 '/Alaska Nat' @82 'Asian' @91 '/Pac Isl'
    @107 'Race' @119 'More' @128 'Hispanic' @140 'not Hisp.'
  / @33 'Races' @46 'Alone' @58 'Alone' @70 'Alone' @82 'Alone' @94 'Alone'
    @106 'Alone' @118 'Races' @127 'or Latino' @140 'or Latino'
 // @2 'Total Families:' @27 (p90i1 p160ai1 p160bi1 p160ci1 p160di1
                              p160ei1 p160fi1 p160gi1 ) (&f) @125 (p160hi1 p160ii1)(&g)
 // @2 '  Below Poverty Level:' @27 (p90i2 p160ai2 p160bi2 p160ci2 p160di2
                              p160ei2 p160fi2 p160gi2 ) (&f) @125 (p160hi2 p160ii2)(&g)
  / @2 '   Marr. Couple Families:' @27 (p90i3 p160ai3 p160bi3 p160ci3 p160di3
                              p160ei3 p160fi3 p160gi3 ) (&f) @125 (p160hi3 p160ii3)(&g)
  / @2 '    Related Child <18:' @27 (p90i4 p160ai4 p160bi4 p160ci4 p160di4
                              p160ei4 p160fi4 p160gi4 ) (&f) @125 (p160hi4 p160ii4)(&g)
  / @2 '     Under 5 Only' @27 (p90i5 p160ai5 p160bi5 p160ci5 p160di5
                              p160ei5 p160fi5 p160gi5 ) (&f) @125 (p160hi5 p160ii5)(&g)
  / @2 '     Under 5 and 5-17' @27 (p90i6 p160ai6 p160bi6 p160ci6 p160di6
                              p160ei6 p160fi6 p160gi6 ) (&f) @125 (p160hi6 p160ii6)(&g)
  / @2 '     5-17 Only' @27 (p90i7 p160ai7 p160bi7 p160ci7 p160di7
                              p160ei7 p160fi7 p160gi7 ) (&f)    @125 (p160hi7 p160ii7)(&g)
  / @2 '    No Children <18' @27 (p90i8 p160ai8 p160bi8 p160ci8 p160di8
                              p160ei8 p160fi8 p160gi8 ) (&f) @125 (p160hi8 p160ii8)(&g)
  / @2 '   Other Families:' @27 (p90i9 p160ai9 p160bi9 p160ci9 p160di9
                              p160ei9 p160fi9 p160gi9 ) (&f) @125 (p160hi9 p160ii9)(&g)
  / @2 '    Male Householder,'
  / @2 '    no Wife Present:' @27 (p90i10 p160ai10 p160bi10 p160ci10 p160di10
                              p160ei10 p160fi10 p160gi10 ) (&f) @125 (p160hi10 p160ii10)(&g)
  / @2 '     Related Child <18:' @27 (p90i11 p160ai11 p160bi11 p160ci11 p160di11
                              p160ei11 p160fi11 p160gi11 ) (&f) @125 (p160hi11 p160ii11)(&g)
  / @2 '      Under 5 Only' @27 (p90i12 p160ai12 p160bi12 p160ci12 p160di12
                              p160ei12 p160fi12 p160gi12 ) (&f) @125 (p160hi12 p160ii12)(&g)
  / @2 '      Under 5 and 5-17' @27 (p90i13 p160ai13 p160bi13 p160ci13 p160di13
                              p160ei13 p160fi13 p160gi13 ) (&f) @125 (p160hi13 p160ii13)(&g)
  / @2 '      5-17 Only' @27 (p90i14 p160ai14 p160bi14 p160ci14 p160di14
                              p160ei14 p160fi14 p160gi14 ) (&f) @125 (p160hi14 p160ii14)(&g)
  / @2 '     No Children <18'@27 (p90i15 p160ai15 p160bi15 p160ci15 p160di15
                              p160ei15 p160fi15 p160gi15 ) (&f)  @125 (p160hi15 p160ii15)(&g)
  / @2 '    Female Householder,'
  / @2 '    no Husband Present:' @27 (p90i16 p160ai16 p160bi16 p160ci16 p160di16
                              p160ei16 p160fi16 p160gi16 ) (&f) @125 (p160hi16 p160ii16)(&g)
  / @2 '     Related Child <18:' @27 (p90i17 p160ai17 p160bi17 p160ci17 p160di17
                              p160ei17 p160fi17 p160gi17 ) (&f) @125 (p160hi17 p160ii17)(&g)
  / @2 '      Under 5 Only' @27 (p90i18 p160ai18 p160bi18 p160ci18 p160di18
                              p160ei18 p160fi18 p160gi18 ) (&f) @125 (p160hi18 p160ii18)(&g)
  / @2 '      Under 5 and 5-17'@27 (p90i19 p160ai19 p160bi19 p160ci19 p160di19
                              p160ei19 p160fi19 p160gi19 ) (&f)  @125 (p160hi19 p160ii19)(&g)
  / @2 '      5-17 Only'@27 (p90i20 p160ai20 p160bi20 p160ci20 p160di20
                              p160ei20 p160fi20 p160gi20 ) (&f) @125 (p160hi20 p160ii20)(&g)
  / @2 '     No Children <18'@27 (p90i21 p160ai21 p160bi21 p160ci21 p160di21
                              p160ei21 p160fi21 p160gi21 ) (&f) @125 (p160hi21 p160ii21)(&g)
 // @2 '  Above Poverty Level:' @27 (p90i22 p160ai22 p160bi22 p160ci22 p160di22
                              p160ei22 p160fi22 p160gi22 ) (&f) @125 (p160hi22 p160ii22)(&g)
  / @2 '   Marr. Couple Families:' @27 (p90i23 p160ai23 p160bi23 p160ci23 p160di23
                              p160ei23 p160fi23 p160gi23 ) (&f) @125 (p160hi23 p160ii23)(&g)
  / @2 '    Related Child <18:' @27 (p90i24 p160ai24 p160bi24 p160ci24 p160di24
                              p160ei24 p160fi24 p160gi24 ) (&f)  @125 (p160hi24 p160ii24)(&g)
  / @2 '     Under 5 Only' @27 (p90i25 p160ai25 p160bi25 p160ci25 p160di25
                              p160ei25 p160fi25 p160gi25 ) (&f) @125 (p160hi25 p160ii25)(&g)
  / @2 '     Under 5 and 5-17' @27 (p90i26 p160ai26 p160bi26 p160ci26 p160di26
                              p160ei26 p160fi26 p160gi26 ) (&f) @125 (p160hi26 p160ii26)(&g)
  / @2 '     5-17 Only' @27 (p90i27 p160ai27 p160bi27 p160ci27 p160di27
                              p160ei27 p160fi27 p160gi27 ) (&f)  @125 (p160hi27 p160ii27)(&g)
  / @2 '    No Children <18' @27 (p90i28 p160ai28 p160bi28 p160ci28 p160di28
                              p160ei28 p160fi28 p160gi28 ) (&f) @125 (p160hi28 p160ii28)(&g)
  / @2 '   Other Families:' @27 (p90i29 p160ai29 p160bi29 p160ci29 p160di29
                              p160ei29 p160fi29 p160gi29 ) (&f)  @125 (p160hi29 p160ii29)(&g)
  / @2 '    Male Householder,'
  / @2 '    no Wife Present:' @27 (p90i30 p160ai30 p160bi30 p160ci30 p160di30
                              p160ei30 p160fi30 p160gi30 ) (&f) @125 (p160hi30 p160ii30)(&g)
  / @2 '     Related Child <18:' @27 (p90i31 p160ai31 p160bi31 p160ci31 p160di31
                              p160ei31 p160fi31 p160gi31 ) (&f) @125 (p160hi31 p160ii31)(&g)
  / @2 '      Under 5 Only' @27 (p90i32 p160ai32 p160bi32 p160ci32 p160di32
                              p160ei32 p160fi32 p160gi32 ) (&f) @125 (p160hi32 p160ii32)(&g)
  / @2 '      Under 5 and 5-17' @27 (p90i33 p160ai33 p160bi33 p160ci33 p160di33
                              p160ei33 p160fi33 p160gi33 ) (&f) @125 (p160hi33 p160ii33)(&g)
  / @2 '      5-17 Only' @27 (p90i34 p160ai34 p160bi34 p160ci34 p160di34
                              p160ei34 p160fi34 p160gi34 ) (&f) @125 (p160hi34 p160ii34)(&g)
  / @2 '     No Children <18'@27 (p90i35 p160ai35 p160bi35 p160ci35 p160di35
                              p160ei35 p160fi35 p160gi35 ) (&f)  @125 (p160hi35 p160ii35)(&g)
  / @2 '    Female Householder,'
  / @2 '    no Husband Present:' @27 (p90i36 p160ai36 p160bi36 p160ci36 p160di36
                              p160ei36 p160fi36 p160gi36 ) (&f) @125 (p160hi36 p160ii36)(&g)
  / @2 '     Related Child <18:' @27 (p90i37 p160ai37 p160bi37 p160ci37 p160di37
                              p160ei37 p160fi37 p160gi37 ) (&f) @125 (p160hi37 p160ii37)(&g)
  / @2 '      Under 5 Only' @27 (p90i38 p160ai38 p160bi38 p160ci38 p160di38
                              p160ei38 p160fi38 p160gi38 ) (&f) @125 (p160hi38 p160ii38)(&g)
  / @2 '      Under 5 and 5-17'@27 (p90i39 p160ai39 p160bi39 p160ci39 p160di39
                              p160ei39 p160fi39 p160gi39 ) (&f) @125 (p160hi39 p160ii39)(&g)
  / @2 '      5-17 Only'@27 (p90i40 p160ai40 p160bi40 p160ci40 p160di40
                              p160ei40 p160fi40 p160gi40 ) (&f) @125 (p160hi40 p160ii40)(&g)
  / @2 '     No Children <18'@27 (p90i41 p160ai41 p160bi41 p160ci41 p160di41
                              p160ei41 p160fi41 p160gi41 ) (&f) @125 (p160hi41 p160ii41)(&g)    ;

link HeadFoot;
end;  *<-----------of code to generate 11th page----;

RETURN;


