migrprof:
/*--migration profile , three pages of migration and place of birth characteristics.
    Jeff Wallace, Oklahoma SDC.
  7/17/02--added boxes to pp.2 & 3
  7/18/02--added percents to p.1
  7/24/02--Penn State corrections
-----*/

* do all 3 pages if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='123' ;
IF INDEX(_pages,'1') THEN DO;

%PutTitle(
   %STR(Migration Profile 1: RESIDENCE IN 1995, PLACE OF BIRTH, YEAR OF ENTRY, CITIZENSHIP),
   %STR(Migr-1) ) ;

**--Draw horizontal lines--**;

PUT #27 @73 76*'_';
PUT #31 @2 71*'_';
PUT #43 @73 76*'_';

**--Draw (internal) vertical line--**;

do _i_=6 to 61;
  PUT #_I_ @72 '|';
  end;

ARRAY p24{18} p24i1-p24i18;
DO i=1 TO 18;
  IF p24i1=0 THEN p24pct=.; ELSE p24pct=p24{i}/p24i1*100;
  PUT #(10+i) @64 p24pct 5.1 ;
END;

%LET f11=comma11. ;

**--Generate table P24.--**;
       
PUT #7
	@3 'P24. RESIDENCE IN 1995 FOR THE POPULATION 5 YEARS AND OVER -' 
  / @3 'STATE AND COUNTY LEVEL'
  / @3 'Universe: Population 5 years and over'
  / @64                                           ' Pct.'
  / @3 'Total 5 years and over:' @51 p24i1 &f11
  / @3 '  Same house in 1995' @51 p24i2 &f11
  / @3 '  Different house in 1995:' @51 p24i3 &f11
  / @3 '    In United States in 1995:' @51 p24i4 &f11 
  / @3 '      Same county' @51 p24i5 &f11
  / @3 '      Different county:' @51 p24i6 &f11
  / @3 '        Same state' @51 p24i7 &f11
  / @3 '        Different state:' @51 p24i8 &f11 
  / @3 '          Northeast' @51 p24i9 &f11
  / @3 '          Midwest' @51 p24i10 &f11
  / @3 '          South' @51 p24i11 &f11
  / @3 '          West' @51 p24i12 &f11
  / @3 '    In Puerto Rico in 1995:' @51 p24i13 &f11 
  / @3 '      Same municipio' @51 p24i14 &f11
  / @3 '      Different municipio' @51 p24i15 &f11
  / @3 '    Elsewhere in 1995:' @51 p24i16 &f11
  / @3 '      U.S. Island Areas' @51 p24i17 &f11 
  / @3 '      Foreign country or at sea' @51 p24i18 &f11;
 
**--Generate table P25.--**;

  inelse= p25i13+p25i21;
  outelse=p25i30+p25i35;

ARRAY p25{22} p25i1-p25i12 inelse p25i22-p25i29 outelse ;
DO i=1 TO 22;
  IF p25i1=0 THEN p25pct=.; ELSE p25pct=p25{i}/p25i1*100;
  PUT #(36+i) @64 p25pct 5.1 ;
END;

PUT #33
	@3 'P25. RESIDENCE IN 1995 FOR THE POPULATION 5 YEARS AND OVER -'
  / @3 'MSA/PMSA LEVEL' 
  / @3 'Universe: Population 5 Years and Over'
  / @64                                           ' Pct.'
  / @3 'Total 5 years and over:' @51 p25i1 &f11
  / @3 '  Living in an MSA/PMSA in 2000:' @51 p25i2 &f11
  / @3 '    Same house in 1995' @51 p25i3 &f11
  / @3 '    Different house in 1995:' @51 p25i4 &f11 
  / @3 '      In United States in 1995:' @51 p25i5 &f11
  / @3 '        Same MSA/PMSA in 1995:' @51 p25i6 &f11
  / @3 '          Central city' @51 p25i7 &f11
  / @3 '          Remainder of this MSA/PMSA' @51 p25i8 &f11 
  / @3 '        Different MSA/PMSA in 1995:' @51 p25i9 &f11
  / @3 '          Central city' @51 p25i10 &f11
  / @3 '          Remainder of different MSA/PMSA' @51 p25i11 &f11 
  / @3 '        Not in an MSA/PMSA in 1995' @51 p25i12 &f11
  / @3 '      Puerto Rico or elsewhere in 1995' @51 inelse &f11
  / @3 '  Not living in an MSA/PMSA in 2000:' @51 p25i22 &f11
  / @3 '    Same house in 1995' @51 p25i23 &f11
  / @3 '    Different house in 1995:' @51 p25i24 &f11 
  / @3 '      In United States in 1995:' @51 p25i25 &f11
  / @3 '        In an MSA/PMSA in 1995:' @51 p25i26 &f11
  / @3 '          Central city' @51 p25i27 &f11
  / @3 '          Remainder of MSA/PMSA' @51 p25i28 &f11
  / @3 '        Not in an MSA/PMSA in 1995' @51 p25i29 &f11 
  / @3 '      Puerto Rico or elsewhere in 1995' @51 outelse &f11;

**--Generate table P21.--**;

ARRAY p21{15} p21i1-p21i15 ;
DO i=1 TO 15;
  IF p21i1=0 THEN p21pct=.; ELSE p21pct=p21{i}/p21i1*100;
  PUT #(9+i) @135 p21pct 5.1 ;
END;

Put #7
    @75 'P21. PLACE OF BIRTH BY CITIZENSHIP STATUS'
  / @75 'Universe: Total Population'
  / @135                                           ' Pct.'
  / @75 'Total population:' @121 p21i1 &f11
  / @75 '  Native:' @121 p21i2 &f11
  / @75 '    Born in state of residence' @121 p21i3 &f11
  / @75 '    Born in other state in the United States:' @121 p21i4 &f11 
  / @75 '      Northeast' @121 p21i5 &f11
  / @75 '      Midwest' @121 p21i6 &f11
  / @75 '      South' @121 p21i7 &f11
  / @75 '      West' @121 p21i8 &f11
  / @75 '    Born outside the United States:' @121 p21i9 &f11 
  / @75 '      Puerto Rico' @121 p21i10 &f11
  / @75 '      U.S. Island Areas' @121 p21i11 &f11
  / @75 '      Born abroad of American parent(s)' @121 p21i12 &f11
  / @75 '  Foreign born:' @121 p21i13 &f11
  / @75 '    Naturalized citizen' @121 p21i14 &f11
  / @75 '    Not a citizen' @121 p21i15 &f11; 

**--Generate table P22.--**;

ARRAY p22{9} p22i1-p22i9 ;
DO i=1 TO 9;
  IF p22i1=0 THEN p22pct=.; ELSE p22pct=p22{i}/p22i1*100;
  PUT #(31+i) @135 p22pct 5.1 ;
END;

Put #29
    @75 'P22. YEAR OF ENTRY FOR THE FOREIGN-BORN POPULATION'
  / @75 'Universe: Foreign-born population' 
  / @135                                           ' Pct.'
  / @75 'Total foreign-born population:' @121 p22i1 &f11
  / @75 '  1995 to March 2000' @121 p22i2 &f11
  / @75 '  1990 to 1994' @121 p22i3 &f11
  / @75 '  1985 to 1989' @121 p22i4 &f11
  / @75 '  1980 to 1984' @121 p22i5 &f11
  / @75 '  1975 to 1979' @121 p22i6 &f11
  / @75 '  1970 to 1974' @121 p22i7 &f11
  / @75 '  1965 to 1969' @121 p22i8 &f11
  / @75 '  Before 1965'  @121 p22i9 &f11;
 
**--generate table P23--**;

ARRAY p23{10} p23i1-p23i10 ;
DO i=1 TO 10;
  IF p23i1=0 THEN p23pct=.; ELSE p23pct=p23{i}/p23i1*100;
  PUT #(47+i) @135 p23pct 5.1 ;
END;

Put #45
    @75 'P23. YEAR OF ENTRY BY CITIZENSHIP STATUS FOR THE FOREIGN-BORN POPULATION'
  / @75 'Universe: Foreign-born population' 
  / @135                                           ' Pct.'
  / @75 'Total foreign-born population:' @121 p23i1 &f11   
  / @75 '  Year of entry 1990 to March 2000:' @121 p23i2 &f11
  / @75 '    Naturalized citizen' @121 p23i3 &f11
  / @75 '    Not a citizen' @121 p23i4 &f11 
  / @75 '  Year of entry 1980 to 1989:' @121 p23i5 &f11
  / @75 '    Naturalized citizen' @121 p23i6 &f11
  / @75 '    Not a citizen' @121 p23i7 &f11 
  / @75 '  Year of entry before 1980:' @121 p23i8 &f11
  / @75 '    Naturalized citizen' @121 p23i9 &f11
  / @75 '    Not a citizen' @121 p23i10 &f11; 

link HeadFoot; 
end;  *<-----------of code to generate 1st page----;

if index(_pages,'2') then do;
 *--generate migration profile, page 2
    Jeff Wallace, Oklahoma SDC.--*;

%PutTitle(
  %STR(Migration Profile 2: PLACE OF BIRTH BY CITIZENSHIP STATUS BY RACE AND HISPANIC/LATINO),
  %STR(Migr-2) ) ;

  **--Draw vertical lines--**;

do _i_=10 to 30;
  PUT #_I_ @76 ':' ;
  end;
do _i_=32 to 53;
  PUT #_I_ @113 ':';
  end;

**--Generate table PCT63A-I--**;
%LET f19=+8 comma11. ;

PUT #7
    @3  'P21/PCT63A-I. PLACE OF BIRTH BY CITIZENSHIP STATUS BY RACE (1) AND HISPANIC OR LATINO (2)'
  / @3  'Universe: Total Population'
  / @70 '      ------------------------------ Race (1) --------------------------------'
  /                         @100 'Black or' @114 '     American'
  /                         @100 ' African' @114 '   Indian and'
  / @65 '  All' @84 'White' @100 'American' @114 'Alaska Native' @141 'Asian'
  / @65 'Races' @84 'Alone' @100 '   Alone' @114 '        Alone' @141 'Alone'
 // @3 'Total population:' @51 (p21i1 pct63ai1 pct63bi1 pct63ci1 pct63di1) (&f19) 
  / @3 '  Native:' @51 (p21i2 pct63ai2 pct63bi2 pct63ci2 pct63di2) (&f19) 
  / @3 '    Born in state of residence' @51 (p21i3 pct63ai3 pct63bi3 pct63ci3 pct63di3) (&f19)
  / @3 '    Born in other state in the United States:' @51 (p21i4 pct63ai4 pct63bi4 pct63ci4 pct63di4) (&f19) 
  / @3 '      Northeast' @51 (p21i5 pct63ai5 pct63bi5 pct63ci5 pct63di5) (&f19)
  / @3 '      Midwest' @51 (p21i6 pct63ai6 pct63bi6 pct63ci6 pct63di6) (&f19)
  / @3 '      South' @51 (p21i7 pct63ai7 pct63bi7 pct63ci7 pct63di7) (&f19)
  / @3 '      West' @51 (p21i8 pct63ai8 pct63bi8 pct63ci8 pct63di8) (&f19)
  / @3 '    Born outside the United States:' @51 (p21i9 pct63ai9 pct63bi9 pct63ci9 pct63di9) (&f19)
  / @3 '      Puerto Rico' @51 (p21i10 pct63ai10 pct63bi10 pct63ci10 pct63di10) (&f19)
  / @3 '      U.S. Island Areas' @51 (p21i11 pct63ai11 pct63bi11 pct63ci11 pct63di11) (&f19)
  / @3 '      Born abroad of American parent(s)' @51 (p21i12 pct63ai12 pct63bi12 pct63ci12 pct63di12) (&f19)
  / @3 '  Foreign born:' @51 (p21i13 pct63ai13 pct63bi13 pct63ci13 pct63di13) (&f19)
  / @3 '    Naturalized citizen' @51 (p21i14 pct63ai14 pct63bi14 pct63ci14 pct63di14) (&f19)
  / @3 '    Not a citizen' @51 (p21i15 pct63ai15 pct63bi15 pct63ci15 pct63di15) (&f19) 
 // @57 '----------------------- Race (1) ----------------------- ------------ Hispanic (2) --------'
 // @57 '       Native'
  / @57 '   Hawaiian &'
  / @57 'Other Pacific' @79 '      Some'                                     @134 'White Alone,'
  / @57 '     Islander' @79 'Other Race' @98 '    Two or' @116 'Hispanic or' @134 'Not Hispanic'
  / @57 '        Alone' @79 '     Alone' @98 'More Races' @116 '     Latino' @134 '   Or Latino'
 // @3 'Total population:' @51 (pct63ei1 pct63fi1 pct63gi1 pct63hi1 pct63ii1) (&f19)  
  / @3 '  Native:' @51 (pct63ei2 pct63fi2 pct63gi2 pct63hi2 pct63ii2) (&f19) 
  / @3 '    Born in state of residence' @51 (pct63ei3 pct63fi3 pct63gi3 pct63hi3 pct63ii3) (&f19)
  / @3 '    Born in other state in the United States:' @51 (pct63ei4 pct63fi4 pct63gi4 pct63hi4 pct63ii4) (&f19) 
  / @3 '      Northeast' @51 (pct63ei5 pct63fi5 pct63gi5 pct63hi5 pct63ii5) (&f19)
  / @3 '      Midwest' @51 (pct63ei6 pct63fi6 pct63gi6 pct63hi6 pct63ii6) (&f19)
  / @3 '      South' @51 (pct63ei7 pct63fi7 pct63gi7 pct63hi7 pct63ii7) (&f19)
  / @3 '      West' @51 (pct63ei8 pct63fi8 pct63gi8 pct63hi8 pct63ii8) (&f19)
  / @3 '    Born outside the United States:' @51 (pct63ei9 pct63fi9 pct63gi9 pct63hi9 pct63ii9) (&f19)
  / @3 '      Puerto Rico' @51 (pct63ei10 pct63fi10 pct63gi10 pct63hi10 pct63ii10) (&f19)
  / @3 '      U.S. Island Areas' @51 (pct63ei11 pct63fi11 pct63gi11 pct63hi11 pct63ii11) (&f19)
  / @3 '      Born abroad of American parent(s)' @51 (pct63ei12 pct63fi12 pct63gi12 pct63hi12 pct63ii12) (&f19)
  / @3 '  Foreign born:' @51 (pct63ei13 pct63fi13 pct63gi13 pct63hi13 pct63ii13) (&f19)
  / @3 '    Naturalized citizen' @51 (pct63ei14 pct63fi14 pct63gi14 pct63hi14 pct63ii14) (&f19)
  / @3 '    Not a citizen' @51 (pct63ei15 pct63fi15 pct63gi15 pct63hi15 pct63ii15) (&f19)
 // @3 145*'-'
  / @3 '(1) For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
  / @3 '(2) Hispanic or Latino origin is NOT considered a race. People who reported themselves as Hispanic or Latino are also counted in the seven racial'
  / @3 ' categories.'
;
  
link HeadFoot; 
end;  *<-----------of code to generate 2nd page----;

if index(_pages,'3') then do;
 *--generate migration profile, page 3
    Jeff Wallace, Oklahoma SDC.--*;

%PutTitle(
  %STR(Migration Profile 3: RESIDENCE IN 1995 BY RACE AND HISPANIC OR LATINO),
  %STR(Migr-3) ) ;

  **--Draw vertical lines--**;

do _i_=9 to 32;
  PUT #_I_ @76 ':' ;
  end;
do _i_=34 to 57;
  PUT #_I_ @113 ':';
  end;

  **--Generate table PCT64A-I--**;

PUT #7
    @3  'P24/PCT64A-I. RESIDENCE IN 1995 BY RACE (1) AND HISPANIC OR LATINO (2) - STATE AND COUNTY LEVEL'
  / @3  'Universe: Population 5 years and over' @70 '      ------------------------------ Race (1) --------------------------------'
  /                         @100 'Black or' @114 '     American'
  /                         @100 ' African' @114 '   Indian and'
  / @65 '  All' @84 'White' @100 'American' @114 'Alaska Native' @141 'Asian'
  / @65 'Races' @84 'Alone' @100 '   Alone' @114 '        Alone' @141 'Alone'
 // @3 'Total population 5 years and over:' @51 (p24i1 pct64ai1 pct64bi1 pct64ci1 pct64di1) (&f19) 
  / @3 '  Same house in 1995' @51 (p24i2 pct64ai2 pct64bi2 pct64ci2 pct64di2) (&f19) 
  / @3 '  Different house in 1995:' @51 (p24i3 pct64ai3 pct64bi3 pct64ci3 pct64di3) (&f19)
  / @3 '    In United States in 1995:' @51 (p24i4 pct64ai4 pct64bi4 pct64ci4 pct64di4) (&f19) 
  / @3 '      Same county' @51 (p24i5 pct64ai5 pct64bi5 pct64ci5 pct64di5) (&f19)
  / @3 '      Different county:' @51 (p24i6 pct64ai6 pct64bi6 pct64ci6 pct64di6) (&f19)
  / @3 '        Same state' @51 (p24i7 pct64ai7 pct64bi7 pct64ci7 pct64di7) (&f19)
  / @3 '        Different state:' @51 (p24i8 pct64ai8 pct64bi8 pct64ci8 pct64di8) (&f19)
  / @3 '          Northeast' @51 (p24i9 pct64ai9 pct64bi9 pct64ci9 pct64di9) (&f19)
  / @3 '          Midwest' @51 (p24i10 pct64ai10 pct64bi10 pct64ci10 pct64di10) (&f19)
  / @3 '          South' @51 (p24i11 pct64ai11 pct64bi11 pct64ci11 pct64di11) (&f19)
  / @3 '          West' @51 (p24i12 pct64ai12 pct64bi12 pct64ci12 pct64di12) (&f19)
  / @3 '    In Puerto Rico in 1995:' @51 (p24i13 pct64ai13 pct64bi13 pct64ci13 pct64di13) (&f19)
  / @3 '      Same municipio' @51 (p24i14 pct64ai14 pct64bi14 pct64ci14 pct64di14) (&f19)
  / @3 '      Different municipio' @51 (p24i15 pct64ai15 pct64bi15 pct64ci15 pct64di15) (&f19)
  / @3 '    Elsewhere in 1995:' @51 (p24i16 pct64ai16 pct64bi16 pct64ci16 pct64di16) (&f19)
  / @3 '      U.S. Island Areas' @51 (p24i17 pct64ai17 pct64bi17 pct64ci17 pct64di17) (&f19)
  / @3 '      Foreign country or at sea' @51 (p24i18 pct64ai18 pct64bi18 pct64ci18 pct64di18) (&f19)
 // @57 '----------------------- Race (1) ----------------------- ------------ Hispanic (2) --------'
  / @57 '       Native'
  / @57 '   Hawaiian &'
  / @57 'Other Pacific' @79 '      Some'                                     @134 'White Alone,'
  / @57 '     Islander' @79 'Other Race' @98 '    Two or' @116 'Hispanic or' @134 'Not Hispanic'
  / @57 '        Alone' @79 '     Alone' @98 'More Races' @116 '     Latino' @134 '   Or Latino'
 // @3 'Total population 5 years and over:' @51 (pct64ei1 pct64fi1 pct64gi1 pct64hi1 pct64ii1) (&f19) 
  / @3 '  Same house in 1995' @51 (pct64ei2 pct64fi2 pct64gi2 pct64hi2 pct64ii2) (&f19) 
  / @3 '  Different house in 1995:' @51 (pct64ei3 pct64fi3 pct64gi3 pct64hi3 pct64ii3) (&f19)
  / @3 '    In United States in 1995:' @51 (pct64ei4 pct64fi4 pct64gi4 pct64hi4 pct64ii4) (&f19) 
  / @3 '      Same county' @51 (pct64ei5 pct64fi5 pct64gi5 pct64hi5 pct64ii5) (&f19)
  / @3 '      Different county:' @51 (pct64ei6 pct64fi6 pct64gi6 pct64hi6 pct64ii6) (&f19)
  / @3 '        Same state' @51 (pct64ei7 pct64fi7 pct64gi7 pct64hi7 pct64ii7) (&f19)
  / @3 '        Different state:' @51 (pct64ei8 pct64fi8 pct64gi8 pct64hi8 pct64ii8) (&f19)
  / @3 '          Northeast' @51 (pct64ei9 pct64fi9 pct64gi9 pct64hi9 pct64ii9) (&f19)
  / @3 '          Midwest' @51 (pct64ei10 pct64fi10 pct64gi10 pct64hi10 pct64ii10) (&f19)
  / @3 '          South' @51 (pct64ei11 pct64fi11 pct64gi11 pct64hi11 pct64ii11) (&f19)
  / @3 '          West' @51 (pct64ei12 pct64fi12 pct64gi12 pct64hi12 pct64ii12) (&f19)
  / @3 '    In Puerto Rico in 1995:' @51 (pct64ei13 pct64fi13 pct64gi13 pct64hi13 pct64ii13) (&f19)
  / @3 '      Same municipio' @51 (pct64ei14 pct64fi14 pct64gi14 pct64hi14 pct64ii14) (&f19)
  / @3 '      Different municipio' @51 (pct64ei15 pct64fi15 pct64gi15 pct64hi15 pct64ii15) (&f19)
  / @3 '    Elsewhere in 1995:' @51 (pct64ei16 pct64fi16 pct64gi16 pct64hi16 pct64ii16) (&f19)
  / @3 '      U.S. Island Areas' @51 (pct64ei17 pct64fi17 pct64gi17 pct64hi17 pct64ii17) (&f19)
  / @3 '      Foreign country or at sea' @51 (pct64ei18 pct64fi18 pct64gi18 pct64hi18 pct64ii18) (&f19)
  / @3 145*'-'
  / @3 '(1) For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
  / @3 '(2) Hispanic or Latino origin is NOT considered a race. People who reported themselves as Hispanic or Latino are also counted in the seven racial'
  / @3 ' categories.'
;
  
link HeadFoot; 
end;  *<-----------of code to generate 3rd page----;

RETURN;
