%LET stab=MA ;  *<==specify postal abbreviation of the state whose files to access;
LIBNAME sf3 "J:\Cens2000\sf3\&stab";  
DATA sf3.s3&stab.060P sf3.s3&stab.070  sf3.s3&stab.080 sf3.s3&stab.085 
     sf3.s3&stab.140  sf3.s3&stab.160  sf3.s3&stab.MSA sf3.s3&stab.UA
     sf3.s3&stab.106C sf3.s3&stab.ZIP  sf3.s3&stab.othr ;
MERGE sf3.&stab.ph
      sf3.&stab.phct
      sf3.&stab.phctr ;
BY logrecno;
* Eliminating all zero-pop areas (most of them are water areas) ;
WHERE POP100>0 and (sumlev NOT IN ('090', '150')) ; * Handling Block Groups below ;
OPTIONS COMPRESS=YES ;
SELECT ;
  WHEN (sumlev LE '060') OUTPUT sf3.s3&stab.060P ; * state, counties, MCD's ; 
  WHEN (sumlev='070') OUTPUT sf3.s3&stab.070 ; * places ;	
  WHEN (sumlev='080') OUTPUT sf3.s3&stab.080 ; * tracts ;
  WHEN (sumlev='085') OUTPUT sf3.s3&stab.085 ; * U/R parts of tracts ;
  WHEN (sumlev='140') OUTPUT sf3.s3&stab.140 ; * whole tracts ;
  WHEN (sumlev='160') OUTPUT sf3.s3&stab.160 ; * whole places ;
  WHEN (sumlev=:'3')  OUTPUT sf3.s3&stab.MSA ;
  WHEN (sumlev=:'4')  OUTPUT sf3.s3&stab.UA ;
  WHEN (sumlev=:'5')  OUTPUT sf3.s3&stab.106C ; * Cong Dists (106th) ;
  WHEN (sumlev=:'8')  OUTPUT sf3.s3&stab.ZIP ; * ZCTA's actually ;
  OTHERWISE           OUTPUT sf3.s3&stab.othr ; * Includes 144, 170, and 2xx ;
END ;
RUN ;
DATA sf3.s3&stab.090 sf3.s3&stab.150 ;
SET sf3.&stab.ph ; * No PCT/HCT tables for Block Groups ;
WHERE POP100>0 and (sumlev IN ('090', '150')) ;
IF (sumlev='150') THEN OUTPUT sf3.s3&stab.150 ;
                  ELSE OUTPUT sf3.s3&stab.090 ;
RUN ;
