tranprof:
/*--generate transportation profile, two pages of transportation characteristics.
    Jeff Wallace, Oklahoma SDC.
-----*/

* do both pages if _pages is null, blank or ALL ;
IF _pages IN ('',' ','all','ALL') THEN _pages='12' ;
IF INDEX(_pages,'1') THEN DO;

%PutTitle(
   %STR(Transportation Profile 1: TRAVEL TIME TO WORK AND PLACE OF WORK),
   %STR(Trans-1) ) ;

**--Draw horizontal lines--**;

PUT #19 @2 92*'_';
PUT #24 @94 55*'_';
PUT #35 @2 92*'_';
PUT #49 @2 147*'_';

**--Draw (internal) vertical lines--**;

do _i_=6 to 49;
  PUT #_I_ @93 '|';
  end;

do _j_=50 to 61;
  PUT #_J_ @73 '|';
  end;

**--Generate table P32.--**;

tot32pub=p32i3+p32i6+p32i9+p32i12;
tot32oth=p32i4+p32i7+p32i10+p32i13;

if (p32i1=0) then DO ;
               pct2tot2=.;  pct2tot3=.;  pct2tot4=.;  pct2tot5=.;
  pct2pub1=.;  pct2pub2=.;  pct2pub3=.;  pct2pub4=.;  pct2pub5=.;
  pct2oth1=.;  pct2oth2=.;  pct2oth3=.;  pct2oth4=.;  pct2oth5=.; 
END ;
ELSE DO ;
  pct2tot2=p32i2/p32i1*100;     pct2tot3=p32i5/p32i1*100;  pct2tot4=p32i8/p32i1*100;  pct2tot5=p32i11/p32i1*100;
  pct2pub1=tot32pub/p32i1*100;  pct2pub2=p32i3/p32i1*100;  pct2pub3=p32i6/p32i1*100;
  pct2pub4=p32i9/p32i1*100;     pct2pub5=p32i12/p32i1*100;
  pct2oth1=tot32oth/p32i1*100;  pct2oth2=p32i4/p32i1*100;  pct2oth3=p32i7/p32i1*100;
  pct2oth4=p32i10/p32i1*100;    pct2oth5=p32i13/p32i1*100; 
END ;
 
%LET f=comma11. 7.1;
PUT #7
	@3 'P32. TRAVEL TIME TO WORK BY MEANS OF TRANSPORTATION TO WORK'
  / @3 'Universe: Workers 16 years old and over who did not work at home'
 //                                                   @56 'Public'                @79 'Other'
  /                          @36 'Total'  @44 'Pct.'  @56 'Transp.'   @65 'Pct.'  @79 'Means'     @87 'Pct.'
 // @3 'Total out-of-home workers:'  @30 p32i1 comma11. @43 '100.0' @51 (tot32pub pct2pub1) (&f) @73 (tot32oth pct2oth1) (&f) 
  / @3 '  Less than 30 min.' @30 (p32i2 pct2tot2) (&f) @51 (p32i3 pct2pub2) (&f) @73 (p32i4 pct2oth2) (&f)
  / @3 '  30 to 44 min.'     @30 (p32i5 pct2tot3) (&f) @51 (p32i6 pct2pub3) (&f) @73 (p32i7 pct2oth3) (&f)
  / @3 '  45 to 59 min.'     @30 (p32i8 pct2tot4) (&f) @51 (p32i9 pct2pub4) (&f) @73 (p32i10 pct2oth4) (&f)
  / @3 '  60 or more min.'   @30 (p32i11 pct2tot5) (&f) @51 (p32i12 pct2pub5) (&f) @73 (p32i13 pct2oth5) (&f);
 
**--Generate table P33.--**;
 
tot33pub=p33i3+p33i6+p33i9+p33i12;
tot33oth=p33i4+p33i7+p33i10+p33i13;

IF (p33i1=0) THEN DO ;
               pct3tot2=.;  pct3tot3=.;  pct3tot4=.;  pct3tot5=.;
  pct3pub1=.;  pct3pub2=.;  pct3pub3=.;  pct3pub4=.;  pct3pub5=.;
  pct3oth1=.;  pct3oth2=.;  pct3oth3=.;  pct3oth4=.;  pct3oth5=.; 
END ;
ELSE DO ;
  pct3tot2=p33i2/p33i1*100;     pct3tot3=p33i5/p33i1*100;  pct3tot4=p33i8/p33i1*100;  pct3tot5=p33i11/p33i1*100;
  pct3pub1=tot33pub/p33i1*100;  pct3pub2=p33i3/p33i1*100;  pct3pub3=p33i6/p33i1*100;
  pct3pub4=p33i9/p33i1*100;     pct3pub5=p33i12/p33i1*100;
  pct3oth1=tot33oth/p33i1*100;  pct3oth2=p33i4/p33i1*100;  pct3oth3=p33i7/p33i1*100;
  pct3oth4=p33i10/p33i1*100;    pct3oth5=p33i13/p33i1*100; 
END ;

IF p32i1   =0 THEN travmean=. ; ELSE travmean=   p33i1/p32i1;  
IF tot32pub=0 THEN pubmean=.  ; ELSE pubmean =tot33pub/tot32pub; 
IF tot32oth=0 THEN othmean=.  ; ELSE othmean =tot33oth/tot32oth;

%LET g=comma13. 7.1;
PUT #21
	@3 'P33. AGGREGATE AND MEAN TRAVEL TIME TO WORK BY MEANS OF TRANSPORTATION TO WORK'
  / @3 'Universe: Workers 16 years old and over who did not work at home'
 //                                                          @56 'Public'                 @79 'Other'
  /                                @36 'Total'    @44 'Pct.' @56 'Transp.' @65 'Pct.'     @79 'Means' @87 'Pct.'
 // @3 'Aggregate minutes:'  @28  p33i1 comma13. @43 '100.0' @49 (tot33pub pct3pub1) (&g) @71 (tot33oth pct3oth1) (&g)
  / @3 '  Less than 30 min.' @28 (p33i2 pct3tot2) (&g)       @49 (p33i3 pct3pub2) (&g)    @71 (p33i4 pct3oth2) (&g)
  / @3 '  30 to 44 min.'     @28 (p33i5 pct3tot3) (&g)       @49 (p33i6 pct3pub3) (&g)    @71 (p33i7 pct3oth3) (&g) 
  / @3 '  45 to 59 min.'     @28 (p33i8 pct3tot4) (&g)       @49 (p33i9 pct3pub4) (&g)    @71 (p33i10 pct3oth4)(&g) 
  / @3 '  60 or more min.'   @28 (p33i11 pct3tot5)(&g)       @49 (p33i12 pct3pub5)(&g)    @71 (p33i13 pct3oth5)(&g) 
 // @3 'Mean travel time to work' @34 travmean 6.1 ' minutes' @55 pubmean 6.1 ' minutes' @77 othmean 6.1 ' minutes';

**--Generate table P29.--**;

ARRAY p29{5} p29i1-p29i5;
ARRAY  per29i{5};

Zero=(p29i1=0);
DO i=2 TO 5;
  IF Zero THEN per29i{i}=.; ELSE per29i{i}=p29{i}/p29i1*100;
END;

%LET h=comma11. 9.1;
Put #37
    @3 'P29. PLACE OF WORK - MINOR CIVIL DIVISION (*) LEVEL'
  / @3 'Universe: Workers 16 years and over'
  /                                                                                   @79 'Pct.'
 // @3 'Total workers 16 and over:'                               @63 p29i1 comma11. @78 '100.0'
  / @3 '  Living in twelve selected states: (NJ, NY, PA,'
  / @3 '          CT, MA, ME, NH, RI, VT,     MI, MN, WI)'        @63 (p29i2 per29i2) (&h)
  / @3 '    Worked in minor civil division of residence'          @63 (p29i3 per29i3) (&h)
  / @3 '    Worked outside minor civil division of residence'     @63 (p29i4 per29i4) (&h)
  / @3 '  Not living in the twelve selected states'               @63 (p29i5 per29i5) (&h)
 // @3 '(*) Cities, towns, etc. which are the principal subdivisions of counties in the 12 states' ;

**--Generate table P27.--**;

array p27{5} p27i1-p27i5;
array  per27i{5};

Zero=(p27i1=0); 
do i=2 to 5;
  if Zero then per27i{i}=.; else per27i{i}=p27{i}/p27i1*100;
end;

Put #51
    @3 'P27. PLACE OF WORK - PLACE LEVEL'
  / @3 'Universe: Workers 16 years and over' 
 //                                                      @61 'Pct.'
 // @3 'Total workers 16 and over:' @45 p27i1 comma11. @60 '100.0'
  / @3 '  Living in a place:' @45 (p27i2 per27i2) (&h)
  / @3 '    Worked in place of residence' @45 (p27i3 per27i3) (&h)
  / @3 '    Worked outside place of residence' @45 (p27i4 per27i4) (&h)
  / @3 '  Not living in a place' @45 (p27i5 per27i5) (&h);

**--generate table P35--**;

array p35{10} p35i1-p35i10;
array  per35i{10};

Zero=(p35i1=0);
do i=2 to 10;
  if Zero then per35i{i}=.; else per35i{i}=p35{i}/p35i1*100;
end;

Put #7
    @95  'P35. PRIVATE VEHICLE OCCUPANCY'
  / @95  'Universe: Workers 16 years and over'
 //                                                        @142 'Pct.'
 // @95  'Total workers 16 and over:' @128 p35i1 comma11. @141 '100.0'   
  / @95  '  Car, truck, or van:' @128 (p35i2 per35i2) (&f) 
  / @95  '    Drove alone' @128 (p35i3 per35i3) (&f) 
  / @95  '    Carpooled:' @128 (p35i4 per35i4) (&f) 
  / @95  '      2-person carpool' @128 (p35i5 per35i5) (&f)
  / @95  '      3-person carpool' @128 (p35i6 per35i6) (&f) 
  / @95  '      4-person carpool' @128 (p35i7 per35i7) (&f) 
  / @95  '      5- or 6-person carpool' @128 (p35i8 per35i8) (&f) 
  / @95  '      7- or more person carpool' @128 (p35i9 per35i9) (&f)
  / @95  '  Other means (including'
  / @95  '   worked at home)' @128 (p35i10 per35i10) (&f);

**--generate table P34--**;

array p34{17} p34i1-p34i17;
array  per34i{17};

Zero=(p34i1=0); 
do i=2 to 17;
  if Zero then per34i{i}=.; else per34i{i}=p34{i}/p34i1*100;
end;

Put #26
    @95  'P34. TIME LEAVING HOME TO GO TO WORK'
  / @95  'Universe: Workers 16 years and over'
 //                                                          @142 'Pct.'
 // @95  'Total workers 16 and over:'   @128 p34i1 comma11. @141 '100.0'   
  / @95  '  Did not work at home:'      @128 (p34i2 per34i2) (&f) 
  / @95  '    12:00 a.m. to 4:59 a.m.'  @128 (p34i3 per34i3) (&f) 
  / @95  '    5:00 a.m. to 5:29 a.m.'   @128 (p34i4 per34i4) (&f) 
  / @95  '    5:30 a.m. to 5:59 a.m.'   @128 (p34i5 per34i5) (&f) 
  / @95  '    6:00 a.m. to 6:29 a.m.'   @128 (p34i6 per34i6) (&f) 
  / @95  '    6:30 a.m. to 6:59 a.m.'   @128 (p34i7 per34i7) (&f) 
  / @95  '    7:00 a.m. to 7:29 a.m.'   @128 (p34i8 per34i8) (&f) 
  / @95  '    7:30 a.m. to 7:59 a.m.'   @128 (p34i9 per34i9) (&f) 
  / @95  '    8:00 a.m. to 8:29 a.m.'   @128 (p34i10 per34i10) (&f)
  / @95  '    8:30 a.m. to 8:59 a.m.'   @128 (p34i11 per34i11) (&f) 
  / @95  '    9:00 a.m. to 9:59 a.m.'   @128 (p34i12 per34i12) (&f) 
  / @95  '    10:00 a.m. to 10:59 a.m.' @128 (p34i13 per34i13) (&f) 
  / @95  '    11:00 a.m. to 11:59 a.m.' @128 (p34i14 per34i14) (&f) 
  / @95  '    12:00 p.m. to 3:59 p.m.'  @128 (p34i15 per34i15) (&f) 
  / @95  '    4:00 p.m. to 11:59 p.m.'  @128 (p34i16 per34i16) (&f) 
  / @95  '  Worked at home'             @128 (p34i17 per34i17) (&f); 

**--Generate table P26.--**;

array p26{5} p26i1-p26i5;
array  per26i{5};

Zero=(p26i1=0);
do i=2 to 5;
  if Zero then per26i{i}=.; else per26i{i}=p26{i}/p26i1*100;
end;

Put #51
    @75 'P26. PLACE OF WORK - STATE AND COUNTY LEVEL'
  / @75 'Universe: Workers 16 years and over' 
 //                                                       @136 'Pct.'
 // @75 'Total workers 16 and over:' @120 p26i1 comma11. @135 '100.0'
  / @75 '  Worked in state of residence:' @120 (p26i2 per26i2) (&h)
  / @75 '    Worked in county of residence' @120 (p26i3 per26i3) (&h)
  / @75 '    Worked outside county of residence' @120 (p26i4 per26i4) (&h)
  / @75 '  Worked outside state of residence' @120 (p26i5 per26i5) (&h);

link HeadFoot; 
end;  *<-----------of code to generate 1st page----;

if index(_pages,'2') then do;
 *--generate transportation profile, page 2
    Jeff Wallace, Oklahoma SDC.--*;

%PutTitle(
  %STR(Transportation Profile 2: MEANS OF TRANSPORTATION TO WORK BY RACE AND HISPANIC/LATINO),
  %STR(Trans-2) ) ;

**--Generate table P30/PCT65A-I--**;

array p30{16} p30i1-p30i16;
array  p30pct{16};

Zero=(p30i1=0); 
do i=2 to 16;
    if Zero then p30pct{i}=.; else p30pct{i}=p30{i}/p30i1*100;
end;

array pct65a{16} pct65ai1-pct65ai16;
array  a65pct{16};

Zero=(pct65ai1=0); 
do i=2 to 16;
    if Zero then a65pct{i}=.; else a65pct{i}=pct65a{i}/pct65ai1*100;
end;

array pct65b{16} pct65bi1-pct65bi16;
array  b65pct{16};

Zero=(pct65bi1=0); 
do i=2 to 16;
    if Zero then b65pct{i}=.; else b65pct{i}=pct65b{i}/pct65bi1*100;
end;

array pct65c{16} pct65ci1-pct65ci16;
array  c65pct{16};

Zero=(pct65ci1=0); 
do i=2 to 16;
    if Zero then c65pct{i}=.; else c65pct{i}=pct65c{i}/pct65ci1*100;
end;

array pct65d{16} pct65di1-pct65di16;
array  d65pct{16};

do i=2 to 16;
    Zero=(pct65di1=0); if Zero then d65pct{i}=.; else d65pct{i}=pct65d{i}/pct65di1*100;
end;
 
array pct65e{16} pct65ei1-pct65ei16;
array  e65pct{16};

Zero=(pct65ei1=0); 
do i=2 to 16;
    if Zero then e65pct{i}=.; else e65pct{i}=pct65e{i}/pct65ei1*100;
end;

array pct65f{16} pct65fi1-pct65fi16;
array  f65pct{16};

Zero=(pct65fi1=0); 
do i=2 to 16;
    if Zero then f65pct{i}=.; else f65pct{i}=pct65f{i}/pct65fi1*100;
end;

array pct65g{16} pct65gi1-pct65gi16;
array  g65pct{16};

Zero=(pct65gi1=0); 
do i=2 to 16;
    if Zero then g65pct{i}=.; else g65pct{i}=pct65g{i}/pct65gi1*100;
end;

array pct65h{16} pct65hi1-pct65hi16;
array  h65pct{16};

Zero=(pct65hi1=0); 
do i=2 to 16;
    if Zero then h65pct{i}=.; else h65pct{i}=pct65h{i}/pct65hi1*100;
end;

array pct65i{16} pct65ii1-pct65ii16;
array  i65pct{16};

Zero=(pct65ii1=0); 
do i=2 to 16;
    if Zero then i65pct{i}=.; else i65pct{i}=pct65i{i}/pct65ii1*100;
end;

%LET k=comma15. 7.1;

PUT #7
    @3  'P30/PCT65A-I. MEANS OF TRANSPORTATION TO WORK BY RACE (1) AND HISPANIC OR LATINO (2)'
  / @3  'Universe: Workers 16 years and over'
  / @60 '---------------------------------------- Race (1) --------------------------------------'
  / @88 'Black or' @105 '     American'
  / @88 ' African' @105 '   Indian and'
  / @69 'White' @88 'American' @105 'Alaska Native' @135 'Asian'
  / @47 'Total' @55 'Pct.' @69 'Alone' @77 'Pct.' @88 '   Alone' @99 'Pct.' 
    @105 '        Alone' @121 'Pct.' @135 'Alone' @143 'Pct.'
 // @3 'Total workers 16 years and over:' @37 p30i1 comma15. @54 '100.0' @59 pct65ai1 comma15. @76 '100.0' @81 pct65bi1 comma15.
               @98 '100.0' @103 pct65ci1 comma15. @120 '100.0' @125 pct65di1 comma15. @142 '100.0' 
  / @3 '  Car, truck or van:' @37 (p30i2 p30pct2) (&k) (pct65ai2 a65pct2) (&k) (pct65bi2 b65pct2) (&k)
                                 (pct65ci2 c65pct2) (&k) (pct65di2 d65pct2) (&k)
  / @3 '    Drove alone' @37 (p30i3 p30pct3) (&k) (pct65ai3 a65pct3) (&k) (pct65bi3 b65pct3) (&k)
                             (pct65ci3 c65pct3) (&k) (pct65di3 d65pct3) (&k) 
  / @3 '    Carpooled' @37 (p30i4 p30pct4) (&k) (pct65ai4 a65pct4) (&k) (pct65bi4 b65pct4) (&k)
                           (pct65ci4 c65pct4) (&k) (pct65di4 d65pct4) (&k) 
  / @3 '  Public transportation:' @37 (p30i5 p30pct5) (&k) (pct65ai5 a65pct5) (&k) (pct65bi5 b65pct5) (&k)
                                     (pct65ci5 c65pct5) (&k) (pct65di5 d65pct5) (&k) 
  / @3 '    Bus or trolley bus' @37 (p30i6 p30pct6) (&k) (pct65ai6 a65pct6) (&k) (pct65bi6 b65pct6) (&k) 
                                    (pct65ci6 c65pct6) (&k) (pct65di6 d65pct6) (&k) 
  / @3 '    Streetcar/trolley car' @37 (p30i7 p30pct7) (&k) (pct65ai7 a65pct7) (&k) (pct65bi7 b65pct7) (&k) 
                                        (pct65ci7 c65pct7) (&k) (pct65di7 d65pct7) (&k)  
  / @3 '    Subway or elevated' @37 (p30i8 p30pct8) (&k) (pct65ai8 a65pct8) (&k) (pct65bi8 b65pct8) (&k) 
                                    (pct65ci8 c65pct8) (&k) (pct65di8 d65pct8) (&k) 
  / @3 '    Railroad' @37 (p30i9 p30pct9) (&k) (pct65ai9 a65pct9) (&k) (pct65bi9 b65pct9) (&k) 
                          (pct65ci9 c65pct9) (&k) (pct65di9 d65pct9) (&k) 
  / @3 '    Ferryboat' @37 (p30i10 p30pct10) (&k) (pct65ai10 a65pct10) (&k) (pct65bi10 b65pct10) (&k) 
                           (pct65ci10 c65pct10) (&k) (pct65di10 d65pct10) (&k)  
  / @3 '    Taxicab' @37 (p30i11 p30pct11) (&k) (pct65ai11 a65pct11) (&k) (pct65bi11 b65pct11) (&k) 
                         (pct65ci11 c65pct11) (&k) (pct65di11 d65pct11) (&k) 
  / @3 '  Motorcycle' @37 (p30i12 p30pct12) (&k) (pct65ai12 a65pct12) (&k) (pct65bi12 b65pct12) (&k) 
                          (pct65ci12 c65pct12) (&k) (pct65di12 d65pct12) (&k) 
  / @3 '  Bicycle' @37 (p30i13 p30pct13) (&k) (pct65ai13 a65pct13) (&k) (pct65bi13 b65pct13) (&k) 
                       (pct65ci13 c65pct13) (&k) (pct65di13 d65pct13) (&k) 
  / @3 '  Walked' @37 (p30i14 p30pct14) (&k) (pct65ai14 a65pct14) (&k) (pct65bi14 b65pct14) (&k) 
                      (pct65ci14 c65pct14) (&k) (pct65di14 d65pct14) (&k) 
  / @3 '  Other means' @37 (p30i15 p30pct15) (&k) (pct65ai15 a65pct15) (&k) (pct65bi15 b65pct15) (&k) 
                           (pct65ci15 c65pct15) (&k) (pct65di15 d65pct15) (&k) 
  / @3 '  Worked at home' @37 (p30i16 p30pct16) (&k) (pct65ai16 a65pct16) (&k) (pct65bi16 b65pct16) (&k) 
                              (pct65ci16 c65pct16) (&k) (pct65di16 d65pct16) (&k)
 // @38 '------------------------------ Race (1) ----------------------------------------- Hispanic (2) --------------'
 // @39 '       Native'
  / @39 '   Hawaiian &'
  / @39 'Other Pacific' @64 '      Some' @128 'White Alone,'
  / @39 '     Islander' @64 'Other Race' @86 '    Two or' @107 'Hispanic or' @128 'Not Hispanic'
  / @39 '        Alone' @55 'Pct.' @64 '     Alone' @77 'Pct.' @86 'More Races' @99 'Pct.' 
    @107 '     Latino' @121 'Pct.' @128 '   Or Latino' @143 'Pct.'
 // @3 'Total workers 16 years and over:' @37 pct65ei1 comma15. @54 '100.0' @59 pct65fi1 comma15. @76 '100.0' @81 pct65gi1 comma15.
               @98 '100.0' @103 pct65hi1 comma15. @120 '100.0' @125 pct65ii1 comma15. @142 '100.0' 
  / @3 '  Car, truck or van:' @37 (pct65ei2 e65pct2) (&k) (pct65fi2 f65pct2) (&k) (pct65gi2 g65pct2) (&k)
                                 (pct65hi2 h65pct2) (&k) (pct65ii2 i65pct2) (&k)
  / @3 '    Drove alone' @37 (pct65ei3 e65pct3) (&k) (pct65fi3 f65pct3) (&k) (pct65gi3 g65pct3) (&k)
                             (pct65hi3 h65pct3) (&k) (pct65ii3 i65pct3) (&k) 
  / @3 '    Carpooled' @37 (pct65ei4 e65pct4) (&k) (pct65fi4 f65pct4) (&k) (pct65gi4 g65pct4) (&k)
                           (pct65hi4 h65pct4) (&k) (pct65ii4 i65pct4) (&k) 
  / @3 '  Public transportation:' @37 (pct65ei5 e65pct5) (&k) (pct65fi5 f65pct5) (&k) (pct65gi5 g65pct5) (&k)
                                     (pct65hi5 h65pct5) (&k) (pct65ii5 i65pct5) (&k) 
  / @3 '    Bus or trolley bus' @37 (pct65ei6 e65pct6) (&k) (pct65fi6 f65pct6) (&k) (pct65gi6 g65pct6) (&k) 
                                    (pct65hi6 h65pct6) (&k) (pct65ii6 i65pct6) (&k) 
  / @3 '    Streetcar/trolley car' @37 (pct65ei7 e65pct7) (&k) (pct65fi7 f65pct7) (&k) (pct65gi7 g65pct7) (&k) 
                                        (pct65hi7 h65pct7) (&k) (pct65ii7 i65pct7) (&k)  
  / @3 '    Subway or elevated' @37 (pct65ei8 e65pct8) (&k) (pct65fi8 f65pct8) (&k) (pct65gi8 g65pct8) (&k) 
                                    (pct65hi8 h65pct8) (&k) (pct65ii8 i65pct8) (&k) 
  / @3 '    Railroad' @37 (pct65ei9 e65pct9) (&k) (pct65fi9 f65pct9) (&k) (pct65gi9 g65pct9) (&k) 
                          (pct65hi9 h65pct9) (&k) (pct65ii9 i65pct9) (&k) 
  / @3 '    Ferryboat' @37 (pct65ei10 e65pct10) (&k) (pct65fi10 f65pct10) (&k) (pct65gi10 g65pct10) (&k) 
                           (pct65hi10 h65pct10) (&k) (pct65ii10 i65pct10) (&k)  
  / @3 '    Taxicab' @37 (pct65ei11 e65pct11) (&k) (pct65fi11 f65pct11) (&k) (pct65gi11 g65pct11) (&k) 
                         (pct65hi11 h65pct11) (&k) (pct65ii11 i65pct11) (&k) 
  / @3 '  Motorcycle' @37 (pct65ei12 e65pct12) (&k) (pct65fi12 f65pct12) (&k) (pct65gi12 g65pct12) (&k) 
                          (pct65hi12 h65pct12) (&k) (pct65ii12 i65pct12) (&k) 
  / @3 '  Bicycle' @37 (pct65ei13 e65pct13) (&k) (pct65fi13 f65pct13) (&k) (pct65gi13 g65pct13) (&k) 
                       (pct65hi13 h65pct13) (&k) (pct65ii13 i65pct13) (&k) 
  / @3 '  Walked' @37 (pct65ei14 e65pct14) (&k) (pct65fi14 f65pct14) (&k) (pct65gi14 g65pct14) (&k) 
                      (pct65hi14 h65pct14) (&k) (pct65ii14 i65pct14) (&k) 
  / @3 '  Other means' @37 (pct65ei15 e65pct15) (&k) (pct65fi15 f65pct15) (&k) (pct65gi15 g65pct15) (&k) 
                           (pct65hi15 h65pct15) (&k) (pct65di15 i65pct15) (&k) 
  / @3 '  Worked at home' @37 (pct65ei16 e65pct16) (&k) (pct65fi16 f65pct16) (&k) (pct65gi16 g65pct16) (&k) 
                              (pct65hi16 h65pct16) (&k) (pct65ii16 i65pct16) (&k)
 // @3 145*'-'
  / @3 '(1) For Census 2000, persons could report more than one race, but the seven racial categories shown are mutually exclusive and include everyone.'
  / @3 '(2) Hispanic or Latino origin is NOT considered a race. People who reported themselves as Hispanic or Latino are also counted in the seven racial'
  / @3 ' categories.'
;

  **--Draw vertical lines--**;

do _i_=10 to 31;
  PUT #_I_ @60 ':' ;
  end;
do _i_=33 to 55;
  PUT #_I_ @104 ':';
  end;

link HeadFoot; 
end;  *<-----------of code to generate 2nd page----;
RETURN;